# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)
 
# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_111", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_111 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_111 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_111 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_111_R", sep = ""), NULL)    
}

# START running the models
for(i in names(v111_species_G)){
  Spmod1_GAA_111[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod3_GAA_111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_GAA_111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod5_GAA_111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod9_GAA_111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod10_GAA_111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod14_GAA_111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod24_GAA_111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)  
  
  listall_GAA_111[[i]] <- list(Spmod1_GAA_111[[i]],
  Spmod2_GAA_111[[i]],
  Spmod3_GAA_111[[i]],
  Spmod4_GAA_111[[i]],
  Spmod5_GAA_111[[i]],
  Spmod9_GAA_111[[i]],
  Spmod10_GAA_111[[i]],
  Spmod14_GAA_111[[i]],
  Spmod24_GAA_111[[i]])
 
  Modnames <-c("1",
               "2",
  "3",
  "4",
  "5",
  "9",
  "10",
  "14",
  "24")

  
SpAIC_GAA_111[[i]] <- aictab(cand.set= listall_GAA_111[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_111_R[[i]]<-NagelkerkeR2(Spmod1_GAA_111[[i]])
  Spmod2_GAA_111_R[[i]]<-NagelkerkeR2(Spmod2_GAA_111[[i]])
  Spmod3_GAA_111_R[[i]]<-NagelkerkeR2(Spmod3_GAA_111[[i]])
  Spmod4_GAA_111_R[[i]]<-NagelkerkeR2(Spmod4_GAA_111[[i]])
  Spmod5_GAA_111_R[[i]]<-NagelkerkeR2(Spmod5_GAA_111[[i]])
  Spmod9_GAA_111_R[[i]]<-NagelkerkeR2(Spmod9_GAA_111[[i]])
  Spmod10_GAA_111_R[[i]]<-NagelkerkeR2(Spmod10_GAA_111[[i]])
  Spmod14_GAA_111_R[[i]]<-NagelkerkeR2(Spmod14_GAA_111[[i]])
  Spmod24_GAA_111_R[[i]]<-NagelkerkeR2(Spmod24_GAA_111[[i]])
 
  Spmod1_GAA_111_R[[i]]$Modnames <-1
  Spmod2_GAA_111_R[[i]]$Modnames <-2
  Spmod3_GAA_111_R[[i]]$Modnames <-3
  Spmod4_GAA_111_R[[i]]$Modnames <-4
  Spmod5_GAA_111_R[[i]]$Modnames <-5
  Spmod9_GAA_111_R[[i]]$Modnames <-9
  Spmod10_GAA_111_R[[i]]$Modnames <-10
  Spmod14_GAA_111_R[[i]]$Modnames <-14
  Spmod24_GAA_111_R[[i]]$Modnames <-24
   
  modelavg_GAA_111[[i]] <- model.avg(listall_GAA_111[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_111_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_111_R,
  Spmod2_GAA_111_R,
  Spmod3_GAA_111_R,
  Spmod4_GAA_111_R,
  Spmod5_GAA_111_R,
  Spmod9_GAA_111_R,
  Spmod10_GAA_111_R,
  Spmod14_GAA_111_R,
  Spmod24_GAA_111_R)))
 
  G_111_R2_N <- G_111_R2[G_111_R2$L3 == "N",]
  names(G_111_R2_N)[1] <- "N"
  G_111_R2_R2 <- G_111_R2[G_111_R2$L3 == "R2", ]
  names(G_111_R2_R2)[1] <- "R2"
  G_111_R2_MN <- G_111_R2[G_111_R2$L3 == "Modnames", ]
  names(G_111_R2_MN)[1] <- "Modnames"   
  
  G_111_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_111_R2_N, G_111_R2_R2, G_111_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_111_R2_r)[1] <- "Species"
  
  AIC_111_G <- melt(SpAIC_GAA_111, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_111_G <- subset(AIC_111_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_111_G)[1] <- "Species"
  
  Results_111_G <- merge(AIC_111_G, G_111_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_111_G$exclusion <- "111"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_1001", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_1001 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_1001 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_1001 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_1001_R", sep = ""), NULL)    
}


# START running the models
for(i in names(v1001_species_G)){
  Spmod1_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod3_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod6_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod9_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod11_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod12_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod15_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod16_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod21_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod25_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod26_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod31_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod37_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod47_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_1001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_1001[[i]] <- list(Spmod1_GAA_1001[[i]],
                                  Spmod2_GAA_1001[[i]],
  
  Spmod3_GAA_1001[[i]],
  Spmod4_GAA_1001[[i]],
  #Spmod5_GAA_1001[[i]],
  Spmod6_GAA_1001[[i]],
  Spmod7_GAA_1001[[i]],
  #Spmod8_GAA_1001[[i]],
  Spmod9_GAA_1001[[i]],
  #Spmod10_GAA_1001[[i]],
  Spmod11_GAA_1001[[i]],
  Spmod12_GAA_1001[[i]],
  #Spmod13_GAA_1001[[i]],
  #Spmod14_GAA_1001[[i]],
  Spmod15_GAA_1001[[i]],
  Spmod16_GAA_1001[[i]],
  #Spmod17_GAA_1001[[i]],
  #Spmod18_GAA_1001[[i]],
  #Spmod19_GAA_1001[[i]],
  #Spmod20_GAA_1001[[i]],
  Spmod21_GAA_1001[[i]],
  #Spmod22_GAA_1001[[i]],
  #Spmod23_GAA_1001[[i]],
  #Spmod24_GAA_1001[[i]],
  Spmod25_GAA_1001[[i]],
  Spmod26_GAA_1001[[i]],
  #Spmod27_GAA_1001[[i]],
  #Spmod28_GAA_1001[[i]],
  #Spmod29_GAA_1001[[i]],
  #Spmod30_GAA_1001[[i]],
  Spmod31_GAA_1001[[i]],
  #Spmod32_GAA_1001[[i]],
  #Spmod33_GAA_1001[[i]],
  #Spmod34_GAA_1001[[i]],
  #Spmod35_GAA_1001[[i]],
  #Spmod36_GAA_1001[[i]],
  Spmod37_GAA_1001[[i]],
  #Spmod38_GAA_1001[[i]],
  #Spmod39_GAA_1001[[i]],
  #Spmod40_GAA_1001[[i]],
  #Spmod41_GAA_1001[[i]],
  #Spmod42_GAA_1001[[i]],
  #Spmod43_GAA_1001[[i]],
  #Spmod44_GAA_1001[[i]],
  #Spmod45_GAA_1001[[i]],
  #Spmod46_GAA_1001[[i]],
  Spmod47_GAA_1001[[i]])
  #Spmod48_GAA_1001[[i]],
  #Spmod49_GAA_1001[[i]],
  #Spmod50_GAA_1001[[i]],
  #Spmod51_GAA_1001[[i]],
  #Spmod52_GAA_1001[[i]],
  #Spmod53_GAA_1001[[i]],
  #Spmod54_GAA_1001[[i]],
  #Spmod55_GAA_1001[[i]],
  #Spmod56_GAA_1001[[i]],
  #Spmod57_GAA_1001[[i]],
  #Spmod58_GAA_1001[[i]],
  #Spmod59_GAA_1001[[i]],
  #Spmod60_GAA_1001[[i]],
  #Spmod61_GAA_1001[[i]],
  #Spmod62_GAA_1001[[i]],
  #Spmod63_GAA_1001[[i]],
  #Spmod64_GAA_1001[[i]],
  #Spmod65_GAA_1001[[i]])
  
  Modnames <-c("1",
               "2",
  "3",
  "4",
  #"5",
  "6",
  "7",
  #"8",
  "9",
  #"10",
  "11",
  "12",
  #"13",
  #"14",
  "15",
  "16",
  #"17",
  #"18",
  #"19",
  #"20",
  "21",
  #"22",
  #"23",
  #"24",
  "25",
  "26",
  #"27",
  #"28",
  #"29",
  #"30",
  "31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  "37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  "47")
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_1001[[i]] <- aictab(cand.set= listall_GAA_1001[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod1_GAA_1001[[i]])
  Spmod2_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod2_GAA_1001[[i]])
  Spmod3_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod3_GAA_1001[[i]])
  Spmod4_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod4_GAA_1001[[i]])
  #Spmod5_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod5_GAA_1001[[i]])
  Spmod6_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod6_GAA_1001[[i]])
  Spmod7_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod7_GAA_1001[[i]])
  #Spmod8_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod8_GAA_1001[[i]])
  Spmod9_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod9_GAA_1001[[i]])
  #Spmod10_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod10_GAA_1001[[i]])
  Spmod11_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod11_GAA_1001[[i]])
  Spmod12_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod12_GAA_1001[[i]])
  #Spmod13_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod13_GAA_1001[[i]])
  #Spmod14_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod14_GAA_1001[[i]])
  Spmod15_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod15_GAA_1001[[i]])
  Spmod16_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod16_GAA_1001[[i]])
  #Spmod17_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod17_GAA_1001[[i]])
  #Spmod18_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod18_GAA_1001[[i]])
  #Spmod19_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod19_GAA_1001[[i]])
  #Spmod20_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod20_GAA_1001[[i]])
  Spmod21_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod21_GAA_1001[[i]])
  #Spmod22_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod22_GAA_1001[[i]])
  #Spmod23_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod23_GAA_1001[[i]])
  #Spmod24_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod24_GAA_1001[[i]])
  Spmod25_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod25_GAA_1001[[i]])
  Spmod26_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod26_GAA_1001[[i]])
  #Spmod27_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod27_GAA_1001[[i]])
  #Spmod28_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod28_GAA_1001[[i]])
  #Spmod29_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod29_GAA_1001[[i]])
  #Spmod30_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod30_GAA_1001[[i]])
  Spmod31_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod31_GAA_1001[[i]])
  #Spmod32_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod32_GAA_1001[[i]])
  #Spmod33_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod33_GAA_1001[[i]])
  #Spmod34_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod34_GAA_1001[[i]])
  #Spmod35_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod35_GAA_1001[[i]])
  #Spmod36_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod36_GAA_1001[[i]])
  Spmod37_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod37_GAA_1001[[i]])
  #Spmod38_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod38_GAA_1001[[i]])
  #Spmod39_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod39_GAA_1001[[i]])
  #Spmod40_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod40_GAA_1001[[i]])
  #Spmod41_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod41_GAA_1001[[i]])
  #Spmod42_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod42_GAA_1001[[i]])
  #Spmod43_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod43_GAA_1001[[i]])
  #Spmod44_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod44_GAA_1001[[i]])
  #Spmod45_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod45_GAA_1001[[i]])
  #Spmod46_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod46_GAA_1001[[i]])
  Spmod47_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod47_GAA_1001[[i]])
  #Spmod48_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod48_GAA_1001[[i]])
  #Spmod49_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod49_GAA_1001[[i]])
  #Spmod50_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod50_GAA_1001[[i]])
  #Spmod51_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod51_GAA_1001[[i]])
  #Spmod52_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod52_GAA_1001[[i]])
  #Spmod53_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod53_GAA_1001[[i]])
  #Spmod54_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod54_GAA_1001[[i]])
  #Spmod55_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod55_GAA_1001[[i]])
  #Spmod56_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod56_GAA_1001[[i]])
  #Spmod57_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod57_GAA_1001[[i]])
  #Spmod58_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod58_GAA_1001[[i]])
  #Spmod59_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod59_GAA_1001[[i]])
  #Spmod60_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod60_GAA_1001[[i]])
  #Spmod61_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod61_GAA_1001[[i]])
  #Spmod62_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod62_GAA_1001[[i]])
  #Spmod63_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod63_GAA_1001[[i]])
  #Spmod64_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod64_GAA_1001[[i]])
  #Spmod65_GAA_1001_R[[i]]<-NagelkerkeR2(Spmod65_GAA_1001[[i]])
  
  Spmod1_GAA_1001_R[[i]]$Modnames <-1
  Spmod2_GAA_1001_R[[i]]$Modnames <-2
  Spmod3_GAA_1001_R[[i]]$Modnames <-3
  Spmod4_GAA_1001_R[[i]]$Modnames <-4
  #Spmod5_GAA_1001_R[[i]]$Modnames <-5
  Spmod6_GAA_1001_R[[i]]$Modnames <-6
  Spmod7_GAA_1001_R[[i]]$Modnames <-7
  #Spmod8_GAA_1001_R[[i]]$Modnames <-8
  Spmod9_GAA_1001_R[[i]]$Modnames <-9
  #Spmod10_GAA_1001_R[[i]]$Modnames <-10
  Spmod11_GAA_1001_R[[i]]$Modnames <-11
  Spmod12_GAA_1001_R[[i]]$Modnames <-12
  #Spmod13_GAA_1001_R[[i]]$Modnames <-13
  #Spmod14_GAA_1001_R[[i]]$Modnames <-14
  Spmod15_GAA_1001_R[[i]]$Modnames <-15
  Spmod16_GAA_1001_R[[i]]$Modnames <-16
  #Spmod17_GAA_1001_R[[i]]$Modnames <-17
  #Spmod18_GAA_1001_R[[i]]$Modnames <-18
  #Spmod19_GAA_1001_R[[i]]$Modnames <-19
  #Spmod20_GAA_1001_R[[i]]$Modnames <-20
  Spmod21_GAA_1001_R[[i]]$Modnames <-21
  #Spmod22_GAA_1001_R[[i]]$Modnames <-22
  #Spmod23_GAA_1001_R[[i]]$Modnames <-23
  #Spmod24_GAA_1001_R[[i]]$Modnames <-24
  Spmod25_GAA_1001_R[[i]]$Modnames <-25
  Spmod26_GAA_1001_R[[i]]$Modnames <-26
  #Spmod27_GAA_1001_R[[i]]$Modnames <-27
  #Spmod28_GAA_1001_R[[i]]$Modnames <-28
  #Spmod29_GAA_1001_R[[i]]$Modnames <-29
  #Spmod30_GAA_1001_R[[i]]$Modnames <-30
  Spmod31_GAA_1001_R[[i]]$Modnames <-31
  #Spmod32_GAA_1001_R[[i]]$Modnames <-32
  #Spmod33_GAA_1001_R[[i]]$Modnames <-33
  #Spmod34_GAA_1001_R[[i]]$Modnames <-34
  #Spmod35_GAA_1001_R[[i]]$Modnames <-35
  #Spmod36_GAA_1001_R[[i]]$Modnames <-36
  Spmod37_GAA_1001_R[[i]]$Modnames <-37
  #Spmod38_GAA_1001_R[[i]]$Modnames <-38
  #Spmod39_GAA_1001_R[[i]]$Modnames <-39
  #Spmod40_GAA_1001_R[[i]]$Modnames <-40
  #Spmod41_GAA_1001_R[[i]]$Modnames <-41
  #Spmod42_GAA_1001_R[[i]]$Modnames <-42
  #Spmod43_GAA_1001_R[[i]]$Modnames <-43
  #Spmod44_GAA_1001_R[[i]]$Modnames <-44
  #Spmod45_GAA_1001_R[[i]]$Modnames <-45
  #Spmod46_GAA_1001_R[[i]]$Modnames <-46
  Spmod47_GAA_1001_R[[i]]$Modnames <-47
  #Spmod48_GAA_1001_R[[i]]$Modnames <-48
  #Spmod49_GAA_1001_R[[i]]$Modnames <-49
  #Spmod50_GAA_1001_R[[i]]$Modnames <-50
  #Spmod51_GAA_1001_R[[i]]$Modnames <-51
  #Spmod52_GAA_1001_R[[i]]$Modnames <-52
  #Spmod53_GAA_1001_R[[i]]$Modnames <-53
  #Spmod54_GAA_1001_R[[i]]$Modnames <-54
  #Spmod55_GAA_1001_R[[i]]$Modnames <-55
  #Spmod56_GAA_1001_R[[i]]$Modnames <-56
  #Spmod57_GAA_1001_R[[i]]$Modnames <-57
  #Spmod58_GAA_1001_R[[i]]$Modnames <-58
  #Spmod59_GAA_1001_R[[i]]$Modnames <-59
  #Spmod60_GAA_1001_R[[i]]$Modnames <-60
  #Spmod61_GAA_1001_R[[i]]$Modnames <-61
  #Spmod62_GAA_1001_R[[i]]$Modnames <-62
  #Spmod63_GAA_1001_R[[i]]$Modnames <-63
  #Spmod64_GAA_1001_R[[i]]$Modnames <-64
  #Spmod65_GAA_1001_R[[i]]$Modnames <-65
  
  modelavg_GAA_1001[[i]] <- model.avg(listall_GAA_1001[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_1001_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_1001_R,
  Spmod2_GAA_1001_R,
  Spmod3_GAA_1001_R,
  Spmod4_GAA_1001_R,
  #Spmod5_GAA_1001_R,
  Spmod6_GAA_1001_R,
  Spmod7_GAA_1001_R,
  #Spmod8_GAA_1001_R,
  Spmod9_GAA_1001_R,
  #Spmod10_GAA_1001_R,
  Spmod11_GAA_1001_R,
  Spmod12_GAA_1001_R,
  #Spmod13_GAA_1001_R,
  #Spmod14_GAA_1001_R,
  Spmod15_GAA_1001_R,
  Spmod16_GAA_1001_R,
  #Spmod17_GAA_1001_R,
  #Spmod18_GAA_1001_R,
  #Spmod19_GAA_1001_R,
  #Spmod20_GAA_1001_R,
  Spmod21_GAA_1001_R,
  #Spmod22_GAA_1001_R,
  #Spmod23_GAA_1001_R,
  #Spmod24_GAA_1001_R,
  Spmod25_GAA_1001_R,
  Spmod26_GAA_1001_R,
  #Spmod27_GAA_1001_R,
  #Spmod28_GAA_1001_R,
  #Spmod29_GAA_1001_R,
  #Spmod30_GAA_1001_R,
  Spmod31_GAA_1001_R,
  #Spmod32_GAA_1001_R,
  #Spmod33_GAA_1001_R,
  #Spmod34_GAA_1001_R,
  #Spmod35_GAA_1001_R,
  #Spmod36_GAA_1001_R,
  Spmod37_GAA_1001_R,
  #Spmod38_GAA_1001_R,
  #Spmod39_GAA_1001_R,
  #Spmod40_GAA_1001_R,
  #Spmod41_GAA_1001_R,
  #Spmod42_GAA_1001_R,
  #Spmod43_GAA_1001_R,
  #Spmod44_GAA_1001_R,
  #Spmod45_GAA_1001_R,
  #Spmod46_GAA_1001_R,
  Spmod47_GAA_1001_R)))
  #Spmod48_GAA_1001_R,
  #Spmod49_GAA_1001_R,
  #Spmod50_GAA_1001_R,
  #Spmod51_GAA_1001_R,
  #Spmod52_GAA_1001_R,
  #Spmod53_GAA_1001_R,
  #Spmod54_GAA_1001_R,
  #Spmod55_GAA_1001_R,
  #Spmod56_GAA_1001_R,
  #Spmod57_GAA_1001_R,
  #Spmod58_GAA_1001_R,
  #Spmod59_GAA_1001_R,
  #Spmod60_GAA_1001_R,
  #Spmod61_GAA_1001_R,
  #Spmod62_GAA_1001_R,
  #Spmod63_GAA_1001_R,
  #Spmod64_GAA_1001_R,
  #Spmod65_GAA_1001_R)))
  
  G_1001_R2_N <- G_1001_R2[G_1001_R2$L3 == "N",]
  names(G_1001_R2_N)[1] <- "N"
  G_1001_R2_R2 <- G_1001_R2[G_1001_R2$L3 == "R2", ]
  names(G_1001_R2_R2)[1] <- "R2"
  G_1001_R2_MN <- G_1001_R2[G_1001_R2$L3 == "Modnames", ]
  names(G_1001_R2_MN)[1] <- "Modnames"   
  
  G_1001_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_1001_R2_N, G_1001_R2_R2, G_1001_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_1001_R2_r)[1] <- "Species"
  
  AIC_1001_G <- melt(SpAIC_GAA_1001, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_1001_G <- subset(AIC_1001_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_1001_G)[1] <- "Species"
  
  Results_1001_G <- merge(AIC_1001_G, G_1001_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_1001_G$exclusion <- "1001"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_1011", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_1011 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_1011 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_1011 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_1011_R", sep = ""), NULL)    
}


# START running the models
for(i in names(v1011_species_G)){
  Spmod1_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod3_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod6_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod9_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod11_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod15_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod25_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_1011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_1011[[i]] <- list(Spmod1_GAA_1011[[i]],
                                  Spmod2_GAA_1011[[i]],
  
  Spmod3_GAA_1011[[i]],
  Spmod4_GAA_1011[[i]],
  #Spmod5_GAA_1011[[i]],
  Spmod6_GAA_1011[[i]],
  #Spmod7_GAA_1011[[i]],
  #Spmod8_GAA_1011[[i]],
  Spmod9_GAA_1011[[i]],
  #Spmod10_GAA_1011[[i]],
  Spmod11_GAA_1011[[i]],
  #Spmod12_GAA_1011[[i]],
  #Spmod13_GAA_1011[[i]],
  #Spmod14_GAA_1011[[i]],
  Spmod15_GAA_1011[[i]],
  #Spmod16_GAA_1011[[i]],
  #Spmod17_GAA_1011[[i]],
  #Spmod18_GAA_1011[[i]],
  #Spmod19_GAA_1011[[i]],
  #Spmod20_GAA_1011[[i]],
  #Spmod21_GAA_1011[[i]],
  #Spmod22_GAA_1011[[i]],
  #Spmod23_GAA_1011[[i]],
  #Spmod24_GAA_1011[[i]],
  Spmod25_GAA_1011[[i]])
  #Spmod26_GAA_1011[[i]],
  #Spmod27_GAA_1011[[i]],
  #Spmod28_GAA_1011[[i]],
  #Spmod29_GAA_1011[[i]],
  #Spmod30_GAA_1011[[i]],
  #Spmod31_GAA_1011[[i]],
  #Spmod32_GAA_1011[[i]],
  #Spmod33_GAA_1011[[i]],
  #Spmod34_GAA_1011[[i]],
  #Spmod35_GAA_1011[[i]],
  #Spmod36_GAA_1011[[i]],
  #Spmod37_GAA_1011[[i]],
  #Spmod38_GAA_1011[[i]],
  #Spmod39_GAA_1011[[i]],
  #Spmod40_GAA_1011[[i]],
  #Spmod41_GAA_1011[[i]],
  #Spmod42_GAA_1011[[i]],
  #Spmod43_GAA_1011[[i]],
  #Spmod44_GAA_1011[[i]],
  #Spmod45_GAA_1011[[i]],
  #Spmod46_GAA_1011[[i]],
  #Spmod47_GAA_1011[[i]],
  #Spmod48_GAA_1011[[i]],
  #Spmod49_GAA_1011[[i]],
  #Spmod50_GAA_1011[[i]],
  #Spmod51_GAA_1011[[i]],
  #Spmod52_GAA_1011[[i]],
  #Spmod53_GAA_1011[[i]],
  #Spmod54_GAA_1011[[i]],
  #Spmod55_GAA_1011[[i]],
  #Spmod56_GAA_1011[[i]],
  #Spmod57_GAA_1011[[i]],
  #Spmod58_GAA_1011[[i]],
  #Spmod59_GAA_1011[[i]],
  #Spmod60_GAA_1011[[i]],
  #Spmod61_GAA_1011[[i]],
  #Spmod62_GAA_1011[[i]],
  #Spmod63_GAA_1011[[i]],
  #Spmod64_GAA_1011[[i]],
  #Spmod65_GAA_1011[[i]])
  
  Modnames <-c("1",
               "2",
  "3",
  "4",
  #"5",
  "6",
  #"7",
  #"8",
  "9",
  #"10",
  "11",
  #"12",
  #"13",
  #"14",
  "15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  "25")
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_1011[[i]] <- aictab(cand.set= listall_GAA_1011[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod1_GAA_1011[[i]])
  Spmod2_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod2_GAA_1011[[i]])
  Spmod3_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod3_GAA_1011[[i]])
  Spmod4_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod4_GAA_1011[[i]])
  #Spmod5_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod5_GAA_1011[[i]])
  Spmod6_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod6_GAA_1011[[i]])
  #Spmod7_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod7_GAA_1011[[i]])
  #Spmod8_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod8_GAA_1011[[i]])
  Spmod9_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod9_GAA_1011[[i]])
  #Spmod10_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod10_GAA_1011[[i]])
  Spmod11_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod11_GAA_1011[[i]])
  #Spmod12_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod12_GAA_1011[[i]])
  #Spmod13_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod13_GAA_1011[[i]])
  #Spmod14_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod14_GAA_1011[[i]])
  Spmod15_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod15_GAA_1011[[i]])
  #Spmod16_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod16_GAA_1011[[i]])
  #Spmod17_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod17_GAA_1011[[i]])
  #Spmod18_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod18_GAA_1011[[i]])
  #Spmod19_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod19_GAA_1011[[i]])
  #Spmod20_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod20_GAA_1011[[i]])
  #Spmod21_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod21_GAA_1011[[i]])
  #Spmod22_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod22_GAA_1011[[i]])
  #Spmod23_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod23_GAA_1011[[i]])
  #Spmod24_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod24_GAA_1011[[i]])
  Spmod25_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod25_GAA_1011[[i]])
  #Spmod26_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod26_GAA_1011[[i]])
  #Spmod27_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod27_GAA_1011[[i]])
  #Spmod28_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod28_GAA_1011[[i]])
  #Spmod29_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod29_GAA_1011[[i]])
  #Spmod30_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod30_GAA_1011[[i]])
  #Spmod31_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod31_GAA_1011[[i]])
  #Spmod32_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod32_GAA_1011[[i]])
  #Spmod33_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod33_GAA_1011[[i]])
  #Spmod34_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod34_GAA_1011[[i]])
  #Spmod35_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod35_GAA_1011[[i]])
  #Spmod36_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod36_GAA_1011[[i]])
  #Spmod37_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod37_GAA_1011[[i]])
  #Spmod38_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod38_GAA_1011[[i]])
  #Spmod39_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod39_GAA_1011[[i]])
  #Spmod40_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod40_GAA_1011[[i]])
  #Spmod41_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod41_GAA_1011[[i]])
  #Spmod42_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod42_GAA_1011[[i]])
  #Spmod43_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod43_GAA_1011[[i]])
  #Spmod44_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod44_GAA_1011[[i]])
  #Spmod45_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod45_GAA_1011[[i]])
  #Spmod46_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod46_GAA_1011[[i]])
  #Spmod47_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod47_GAA_1011[[i]])
  #Spmod48_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod48_GAA_1011[[i]])
  #Spmod49_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod49_GAA_1011[[i]])
  #Spmod50_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod50_GAA_1011[[i]])
  #Spmod51_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod51_GAA_1011[[i]])
  #Spmod52_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod52_GAA_1011[[i]])
  #Spmod53_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod53_GAA_1011[[i]])
  #Spmod54_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod54_GAA_1011[[i]])
  #Spmod55_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod55_GAA_1011[[i]])
  #Spmod56_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod56_GAA_1011[[i]])
  #Spmod57_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod57_GAA_1011[[i]])
  #Spmod58_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod58_GAA_1011[[i]])
  #Spmod59_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod59_GAA_1011[[i]])
  #Spmod60_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod60_GAA_1011[[i]])
  #Spmod61_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod61_GAA_1011[[i]])
  #Spmod62_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod62_GAA_1011[[i]])
  #Spmod63_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod63_GAA_1011[[i]])
  #Spmod64_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod64_GAA_1011[[i]])
  #Spmod65_GAA_1011_R[[i]]<-NagelkerkeR2(Spmod65_GAA_1011[[i]])
  
  Spmod1_GAA_1011_R[[i]]$Modnames <-1
  Spmod2_GAA_1011_R[[i]]$Modnames <-2
  Spmod3_GAA_1011_R[[i]]$Modnames <-3
  Spmod4_GAA_1011_R[[i]]$Modnames <-4
  #Spmod5_GAA_1011_R[[i]]$Modnames <-5
  Spmod6_GAA_1011_R[[i]]$Modnames <-6
  #Spmod7_GAA_1011_R[[i]]$Modnames <-7
  #Spmod8_GAA_1011_R[[i]]$Modnames <-8
  Spmod9_GAA_1011_R[[i]]$Modnames <-9
  #Spmod10_GAA_1011_R[[i]]$Modnames <-10
  Spmod11_GAA_1011_R[[i]]$Modnames <-11
  #Spmod12_GAA_1011_R[[i]]$Modnames <-12
  #Spmod13_GAA_1011_R[[i]]$Modnames <-13
  #Spmod14_GAA_1011_R[[i]]$Modnames <-14
  Spmod15_GAA_1011_R[[i]]$Modnames <-15
  #Spmod16_GAA_1011_R[[i]]$Modnames <-16
  #Spmod17_GAA_1011_R[[i]]$Modnames <-17
  #Spmod18_GAA_1011_R[[i]]$Modnames <-18
  #Spmod19_GAA_1011_R[[i]]$Modnames <-19
  #Spmod20_GAA_1011_R[[i]]$Modnames <-20
  #Spmod21_GAA_1011_R[[i]]$Modnames <-21
  #Spmod22_GAA_1011_R[[i]]$Modnames <-22
  #Spmod23_GAA_1011_R[[i]]$Modnames <-23
  #Spmod24_GAA_1011_R[[i]]$Modnames <-24
  Spmod25_GAA_1011_R[[i]]$Modnames <-25
  #Spmod26_GAA_1011_R[[i]]$Modnames <-26
  #Spmod27_GAA_1011_R[[i]]$Modnames <-27
  #Spmod28_GAA_1011_R[[i]]$Modnames <-28
  #Spmod29_GAA_1011_R[[i]]$Modnames <-29
  #Spmod30_GAA_1011_R[[i]]$Modnames <-30
  #Spmod31_GAA_1011_R[[i]]$Modnames <-31
  #Spmod32_GAA_1011_R[[i]]$Modnames <-32
  #Spmod33_GAA_1011_R[[i]]$Modnames <-33
  #Spmod34_GAA_1011_R[[i]]$Modnames <-34
  #Spmod35_GAA_1011_R[[i]]$Modnames <-35
  #Spmod36_GAA_1011_R[[i]]$Modnames <-36
  #Spmod37_GAA_1011_R[[i]]$Modnames <-37
  #Spmod38_GAA_1011_R[[i]]$Modnames <-38
  #Spmod39_GAA_1011_R[[i]]$Modnames <-39
  #Spmod40_GAA_1011_R[[i]]$Modnames <-40
  #Spmod41_GAA_1011_R[[i]]$Modnames <-41
  #Spmod42_GAA_1011_R[[i]]$Modnames <-42
  #Spmod43_GAA_1011_R[[i]]$Modnames <-43
  #Spmod44_GAA_1011_R[[i]]$Modnames <-44
  #Spmod45_GAA_1011_R[[i]]$Modnames <-45
  #Spmod46_GAA_1011_R[[i]]$Modnames <-46
  #Spmod47_GAA_1011_R[[i]]$Modnames <-47
  #Spmod48_GAA_1011_R[[i]]$Modnames <-48
  #Spmod49_GAA_1011_R[[i]]$Modnames <-49
  #Spmod50_GAA_1011_R[[i]]$Modnames <-50
  #Spmod51_GAA_1011_R[[i]]$Modnames <-51
  #Spmod52_GAA_1011_R[[i]]$Modnames <-52
  #Spmod53_GAA_1011_R[[i]]$Modnames <-53
  #Spmod54_GAA_1011_R[[i]]$Modnames <-54
  #Spmod55_GAA_1011_R[[i]]$Modnames <-55
  #Spmod56_GAA_1011_R[[i]]$Modnames <-56
  #Spmod57_GAA_1011_R[[i]]$Modnames <-57
  #Spmod58_GAA_1011_R[[i]]$Modnames <-58
  #Spmod59_GAA_1011_R[[i]]$Modnames <-59
  #Spmod60_GAA_1011_R[[i]]$Modnames <-60
  #Spmod61_GAA_1011_R[[i]]$Modnames <-61
  #Spmod62_GAA_1011_R[[i]]$Modnames <-62
  #Spmod63_GAA_1011_R[[i]]$Modnames <-63
  #Spmod64_GAA_1011_R[[i]]$Modnames <-64
  #Spmod65_GAA_1011_R[[i]]$Modnames <-65
  
  modelavg_GAA_1011[[i]] <- model.avg(listall_GAA_1011[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_1011_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_1011_R,
  Spmod2_GAA_1011_R,
  Spmod3_GAA_1011_R,
  Spmod4_GAA_1011_R,
  #Spmod5_GAA_1011_R,
  Spmod6_GAA_1011_R,
  #Spmod7_GAA_1011_R,
  #Spmod8_GAA_1011_R,
  Spmod9_GAA_1011_R,
  #Spmod10_GAA_1011_R,
  Spmod11_GAA_1011_R,
  #Spmod12_GAA_1011_R,
  #Spmod13_GAA_1011_R,
  #Spmod14_GAA_1011_R,
  Spmod15_GAA_1011_R,
  #Spmod16_GAA_1011_R,
  #Spmod17_GAA_1011_R,
  #Spmod18_GAA_1011_R,
  #Spmod19_GAA_1011_R,
  #Spmod20_GAA_1011_R,
  #Spmod21_GAA_1011_R,
  #Spmod22_GAA_1011_R,
  #Spmod23_GAA_1011_R,
  #Spmod24_GAA_1011_R,
  Spmod25_GAA_1011_R)))
  #Spmod26_GAA_1011_R,
  #Spmod27_GAA_1011_R,
  #Spmod28_GAA_1011_R,
  #Spmod29_GAA_1011_R,
  #Spmod30_GAA_1011_R,
  #Spmod31_GAA_1011_R,
  #Spmod32_GAA_1011_R,
  #Spmod33_GAA_1011_R,
  #Spmod34_GAA_1011_R,
  #Spmod35_GAA_1011_R,
  #Spmod36_GAA_1011_R,
  #Spmod37_GAA_1011_R,
  #Spmod38_GAA_1011_R,
  #Spmod39_GAA_1011_R,
  #Spmod40_GAA_1011_R,
  #Spmod41_GAA_1011_R,
  #Spmod42_GAA_1011_R,
  #Spmod43_GAA_1011_R,
  #Spmod44_GAA_1011_R,
  #Spmod45_GAA_1011_R,
  #Spmod46_GAA_1011_R,
  #Spmod47_GAA_1011_R,
  #Spmod48_GAA_1011_R,
  #Spmod49_GAA_1011_R,
  #Spmod50_GAA_1011_R,
  #Spmod51_GAA_1011_R,
  #Spmod52_GAA_1011_R,
  #Spmod53_GAA_1011_R,
  #Spmod54_GAA_1011_R,
  #Spmod55_GAA_1011_R,
  #Spmod56_GAA_1011_R,
  #Spmod57_GAA_1011_R,
  #Spmod58_GAA_1011_R,
  #Spmod59_GAA_1011_R,
  #Spmod60_GAA_1011_R,
  #Spmod61_GAA_1011_R,
  #Spmod62_GAA_1011_R,
  #Spmod63_GAA_1011_R,
  #Spmod64_GAA_1011_R,
  #Spmod65_GAA_1011_R)))
  
  G_1011_R2_N <- G_1011_R2[G_1011_R2$L3 == "N",]
  names(G_1011_R2_N)[1] <- "N"
  G_1011_R2_R2 <- G_1011_R2[G_1011_R2$L3 == "R2", ]
  names(G_1011_R2_R2)[1] <- "R2"
  G_1011_R2_MN <- G_1011_R2[G_1011_R2$L3 == "Modnames", ]
  names(G_1011_R2_MN)[1] <- "Modnames"   
  
  G_1011_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_1011_R2_N, G_1011_R2_R2, G_1011_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_1011_R2_r)[1] <- "Species"
  
  AIC_1011_G <- melt(SpAIC_GAA_1011, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_1011_G <- subset(AIC_1011_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_1011_G)[1] <- "Species"
  
  Results_1011_G <- merge(AIC_1011_G, G_1011_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_1011_G$exclusion <- "1011"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_1100", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_1100 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_1100 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_1100 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_1100_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v1100_species_G)){
  Spmod1_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod3_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod9_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod12_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod13_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod16_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod17_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod22_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod26_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod27_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod33_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod39_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod49_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_1100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_1100[[i]] <- list(Spmod1_GAA_1100[[i]],
                                  Spmod2_GAA_1100[[i]],
  
  Spmod3_GAA_1100[[i]],
  Spmod4_GAA_1100[[i]],
  #Spmod5_GAA_1100[[i]],
  #Spmod6_GAA_1100[[i]],
  Spmod7_GAA_1100[[i]],
  Spmod8_GAA_1100[[i]],
  Spmod9_GAA_1100[[i]],
  #Spmod10_GAA_1100[[i]],
  #Spmod11_GAA_1100[[i]],
  Spmod12_GAA_1100[[i]],
  Spmod13_GAA_1100[[i]],
  #Spmod14_GAA_1100[[i]],
  #Spmod15_GAA_1100[[i]],
  Spmod16_GAA_1100[[i]],
  Spmod17_GAA_1100[[i]],
  #Spmod18_GAA_1100[[i]],
  #Spmod19_GAA_1100[[i]],
  #Spmod20_GAA_1100[[i]],
  #Spmod21_GAA_1100[[i]],
  Spmod22_GAA_1100[[i]],
  #Spmod23_GAA_1100[[i]],
  #Spmod24_GAA_1100[[i]],
  #Spmod25_GAA_1100[[i]],
  Spmod26_GAA_1100[[i]],
  Spmod27_GAA_1100[[i]],
  #Spmod28_GAA_1100[[i]],
  #Spmod29_GAA_1100[[i]],
  #Spmod30_GAA_1100[[i]],
  #Spmod31_GAA_1100[[i]],
  #Spmod32_GAA_1100[[i]],
  Spmod33_GAA_1100[[i]],
  #Spmod34_GAA_1100[[i]],
  #Spmod35_GAA_1100[[i]],
  #Spmod36_GAA_1100[[i]],
  #Spmod37_GAA_1100[[i]],
  #Spmod38_GAA_1100[[i]],
  Spmod39_GAA_1100[[i]],
  #Spmod40_GAA_1100[[i]],
  #Spmod41_GAA_1100[[i]],
  #Spmod42_GAA_1100[[i]],
  #Spmod43_GAA_1100[[i]],
  #Spmod44_GAA_1100[[i]],
  #Spmod45_GAA_1100[[i]],
  #Spmod46_GAA_1100[[i]],
  #Spmod47_GAA_1100[[i]],
  #Spmod48_GAA_1100[[i]],
  Spmod49_GAA_1100[[i]])
  #Spmod50_GAA_1100[[i]],
  #Spmod51_GAA_1100[[i]],
  #Spmod52_GAA_1100[[i]],
  #Spmod53_GAA_1100[[i]],
  #Spmod54_GAA_1100[[i]],
  #Spmod55_GAA_1100[[i]],
  #Spmod56_GAA_1100[[i]],
  #Spmod57_GAA_1100[[i]],
  #Spmod58_GAA_1100[[i]],
  #Spmod59_GAA_1100[[i]],
  #Spmod60_GAA_1100[[i]],
  #Spmod61_GAA_1100[[i]],
  #Spmod62_GAA_1100[[i]],
  #Spmod63_GAA_1100[[i]],
  #Spmod64_GAA_1100[[i]],
  #Spmod65_GAA_1100[[i]])
  
  Modnames <-c("1",
               "2",
  "3",
  "4",
  #"5",
  #"6",
  "7",
  "8",
  "9",
  #"10",
  #"11",
  "12",
  "13",
  #"14",
  #"15",
  "16",
  "17",
  #"18",
  #"19",
  #"20",
  #"21",
  "22",
  #"23",
  #"24",
  #"25",
  "26",
  "27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  "33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  "39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  "49")
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_1100[[i]] <- aictab(cand.set= listall_GAA_1100[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod1_GAA_1100[[i]])
  Spmod2_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod2_GAA_1100[[i]])
  Spmod3_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod3_GAA_1100[[i]])
  Spmod4_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod4_GAA_1100[[i]])
  #Spmod5_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod5_GAA_1100[[i]])
  #Spmod6_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod6_GAA_1100[[i]])
  Spmod7_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod7_GAA_1100[[i]])
  Spmod8_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod8_GAA_1100[[i]])
  Spmod9_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod9_GAA_1100[[i]])
  #Spmod10_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod10_GAA_1100[[i]])
  #Spmod11_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod11_GAA_1100[[i]])
  Spmod12_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod12_GAA_1100[[i]])
  Spmod13_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod13_GAA_1100[[i]])
  #Spmod14_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod14_GAA_1100[[i]])
  #Spmod15_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod15_GAA_1100[[i]])
  Spmod16_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod16_GAA_1100[[i]])
  Spmod17_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod17_GAA_1100[[i]])
  #Spmod18_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod18_GAA_1100[[i]])
  #Spmod19_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod19_GAA_1100[[i]])
  #Spmod20_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod20_GAA_1100[[i]])
  #Spmod21_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod21_GAA_1100[[i]])
  Spmod22_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod22_GAA_1100[[i]])
  #Spmod23_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod23_GAA_1100[[i]])
  #Spmod24_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod24_GAA_1100[[i]])
  #Spmod25_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod25_GAA_1100[[i]])
  Spmod26_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod26_GAA_1100[[i]])
  Spmod27_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod27_GAA_1100[[i]])
  #Spmod28_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod28_GAA_1100[[i]])
  #Spmod29_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod29_GAA_1100[[i]])
  #Spmod30_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod30_GAA_1100[[i]])
  #Spmod31_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod31_GAA_1100[[i]])
  #Spmod32_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod32_GAA_1100[[i]])
  Spmod33_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod33_GAA_1100[[i]])
  #Spmod34_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod34_GAA_1100[[i]])
  #Spmod35_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod35_GAA_1100[[i]])
  #Spmod36_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod36_GAA_1100[[i]])
  #Spmod37_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod37_GAA_1100[[i]])
  #Spmod38_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod38_GAA_1100[[i]])
  Spmod39_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod39_GAA_1100[[i]])
  #Spmod40_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod40_GAA_1100[[i]])
  #Spmod41_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod41_GAA_1100[[i]])
  #Spmod42_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod42_GAA_1100[[i]])
  #Spmod43_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod43_GAA_1100[[i]])
  #Spmod44_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod44_GAA_1100[[i]])
  #Spmod45_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod45_GAA_1100[[i]])
  #Spmod46_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod46_GAA_1100[[i]])
  #Spmod47_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod47_GAA_1100[[i]])
  #Spmod48_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod48_GAA_1100[[i]])
  Spmod49_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod49_GAA_1100[[i]])
  #Spmod50_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod50_GAA_1100[[i]])
  #Spmod51_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod51_GAA_1100[[i]])
  #Spmod52_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod52_GAA_1100[[i]])
  #Spmod53_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod53_GAA_1100[[i]])
  #Spmod54_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod54_GAA_1100[[i]])
  #Spmod55_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod55_GAA_1100[[i]])
  #Spmod56_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod56_GAA_1100[[i]])
  #Spmod57_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod57_GAA_1100[[i]])
  #Spmod58_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod58_GAA_1100[[i]])
  #Spmod59_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod59_GAA_1100[[i]])
  #Spmod60_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod60_GAA_1100[[i]])
  #Spmod61_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod61_GAA_1100[[i]])
  #Spmod62_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod62_GAA_1100[[i]])
  #Spmod63_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod63_GAA_1100[[i]])
  #Spmod64_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod64_GAA_1100[[i]])
  #Spmod65_GAA_1100_R[[i]]<-NagelkerkeR2(Spmod65_GAA_1100[[i]])
  
  Spmod1_GAA_1100_R[[i]]$Modnames <-1
  Spmod2_GAA_1100_R[[i]]$Modnames <-2
  Spmod3_GAA_1100_R[[i]]$Modnames <-3
  Spmod4_GAA_1100_R[[i]]$Modnames <-4
  #Spmod5_GAA_1100_R[[i]]$Modnames <-5
  #Spmod6_GAA_1100_R[[i]]$Modnames <-6
  Spmod7_GAA_1100_R[[i]]$Modnames <-7
  Spmod8_GAA_1100_R[[i]]$Modnames <-8
  Spmod9_GAA_1100_R[[i]]$Modnames <-9
  #Spmod10_GAA_1100_R[[i]]$Modnames <-10
  #Spmod11_GAA_1100_R[[i]]$Modnames <-11
  Spmod12_GAA_1100_R[[i]]$Modnames <-12
  Spmod13_GAA_1100_R[[i]]$Modnames <-13
  #Spmod14_GAA_1100_R[[i]]$Modnames <-14
  #Spmod15_GAA_1100_R[[i]]$Modnames <-15
  Spmod16_GAA_1100_R[[i]]$Modnames <-16
  Spmod17_GAA_1100_R[[i]]$Modnames <-17
  #Spmod18_GAA_1100_R[[i]]$Modnames <-18
  #Spmod19_GAA_1100_R[[i]]$Modnames <-19
  #Spmod20_GAA_1100_R[[i]]$Modnames <-20
  #Spmod21_GAA_1100_R[[i]]$Modnames <-21
  Spmod22_GAA_1100_R[[i]]$Modnames <-22
  #Spmod23_GAA_1100_R[[i]]$Modnames <-23
  #Spmod24_GAA_1100_R[[i]]$Modnames <-24
  #Spmod25_GAA_1100_R[[i]]$Modnames <-25
  Spmod26_GAA_1100_R[[i]]$Modnames <-26
  Spmod27_GAA_1100_R[[i]]$Modnames <-27
  #Spmod28_GAA_1100_R[[i]]$Modnames <-28
  #Spmod29_GAA_1100_R[[i]]$Modnames <-29
  #Spmod30_GAA_1100_R[[i]]$Modnames <-30
  #Spmod31_GAA_1100_R[[i]]$Modnames <-31
  #Spmod32_GAA_1100_R[[i]]$Modnames <-32
  Spmod33_GAA_1100_R[[i]]$Modnames <-33
  #Spmod34_GAA_1100_R[[i]]$Modnames <-34
  #Spmod35_GAA_1100_R[[i]]$Modnames <-35
  #Spmod36_GAA_1100_R[[i]]$Modnames <-36
  #Spmod37_GAA_1100_R[[i]]$Modnames <-37
  #Spmod38_GAA_1100_R[[i]]$Modnames <-38
  Spmod39_GAA_1100_R[[i]]$Modnames <-39
  #Spmod40_GAA_1100_R[[i]]$Modnames <-40
  #Spmod41_GAA_1100_R[[i]]$Modnames <-41
  #Spmod42_GAA_1100_R[[i]]$Modnames <-42
  #Spmod43_GAA_1100_R[[i]]$Modnames <-43
  #Spmod44_GAA_1100_R[[i]]$Modnames <-44
  #Spmod45_GAA_1100_R[[i]]$Modnames <-45
  #Spmod46_GAA_1100_R[[i]]$Modnames <-46
  #Spmod47_GAA_1100_R[[i]]$Modnames <-47
  #Spmod48_GAA_1100_R[[i]]$Modnames <-48
  Spmod49_GAA_1100_R[[i]]$Modnames <-49
  #Spmod50_GAA_1100_R[[i]]$Modnames <-50
  #Spmod51_GAA_1100_R[[i]]$Modnames <-51
  #Spmod52_GAA_1100_R[[i]]$Modnames <-52
  #Spmod53_GAA_1100_R[[i]]$Modnames <-53
  #Spmod54_GAA_1100_R[[i]]$Modnames <-54
  #Spmod55_GAA_1100_R[[i]]$Modnames <-55
  #Spmod56_GAA_1100_R[[i]]$Modnames <-56
  #Spmod57_GAA_1100_R[[i]]$Modnames <-57
  #Spmod58_GAA_1100_R[[i]]$Modnames <-58
  #Spmod59_GAA_1100_R[[i]]$Modnames <-59
  #Spmod60_GAA_1100_R[[i]]$Modnames <-60
  #Spmod61_GAA_1100_R[[i]]$Modnames <-61
  #Spmod62_GAA_1100_R[[i]]$Modnames <-62
  #Spmod63_GAA_1100_R[[i]]$Modnames <-63
  #Spmod64_GAA_1100_R[[i]]$Modnames <-64
  #Spmod65_GAA_1100_R[[i]]$Modnames <-65
  
  modelavg_GAA_1100[[i]] <- model.avg(listall_GAA_1100[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_1100_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_1100_R,
  Spmod2_GAA_1100_R,
  Spmod3_GAA_1100_R,
  Spmod4_GAA_1100_R,
  #Spmod5_GAA_1100_R,
  #Spmod6_GAA_1100_R,
  Spmod7_GAA_1100_R,
  Spmod8_GAA_1100_R,
  Spmod9_GAA_1100_R,
  #Spmod10_GAA_1100_R,
  #Spmod11_GAA_1100_R,
  Spmod12_GAA_1100_R,
  Spmod13_GAA_1100_R,
  #Spmod14_GAA_1100_R,
  #Spmod15_GAA_1100_R,
  Spmod16_GAA_1100_R,
  Spmod17_GAA_1100_R,
  #Spmod18_GAA_1100_R,
  #Spmod19_GAA_1100_R,
  #Spmod20_GAA_1100_R,
  #Spmod21_GAA_1100_R,
  Spmod22_GAA_1100_R,
  #Spmod23_GAA_1100_R,
  #Spmod24_GAA_1100_R,
  #Spmod25_GAA_1100_R,
  Spmod26_GAA_1100_R,
  Spmod27_GAA_1100_R,
  #Spmod28_GAA_1100_R,
  #Spmod29_GAA_1100_R,
  #Spmod30_GAA_1100_R,
  #Spmod31_GAA_1100_R,
  #Spmod32_GAA_1100_R,
  Spmod33_GAA_1100_R,
  #Spmod34_GAA_1100_R,
  #Spmod35_GAA_1100_R,
  #Spmod36_GAA_1100_R,
  #Spmod37_GAA_1100_R,
  #Spmod38_GAA_1100_R,
  Spmod39_GAA_1100_R,
  #Spmod40_GAA_1100_R,
  #Spmod41_GAA_1100_R,
  #Spmod42_GAA_1100_R,
  #Spmod43_GAA_1100_R,
  #Spmod44_GAA_1100_R,
  #Spmod45_GAA_1100_R,
  #Spmod46_GAA_1100_R,
  #Spmod47_GAA_1100_R,
  #Spmod48_GAA_1100_R,
  Spmod49_GAA_1100_R)))
  #Spmod50_GAA_1100_R,
  #Spmod51_GAA_1100_R,
  #Spmod52_GAA_1100_R,
  #Spmod53_GAA_1100_R,
  #Spmod54_GAA_1100_R,
  #Spmod55_GAA_1100_R,
  #Spmod56_GAA_1100_R,
  #Spmod57_GAA_1100_R,
  #Spmod58_GAA_1100_R,
  #Spmod59_GAA_1100_R,
  #Spmod60_GAA_1100_R,
  #Spmod61_GAA_1100_R,
  #Spmod62_GAA_1100_R,
  #Spmod63_GAA_1100_R,
  #Spmod64_GAA_1100_R,
  #Spmod65_GAA_1100_R)))
  
  G_1100_R2_N <- G_1100_R2[G_1100_R2$L3 == "N",]
  names(G_1100_R2_N)[1] <- "N"
  G_1100_R2_R2 <- G_1100_R2[G_1100_R2$L3 == "R2", ]
  names(G_1100_R2_R2)[1] <- "R2"
  G_1100_R2_MN <- G_1100_R2[G_1100_R2$L3 == "Modnames", ]
  names(G_1100_R2_MN)[1] <- "Modnames"   
  
  G_1100_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_1100_R2_N, G_1100_R2_R2, G_1100_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_1100_R2_r)[1] <- "Species"
  
  AIC_1100_G <- melt(SpAIC_GAA_1100, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_1100_G <- subset(AIC_1100_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_1100_G)[1] <- "Species"
  
  Results_1100_G <- merge(AIC_1100_G, G_1100_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_1100_G$exclusion <- "1100"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_1101", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_1101 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_1101 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_1101 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_1101_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v1101_species_G)){
  Spmod1_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod3_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod9_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod12_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod16_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod26_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_1101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_1101[[i]] <- list(Spmod1_GAA_1101[[i]],
                                  Spmod2_GAA_1101[[i]],
  
  Spmod3_GAA_1101[[i]],
  Spmod4_GAA_1101[[i]],
  #Spmod5_GAA_1101[[i]],
  #Spmod6_GAA_1101[[i]],
  Spmod7_GAA_1101[[i]],
  #Spmod8_GAA_1101[[i]],
  Spmod9_GAA_1101[[i]],
  #Spmod10_GAA_1101[[i]],
  #Spmod11_GAA_1101[[i]],
  Spmod12_GAA_1101[[i]],
  #Spmod13_GAA_1101[[i]],
  #Spmod14_GAA_1101[[i]],
  #Spmod15_GAA_1101[[i]],
  Spmod16_GAA_1101[[i]],
  #Spmod17_GAA_1101[[i]],
  #Spmod18_GAA_1101[[i]],
  #Spmod19_GAA_1101[[i]],
  #Spmod20_GAA_1101[[i]],
  #Spmod21_GAA_1101[[i]],
  #Spmod22_GAA_1101[[i]],
  #Spmod23_GAA_1101[[i]],
  #Spmod24_GAA_1101[[i]],
  #Spmod25_GAA_1101[[i]],
  Spmod26_GAA_1101[[i]])
  #Spmod27_GAA_1101[[i]],
  #Spmod28_GAA_1101[[i]],
  #Spmod29_GAA_1101[[i]],
  #Spmod30_GAA_1101[[i]],
  #Spmod31_GAA_1101[[i]],
  #Spmod32_GAA_1101[[i]],
  #Spmod33_GAA_1101[[i]],
  #Spmod34_GAA_1101[[i]],
  #Spmod35_GAA_1101[[i]],
  #Spmod36_GAA_1101[[i]],
  #Spmod37_GAA_1101[[i]],
  #Spmod38_GAA_1101[[i]],
  #Spmod39_GAA_1101[[i]],
  #Spmod40_GAA_1101[[i]],
  #Spmod41_GAA_1101[[i]],
  #Spmod42_GAA_1101[[i]],
  #Spmod43_GAA_1101[[i]],
  #Spmod44_GAA_1101[[i]],
  #Spmod45_GAA_1101[[i]],
  #Spmod46_GAA_1101[[i]],
  #Spmod47_GAA_1101[[i]],
  #Spmod48_GAA_1101[[i]],
  #Spmod49_GAA_1101[[i]],
  #Spmod50_GAA_1101[[i]],
  #Spmod51_GAA_1101[[i]],
  #Spmod52_GAA_1101[[i]],
  #Spmod53_GAA_1101[[i]],
  #Spmod54_GAA_1101[[i]],
  #Spmod55_GAA_1101[[i]],
  #Spmod56_GAA_1101[[i]],
  #Spmod57_GAA_1101[[i]],
  #Spmod58_GAA_1101[[i]],
  #Spmod59_GAA_1101[[i]],
  #Spmod60_GAA_1101[[i]],
  #Spmod61_GAA_1101[[i]],
  #Spmod62_GAA_1101[[i]],
  #Spmod63_GAA_1101[[i]],
  #Spmod64_GAA_1101[[i]],
  #Spmod65_GAA_1101[[i]])
  
  Modnames <-c("1",
               "2",
  "3",
  "4",
  #"5",
  #"6",
  "7",
  #"8",
  "9",
  #"10",
  #"11",
  "12",
  #"13",
  #"14",
  #"15",
  "16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  "26")
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_1101[[i]] <- aictab(cand.set= listall_GAA_1101[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod1_GAA_1101[[i]])
  Spmod2_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod2_GAA_1101[[i]])
  Spmod3_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod3_GAA_1101[[i]])
  Spmod4_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod4_GAA_1101[[i]])
  #Spmod5_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod5_GAA_1101[[i]])
  #Spmod6_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod6_GAA_1101[[i]])
  Spmod7_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod7_GAA_1101[[i]])
  #Spmod8_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod8_GAA_1101[[i]])
  Spmod9_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod9_GAA_1101[[i]])
  #Spmod10_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod10_GAA_1101[[i]])
  #Spmod11_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod11_GAA_1101[[i]])
  Spmod12_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod12_GAA_1101[[i]])
  #Spmod13_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod13_GAA_1101[[i]])
  #Spmod14_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod14_GAA_1101[[i]])
  #Spmod15_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod15_GAA_1101[[i]])
  Spmod16_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod16_GAA_1101[[i]])
  #Spmod17_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod17_GAA_1101[[i]])
  #Spmod18_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod18_GAA_1101[[i]])
  #Spmod19_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod19_GAA_1101[[i]])
  #Spmod20_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod20_GAA_1101[[i]])
  #Spmod21_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod21_GAA_1101[[i]])
  #Spmod22_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod22_GAA_1101[[i]])
  #Spmod23_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod23_GAA_1101[[i]])
  #Spmod24_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod24_GAA_1101[[i]])
  #Spmod25_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod25_GAA_1101[[i]])
  Spmod26_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod26_GAA_1101[[i]])
  #Spmod27_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod27_GAA_1101[[i]])
  #Spmod28_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod28_GAA_1101[[i]])
  #Spmod29_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod29_GAA_1101[[i]])
  #Spmod30_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod30_GAA_1101[[i]])
  #Spmod31_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod31_GAA_1101[[i]])
  #Spmod32_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod32_GAA_1101[[i]])
  #Spmod33_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod33_GAA_1101[[i]])
  #Spmod34_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod34_GAA_1101[[i]])
  #Spmod35_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod35_GAA_1101[[i]])
  #Spmod36_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod36_GAA_1101[[i]])
  #Spmod37_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod37_GAA_1101[[i]])
  #Spmod38_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod38_GAA_1101[[i]])
  #Spmod39_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod39_GAA_1101[[i]])
  #Spmod40_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod40_GAA_1101[[i]])
  #Spmod41_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod41_GAA_1101[[i]])
  #Spmod42_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod42_GAA_1101[[i]])
  #Spmod43_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod43_GAA_1101[[i]])
  #Spmod44_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod44_GAA_1101[[i]])
  #Spmod45_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod45_GAA_1101[[i]])
  #Spmod46_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod46_GAA_1101[[i]])
  #Spmod47_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod47_GAA_1101[[i]])
  #Spmod48_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod48_GAA_1101[[i]])
  #Spmod49_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod49_GAA_1101[[i]])
  #Spmod50_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod50_GAA_1101[[i]])
  #Spmod51_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod51_GAA_1101[[i]])
  #Spmod52_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod52_GAA_1101[[i]])
  #Spmod53_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod53_GAA_1101[[i]])
  #Spmod54_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod54_GAA_1101[[i]])
  #Spmod55_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod55_GAA_1101[[i]])
  #Spmod56_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod56_GAA_1101[[i]])
  #Spmod57_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod57_GAA_1101[[i]])
  #Spmod58_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod58_GAA_1101[[i]])
  #Spmod59_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod59_GAA_1101[[i]])
  #Spmod60_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod60_GAA_1101[[i]])
  #Spmod61_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod61_GAA_1101[[i]])
  #Spmod62_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod62_GAA_1101[[i]])
  #Spmod63_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod63_GAA_1101[[i]])
  #Spmod64_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod64_GAA_1101[[i]])
  #Spmod65_GAA_1101_R[[i]]<-NagelkerkeR2(Spmod65_GAA_1101[[i]])
  
  Spmod1_GAA_1101_R[[i]]$Modnames <-1
  Spmod2_GAA_1101_R[[i]]$Modnames <-2
  Spmod3_GAA_1101_R[[i]]$Modnames <-3
  Spmod4_GAA_1101_R[[i]]$Modnames <-4
  #Spmod5_GAA_1101_R[[i]]$Modnames <-5
  #Spmod6_GAA_1101_R[[i]]$Modnames <-6
  Spmod7_GAA_1101_R[[i]]$Modnames <-7
  #Spmod8_GAA_1101_R[[i]]$Modnames <-8
  Spmod9_GAA_1101_R[[i]]$Modnames <-9
  #Spmod10_GAA_1101_R[[i]]$Modnames <-10
  #Spmod11_GAA_1101_R[[i]]$Modnames <-11
  Spmod12_GAA_1101_R[[i]]$Modnames <-12
  #Spmod13_GAA_1101_R[[i]]$Modnames <-13
  #Spmod14_GAA_1101_R[[i]]$Modnames <-14
  #Spmod15_GAA_1101_R[[i]]$Modnames <-15
  Spmod16_GAA_1101_R[[i]]$Modnames <-16
  #Spmod17_GAA_1101_R[[i]]$Modnames <-17
  #Spmod18_GAA_1101_R[[i]]$Modnames <-18
  #Spmod19_GAA_1101_R[[i]]$Modnames <-19
  #Spmod20_GAA_1101_R[[i]]$Modnames <-20
  #Spmod21_GAA_1101_R[[i]]$Modnames <-21
  #Spmod22_GAA_1101_R[[i]]$Modnames <-22
  #Spmod23_GAA_1101_R[[i]]$Modnames <-23
  #Spmod24_GAA_1101_R[[i]]$Modnames <-24
  #Spmod25_GAA_1101_R[[i]]$Modnames <-25
  Spmod26_GAA_1101_R[[i]]$Modnames <-26
  #Spmod27_GAA_1101_R[[i]]$Modnames <-27
  #Spmod28_GAA_1101_R[[i]]$Modnames <-28
  #Spmod29_GAA_1101_R[[i]]$Modnames <-29
  #Spmod30_GAA_1101_R[[i]]$Modnames <-30
  #Spmod31_GAA_1101_R[[i]]$Modnames <-31
  #Spmod32_GAA_1101_R[[i]]$Modnames <-32
  #Spmod33_GAA_1101_R[[i]]$Modnames <-33
  #Spmod34_GAA_1101_R[[i]]$Modnames <-34
  #Spmod35_GAA_1101_R[[i]]$Modnames <-35
  #Spmod36_GAA_1101_R[[i]]$Modnames <-36
  #Spmod37_GAA_1101_R[[i]]$Modnames <-37
  #Spmod38_GAA_1101_R[[i]]$Modnames <-38
  #Spmod39_GAA_1101_R[[i]]$Modnames <-39
  #Spmod40_GAA_1101_R[[i]]$Modnames <-40
  #Spmod41_GAA_1101_R[[i]]$Modnames <-41
  #Spmod42_GAA_1101_R[[i]]$Modnames <-42
  #Spmod43_GAA_1101_R[[i]]$Modnames <-43
  #Spmod44_GAA_1101_R[[i]]$Modnames <-44
  #Spmod45_GAA_1101_R[[i]]$Modnames <-45
  #Spmod46_GAA_1101_R[[i]]$Modnames <-46
  #Spmod47_GAA_1101_R[[i]]$Modnames <-47
  #Spmod48_GAA_1101_R[[i]]$Modnames <-48
  #Spmod49_GAA_1101_R[[i]]$Modnames <-49
  #Spmod50_GAA_1101_R[[i]]$Modnames <-50
  #Spmod51_GAA_1101_R[[i]]$Modnames <-51
  #Spmod52_GAA_1101_R[[i]]$Modnames <-52
  #Spmod53_GAA_1101_R[[i]]$Modnames <-53
  #Spmod54_GAA_1101_R[[i]]$Modnames <-54
  #Spmod55_GAA_1101_R[[i]]$Modnames <-55
  #Spmod56_GAA_1101_R[[i]]$Modnames <-56
  #Spmod57_GAA_1101_R[[i]]$Modnames <-57
  #Spmod58_GAA_1101_R[[i]]$Modnames <-58
  #Spmod59_GAA_1101_R[[i]]$Modnames <-59
  #Spmod60_GAA_1101_R[[i]]$Modnames <-60
  #Spmod61_GAA_1101_R[[i]]$Modnames <-61
  #Spmod62_GAA_1101_R[[i]]$Modnames <-62
  #Spmod63_GAA_1101_R[[i]]$Modnames <-63
  #Spmod64_GAA_1101_R[[i]]$Modnames <-64
  #Spmod65_GAA_1101_R[[i]]$Modnames <-65
  
  modelavg_GAA_1101[[i]] <- model.avg(listall_GAA_1101[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_1101_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_1101_R,
  Spmod2_GAA_1101_R,
  Spmod3_GAA_1101_R,
  Spmod4_GAA_1101_R,
  #Spmod5_GAA_1101_R,
  #Spmod6_GAA_1101_R,
  Spmod7_GAA_1101_R,
  #Spmod8_GAA_1101_R,
  Spmod9_GAA_1101_R,
  #Spmod10_GAA_1101_R,
  #Spmod11_GAA_1101_R,
  Spmod12_GAA_1101_R,
  #Spmod13_GAA_1101_R,
  #Spmod14_GAA_1101_R,
  #Spmod15_GAA_1101_R,
  Spmod16_GAA_1101_R,
  #Spmod17_GAA_1101_R,
  #Spmod18_GAA_1101_R,
  #Spmod19_GAA_1101_R,
  #Spmod20_GAA_1101_R,
  #Spmod21_GAA_1101_R,
  #Spmod22_GAA_1101_R,
  #Spmod23_GAA_1101_R,
  #Spmod24_GAA_1101_R,
  #Spmod25_GAA_1101_R,
  Spmod26_GAA_1101_R)))
  #Spmod27_GAA_1101_R,
  #Spmod28_GAA_1101_R,
  #Spmod29_GAA_1101_R,
  #Spmod30_GAA_1101_R,
  #Spmod31_GAA_1101_R,
  #Spmod32_GAA_1101_R,
  #Spmod33_GAA_1101_R,
  #Spmod34_GAA_1101_R,
  #Spmod35_GAA_1101_R,
  #Spmod36_GAA_1101_R,
  #Spmod37_GAA_1101_R,
  #Spmod38_GAA_1101_R,
  #Spmod39_GAA_1101_R,
  #Spmod40_GAA_1101_R,
  #Spmod41_GAA_1101_R,
  #Spmod42_GAA_1101_R,
  #Spmod43_GAA_1101_R,
  #Spmod44_GAA_1101_R,
  #Spmod45_GAA_1101_R,
  #Spmod46_GAA_1101_R,
  #Spmod47_GAA_1101_R,
  #Spmod48_GAA_1101_R,
  #Spmod49_GAA_1101_R,
  #Spmod50_GAA_1101_R,
  #Spmod51_GAA_1101_R,
  #Spmod52_GAA_1101_R,
  #Spmod53_GAA_1101_R,
  #Spmod54_GAA_1101_R,
  #Spmod55_GAA_1101_R,
  #Spmod56_GAA_1101_R,
  #Spmod57_GAA_1101_R,
  #Spmod58_GAA_1101_R,
  #Spmod59_GAA_1101_R,
  #Spmod60_GAA_1101_R,
  #Spmod61_GAA_1101_R,
  #Spmod62_GAA_1101_R,
  #Spmod63_GAA_1101_R,
  #Spmod64_GAA_1101_R,
  #Spmod65_GAA_1101_R)))
  
  G_1101_R2_N <- G_1101_R2[G_1101_R2$L3 == "N",]
  names(G_1101_R2_N)[1] <- "N"
  G_1101_R2_R2 <- G_1101_R2[G_1101_R2$L3 == "R2", ]
  names(G_1101_R2_R2)[1] <- "R2"
  G_1101_R2_MN <- G_1101_R2[G_1101_R2$L3 == "Modnames", ]
  names(G_1101_R2_MN)[1] <- "Modnames"   
  
  G_1101_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_1101_R2_N, G_1101_R2_R2, G_1101_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_1101_R2_r)[1] <- "Species"
  
  AIC_1101_G <- melt(SpAIC_GAA_1101, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_1101_G <- subset(AIC_1101_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_1101_G)[1] <- "Species"
  
  Results_1101_G <- merge(AIC_1101_G, G_1101_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_1101_G$exclusion <- "1101"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_1111", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_1111 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_1111 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_1111 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_1111_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v1111_species_G)){
  Spmod1_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod3_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod9_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_1111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_1111[[i]] <- list(Spmod1_GAA_1111[[i]],
                                  Spmod2_GAA_1111[[i]],
  
  Spmod3_GAA_1111[[i]],
  Spmod4_GAA_1111[[i]],
  #Spmod5_GAA_1111[[i]],
  #Spmod6_GAA_1111[[i]],
  #Spmod7_GAA_1111[[i]],
  #Spmod8_GAA_1111[[i]],
  Spmod9_GAA_1111[[i]])
  #Spmod10_GAA_1111[[i]],
  #Spmod11_GAA_1111[[i]],
  #Spmod12_GAA_1111[[i]],
  #Spmod13_GAA_1111[[i]],
  #Spmod14_GAA_1111[[i]],
  #Spmod15_GAA_1111[[i]],
  #Spmod16_GAA_1111[[i]],
  #Spmod17_GAA_1111[[i]],
  #Spmod18_GAA_1111[[i]],
  #Spmod19_GAA_1111[[i]],
  #Spmod20_GAA_1111[[i]],
  #Spmod21_GAA_1111[[i]],
  #Spmod22_GAA_1111[[i]],
  #Spmod23_GAA_1111[[i]],
  #Spmod24_GAA_1111[[i]],
  #Spmod25_GAA_1111[[i]],
  #Spmod26_GAA_1111[[i]],
  #Spmod27_GAA_1111[[i]],
  #Spmod28_GAA_1111[[i]],
  #Spmod29_GAA_1111[[i]],
  #Spmod30_GAA_1111[[i]],
  #Spmod31_GAA_1111[[i]],
  #Spmod32_GAA_1111[[i]],
  #Spmod33_GAA_1111[[i]],
  #Spmod34_GAA_1111[[i]],
  #Spmod35_GAA_1111[[i]],
  #Spmod36_GAA_1111[[i]],
  #Spmod37_GAA_1111[[i]],
  #Spmod38_GAA_1111[[i]],
  #Spmod39_GAA_1111[[i]],
  #Spmod40_GAA_1111[[i]],
  #Spmod41_GAA_1111[[i]],
  #Spmod42_GAA_1111[[i]],
  #Spmod43_GAA_1111[[i]],
  #Spmod44_GAA_1111[[i]],
  #Spmod45_GAA_1111[[i]],
  #Spmod46_GAA_1111[[i]],
  #Spmod47_GAA_1111[[i]],
  #Spmod48_GAA_1111[[i]],
  #Spmod49_GAA_1111[[i]],
  #Spmod50_GAA_1111[[i]],
  #Spmod51_GAA_1111[[i]],
  #Spmod52_GAA_1111[[i]],
  #Spmod53_GAA_1111[[i]],
  #Spmod54_GAA_1111[[i]],
  #Spmod55_GAA_1111[[i]],
  #Spmod56_GAA_1111[[i]],
  #Spmod57_GAA_1111[[i]],
  #Spmod58_GAA_1111[[i]],
  #Spmod59_GAA_1111[[i]],
  #Spmod60_GAA_1111[[i]],
  #Spmod61_GAA_1111[[i]],
  #Spmod62_GAA_1111[[i]],
  #Spmod63_GAA_1111[[i]],
  #Spmod64_GAA_1111[[i]],
  #Spmod65_GAA_1111[[i]])
  
  Modnames <-c("1",
               "2",
  "3",
  "4",
  #"5",
  #"6",
  #"7",
  #"8",
  "9")
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_1111[[i]] <- aictab(cand.set= listall_GAA_1111[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod1_GAA_1111[[i]])
  Spmod2_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod2_GAA_1111[[i]])
  Spmod3_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod3_GAA_1111[[i]])
  Spmod4_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod4_GAA_1111[[i]])
  #Spmod5_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod5_GAA_1111[[i]])
  #Spmod6_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod6_GAA_1111[[i]])
  #Spmod7_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod7_GAA_1111[[i]])
  #Spmod8_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod8_GAA_1111[[i]])
  Spmod9_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod9_GAA_1111[[i]])
  #Spmod10_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod10_GAA_1111[[i]])
  #Spmod11_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod11_GAA_1111[[i]])
  #Spmod12_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod12_GAA_1111[[i]])
  #Spmod13_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod13_GAA_1111[[i]])
  #Spmod14_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod14_GAA_1111[[i]])
  #Spmod15_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod15_GAA_1111[[i]])
  #Spmod16_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod16_GAA_1111[[i]])
  #Spmod17_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod17_GAA_1111[[i]])
  #Spmod18_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod18_GAA_1111[[i]])
  #Spmod19_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod19_GAA_1111[[i]])
  #Spmod20_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod20_GAA_1111[[i]])
  #Spmod21_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod21_GAA_1111[[i]])
  #Spmod22_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod22_GAA_1111[[i]])
  #Spmod23_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod23_GAA_1111[[i]])
  #Spmod24_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod24_GAA_1111[[i]])
  #Spmod25_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod25_GAA_1111[[i]])
  #Spmod26_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod26_GAA_1111[[i]])
  #Spmod27_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod27_GAA_1111[[i]])
  #Spmod28_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod28_GAA_1111[[i]])
  #Spmod29_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod29_GAA_1111[[i]])
  #Spmod30_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod30_GAA_1111[[i]])
  #Spmod31_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod31_GAA_1111[[i]])
  #Spmod32_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod32_GAA_1111[[i]])
  #Spmod33_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod33_GAA_1111[[i]])
  #Spmod34_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod34_GAA_1111[[i]])
  #Spmod35_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod35_GAA_1111[[i]])
  #Spmod36_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod36_GAA_1111[[i]])
  #Spmod37_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod37_GAA_1111[[i]])
  #Spmod38_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod38_GAA_1111[[i]])
  #Spmod39_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod39_GAA_1111[[i]])
  #Spmod40_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod40_GAA_1111[[i]])
  #Spmod41_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod41_GAA_1111[[i]])
  #Spmod42_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod42_GAA_1111[[i]])
  #Spmod43_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod43_GAA_1111[[i]])
  #Spmod44_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod44_GAA_1111[[i]])
  #Spmod45_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod45_GAA_1111[[i]])
  #Spmod46_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod46_GAA_1111[[i]])
  #Spmod47_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod47_GAA_1111[[i]])
  #Spmod48_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod48_GAA_1111[[i]])
  #Spmod49_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod49_GAA_1111[[i]])
  #Spmod50_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod50_GAA_1111[[i]])
  #Spmod51_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod51_GAA_1111[[i]])
  #Spmod52_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod52_GAA_1111[[i]])
  #Spmod53_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod53_GAA_1111[[i]])
  #Spmod54_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod54_GAA_1111[[i]])
  #Spmod55_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod55_GAA_1111[[i]])
  #Spmod56_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod56_GAA_1111[[i]])
  #Spmod57_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod57_GAA_1111[[i]])
  #Spmod58_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod58_GAA_1111[[i]])
  #Spmod59_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod59_GAA_1111[[i]])
  #Spmod60_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod60_GAA_1111[[i]])
  #Spmod61_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod61_GAA_1111[[i]])
  #Spmod62_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod62_GAA_1111[[i]])
  #Spmod63_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod63_GAA_1111[[i]])
  #Spmod64_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod64_GAA_1111[[i]])
  #Spmod65_GAA_1111_R[[i]]<-NagelkerkeR2(Spmod65_GAA_1111[[i]])
  
  Spmod1_GAA_1111_R[[i]]$Modnames <-1
  Spmod2_GAA_1111_R[[i]]$Modnames <-2
  Spmod3_GAA_1111_R[[i]]$Modnames <-3
  Spmod4_GAA_1111_R[[i]]$Modnames <-4
  #Spmod5_GAA_1111_R[[i]]$Modnames <-5
  #Spmod6_GAA_1111_R[[i]]$Modnames <-6
  #Spmod7_GAA_1111_R[[i]]$Modnames <-7
  #Spmod8_GAA_1111_R[[i]]$Modnames <-8
  Spmod9_GAA_1111_R[[i]]$Modnames <-9
  #Spmod10_GAA_1111_R[[i]]$Modnames <-10
  #Spmod11_GAA_1111_R[[i]]$Modnames <-11
  #Spmod12_GAA_1111_R[[i]]$Modnames <-12
  #Spmod13_GAA_1111_R[[i]]$Modnames <-13
  #Spmod14_GAA_1111_R[[i]]$Modnames <-14
  #Spmod15_GAA_1111_R[[i]]$Modnames <-15
  #Spmod16_GAA_1111_R[[i]]$Modnames <-16
  #Spmod17_GAA_1111_R[[i]]$Modnames <-17
  #Spmod18_GAA_1111_R[[i]]$Modnames <-18
  #Spmod19_GAA_1111_R[[i]]$Modnames <-19
  #Spmod20_GAA_1111_R[[i]]$Modnames <-20
  #Spmod21_GAA_1111_R[[i]]$Modnames <-21
  #Spmod22_GAA_1111_R[[i]]$Modnames <-22
  #Spmod23_GAA_1111_R[[i]]$Modnames <-23
  #Spmod24_GAA_1111_R[[i]]$Modnames <-24
  #Spmod25_GAA_1111_R[[i]]$Modnames <-25
  #Spmod26_GAA_1111_R[[i]]$Modnames <-26
  #Spmod27_GAA_1111_R[[i]]$Modnames <-27
  #Spmod28_GAA_1111_R[[i]]$Modnames <-28
  #Spmod29_GAA_1111_R[[i]]$Modnames <-29
  #Spmod30_GAA_1111_R[[i]]$Modnames <-30
  #Spmod31_GAA_1111_R[[i]]$Modnames <-31
  #Spmod32_GAA_1111_R[[i]]$Modnames <-32
  #Spmod33_GAA_1111_R[[i]]$Modnames <-33
  #Spmod34_GAA_1111_R[[i]]$Modnames <-34
  #Spmod35_GAA_1111_R[[i]]$Modnames <-35
  #Spmod36_GAA_1111_R[[i]]$Modnames <-36
  #Spmod37_GAA_1111_R[[i]]$Modnames <-37
  #Spmod38_GAA_1111_R[[i]]$Modnames <-38
  #Spmod39_GAA_1111_R[[i]]$Modnames <-39
  #Spmod40_GAA_1111_R[[i]]$Modnames <-40
  #Spmod41_GAA_1111_R[[i]]$Modnames <-41
  #Spmod42_GAA_1111_R[[i]]$Modnames <-42
  #Spmod43_GAA_1111_R[[i]]$Modnames <-43
  #Spmod44_GAA_1111_R[[i]]$Modnames <-44
  #Spmod45_GAA_1111_R[[i]]$Modnames <-45
  #Spmod46_GAA_1111_R[[i]]$Modnames <-46
  #Spmod47_GAA_1111_R[[i]]$Modnames <-47
  #Spmod48_GAA_1111_R[[i]]$Modnames <-48
  #Spmod49_GAA_1111_R[[i]]$Modnames <-49
  #Spmod50_GAA_1111_R[[i]]$Modnames <-50
  #Spmod51_GAA_1111_R[[i]]$Modnames <-51
  #Spmod52_GAA_1111_R[[i]]$Modnames <-52
  #Spmod53_GAA_1111_R[[i]]$Modnames <-53
  #Spmod54_GAA_1111_R[[i]]$Modnames <-54
  #Spmod55_GAA_1111_R[[i]]$Modnames <-55
  #Spmod56_GAA_1111_R[[i]]$Modnames <-56
  #Spmod57_GAA_1111_R[[i]]$Modnames <-57
  #Spmod58_GAA_1111_R[[i]]$Modnames <-58
  #Spmod59_GAA_1111_R[[i]]$Modnames <-59
  #Spmod60_GAA_1111_R[[i]]$Modnames <-60
  #Spmod61_GAA_1111_R[[i]]$Modnames <-61
  #Spmod62_GAA_1111_R[[i]]$Modnames <-62
  #Spmod63_GAA_1111_R[[i]]$Modnames <-63
  #Spmod64_GAA_1111_R[[i]]$Modnames <-64
  #Spmod65_GAA_1111_R[[i]]$Modnames <-65
  
  modelavg_GAA_1111[[i]] <- model.avg(listall_GAA_1111[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_1111_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_1111_R,
  Spmod2_GAA_1111_R,
  Spmod3_GAA_1111_R,
  Spmod4_GAA_1111_R,
  #Spmod5_GAA_1111_R,
  #Spmod6_GAA_1111_R,
  #Spmod7_GAA_1111_R,
  #Spmod8_GAA_1111_R,
  Spmod9_GAA_1111_R)))
  #Spmod10_GAA_1111_R,
  #Spmod11_GAA_1111_R,
  #Spmod12_GAA_1111_R,
  #Spmod13_GAA_1111_R,
  #Spmod14_GAA_1111_R,
  #Spmod15_GAA_1111_R,
  #Spmod16_GAA_1111_R,
  #Spmod17_GAA_1111_R,
  #Spmod18_GAA_1111_R,
  #Spmod19_GAA_1111_R,
  #Spmod20_GAA_1111_R,
  #Spmod21_GAA_1111_R,
  #Spmod22_GAA_1111_R,
  #Spmod23_GAA_1111_R,
  #Spmod24_GAA_1111_R,
  #Spmod25_GAA_1111_R,
  #Spmod26_GAA_1111_R,
  #Spmod27_GAA_1111_R,
  #Spmod28_GAA_1111_R,
  #Spmod29_GAA_1111_R,
  #Spmod30_GAA_1111_R,
  #Spmod31_GAA_1111_R,
  #Spmod32_GAA_1111_R,
  #Spmod33_GAA_1111_R,
  #Spmod34_GAA_1111_R,
  #Spmod35_GAA_1111_R,
  #Spmod36_GAA_1111_R,
  #Spmod37_GAA_1111_R,
  #Spmod38_GAA_1111_R,
  #Spmod39_GAA_1111_R,
  #Spmod40_GAA_1111_R,
  #Spmod41_GAA_1111_R,
  #Spmod42_GAA_1111_R,
  #Spmod43_GAA_1111_R,
  #Spmod44_GAA_1111_R,
  #Spmod45_GAA_1111_R,
  #Spmod46_GAA_1111_R,
  #Spmod47_GAA_1111_R,
  #Spmod48_GAA_1111_R,
  #Spmod49_GAA_1111_R,
  #Spmod50_GAA_1111_R,
  #Spmod51_GAA_1111_R,
  #Spmod52_GAA_1111_R,
  #Spmod53_GAA_1111_R,
  #Spmod54_GAA_1111_R,
  #Spmod55_GAA_1111_R,
  #Spmod56_GAA_1111_R,
  #Spmod57_GAA_1111_R,
  #Spmod58_GAA_1111_R,
  #Spmod59_GAA_1111_R,
  #Spmod60_GAA_1111_R,
  #Spmod61_GAA_1111_R,
  #Spmod62_GAA_1111_R,
  #Spmod63_GAA_1111_R,
  #Spmod64_GAA_1111_R,
  #Spmod65_GAA_1111_R)))
  
  G_1111_R2_N <- G_1111_R2[G_1111_R2$L3 == "N",]
  names(G_1111_R2_N)[1] <- "N"
  G_1111_R2_R2 <- G_1111_R2[G_1111_R2$L3 == "R2", ]
  names(G_1111_R2_R2)[1] <- "R2"
  G_1111_R2_MN <- G_1111_R2[G_1111_R2$L3 == "Modnames", ]
  names(G_1111_R2_MN)[1] <- "Modnames"   
  
  G_1111_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_1111_R2_N, G_1111_R2_R2, G_1111_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_1111_R2_r)[1] <- "Species"
  
  AIC_1111_G <- melt(SpAIC_GAA_1111, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_1111_G <- subset(AIC_1111_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_1111_G)[1] <- "Species"
  
  Results_1111_G <- merge(AIC_1111_G, G_1111_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_1111_G$exclusion <- "1111"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_10011", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_10011 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_10011 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_10011 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_10011_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v10011_species_G)){
  Spmod1_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod3_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod5_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod6_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod10_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod11_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod18_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod28_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_10011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_10011[[i]] <- list(Spmod1_GAA_10011[[i]],
                                  Spmod2_GAA_10011[[i]],
  
  Spmod3_GAA_10011[[i]],
  #Spmod4_GAA_10011[[i]],
  Spmod5_GAA_10011[[i]],
  Spmod6_GAA_10011[[i]],
  #Spmod7_GAA_10011[[i]],
  #Spmod8_GAA_10011[[i]],
  #Spmod9_GAA_10011[[i]],
  Spmod10_GAA_10011[[i]],
  Spmod11_GAA_10011[[i]],
  #Spmod12_GAA_10011[[i]],
  #Spmod13_GAA_10011[[i]],
  #Spmod14_GAA_10011[[i]],
  #Spmod15_GAA_10011[[i]],
  #Spmod16_GAA_10011[[i]],
  #Spmod17_GAA_10011[[i]],
  Spmod18_GAA_10011[[i]],
  #Spmod19_GAA_10011[[i]],
  #Spmod20_GAA_10011[[i]],
  #Spmod21_GAA_10011[[i]],
  #Spmod22_GAA_10011[[i]],
  #Spmod23_GAA_10011[[i]],
  #Spmod24_GAA_10011[[i]],
  #Spmod25_GAA_10011[[i]],
  #Spmod26_GAA_10011[[i]],
  #Spmod27_GAA_10011[[i]],
  Spmod28_GAA_10011[[i]])
  #Spmod29_GAA_10011[[i]],
  #Spmod30_GAA_10011[[i]],
  #Spmod31_GAA_10011[[i]],
  #Spmod32_GAA_10011[[i]],
  #Spmod33_GAA_10011[[i]],
  #Spmod34_GAA_10011[[i]],
  #Spmod35_GAA_10011[[i]],
  #Spmod36_GAA_10011[[i]],
  #Spmod37_GAA_10011[[i]],
  #Spmod38_GAA_10011[[i]],
  #Spmod39_GAA_10011[[i]],
  #Spmod40_GAA_10011[[i]],
  #Spmod41_GAA_10011[[i]],
  #Spmod42_GAA_10011[[i]],
  #Spmod43_GAA_10011[[i]],
  #Spmod44_GAA_10011[[i]],
  #Spmod45_GAA_10011[[i]],
  #Spmod46_GAA_10011[[i]],
  #Spmod47_GAA_10011[[i]],
  #Spmod48_GAA_10011[[i]],
  #Spmod49_GAA_10011[[i]],
  #Spmod50_GAA_10011[[i]],
  #Spmod51_GAA_10011[[i]],
  #Spmod52_GAA_10011[[i]],
  #Spmod53_GAA_10011[[i]],
  #Spmod54_GAA_10011[[i]],
  #Spmod55_GAA_10011[[i]],
  #Spmod56_GAA_10011[[i]],
  #Spmod57_GAA_10011[[i]],
  #Spmod58_GAA_10011[[i]],
  #Spmod59_GAA_10011[[i]],
  #Spmod60_GAA_10011[[i]],
  #Spmod61_GAA_10011[[i]],
  #Spmod62_GAA_10011[[i]],
  #Spmod63_GAA_10011[[i]],
  #Spmod64_GAA_10011[[i]],
  #Spmod65_GAA_10011[[i]])
  
  Modnames <-c("1",
               "2",
  "3",
  #"4",
  "5",
  "6",
  #"7",
  #"8",
  #"9",
  "10",
  "11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  "18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  "28")
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_10011[[i]] <- aictab(cand.set= listall_GAA_10011[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod1_GAA_10011[[i]])
  Spmod2_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod2_GAA_10011[[i]])
  Spmod3_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod3_GAA_10011[[i]])
  #Spmod4_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod4_GAA_10011[[i]])
  Spmod5_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod5_GAA_10011[[i]])
  Spmod6_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod6_GAA_10011[[i]])
  #Spmod7_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod7_GAA_10011[[i]])
  #Spmod8_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod8_GAA_10011[[i]])
  #Spmod9_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod9_GAA_10011[[i]])
  Spmod10_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod10_GAA_10011[[i]])
  Spmod11_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod11_GAA_10011[[i]])
  #Spmod12_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod12_GAA_10011[[i]])
  #Spmod13_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod13_GAA_10011[[i]])
  #Spmod14_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod14_GAA_10011[[i]])
  #Spmod15_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod15_GAA_10011[[i]])
  #Spmod16_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod16_GAA_10011[[i]])
  #Spmod17_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod17_GAA_10011[[i]])
  Spmod18_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod18_GAA_10011[[i]])
  #Spmod19_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod19_GAA_10011[[i]])
  #Spmod20_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod20_GAA_10011[[i]])
  #Spmod21_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod21_GAA_10011[[i]])
  #Spmod22_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod22_GAA_10011[[i]])
  #Spmod23_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod23_GAA_10011[[i]])
  #Spmod24_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod24_GAA_10011[[i]])
  #Spmod25_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod25_GAA_10011[[i]])
  #Spmod26_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod26_GAA_10011[[i]])
  #Spmod27_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod27_GAA_10011[[i]])
  Spmod28_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod28_GAA_10011[[i]])
  #Spmod29_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod29_GAA_10011[[i]])
  #Spmod30_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod30_GAA_10011[[i]])
  #Spmod31_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod31_GAA_10011[[i]])
  #Spmod32_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod32_GAA_10011[[i]])
  #Spmod33_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod33_GAA_10011[[i]])
  #Spmod34_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod34_GAA_10011[[i]])
  #Spmod35_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod35_GAA_10011[[i]])
  #Spmod36_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod36_GAA_10011[[i]])
  #Spmod37_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod37_GAA_10011[[i]])
  #Spmod38_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod38_GAA_10011[[i]])
  #Spmod39_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod39_GAA_10011[[i]])
  #Spmod40_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod40_GAA_10011[[i]])
  #Spmod41_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod41_GAA_10011[[i]])
  #Spmod42_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod42_GAA_10011[[i]])
  #Spmod43_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod43_GAA_10011[[i]])
  #Spmod44_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod44_GAA_10011[[i]])
  #Spmod45_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod45_GAA_10011[[i]])
  #Spmod46_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod46_GAA_10011[[i]])
  #Spmod47_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod47_GAA_10011[[i]])
  #Spmod48_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod48_GAA_10011[[i]])
  #Spmod49_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod49_GAA_10011[[i]])
  #Spmod50_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod50_GAA_10011[[i]])
  #Spmod51_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod51_GAA_10011[[i]])
  #Spmod52_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod52_GAA_10011[[i]])
  #Spmod53_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod53_GAA_10011[[i]])
  #Spmod54_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod54_GAA_10011[[i]])
  #Spmod55_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod55_GAA_10011[[i]])
  #Spmod56_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod56_GAA_10011[[i]])
  #Spmod57_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod57_GAA_10011[[i]])
  #Spmod58_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod58_GAA_10011[[i]])
  #Spmod59_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod59_GAA_10011[[i]])
  #Spmod60_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod60_GAA_10011[[i]])
  #Spmod61_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod61_GAA_10011[[i]])
  #Spmod62_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod62_GAA_10011[[i]])
  #Spmod63_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod63_GAA_10011[[i]])
  #Spmod64_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod64_GAA_10011[[i]])
  #Spmod65_GAA_10011_R[[i]]<-NagelkerkeR2(Spmod65_GAA_10011[[i]])
  
  Spmod1_GAA_10011_R[[i]]$Modnames <-1
  Spmod2_GAA_10011_R[[i]]$Modnames <-2
  Spmod3_GAA_10011_R[[i]]$Modnames <-3
  #Spmod4_GAA_10011_R[[i]]$Modnames <-4
  Spmod5_GAA_10011_R[[i]]$Modnames <-5
  Spmod6_GAA_10011_R[[i]]$Modnames <-6
  #Spmod7_GAA_10011_R[[i]]$Modnames <-7
  #Spmod8_GAA_10011_R[[i]]$Modnames <-8
  #Spmod9_GAA_10011_R[[i]]$Modnames <-9
  Spmod10_GAA_10011_R[[i]]$Modnames <-10
  Spmod11_GAA_10011_R[[i]]$Modnames <-11
  #Spmod12_GAA_10011_R[[i]]$Modnames <-12
  #Spmod13_GAA_10011_R[[i]]$Modnames <-13
  #Spmod14_GAA_10011_R[[i]]$Modnames <-14
  #Spmod15_GAA_10011_R[[i]]$Modnames <-15
  #Spmod16_GAA_10011_R[[i]]$Modnames <-16
  #Spmod17_GAA_10011_R[[i]]$Modnames <-17
  Spmod18_GAA_10011_R[[i]]$Modnames <-18
  #Spmod19_GAA_10011_R[[i]]$Modnames <-19
  #Spmod20_GAA_10011_R[[i]]$Modnames <-20
  #Spmod21_GAA_10011_R[[i]]$Modnames <-21
  #Spmod22_GAA_10011_R[[i]]$Modnames <-22
  #Spmod23_GAA_10011_R[[i]]$Modnames <-23
  #Spmod24_GAA_10011_R[[i]]$Modnames <-24
  #Spmod25_GAA_10011_R[[i]]$Modnames <-25
  #Spmod26_GAA_10011_R[[i]]$Modnames <-26
  #Spmod27_GAA_10011_R[[i]]$Modnames <-27
  Spmod28_GAA_10011_R[[i]]$Modnames <-28
  #Spmod29_GAA_10011_R[[i]]$Modnames <-29
  #Spmod30_GAA_10011_R[[i]]$Modnames <-30
  #Spmod31_GAA_10011_R[[i]]$Modnames <-31
  #Spmod32_GAA_10011_R[[i]]$Modnames <-32
  #Spmod33_GAA_10011_R[[i]]$Modnames <-33
  #Spmod34_GAA_10011_R[[i]]$Modnames <-34
  #Spmod35_GAA_10011_R[[i]]$Modnames <-35
  #Spmod36_GAA_10011_R[[i]]$Modnames <-36
  #Spmod37_GAA_10011_R[[i]]$Modnames <-37
  #Spmod38_GAA_10011_R[[i]]$Modnames <-38
  #Spmod39_GAA_10011_R[[i]]$Modnames <-39
  #Spmod40_GAA_10011_R[[i]]$Modnames <-40
  #Spmod41_GAA_10011_R[[i]]$Modnames <-41
  #Spmod42_GAA_10011_R[[i]]$Modnames <-42
  #Spmod43_GAA_10011_R[[i]]$Modnames <-43
  #Spmod44_GAA_10011_R[[i]]$Modnames <-44
  #Spmod45_GAA_10011_R[[i]]$Modnames <-45
  #Spmod46_GAA_10011_R[[i]]$Modnames <-46
  #Spmod47_GAA_10011_R[[i]]$Modnames <-47
  #Spmod48_GAA_10011_R[[i]]$Modnames <-48
  #Spmod49_GAA_10011_R[[i]]$Modnames <-49
  #Spmod50_GAA_10011_R[[i]]$Modnames <-50
  #Spmod51_GAA_10011_R[[i]]$Modnames <-51
  #Spmod52_GAA_10011_R[[i]]$Modnames <-52
  #Spmod53_GAA_10011_R[[i]]$Modnames <-53
  #Spmod54_GAA_10011_R[[i]]$Modnames <-54
  #Spmod55_GAA_10011_R[[i]]$Modnames <-55
  #Spmod56_GAA_10011_R[[i]]$Modnames <-56
  #Spmod57_GAA_10011_R[[i]]$Modnames <-57
  #Spmod58_GAA_10011_R[[i]]$Modnames <-58
  #Spmod59_GAA_10011_R[[i]]$Modnames <-59
  #Spmod60_GAA_10011_R[[i]]$Modnames <-60
  #Spmod61_GAA_10011_R[[i]]$Modnames <-61
  #Spmod62_GAA_10011_R[[i]]$Modnames <-62
  #Spmod63_GAA_10011_R[[i]]$Modnames <-63
  #Spmod64_GAA_10011_R[[i]]$Modnames <-64
  #Spmod65_GAA_10011_R[[i]]$Modnames <-65
  
  modelavg_GAA_10011[[i]] <- model.avg(listall_GAA_10011[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_10011_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_10011_R,
  Spmod2_GAA_10011_R,
  Spmod3_GAA_10011_R,
  #Spmod4_GAA_10011_R,
  Spmod5_GAA_10011_R,
  Spmod6_GAA_10011_R,
  #Spmod7_GAA_10011_R,
  #Spmod8_GAA_10011_R,
  #Spmod9_GAA_10011_R,
  Spmod10_GAA_10011_R,
  Spmod11_GAA_10011_R,
  #Spmod12_GAA_10011_R,
  #Spmod13_GAA_10011_R,
  #Spmod14_GAA_10011_R,
  #Spmod15_GAA_10011_R,
  #Spmod16_GAA_10011_R,
  #Spmod17_GAA_10011_R,
  Spmod18_GAA_10011_R,
  #Spmod19_GAA_10011_R,
  #Spmod20_GAA_10011_R,
  #Spmod21_GAA_10011_R,
  #Spmod22_GAA_10011_R,
  #Spmod23_GAA_10011_R,
  #Spmod24_GAA_10011_R,
  #Spmod25_GAA_10011_R,
  #Spmod26_GAA_10011_R,
  #Spmod27_GAA_10011_R,
  Spmod28_GAA_10011_R)))
  #Spmod29_GAA_10011_R,
  #Spmod30_GAA_10011_R,
  #Spmod31_GAA_10011_R,
  #Spmod32_GAA_10011_R,
  #Spmod33_GAA_10011_R,
  #Spmod34_GAA_10011_R,
  #Spmod35_GAA_10011_R,
  #Spmod36_GAA_10011_R,
  #Spmod37_GAA_10011_R,
  #Spmod38_GAA_10011_R,
  #Spmod39_GAA_10011_R,
  #Spmod40_GAA_10011_R,
  #Spmod41_GAA_10011_R,
  #Spmod42_GAA_10011_R,
  #Spmod43_GAA_10011_R,
  #Spmod44_GAA_10011_R,
  #Spmod45_GAA_10011_R,
  #Spmod46_GAA_10011_R,
  #Spmod47_GAA_10011_R,
  #Spmod48_GAA_10011_R,
  #Spmod49_GAA_10011_R,
  #Spmod50_GAA_10011_R,
  #Spmod51_GAA_10011_R,
  #Spmod52_GAA_10011_R,
  #Spmod53_GAA_10011_R,
  #Spmod54_GAA_10011_R,
  #Spmod55_GAA_10011_R,
  #Spmod56_GAA_10011_R,
  #Spmod57_GAA_10011_R,
  #Spmod58_GAA_10011_R,
  #Spmod59_GAA_10011_R,
  #Spmod60_GAA_10011_R,
  #Spmod61_GAA_10011_R,
  #Spmod62_GAA_10011_R,
  #Spmod63_GAA_10011_R,
  #Spmod64_GAA_10011_R,
  #Spmod65_GAA_10011_R)))
  
  G_10011_R2_N <- G_10011_R2[G_10011_R2$L3 == "N",]
  names(G_10011_R2_N)[1] <- "N"
  G_10011_R2_R2 <- G_10011_R2[G_10011_R2$L3 == "R2", ]
  names(G_10011_R2_R2)[1] <- "R2"
  G_10011_R2_MN <- G_10011_R2[G_10011_R2$L3 == "Modnames", ]
  names(G_10011_R2_MN)[1] <- "Modnames"   
  
  G_10011_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_10011_R2_N, G_10011_R2_R2, G_10011_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_10011_R2_r)[1] <- "Species"
  
  AIC_10011_G <- melt(SpAIC_GAA_10011, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_10011_G <- subset(AIC_10011_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_10011_G)[1] <- "Species"
  
  Results_10011_G <- merge(AIC_10011_G, G_10011_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_10011_G$exclusion <- "10011"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_10111", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_10111 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_10111 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_10111 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_10111_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v10111_species_G)){
  Spmod1_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod3_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod5_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod10_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_10111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_10111[[i]] <- list(Spmod1_GAA_10111[[i]],
                                  Spmod2_GAA_10111[[i]],
  
  Spmod3_GAA_10111[[i]],
  #Spmod4_GAA_10111[[i]],
  Spmod5_GAA_10111[[i]],
  #Spmod6_GAA_10111[[i]],
  #Spmod7_GAA_10111[[i]],
  #Spmod8_GAA_10111[[i]],
  #Spmod9_GAA_10111[[i]],
  Spmod10_GAA_10111[[i]])
  #Spmod11_GAA_10111[[i]],
  #Spmod12_GAA_10111[[i]],
  #Spmod13_GAA_10111[[i]],
  #Spmod14_GAA_10111[[i]],
  #Spmod15_GAA_10111[[i]],
  #Spmod16_GAA_10111[[i]],
  #Spmod17_GAA_10111[[i]],
  #Spmod18_GAA_10111[[i]],
  #Spmod19_GAA_10111[[i]],
  #Spmod20_GAA_10111[[i]],
  #Spmod21_GAA_10111[[i]],
  #Spmod22_GAA_10111[[i]],
  #Spmod23_GAA_10111[[i]],
  #Spmod24_GAA_10111[[i]],
  #Spmod25_GAA_10111[[i]],
  #Spmod26_GAA_10111[[i]],
  #Spmod27_GAA_10111[[i]],
  #Spmod28_GAA_10111[[i]],
  #Spmod29_GAA_10111[[i]],
  #Spmod30_GAA_10111[[i]],
  #Spmod31_GAA_10111[[i]],
  #Spmod32_GAA_10111[[i]],
  #Spmod33_GAA_10111[[i]],
  #Spmod34_GAA_10111[[i]],
  #Spmod35_GAA_10111[[i]],
  #Spmod36_GAA_10111[[i]],
  #Spmod37_GAA_10111[[i]],
  #Spmod38_GAA_10111[[i]],
  #Spmod39_GAA_10111[[i]],
  #Spmod40_GAA_10111[[i]],
  #Spmod41_GAA_10111[[i]],
  #Spmod42_GAA_10111[[i]],
  #Spmod43_GAA_10111[[i]],
  #Spmod44_GAA_10111[[i]],
  #Spmod45_GAA_10111[[i]],
  #Spmod46_GAA_10111[[i]],
  #Spmod47_GAA_10111[[i]],
  #Spmod48_GAA_10111[[i]],
  #Spmod49_GAA_10111[[i]],
  #Spmod50_GAA_10111[[i]],
  #Spmod51_GAA_10111[[i]],
  #Spmod52_GAA_10111[[i]],
  #Spmod53_GAA_10111[[i]],
  #Spmod54_GAA_10111[[i]],
  #Spmod55_GAA_10111[[i]],
  #Spmod56_GAA_10111[[i]],
  #Spmod57_GAA_10111[[i]],
  #Spmod58_GAA_10111[[i]],
  #Spmod59_GAA_10111[[i]],
  #Spmod60_GAA_10111[[i]],
  #Spmod61_GAA_10111[[i]],
  #Spmod62_GAA_10111[[i]],
  #Spmod63_GAA_10111[[i]],
  #Spmod64_GAA_10111[[i]],
  #Spmod65_GAA_10111[[i]])
  
  Modnames <-c("1",
               "2",
  "3",
  #"4",
  "5",
  #"6",
  #"7",
  #"8",
  #"9",
  "10")
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_10111[[i]] <- aictab(cand.set= listall_GAA_10111[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod1_GAA_10111[[i]])
  Spmod2_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod2_GAA_10111[[i]])
  Spmod3_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod3_GAA_10111[[i]])
  #Spmod4_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod4_GAA_10111[[i]])
  Spmod5_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod5_GAA_10111[[i]])
  #Spmod6_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod6_GAA_10111[[i]])
  #Spmod7_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod7_GAA_10111[[i]])
  #Spmod8_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod8_GAA_10111[[i]])
  #Spmod9_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod9_GAA_10111[[i]])
  Spmod10_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod10_GAA_10111[[i]])
  #Spmod11_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod11_GAA_10111[[i]])
  #Spmod12_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod12_GAA_10111[[i]])
  #Spmod13_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod13_GAA_10111[[i]])
  #Spmod14_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod14_GAA_10111[[i]])
  #Spmod15_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod15_GAA_10111[[i]])
  #Spmod16_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod16_GAA_10111[[i]])
  #Spmod17_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod17_GAA_10111[[i]])
  #Spmod18_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod18_GAA_10111[[i]])
  #Spmod19_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod19_GAA_10111[[i]])
  #Spmod20_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod20_GAA_10111[[i]])
  #Spmod21_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod21_GAA_10111[[i]])
  #Spmod22_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod22_GAA_10111[[i]])
  #Spmod23_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod23_GAA_10111[[i]])
  #Spmod24_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod24_GAA_10111[[i]])
  #Spmod25_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod25_GAA_10111[[i]])
  #Spmod26_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod26_GAA_10111[[i]])
  #Spmod27_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod27_GAA_10111[[i]])
  #Spmod28_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod28_GAA_10111[[i]])
  #Spmod29_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod29_GAA_10111[[i]])
  #Spmod30_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod30_GAA_10111[[i]])
  #Spmod31_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod31_GAA_10111[[i]])
  #Spmod32_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod32_GAA_10111[[i]])
  #Spmod33_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod33_GAA_10111[[i]])
  #Spmod34_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod34_GAA_10111[[i]])
  #Spmod35_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod35_GAA_10111[[i]])
  #Spmod36_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod36_GAA_10111[[i]])
  #Spmod37_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod37_GAA_10111[[i]])
  #Spmod38_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod38_GAA_10111[[i]])
  #Spmod39_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod39_GAA_10111[[i]])
  #Spmod40_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod40_GAA_10111[[i]])
  #Spmod41_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod41_GAA_10111[[i]])
  #Spmod42_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod42_GAA_10111[[i]])
  #Spmod43_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod43_GAA_10111[[i]])
  #Spmod44_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod44_GAA_10111[[i]])
  #Spmod45_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod45_GAA_10111[[i]])
  #Spmod46_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod46_GAA_10111[[i]])
  #Spmod47_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod47_GAA_10111[[i]])
  #Spmod48_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod48_GAA_10111[[i]])
  #Spmod49_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod49_GAA_10111[[i]])
  #Spmod50_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod50_GAA_10111[[i]])
  #Spmod51_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod51_GAA_10111[[i]])
  #Spmod52_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod52_GAA_10111[[i]])
  #Spmod53_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod53_GAA_10111[[i]])
  #Spmod54_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod54_GAA_10111[[i]])
  #Spmod55_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod55_GAA_10111[[i]])
  #Spmod56_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod56_GAA_10111[[i]])
  #Spmod57_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod57_GAA_10111[[i]])
  #Spmod58_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod58_GAA_10111[[i]])
  #Spmod59_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod59_GAA_10111[[i]])
  #Spmod60_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod60_GAA_10111[[i]])
  #Spmod61_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod61_GAA_10111[[i]])
  #Spmod62_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod62_GAA_10111[[i]])
  #Spmod63_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod63_GAA_10111[[i]])
  #Spmod64_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod64_GAA_10111[[i]])
  #Spmod65_GAA_10111_R[[i]]<-NagelkerkeR2(Spmod65_GAA_10111[[i]])
  
  Spmod1_GAA_10111_R[[i]]$Modnames <-1
  Spmod2_GAA_10111_R[[i]]$Modnames <-2
  Spmod3_GAA_10111_R[[i]]$Modnames <-3
  #Spmod4_GAA_10111_R[[i]]$Modnames <-4
  Spmod5_GAA_10111_R[[i]]$Modnames <-5
  #Spmod6_GAA_10111_R[[i]]$Modnames <-6
  #Spmod7_GAA_10111_R[[i]]$Modnames <-7
  #Spmod8_GAA_10111_R[[i]]$Modnames <-8
  #Spmod9_GAA_10111_R[[i]]$Modnames <-9
  Spmod10_GAA_10111_R[[i]]$Modnames <-10
  #Spmod11_GAA_10111_R[[i]]$Modnames <-11
  #Spmod12_GAA_10111_R[[i]]$Modnames <-12
  #Spmod13_GAA_10111_R[[i]]$Modnames <-13
  #Spmod14_GAA_10111_R[[i]]$Modnames <-14
  #Spmod15_GAA_10111_R[[i]]$Modnames <-15
  #Spmod16_GAA_10111_R[[i]]$Modnames <-16
  #Spmod17_GAA_10111_R[[i]]$Modnames <-17
  #Spmod18_GAA_10111_R[[i]]$Modnames <-18
  #Spmod19_GAA_10111_R[[i]]$Modnames <-19
  #Spmod20_GAA_10111_R[[i]]$Modnames <-20
  #Spmod21_GAA_10111_R[[i]]$Modnames <-21
  #Spmod22_GAA_10111_R[[i]]$Modnames <-22
  #Spmod23_GAA_10111_R[[i]]$Modnames <-23
  #Spmod24_GAA_10111_R[[i]]$Modnames <-24
  #Spmod25_GAA_10111_R[[i]]$Modnames <-25
  #Spmod26_GAA_10111_R[[i]]$Modnames <-26
  #Spmod27_GAA_10111_R[[i]]$Modnames <-27
  #Spmod28_GAA_10111_R[[i]]$Modnames <-28
  #Spmod29_GAA_10111_R[[i]]$Modnames <-29
  #Spmod30_GAA_10111_R[[i]]$Modnames <-30
  #Spmod31_GAA_10111_R[[i]]$Modnames <-31
  #Spmod32_GAA_10111_R[[i]]$Modnames <-32
  #Spmod33_GAA_10111_R[[i]]$Modnames <-33
  #Spmod34_GAA_10111_R[[i]]$Modnames <-34
  #Spmod35_GAA_10111_R[[i]]$Modnames <-35
  #Spmod36_GAA_10111_R[[i]]$Modnames <-36
  #Spmod37_GAA_10111_R[[i]]$Modnames <-37
  #Spmod38_GAA_10111_R[[i]]$Modnames <-38
  #Spmod39_GAA_10111_R[[i]]$Modnames <-39
  #Spmod40_GAA_10111_R[[i]]$Modnames <-40
  #Spmod41_GAA_10111_R[[i]]$Modnames <-41
  #Spmod42_GAA_10111_R[[i]]$Modnames <-42
  #Spmod43_GAA_10111_R[[i]]$Modnames <-43
  #Spmod44_GAA_10111_R[[i]]$Modnames <-44
  #Spmod45_GAA_10111_R[[i]]$Modnames <-45
  #Spmod46_GAA_10111_R[[i]]$Modnames <-46
  #Spmod47_GAA_10111_R[[i]]$Modnames <-47
  #Spmod48_GAA_10111_R[[i]]$Modnames <-48
  #Spmod49_GAA_10111_R[[i]]$Modnames <-49
  #Spmod50_GAA_10111_R[[i]]$Modnames <-50
  #Spmod51_GAA_10111_R[[i]]$Modnames <-51
  #Spmod52_GAA_10111_R[[i]]$Modnames <-52
  #Spmod53_GAA_10111_R[[i]]$Modnames <-53
  #Spmod54_GAA_10111_R[[i]]$Modnames <-54
  #Spmod55_GAA_10111_R[[i]]$Modnames <-55
  #Spmod56_GAA_10111_R[[i]]$Modnames <-56
  #Spmod57_GAA_10111_R[[i]]$Modnames <-57
  #Spmod58_GAA_10111_R[[i]]$Modnames <-58
  #Spmod59_GAA_10111_R[[i]]$Modnames <-59
  #Spmod60_GAA_10111_R[[i]]$Modnames <-60
  #Spmod61_GAA_10111_R[[i]]$Modnames <-61
  #Spmod62_GAA_10111_R[[i]]$Modnames <-62
  #Spmod63_GAA_10111_R[[i]]$Modnames <-63
  #Spmod64_GAA_10111_R[[i]]$Modnames <-64
  #Spmod65_GAA_10111_R[[i]]$Modnames <-65
  
  modelavg_GAA_10111[[i]] <- model.avg(listall_GAA_10111[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_10111_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_10111_R,
  Spmod2_GAA_10111_R,
  Spmod3_GAA_10111_R,
  #Spmod4_GAA_10111_R,
  Spmod5_GAA_10111_R,
  #Spmod6_GAA_10111_R,
  #Spmod7_GAA_10111_R,
  #Spmod8_GAA_10111_R,
  #Spmod9_GAA_10111_R,
  Spmod10_GAA_10111_R)))
  #Spmod11_GAA_10111_R,
  #Spmod12_GAA_10111_R,
  #Spmod13_GAA_10111_R,
  #Spmod14_GAA_10111_R,
  #Spmod15_GAA_10111_R,
  #Spmod16_GAA_10111_R,
  #Spmod17_GAA_10111_R,
  #Spmod18_GAA_10111_R,
  #Spmod19_GAA_10111_R,
  #Spmod20_GAA_10111_R,
  #Spmod21_GAA_10111_R,
  #Spmod22_GAA_10111_R,
  #Spmod23_GAA_10111_R,
  #Spmod24_GAA_10111_R,
  #Spmod25_GAA_10111_R,
  #Spmod26_GAA_10111_R,
  #Spmod27_GAA_10111_R,
  #Spmod28_GAA_10111_R,
  #Spmod29_GAA_10111_R,
  #Spmod30_GAA_10111_R,
  #Spmod31_GAA_10111_R,
  #Spmod32_GAA_10111_R,
  #Spmod33_GAA_10111_R,
  #Spmod34_GAA_10111_R,
  #Spmod35_GAA_10111_R,
  #Spmod36_GAA_10111_R,
  #Spmod37_GAA_10111_R,
  #Spmod38_GAA_10111_R,
  #Spmod39_GAA_10111_R,
  #Spmod40_GAA_10111_R,
  #Spmod41_GAA_10111_R,
  #Spmod42_GAA_10111_R,
  #Spmod43_GAA_10111_R,
  #Spmod44_GAA_10111_R,
  #Spmod45_GAA_10111_R,
  #Spmod46_GAA_10111_R,
  #Spmod47_GAA_10111_R,
  #Spmod48_GAA_10111_R,
  #Spmod49_GAA_10111_R,
  #Spmod50_GAA_10111_R,
  #Spmod51_GAA_10111_R,
  #Spmod52_GAA_10111_R,
  #Spmod53_GAA_10111_R,
  #Spmod54_GAA_10111_R,
  #Spmod55_GAA_10111_R,
  #Spmod56_GAA_10111_R,
  #Spmod57_GAA_10111_R,
  #Spmod58_GAA_10111_R,
  #Spmod59_GAA_10111_R,
  #Spmod60_GAA_10111_R,
  #Spmod61_GAA_10111_R,
  #Spmod62_GAA_10111_R,
  #Spmod63_GAA_10111_R,
  #Spmod64_GAA_10111_R,
  #Spmod65_GAA_10111_R)))
  
  G_10111_R2_N <- G_10111_R2[G_10111_R2$L3 == "N",]
  names(G_10111_R2_N)[1] <- "N"
  G_10111_R2_R2 <- G_10111_R2[G_10111_R2$L3 == "R2", ]
  names(G_10111_R2_R2)[1] <- "R2"
  G_10111_R2_MN <- G_10111_R2[G_10111_R2$L3 == "Modnames", ]
  names(G_10111_R2_MN)[1] <- "Modnames"   
  
  G_10111_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_10111_R2_N, G_10111_R2_R2, G_10111_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_10111_R2_r)[1] <- "Species"
  
  AIC_10111_G <- melt(SpAIC_GAA_10111, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_10111_G <- subset(AIC_10111_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_10111_G)[1] <- "Species"
  
  Results_10111_G <- merge(AIC_10111_G, G_10111_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_10111_G$exclusion <- "10111"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_11011", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_11011 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_11011 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_11011 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_11011_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v11011_species_G)){
  Spmod1_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod3_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod6_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod11_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_11011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_11011[[i]] <- list(Spmod1_GAA_11011[[i]],
                                  Spmod2_GAA_11011[[i]],
  
  Spmod3_GAA_11011[[i]],
  #Spmod4_GAA_11011[[i]],
  #Spmod5_GAA_11011[[i]],
  Spmod6_GAA_11011[[i]],
  #Spmod7_GAA_11011[[i]],
  #Spmod8_GAA_11011[[i]],
  #Spmod9_GAA_11011[[i]],
  #Spmod10_GAA_11011[[i]],
  Spmod11_GAA_11011[[i]])
  #Spmod12_GAA_11011[[i]],
  #Spmod13_GAA_11011[[i]],
  #Spmod14_GAA_11011[[i]],
  #Spmod15_GAA_11011[[i]],
  #Spmod16_GAA_11011[[i]],
  #Spmod17_GAA_11011[[i]],
  #Spmod18_GAA_11011[[i]],
  #Spmod19_GAA_11011[[i]],
  #Spmod20_GAA_11011[[i]],
  #Spmod21_GAA_11011[[i]],
  #Spmod22_GAA_11011[[i]],
  #Spmod23_GAA_11011[[i]],
  #Spmod24_GAA_11011[[i]],
  #Spmod25_GAA_11011[[i]],
  #Spmod26_GAA_11011[[i]],
  #Spmod27_GAA_11011[[i]],
  #Spmod28_GAA_11011[[i]],
  #Spmod29_GAA_11011[[i]],
  #Spmod30_GAA_11011[[i]],
  #Spmod31_GAA_11011[[i]],
  #Spmod32_GAA_11011[[i]],
  #Spmod33_GAA_11011[[i]],
  #Spmod34_GAA_11011[[i]],
  #Spmod35_GAA_11011[[i]],
  #Spmod36_GAA_11011[[i]],
  #Spmod37_GAA_11011[[i]],
  #Spmod38_GAA_11011[[i]],
  #Spmod39_GAA_11011[[i]],
  #Spmod40_GAA_11011[[i]],
  #Spmod41_GAA_11011[[i]],
  #Spmod42_GAA_11011[[i]],
  #Spmod43_GAA_11011[[i]],
  #Spmod44_GAA_11011[[i]],
  #Spmod45_GAA_11011[[i]],
  #Spmod46_GAA_11011[[i]],
  #Spmod47_GAA_11011[[i]],
  #Spmod48_GAA_11011[[i]],
  #Spmod49_GAA_11011[[i]],
  #Spmod50_GAA_11011[[i]],
  #Spmod51_GAA_11011[[i]],
  #Spmod52_GAA_11011[[i]],
  #Spmod53_GAA_11011[[i]],
  #Spmod54_GAA_11011[[i]],
  #Spmod55_GAA_11011[[i]],
  #Spmod56_GAA_11011[[i]],
  #Spmod57_GAA_11011[[i]],
  #Spmod58_GAA_11011[[i]],
  #Spmod59_GAA_11011[[i]],
  #Spmod60_GAA_11011[[i]],
  #Spmod61_GAA_11011[[i]],
  #Spmod62_GAA_11011[[i]],
  #Spmod63_GAA_11011[[i]],
  #Spmod64_GAA_11011[[i]],
  #Spmod65_GAA_11011[[i]])
  
  Modnames <-c("1",
               "2",
  "3",
  #"4",
  #"5",
  "6",
  #"7",
  #"8",
  #"9",
  #"10",
  "11")
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_11011[[i]] <- aictab(cand.set= listall_GAA_11011[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod1_GAA_11011[[i]])
  Spmod2_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod2_GAA_11011[[i]])
  Spmod3_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod3_GAA_11011[[i]])
  #Spmod4_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod4_GAA_11011[[i]])
  #Spmod5_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod5_GAA_11011[[i]])
  Spmod6_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod6_GAA_11011[[i]])
  #Spmod7_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod7_GAA_11011[[i]])
  #Spmod8_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod8_GAA_11011[[i]])
  #Spmod9_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod9_GAA_11011[[i]])
  #Spmod10_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod10_GAA_11011[[i]])
  Spmod11_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod11_GAA_11011[[i]])
  #Spmod12_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod12_GAA_11011[[i]])
  #Spmod13_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod13_GAA_11011[[i]])
  #Spmod14_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod14_GAA_11011[[i]])
  #Spmod15_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod15_GAA_11011[[i]])
  #Spmod16_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod16_GAA_11011[[i]])
  #Spmod17_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod17_GAA_11011[[i]])
  #Spmod18_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod18_GAA_11011[[i]])
  #Spmod19_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod19_GAA_11011[[i]])
  #Spmod20_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod20_GAA_11011[[i]])
  #Spmod21_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod21_GAA_11011[[i]])
  #Spmod22_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod22_GAA_11011[[i]])
  #Spmod23_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod23_GAA_11011[[i]])
  #Spmod24_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod24_GAA_11011[[i]])
  #Spmod25_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod25_GAA_11011[[i]])
  #Spmod26_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod26_GAA_11011[[i]])
  #Spmod27_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod27_GAA_11011[[i]])
  #Spmod28_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod28_GAA_11011[[i]])
  #Spmod29_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod29_GAA_11011[[i]])
  #Spmod30_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod30_GAA_11011[[i]])
  #Spmod31_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod31_GAA_11011[[i]])
  #Spmod32_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod32_GAA_11011[[i]])
  #Spmod33_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod33_GAA_11011[[i]])
  #Spmod34_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod34_GAA_11011[[i]])
  #Spmod35_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod35_GAA_11011[[i]])
  #Spmod36_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod36_GAA_11011[[i]])
  #Spmod37_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod37_GAA_11011[[i]])
  #Spmod38_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod38_GAA_11011[[i]])
  #Spmod39_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod39_GAA_11011[[i]])
  #Spmod40_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod40_GAA_11011[[i]])
  #Spmod41_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod41_GAA_11011[[i]])
  #Spmod42_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod42_GAA_11011[[i]])
  #Spmod43_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod43_GAA_11011[[i]])
  #Spmod44_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod44_GAA_11011[[i]])
  #Spmod45_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod45_GAA_11011[[i]])
  #Spmod46_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod46_GAA_11011[[i]])
  #Spmod47_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod47_GAA_11011[[i]])
  #Spmod48_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod48_GAA_11011[[i]])
  #Spmod49_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod49_GAA_11011[[i]])
  #Spmod50_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod50_GAA_11011[[i]])
  #Spmod51_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod51_GAA_11011[[i]])
  #Spmod52_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod52_GAA_11011[[i]])
  #Spmod53_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod53_GAA_11011[[i]])
  #Spmod54_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod54_GAA_11011[[i]])
  #Spmod55_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod55_GAA_11011[[i]])
  #Spmod56_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod56_GAA_11011[[i]])
  #Spmod57_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod57_GAA_11011[[i]])
  #Spmod58_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod58_GAA_11011[[i]])
  #Spmod59_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod59_GAA_11011[[i]])
  #Spmod60_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod60_GAA_11011[[i]])
  #Spmod61_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod61_GAA_11011[[i]])
  #Spmod62_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod62_GAA_11011[[i]])
  #Spmod63_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod63_GAA_11011[[i]])
  #Spmod64_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod64_GAA_11011[[i]])
  #Spmod65_GAA_11011_R[[i]]<-NagelkerkeR2(Spmod65_GAA_11011[[i]])
  
  Spmod1_GAA_11011_R[[i]]$Modnames <-1
  Spmod2_GAA_11011_R[[i]]$Modnames <-2
  Spmod3_GAA_11011_R[[i]]$Modnames <-3
  #Spmod4_GAA_11011_R[[i]]$Modnames <-4
  #Spmod5_GAA_11011_R[[i]]$Modnames <-5
  Spmod6_GAA_11011_R[[i]]$Modnames <-6
  #Spmod7_GAA_11011_R[[i]]$Modnames <-7
  #Spmod8_GAA_11011_R[[i]]$Modnames <-8
  #Spmod9_GAA_11011_R[[i]]$Modnames <-9
  #Spmod10_GAA_11011_R[[i]]$Modnames <-10
  Spmod11_GAA_11011_R[[i]]$Modnames <-11
  #Spmod12_GAA_11011_R[[i]]$Modnames <-12
  #Spmod13_GAA_11011_R[[i]]$Modnames <-13
  #Spmod14_GAA_11011_R[[i]]$Modnames <-14
  #Spmod15_GAA_11011_R[[i]]$Modnames <-15
  #Spmod16_GAA_11011_R[[i]]$Modnames <-16
  #Spmod17_GAA_11011_R[[i]]$Modnames <-17
  #Spmod18_GAA_11011_R[[i]]$Modnames <-18
  #Spmod19_GAA_11011_R[[i]]$Modnames <-19
  #Spmod20_GAA_11011_R[[i]]$Modnames <-20
  #Spmod21_GAA_11011_R[[i]]$Modnames <-21
  #Spmod22_GAA_11011_R[[i]]$Modnames <-22
  #Spmod23_GAA_11011_R[[i]]$Modnames <-23
  #Spmod24_GAA_11011_R[[i]]$Modnames <-24
  #Spmod25_GAA_11011_R[[i]]$Modnames <-25
  #Spmod26_GAA_11011_R[[i]]$Modnames <-26
  #Spmod27_GAA_11011_R[[i]]$Modnames <-27
  #Spmod28_GAA_11011_R[[i]]$Modnames <-28
  #Spmod29_GAA_11011_R[[i]]$Modnames <-29
  #Spmod30_GAA_11011_R[[i]]$Modnames <-30
  #Spmod31_GAA_11011_R[[i]]$Modnames <-31
  #Spmod32_GAA_11011_R[[i]]$Modnames <-32
  #Spmod33_GAA_11011_R[[i]]$Modnames <-33
  #Spmod34_GAA_11011_R[[i]]$Modnames <-34
  #Spmod35_GAA_11011_R[[i]]$Modnames <-35
  #Spmod36_GAA_11011_R[[i]]$Modnames <-36
  #Spmod37_GAA_11011_R[[i]]$Modnames <-37
  #Spmod38_GAA_11011_R[[i]]$Modnames <-38
  #Spmod39_GAA_11011_R[[i]]$Modnames <-39
  #Spmod40_GAA_11011_R[[i]]$Modnames <-40
  #Spmod41_GAA_11011_R[[i]]$Modnames <-41
  #Spmod42_GAA_11011_R[[i]]$Modnames <-42
  #Spmod43_GAA_11011_R[[i]]$Modnames <-43
  #Spmod44_GAA_11011_R[[i]]$Modnames <-44
  #Spmod45_GAA_11011_R[[i]]$Modnames <-45
  #Spmod46_GAA_11011_R[[i]]$Modnames <-46
  #Spmod47_GAA_11011_R[[i]]$Modnames <-47
  #Spmod48_GAA_11011_R[[i]]$Modnames <-48
  #Spmod49_GAA_11011_R[[i]]$Modnames <-49
  #Spmod50_GAA_11011_R[[i]]$Modnames <-50
  #Spmod51_GAA_11011_R[[i]]$Modnames <-51
  #Spmod52_GAA_11011_R[[i]]$Modnames <-52
  #Spmod53_GAA_11011_R[[i]]$Modnames <-53
  #Spmod54_GAA_11011_R[[i]]$Modnames <-54
  #Spmod55_GAA_11011_R[[i]]$Modnames <-55
  #Spmod56_GAA_11011_R[[i]]$Modnames <-56
  #Spmod57_GAA_11011_R[[i]]$Modnames <-57
  #Spmod58_GAA_11011_R[[i]]$Modnames <-58
  #Spmod59_GAA_11011_R[[i]]$Modnames <-59
  #Spmod60_GAA_11011_R[[i]]$Modnames <-60
  #Spmod61_GAA_11011_R[[i]]$Modnames <-61
  #Spmod62_GAA_11011_R[[i]]$Modnames <-62
  #Spmod63_GAA_11011_R[[i]]$Modnames <-63
  #Spmod64_GAA_11011_R[[i]]$Modnames <-64
  #Spmod65_GAA_11011_R[[i]]$Modnames <-65
  
  modelavg_GAA_11011[[i]] <- model.avg(listall_GAA_11011[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_11011_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_11011_R,
  Spmod2_GAA_11011_R,
  Spmod3_GAA_11011_R,
  #Spmod4_GAA_11011_R,
  #Spmod5_GAA_11011_R,
  Spmod6_GAA_11011_R,
  #Spmod7_GAA_11011_R,
  #Spmod8_GAA_11011_R,
  #Spmod9_GAA_11011_R,
  #Spmod10_GAA_11011_R,
  Spmod11_GAA_11011_R)))
  #Spmod12_GAA_11011_R,
  #Spmod13_GAA_11011_R,
  #Spmod14_GAA_11011_R,
  #Spmod15_GAA_11011_R,
  #Spmod16_GAA_11011_R,
  #Spmod17_GAA_11011_R,
  #Spmod18_GAA_11011_R,
  #Spmod19_GAA_11011_R,
  #Spmod20_GAA_11011_R,
  #Spmod21_GAA_11011_R,
  #Spmod22_GAA_11011_R,
  #Spmod23_GAA_11011_R,
  #Spmod24_GAA_11011_R,
  #Spmod25_GAA_11011_R,
  #Spmod26_GAA_11011_R,
  #Spmod27_GAA_11011_R,
  #Spmod28_GAA_11011_R,
  #Spmod29_GAA_11011_R,
  #Spmod30_GAA_11011_R,
  #Spmod31_GAA_11011_R,
  #Spmod32_GAA_11011_R,
  #Spmod33_GAA_11011_R,
  #Spmod34_GAA_11011_R,
  #Spmod35_GAA_11011_R,
  #Spmod36_GAA_11011_R,
  #Spmod37_GAA_11011_R,
  #Spmod38_GAA_11011_R,
  #Spmod39_GAA_11011_R,
  #Spmod40_GAA_11011_R,
  #Spmod41_GAA_11011_R,
  #Spmod42_GAA_11011_R,
  #Spmod43_GAA_11011_R,
  #Spmod44_GAA_11011_R,
  #Spmod45_GAA_11011_R,
  #Spmod46_GAA_11011_R,
  #Spmod47_GAA_11011_R,
  #Spmod48_GAA_11011_R,
  #Spmod49_GAA_11011_R,
  #Spmod50_GAA_11011_R,
  #Spmod51_GAA_11011_R,
  #Spmod52_GAA_11011_R,
  #Spmod53_GAA_11011_R,
  #Spmod54_GAA_11011_R,
  #Spmod55_GAA_11011_R,
  #Spmod56_GAA_11011_R,
  #Spmod57_GAA_11011_R,
  #Spmod58_GAA_11011_R,
  #Spmod59_GAA_11011_R,
  #Spmod60_GAA_11011_R,
  #Spmod61_GAA_11011_R,
  #Spmod62_GAA_11011_R,
  #Spmod63_GAA_11011_R,
  #Spmod64_GAA_11011_R,
  #Spmod65_GAA_11011_R)))
  
  G_11011_R2_N <- G_11011_R2[G_11011_R2$L3 == "N",]
  names(G_11011_R2_N)[1] <- "N"
  G_11011_R2_R2 <- G_11011_R2[G_11011_R2$L3 == "R2", ]
  names(G_11011_R2_R2)[1] <- "R2"
  G_11011_R2_MN <- G_11011_R2[G_11011_R2$L3 == "Modnames", ]
  names(G_11011_R2_MN)[1] <- "Modnames"   
  
  G_11011_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_11011_R2_N, G_11011_R2_R2, G_11011_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_11011_R2_r)[1] <- "Species"
  
  AIC_11011_G <- melt(SpAIC_GAA_11011, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_11011_G <- subset(AIC_11011_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_11011_G)[1] <- "Species"
  
  Results_11011_G <- merge(AIC_11011_G, G_11011_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_11011_G$exclusion <- "11011"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_11100", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_11100 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_11100 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_11100 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_11100_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v11100_species_G)){
  Spmod1_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod3_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod12_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod13_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod23_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod39_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_11100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_11100[[i]] <- list(Spmod1_GAA_11100[[i]],
                                  Spmod2_GAA_11100[[i]],
  
  Spmod3_GAA_11100[[i]],
  #Spmod4_GAA_11100[[i]],
  #Spmod5_GAA_11100[[i]],
  #Spmod6_GAA_11100[[i]],
  Spmod7_GAA_11100[[i]],
  Spmod8_GAA_11100[[i]],
  #Spmod9_GAA_11100[[i]],
  #Spmod10_GAA_11100[[i]],
  #Spmod11_GAA_11100[[i]],
  Spmod12_GAA_11100[[i]],
  Spmod13_GAA_11100[[i]],
  #Spmod14_GAA_11100[[i]],
  #Spmod15_GAA_11100[[i]],
  #Spmod16_GAA_11100[[i]],
  #Spmod17_GAA_11100[[i]],
  #Spmod18_GAA_11100[[i]],
  #Spmod19_GAA_11100[[i]],
  #Spmod20_GAA_11100[[i]],
  #Spmod21_GAA_11100[[i]],
  #Spmod22_GAA_11100[[i]],
  Spmod23_GAA_11100[[i]],
  #Spmod24_GAA_11100[[i]],
  #Spmod25_GAA_11100[[i]],
  #Spmod26_GAA_11100[[i]],
  #Spmod27_GAA_11100[[i]],
  #Spmod28_GAA_11100[[i]],
  #Spmod29_GAA_11100[[i]],
  #Spmod30_GAA_11100[[i]],
  #Spmod31_GAA_11100[[i]],
  #Spmod32_GAA_11100[[i]],
  #Spmod33_GAA_11100[[i]],
  #Spmod34_GAA_11100[[i]],
  #Spmod35_GAA_11100[[i]],
  #Spmod36_GAA_11100[[i]],
  #Spmod37_GAA_11100[[i]],
  #Spmod38_GAA_11100[[i]],
  Spmod39_GAA_11100[[i]])
  #Spmod40_GAA_11100[[i]],
  #Spmod41_GAA_11100[[i]],
  #Spmod42_GAA_11100[[i]],
  #Spmod43_GAA_11100[[i]],
  #Spmod44_GAA_11100[[i]],
  #Spmod45_GAA_11100[[i]],
  #Spmod46_GAA_11100[[i]],
  #Spmod47_GAA_11100[[i]],
  #Spmod48_GAA_11100[[i]],
  #Spmod49_GAA_11100[[i]],
  #Spmod50_GAA_11100[[i]],
  #Spmod51_GAA_11100[[i]],
  #Spmod52_GAA_11100[[i]],
  #Spmod53_GAA_11100[[i]],
  #Spmod54_GAA_11100[[i]],
  #Spmod55_GAA_11100[[i]],
  #Spmod56_GAA_11100[[i]],
  #Spmod57_GAA_11100[[i]],
  #Spmod58_GAA_11100[[i]],
  #Spmod59_GAA_11100[[i]],
  #Spmod60_GAA_11100[[i]],
  #Spmod61_GAA_11100[[i]],
  #Spmod62_GAA_11100[[i]],
  #Spmod63_GAA_11100[[i]],
  #Spmod64_GAA_11100[[i]],
  #Spmod65_GAA_11100[[i]])
  
  Modnames <-c("1",
               "2",
  "3",
  #"4",
  #"5",
  #"6",
  "7",
  "8",
  #"9",
  #"10",
  #"11",
  "12",
  "13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  "23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  "39")
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_11100[[i]] <- aictab(cand.set= listall_GAA_11100[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod1_GAA_11100[[i]])
  Spmod2_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod2_GAA_11100[[i]])
  Spmod3_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod3_GAA_11100[[i]])
  #Spmod4_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod4_GAA_11100[[i]])
  #Spmod5_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod5_GAA_11100[[i]])
  #Spmod6_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod6_GAA_11100[[i]])
  Spmod7_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod7_GAA_11100[[i]])
  Spmod8_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod8_GAA_11100[[i]])
  #Spmod9_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod9_GAA_11100[[i]])
  #Spmod10_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod10_GAA_11100[[i]])
  #Spmod11_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod11_GAA_11100[[i]])
  Spmod12_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod12_GAA_11100[[i]])
  Spmod13_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod13_GAA_11100[[i]])
  #Spmod14_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod14_GAA_11100[[i]])
  #Spmod15_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod15_GAA_11100[[i]])
  #Spmod16_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod16_GAA_11100[[i]])
  #Spmod17_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod17_GAA_11100[[i]])
  #Spmod18_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod18_GAA_11100[[i]])
  #Spmod19_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod19_GAA_11100[[i]])
  #Spmod20_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod20_GAA_11100[[i]])
  #Spmod21_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod21_GAA_11100[[i]])
  #Spmod22_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod22_GAA_11100[[i]])
  Spmod23_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod23_GAA_11100[[i]])
  #Spmod24_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod24_GAA_11100[[i]])
  #Spmod25_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod25_GAA_11100[[i]])
  #Spmod26_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod26_GAA_11100[[i]])
  #Spmod27_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod27_GAA_11100[[i]])
  #Spmod28_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod28_GAA_11100[[i]])
  #Spmod29_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod29_GAA_11100[[i]])
  #Spmod30_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod30_GAA_11100[[i]])
  #Spmod31_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod31_GAA_11100[[i]])
  #Spmod32_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod32_GAA_11100[[i]])
  #Spmod33_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod33_GAA_11100[[i]])
  #Spmod34_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod34_GAA_11100[[i]])
  #Spmod35_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod35_GAA_11100[[i]])
  #Spmod36_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod36_GAA_11100[[i]])
  #Spmod37_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod37_GAA_11100[[i]])
  #Spmod38_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod38_GAA_11100[[i]])
  Spmod39_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod39_GAA_11100[[i]])
  #Spmod40_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod40_GAA_11100[[i]])
  #Spmod41_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod41_GAA_11100[[i]])
  #Spmod42_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod42_GAA_11100[[i]])
  #Spmod43_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod43_GAA_11100[[i]])
  #Spmod44_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod44_GAA_11100[[i]])
  #Spmod45_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod45_GAA_11100[[i]])
  #Spmod46_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod46_GAA_11100[[i]])
  #Spmod47_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod47_GAA_11100[[i]])
  #Spmod48_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod48_GAA_11100[[i]])
  #Spmod49_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod49_GAA_11100[[i]])
  #Spmod50_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod50_GAA_11100[[i]])
  #Spmod51_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod51_GAA_11100[[i]])
  #Spmod52_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod52_GAA_11100[[i]])
  #Spmod53_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod53_GAA_11100[[i]])
  #Spmod54_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod54_GAA_11100[[i]])
  #Spmod55_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod55_GAA_11100[[i]])
  #Spmod56_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod56_GAA_11100[[i]])
  #Spmod57_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod57_GAA_11100[[i]])
  #Spmod58_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod58_GAA_11100[[i]])
  #Spmod59_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod59_GAA_11100[[i]])
  #Spmod60_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod60_GAA_11100[[i]])
  #Spmod61_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod61_GAA_11100[[i]])
  #Spmod62_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod62_GAA_11100[[i]])
  #Spmod63_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod63_GAA_11100[[i]])
  #Spmod64_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod64_GAA_11100[[i]])
  #Spmod65_GAA_11100_R[[i]]<-NagelkerkeR2(Spmod65_GAA_11100[[i]])
  
  Spmod1_GAA_11100_R[[i]]$Modnames <-1
  Spmod2_GAA_11100_R[[i]]$Modnames <-2
  Spmod3_GAA_11100_R[[i]]$Modnames <-3
  #Spmod4_GAA_11100_R[[i]]$Modnames <-4
  #Spmod5_GAA_11100_R[[i]]$Modnames <-5
  #Spmod6_GAA_11100_R[[i]]$Modnames <-6
  Spmod7_GAA_11100_R[[i]]$Modnames <-7
  Spmod8_GAA_11100_R[[i]]$Modnames <-8
  #Spmod9_GAA_11100_R[[i]]$Modnames <-9
  #Spmod10_GAA_11100_R[[i]]$Modnames <-10
  #Spmod11_GAA_11100_R[[i]]$Modnames <-11
  Spmod12_GAA_11100_R[[i]]$Modnames <-12
  Spmod13_GAA_11100_R[[i]]$Modnames <-13
  #Spmod14_GAA_11100_R[[i]]$Modnames <-14
  #Spmod15_GAA_11100_R[[i]]$Modnames <-15
  #Spmod16_GAA_11100_R[[i]]$Modnames <-16
  #Spmod17_GAA_11100_R[[i]]$Modnames <-17
  #Spmod18_GAA_11100_R[[i]]$Modnames <-18
  #Spmod19_GAA_11100_R[[i]]$Modnames <-19
  #Spmod20_GAA_11100_R[[i]]$Modnames <-20
  #Spmod21_GAA_11100_R[[i]]$Modnames <-21
  #Spmod22_GAA_11100_R[[i]]$Modnames <-22
  Spmod23_GAA_11100_R[[i]]$Modnames <-23
  #Spmod24_GAA_11100_R[[i]]$Modnames <-24
  #Spmod25_GAA_11100_R[[i]]$Modnames <-25
  #Spmod26_GAA_11100_R[[i]]$Modnames <-26
  #Spmod27_GAA_11100_R[[i]]$Modnames <-27
  #Spmod28_GAA_11100_R[[i]]$Modnames <-28
  #Spmod29_GAA_11100_R[[i]]$Modnames <-29
  #Spmod30_GAA_11100_R[[i]]$Modnames <-30
  #Spmod31_GAA_11100_R[[i]]$Modnames <-31
  #Spmod32_GAA_11100_R[[i]]$Modnames <-32
  #Spmod33_GAA_11100_R[[i]]$Modnames <-33
  #Spmod34_GAA_11100_R[[i]]$Modnames <-34
  #Spmod35_GAA_11100_R[[i]]$Modnames <-35
  #Spmod36_GAA_11100_R[[i]]$Modnames <-36
  #Spmod37_GAA_11100_R[[i]]$Modnames <-37
  #Spmod38_GAA_11100_R[[i]]$Modnames <-38
  Spmod39_GAA_11100_R[[i]]$Modnames <-39
  #Spmod40_GAA_11100_R[[i]]$Modnames <-40
  #Spmod41_GAA_11100_R[[i]]$Modnames <-41
  #Spmod42_GAA_11100_R[[i]]$Modnames <-42
  #Spmod43_GAA_11100_R[[i]]$Modnames <-43
  #Spmod44_GAA_11100_R[[i]]$Modnames <-44
  #Spmod45_GAA_11100_R[[i]]$Modnames <-45
  #Spmod46_GAA_11100_R[[i]]$Modnames <-46
  #Spmod47_GAA_11100_R[[i]]$Modnames <-47
  #Spmod48_GAA_11100_R[[i]]$Modnames <-48
  #Spmod49_GAA_11100_R[[i]]$Modnames <-49
  #Spmod50_GAA_11100_R[[i]]$Modnames <-50
  #Spmod51_GAA_11100_R[[i]]$Modnames <-51
  #Spmod52_GAA_11100_R[[i]]$Modnames <-52
  #Spmod53_GAA_11100_R[[i]]$Modnames <-53
  #Spmod54_GAA_11100_R[[i]]$Modnames <-54
  #Spmod55_GAA_11100_R[[i]]$Modnames <-55
  #Spmod56_GAA_11100_R[[i]]$Modnames <-56
  #Spmod57_GAA_11100_R[[i]]$Modnames <-57
  #Spmod58_GAA_11100_R[[i]]$Modnames <-58
  #Spmod59_GAA_11100_R[[i]]$Modnames <-59
  #Spmod60_GAA_11100_R[[i]]$Modnames <-60
  #Spmod61_GAA_11100_R[[i]]$Modnames <-61
  #Spmod62_GAA_11100_R[[i]]$Modnames <-62
  #Spmod63_GAA_11100_R[[i]]$Modnames <-63
  #Spmod64_GAA_11100_R[[i]]$Modnames <-64
  #Spmod65_GAA_11100_R[[i]]$Modnames <-65
  
  modelavg_GAA_11100[[i]] <- model.avg(listall_GAA_11100[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_11100_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_11100_R,
  Spmod2_GAA_11100_R,
  Spmod3_GAA_11100_R,
  #Spmod4_GAA_11100_R,
  #Spmod5_GAA_11100_R,
  #Spmod6_GAA_11100_R,
  Spmod7_GAA_11100_R,
  Spmod8_GAA_11100_R,
  #Spmod9_GAA_11100_R,
  #Spmod10_GAA_11100_R,
  #Spmod11_GAA_11100_R,
  Spmod12_GAA_11100_R,
  Spmod13_GAA_11100_R,
  #Spmod14_GAA_11100_R,
  #Spmod15_GAA_11100_R,
  #Spmod16_GAA_11100_R,
  #Spmod17_GAA_11100_R,
  #Spmod18_GAA_11100_R,
  #Spmod19_GAA_11100_R,
  #Spmod20_GAA_11100_R,
  #Spmod21_GAA_11100_R,
  #Spmod22_GAA_11100_R,
  Spmod23_GAA_11100_R,
  #Spmod24_GAA_11100_R,
  #Spmod25_GAA_11100_R,
  #Spmod26_GAA_11100_R,
  #Spmod27_GAA_11100_R,
  #Spmod28_GAA_11100_R,
  #Spmod29_GAA_11100_R,
  #Spmod30_GAA_11100_R,
  #Spmod31_GAA_11100_R,
  #Spmod32_GAA_11100_R,
  #Spmod33_GAA_11100_R,
  #Spmod34_GAA_11100_R,
  #Spmod35_GAA_11100_R,
  #Spmod36_GAA_11100_R,
  #Spmod37_GAA_11100_R,
  #Spmod38_GAA_11100_R,
  Spmod39_GAA_11100_R)))
  #Spmod40_GAA_11100_R,
  #Spmod41_GAA_11100_R,
  #Spmod42_GAA_11100_R,
  #Spmod43_GAA_11100_R,
  #Spmod44_GAA_11100_R,
  #Spmod45_GAA_11100_R,
  #Spmod46_GAA_11100_R,
  #Spmod47_GAA_11100_R,
  #Spmod48_GAA_11100_R,
  #Spmod49_GAA_11100_R,
  #Spmod50_GAA_11100_R,
  #Spmod51_GAA_11100_R,
  #Spmod52_GAA_11100_R,
  #Spmod53_GAA_11100_R,
  #Spmod54_GAA_11100_R,
  #Spmod55_GAA_11100_R,
  #Spmod56_GAA_11100_R,
  #Spmod57_GAA_11100_R,
  #Spmod58_GAA_11100_R,
  #Spmod59_GAA_11100_R,
  #Spmod60_GAA_11100_R,
  #Spmod61_GAA_11100_R,
  #Spmod62_GAA_11100_R,
  #Spmod63_GAA_11100_R,
  #Spmod64_GAA_11100_R,
  #Spmod65_GAA_11100_R)))
  
  G_11100_R2_N <- G_11100_R2[G_11100_R2$L3 == "N",]
  names(G_11100_R2_N)[1] <- "N"
  G_11100_R2_R2 <- G_11100_R2[G_11100_R2$L3 == "R2", ]
  names(G_11100_R2_R2)[1] <- "R2"
  G_11100_R2_MN <- G_11100_R2[G_11100_R2$L3 == "Modnames", ]
  names(G_11100_R2_MN)[1] <- "Modnames"   
  
  G_11100_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_11100_R2_N, G_11100_R2_R2, G_11100_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_11100_R2_r)[1] <- "Species"
  
  AIC_11100_G <- melt(SpAIC_GAA_11100, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_11100_G <- subset(AIC_11100_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_11100_G)[1] <- "Species"
  
  Results_11100_G <- merge(AIC_11100_G, G_11100_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_11100_G$exclusion <- "11100"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_11110", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_11110 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_11110 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_11110 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_11110_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v11110_species_G)){
  Spmod1_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod3_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod13_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_11110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_11110[[i]] <- list(Spmod1_GAA_11110[[i]],
                                  Spmod2_GAA_11110[[i]],
  
  Spmod3_GAA_11110[[i]],
  #Spmod4_GAA_11110[[i]],
  #Spmod5_GAA_11110[[i]],
  #Spmod6_GAA_11110[[i]],
  #Spmod7_GAA_11110[[i]],
  Spmod8_GAA_11110[[i]],
  #Spmod9_GAA_11110[[i]],
  #Spmod10_GAA_11110[[i]],
  #Spmod11_GAA_11110[[i]],
  #Spmod12_GAA_11110[[i]],
  Spmod13_GAA_11110[[i]])
  #Spmod14_GAA_11110[[i]],
  #Spmod15_GAA_11110[[i]],
  #Spmod16_GAA_11110[[i]],
  #Spmod17_GAA_11110[[i]],
  #Spmod18_GAA_11110[[i]],
  #Spmod19_GAA_11110[[i]],
  #Spmod20_GAA_11110[[i]],
  #Spmod21_GAA_11110[[i]],
  #Spmod22_GAA_11110[[i]],
  #Spmod23_GAA_11110[[i]],
  #Spmod24_GAA_11110[[i]],
  #Spmod25_GAA_11110[[i]],
  #Spmod26_GAA_11110[[i]],
  #Spmod27_GAA_11110[[i]],
  #Spmod28_GAA_11110[[i]],
  #Spmod29_GAA_11110[[i]],
  #Spmod30_GAA_11110[[i]],
  #Spmod31_GAA_11110[[i]],
  #Spmod32_GAA_11110[[i]],
  #Spmod33_GAA_11110[[i]],
  #Spmod34_GAA_11110[[i]],
  #Spmod35_GAA_11110[[i]],
  #Spmod36_GAA_11110[[i]],
  #Spmod37_GAA_11110[[i]],
  #Spmod38_GAA_11110[[i]],
  #Spmod39_GAA_11110[[i]],
  #Spmod40_GAA_11110[[i]],
  #Spmod41_GAA_11110[[i]],
  #Spmod42_GAA_11110[[i]],
  #Spmod43_GAA_11110[[i]],
  #Spmod44_GAA_11110[[i]],
  #Spmod45_GAA_11110[[i]],
  #Spmod46_GAA_11110[[i]],
  #Spmod47_GAA_11110[[i]],
  #Spmod48_GAA_11110[[i]],
  #Spmod49_GAA_11110[[i]],
  #Spmod50_GAA_11110[[i]],
  #Spmod51_GAA_11110[[i]],
  #Spmod52_GAA_11110[[i]],
  #Spmod53_GAA_11110[[i]],
  #Spmod54_GAA_11110[[i]],
  #Spmod55_GAA_11110[[i]],
  #Spmod56_GAA_11110[[i]],
  #Spmod57_GAA_11110[[i]],
  #Spmod58_GAA_11110[[i]],
  #Spmod59_GAA_11110[[i]],
  #Spmod60_GAA_11110[[i]],
  #Spmod61_GAA_11110[[i]],
  #Spmod62_GAA_11110[[i]],
  #Spmod63_GAA_11110[[i]],
  #Spmod64_GAA_11110[[i]],
  #Spmod65_GAA_11110[[i]])
  
  Modnames <-c("1",
               "2",
  "3",
  #"4",
  #"5",
  #"6",
  #"7",
  "8",
  #"9",
  #"10",
  #"11",
  #"12",
  "13")
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_11110[[i]] <- aictab(cand.set= listall_GAA_11110[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod1_GAA_11110[[i]])
  Spmod2_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod2_GAA_11110[[i]])
  Spmod3_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod3_GAA_11110[[i]])
  #Spmod4_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod4_GAA_11110[[i]])
  #Spmod5_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod5_GAA_11110[[i]])
  #Spmod6_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod6_GAA_11110[[i]])
  #Spmod7_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod7_GAA_11110[[i]])
  Spmod8_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod8_GAA_11110[[i]])
  #Spmod9_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod9_GAA_11110[[i]])
  #Spmod10_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod10_GAA_11110[[i]])
  #Spmod11_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod11_GAA_11110[[i]])
  #Spmod12_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod12_GAA_11110[[i]])
  Spmod13_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod13_GAA_11110[[i]])
  #Spmod14_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod14_GAA_11110[[i]])
  #Spmod15_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod15_GAA_11110[[i]])
  #Spmod16_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod16_GAA_11110[[i]])
  #Spmod17_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod17_GAA_11110[[i]])
  #Spmod18_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod18_GAA_11110[[i]])
  #Spmod19_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod19_GAA_11110[[i]])
  #Spmod20_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod20_GAA_11110[[i]])
  #Spmod21_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod21_GAA_11110[[i]])
  #Spmod22_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod22_GAA_11110[[i]])
  #Spmod23_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod23_GAA_11110[[i]])
  #Spmod24_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod24_GAA_11110[[i]])
  #Spmod25_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod25_GAA_11110[[i]])
  #Spmod26_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod26_GAA_11110[[i]])
  #Spmod27_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod27_GAA_11110[[i]])
  #Spmod28_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod28_GAA_11110[[i]])
  #Spmod29_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod29_GAA_11110[[i]])
  #Spmod30_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod30_GAA_11110[[i]])
  #Spmod31_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod31_GAA_11110[[i]])
  #Spmod32_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod32_GAA_11110[[i]])
  #Spmod33_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod33_GAA_11110[[i]])
  #Spmod34_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod34_GAA_11110[[i]])
  #Spmod35_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod35_GAA_11110[[i]])
  #Spmod36_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod36_GAA_11110[[i]])
  #Spmod37_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod37_GAA_11110[[i]])
  #Spmod38_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod38_GAA_11110[[i]])
  #Spmod39_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod39_GAA_11110[[i]])
  #Spmod40_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod40_GAA_11110[[i]])
  #Spmod41_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod41_GAA_11110[[i]])
  #Spmod42_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod42_GAA_11110[[i]])
  #Spmod43_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod43_GAA_11110[[i]])
  #Spmod44_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod44_GAA_11110[[i]])
  #Spmod45_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod45_GAA_11110[[i]])
  #Spmod46_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod46_GAA_11110[[i]])
  #Spmod47_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod47_GAA_11110[[i]])
  #Spmod48_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod48_GAA_11110[[i]])
  #Spmod49_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod49_GAA_11110[[i]])
  #Spmod50_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod50_GAA_11110[[i]])
  #Spmod51_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod51_GAA_11110[[i]])
  #Spmod52_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod52_GAA_11110[[i]])
  #Spmod53_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod53_GAA_11110[[i]])
  #Spmod54_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod54_GAA_11110[[i]])
  #Spmod55_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod55_GAA_11110[[i]])
  #Spmod56_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod56_GAA_11110[[i]])
  #Spmod57_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod57_GAA_11110[[i]])
  #Spmod58_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod58_GAA_11110[[i]])
  #Spmod59_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod59_GAA_11110[[i]])
  #Spmod60_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod60_GAA_11110[[i]])
  #Spmod61_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod61_GAA_11110[[i]])
  #Spmod62_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod62_GAA_11110[[i]])
  #Spmod63_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod63_GAA_11110[[i]])
  #Spmod64_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod64_GAA_11110[[i]])
  #Spmod65_GAA_11110_R[[i]]<-NagelkerkeR2(Spmod65_GAA_11110[[i]])
  
  Spmod1_GAA_11110_R[[i]]$Modnames <-1
  Spmod2_GAA_11110_R[[i]]$Modnames <-2
  Spmod3_GAA_11110_R[[i]]$Modnames <-3
  #Spmod4_GAA_11110_R[[i]]$Modnames <-4
  #Spmod5_GAA_11110_R[[i]]$Modnames <-5
  #Spmod6_GAA_11110_R[[i]]$Modnames <-6
  #Spmod7_GAA_11110_R[[i]]$Modnames <-7
  Spmod8_GAA_11110_R[[i]]$Modnames <-8
  #Spmod9_GAA_11110_R[[i]]$Modnames <-9
  #Spmod10_GAA_11110_R[[i]]$Modnames <-10
  #Spmod11_GAA_11110_R[[i]]$Modnames <-11
  #Spmod12_GAA_11110_R[[i]]$Modnames <-12
  Spmod13_GAA_11110_R[[i]]$Modnames <-13
  #Spmod14_GAA_11110_R[[i]]$Modnames <-14
  #Spmod15_GAA_11110_R[[i]]$Modnames <-15
  #Spmod16_GAA_11110_R[[i]]$Modnames <-16
  #Spmod17_GAA_11110_R[[i]]$Modnames <-17
  #Spmod18_GAA_11110_R[[i]]$Modnames <-18
  #Spmod19_GAA_11110_R[[i]]$Modnames <-19
  #Spmod20_GAA_11110_R[[i]]$Modnames <-20
  #Spmod21_GAA_11110_R[[i]]$Modnames <-21
  #Spmod22_GAA_11110_R[[i]]$Modnames <-22
  #Spmod23_GAA_11110_R[[i]]$Modnames <-23
  #Spmod24_GAA_11110_R[[i]]$Modnames <-24
  #Spmod25_GAA_11110_R[[i]]$Modnames <-25
  #Spmod26_GAA_11110_R[[i]]$Modnames <-26
  #Spmod27_GAA_11110_R[[i]]$Modnames <-27
  #Spmod28_GAA_11110_R[[i]]$Modnames <-28
  #Spmod29_GAA_11110_R[[i]]$Modnames <-29
  #Spmod30_GAA_11110_R[[i]]$Modnames <-30
  #Spmod31_GAA_11110_R[[i]]$Modnames <-31
  #Spmod32_GAA_11110_R[[i]]$Modnames <-32
  #Spmod33_GAA_11110_R[[i]]$Modnames <-33
  #Spmod34_GAA_11110_R[[i]]$Modnames <-34
  #Spmod35_GAA_11110_R[[i]]$Modnames <-35
  #Spmod36_GAA_11110_R[[i]]$Modnames <-36
  #Spmod37_GAA_11110_R[[i]]$Modnames <-37
  #Spmod38_GAA_11110_R[[i]]$Modnames <-38
  #Spmod39_GAA_11110_R[[i]]$Modnames <-39
  #Spmod40_GAA_11110_R[[i]]$Modnames <-40
  #Spmod41_GAA_11110_R[[i]]$Modnames <-41
  #Spmod42_GAA_11110_R[[i]]$Modnames <-42
  #Spmod43_GAA_11110_R[[i]]$Modnames <-43
  #Spmod44_GAA_11110_R[[i]]$Modnames <-44
  #Spmod45_GAA_11110_R[[i]]$Modnames <-45
  #Spmod46_GAA_11110_R[[i]]$Modnames <-46
  #Spmod47_GAA_11110_R[[i]]$Modnames <-47
  #Spmod48_GAA_11110_R[[i]]$Modnames <-48
  #Spmod49_GAA_11110_R[[i]]$Modnames <-49
  #Spmod50_GAA_11110_R[[i]]$Modnames <-50
  #Spmod51_GAA_11110_R[[i]]$Modnames <-51
  #Spmod52_GAA_11110_R[[i]]$Modnames <-52
  #Spmod53_GAA_11110_R[[i]]$Modnames <-53
  #Spmod54_GAA_11110_R[[i]]$Modnames <-54
  #Spmod55_GAA_11110_R[[i]]$Modnames <-55
  #Spmod56_GAA_11110_R[[i]]$Modnames <-56
  #Spmod57_GAA_11110_R[[i]]$Modnames <-57
  #Spmod58_GAA_11110_R[[i]]$Modnames <-58
  #Spmod59_GAA_11110_R[[i]]$Modnames <-59
  #Spmod60_GAA_11110_R[[i]]$Modnames <-60
  #Spmod61_GAA_11110_R[[i]]$Modnames <-61
  #Spmod62_GAA_11110_R[[i]]$Modnames <-62
  #Spmod63_GAA_11110_R[[i]]$Modnames <-63
  #Spmod64_GAA_11110_R[[i]]$Modnames <-64
  #Spmod65_GAA_11110_R[[i]]$Modnames <-65
  
  modelavg_GAA_11110[[i]] <- model.avg(listall_GAA_11110[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_11110_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_11110_R,
  Spmod2_GAA_11110_R,
  Spmod3_GAA_11110_R,
  #Spmod4_GAA_11110_R,
  #Spmod5_GAA_11110_R,
  #Spmod6_GAA_11110_R,
  #Spmod7_GAA_11110_R,
  Spmod8_GAA_11110_R,
  #Spmod9_GAA_11110_R,
  #Spmod10_GAA_11110_R,
  #Spmod11_GAA_11110_R,
  #Spmod12_GAA_11110_R,
  Spmod13_GAA_11110_R)))
  #Spmod14_GAA_11110_R,
  #Spmod15_GAA_11110_R,
  #Spmod16_GAA_11110_R,
  #Spmod17_GAA_11110_R,
  #Spmod18_GAA_11110_R,
  #Spmod19_GAA_11110_R,
  #Spmod20_GAA_11110_R,
  #Spmod21_GAA_11110_R,
  #Spmod22_GAA_11110_R,
  #Spmod23_GAA_11110_R,
  #Spmod24_GAA_11110_R,
  #Spmod25_GAA_11110_R,
  #Spmod26_GAA_11110_R,
  #Spmod27_GAA_11110_R,
  #Spmod28_GAA_11110_R,
  #Spmod29_GAA_11110_R,
  #Spmod30_GAA_11110_R,
  #Spmod31_GAA_11110_R,
  #Spmod32_GAA_11110_R,
  #Spmod33_GAA_11110_R,
  #Spmod34_GAA_11110_R,
  #Spmod35_GAA_11110_R,
  #Spmod36_GAA_11110_R,
  #Spmod37_GAA_11110_R,
  #Spmod38_GAA_11110_R,
  #Spmod39_GAA_11110_R,
  #Spmod40_GAA_11110_R,
  #Spmod41_GAA_11110_R,
  #Spmod42_GAA_11110_R,
  #Spmod43_GAA_11110_R,
  #Spmod44_GAA_11110_R,
  #Spmod45_GAA_11110_R,
  #Spmod46_GAA_11110_R,
  #Spmod47_GAA_11110_R,
  #Spmod48_GAA_11110_R,
  #Spmod49_GAA_11110_R,
  #Spmod50_GAA_11110_R,
  #Spmod51_GAA_11110_R,
  #Spmod52_GAA_11110_R,
  #Spmod53_GAA_11110_R,
  #Spmod54_GAA_11110_R,
  #Spmod55_GAA_11110_R,
  #Spmod56_GAA_11110_R,
  #Spmod57_GAA_11110_R,
  #Spmod58_GAA_11110_R,
  #Spmod59_GAA_11110_R,
  #Spmod60_GAA_11110_R,
  #Spmod61_GAA_11110_R,
  #Spmod62_GAA_11110_R,
  #Spmod63_GAA_11110_R,
  #Spmod64_GAA_11110_R,
  #Spmod65_GAA_11110_R)))
  
  G_11110_R2_N <- G_11110_R2[G_11110_R2$L3 == "N",]
  names(G_11110_R2_N)[1] <- "N"
  G_11110_R2_R2 <- G_11110_R2[G_11110_R2$L3 == "R2", ]
  names(G_11110_R2_R2)[1] <- "R2"
  G_11110_R2_MN <- G_11110_R2[G_11110_R2$L3 == "Modnames", ]
  names(G_11110_R2_MN)[1] <- "Modnames"   
  
  G_11110_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_11110_R2_N, G_11110_R2_R2, G_11110_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_11110_R2_r)[1] <- "Species"
  
  AIC_11110_G <- melt(SpAIC_GAA_11110, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_11110_G <- subset(AIC_11110_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_11110_G)[1] <- "Species"
  
  Results_11110_G <- merge(AIC_11110_G, G_11110_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_11110_G$exclusion <- "11110"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_11111", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_11111 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_11111 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_11111 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_11111_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v11111_species_G)){
  Spmod1_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod3_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_11111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_11111[[i]] <- list(Spmod1_GAA_11111[[i]],
                                  Spmod2_GAA_11111[[i]],
  
  Spmod3_GAA_11111[[i]])
  #Spmod4_GAA_11111[[i]],
  #Spmod5_GAA_11111[[i]],
  #Spmod6_GAA_11111[[i]],
  #Spmod7_GAA_11111[[i]],
  #Spmod8_GAA_11111[[i]],
  #Spmod9_GAA_11111[[i]],
  #Spmod10_GAA_11111[[i]],
  #Spmod11_GAA_11111[[i]],
  #Spmod12_GAA_11111[[i]],
  #Spmod13_GAA_11111[[i]],
  #Spmod14_GAA_11111[[i]],
  #Spmod15_GAA_11111[[i]],
  #Spmod16_GAA_11111[[i]],
  #Spmod17_GAA_11111[[i]],
  #Spmod18_GAA_11111[[i]],
  #Spmod19_GAA_11111[[i]],
  #Spmod20_GAA_11111[[i]],
  #Spmod21_GAA_11111[[i]],
  #Spmod22_GAA_11111[[i]],
  #Spmod23_GAA_11111[[i]],
  #Spmod24_GAA_11111[[i]],
  #Spmod25_GAA_11111[[i]],
  #Spmod26_GAA_11111[[i]],
  #Spmod27_GAA_11111[[i]],
  #Spmod28_GAA_11111[[i]],
  #Spmod29_GAA_11111[[i]],
  #Spmod30_GAA_11111[[i]],
  #Spmod31_GAA_11111[[i]],
  #Spmod32_GAA_11111[[i]],
  #Spmod33_GAA_11111[[i]],
  #Spmod34_GAA_11111[[i]],
  #Spmod35_GAA_11111[[i]],
  #Spmod36_GAA_11111[[i]],
  #Spmod37_GAA_11111[[i]],
  #Spmod38_GAA_11111[[i]],
  #Spmod39_GAA_11111[[i]],
  #Spmod40_GAA_11111[[i]],
  #Spmod41_GAA_11111[[i]],
  #Spmod42_GAA_11111[[i]],
  #Spmod43_GAA_11111[[i]],
  #Spmod44_GAA_11111[[i]],
  #Spmod45_GAA_11111[[i]],
  #Spmod46_GAA_11111[[i]],
  #Spmod47_GAA_11111[[i]],
  #Spmod48_GAA_11111[[i]],
  #Spmod49_GAA_11111[[i]],
  #Spmod50_GAA_11111[[i]],
  #Spmod51_GAA_11111[[i]],
  #Spmod52_GAA_11111[[i]],
  #Spmod53_GAA_11111[[i]],
  #Spmod54_GAA_11111[[i]],
  #Spmod55_GAA_11111[[i]],
  #Spmod56_GAA_11111[[i]],
  #Spmod57_GAA_11111[[i]],
  #Spmod58_GAA_11111[[i]],
  #Spmod59_GAA_11111[[i]],
  #Spmod60_GAA_11111[[i]],
  #Spmod61_GAA_11111[[i]],
  #Spmod62_GAA_11111[[i]],
  #Spmod63_GAA_11111[[i]],
  #Spmod64_GAA_11111[[i]],
  #Spmod65_GAA_11111[[i]])
  
  Modnames <-c("1",
               "2",
  "3")
  #"4",
  #"5",
  #"6",
  #"7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_11111[[i]] <- aictab(cand.set= listall_GAA_11111[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod1_GAA_11111[[i]])
  Spmod2_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod2_GAA_11111[[i]])
  Spmod3_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod3_GAA_11111[[i]])
  #Spmod4_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod4_GAA_11111[[i]])
  #Spmod5_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod5_GAA_11111[[i]])
  #Spmod6_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod6_GAA_11111[[i]])
  #Spmod7_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod7_GAA_11111[[i]])
  #Spmod8_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod8_GAA_11111[[i]])
  #Spmod9_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod9_GAA_11111[[i]])
  #Spmod10_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod10_GAA_11111[[i]])
  #Spmod11_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod11_GAA_11111[[i]])
  #Spmod12_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod12_GAA_11111[[i]])
  #Spmod13_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod13_GAA_11111[[i]])
  #Spmod14_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod14_GAA_11111[[i]])
  #Spmod15_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod15_GAA_11111[[i]])
  #Spmod16_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod16_GAA_11111[[i]])
  #Spmod17_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod17_GAA_11111[[i]])
  #Spmod18_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod18_GAA_11111[[i]])
  #Spmod19_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod19_GAA_11111[[i]])
  #Spmod20_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod20_GAA_11111[[i]])
  #Spmod21_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod21_GAA_11111[[i]])
  #Spmod22_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod22_GAA_11111[[i]])
  #Spmod23_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod23_GAA_11111[[i]])
  #Spmod24_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod24_GAA_11111[[i]])
  #Spmod25_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod25_GAA_11111[[i]])
  #Spmod26_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod26_GAA_11111[[i]])
  #Spmod27_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod27_GAA_11111[[i]])
  #Spmod28_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod28_GAA_11111[[i]])
  #Spmod29_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod29_GAA_11111[[i]])
  #Spmod30_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod30_GAA_11111[[i]])
  #Spmod31_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod31_GAA_11111[[i]])
  #Spmod32_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod32_GAA_11111[[i]])
  #Spmod33_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod33_GAA_11111[[i]])
  #Spmod34_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod34_GAA_11111[[i]])
  #Spmod35_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod35_GAA_11111[[i]])
  #Spmod36_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod36_GAA_11111[[i]])
  #Spmod37_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod37_GAA_11111[[i]])
  #Spmod38_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod38_GAA_11111[[i]])
  #Spmod39_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod39_GAA_11111[[i]])
  #Spmod40_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod40_GAA_11111[[i]])
  #Spmod41_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod41_GAA_11111[[i]])
  #Spmod42_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod42_GAA_11111[[i]])
  #Spmod43_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod43_GAA_11111[[i]])
  #Spmod44_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod44_GAA_11111[[i]])
  #Spmod45_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod45_GAA_11111[[i]])
  #Spmod46_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod46_GAA_11111[[i]])
  #Spmod47_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod47_GAA_11111[[i]])
  #Spmod48_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod48_GAA_11111[[i]])
  #Spmod49_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod49_GAA_11111[[i]])
  #Spmod50_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod50_GAA_11111[[i]])
  #Spmod51_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod51_GAA_11111[[i]])
  #Spmod52_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod52_GAA_11111[[i]])
  #Spmod53_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod53_GAA_11111[[i]])
  #Spmod54_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod54_GAA_11111[[i]])
  #Spmod55_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod55_GAA_11111[[i]])
  #Spmod56_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod56_GAA_11111[[i]])
  #Spmod57_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod57_GAA_11111[[i]])
  #Spmod58_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod58_GAA_11111[[i]])
  #Spmod59_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod59_GAA_11111[[i]])
  #Spmod60_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod60_GAA_11111[[i]])
  #Spmod61_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod61_GAA_11111[[i]])
  #Spmod62_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod62_GAA_11111[[i]])
  #Spmod63_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod63_GAA_11111[[i]])
  #Spmod64_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod64_GAA_11111[[i]])
  #Spmod65_GAA_11111_R[[i]]<-NagelkerkeR2(Spmod65_GAA_11111[[i]])
  
  Spmod1_GAA_11111_R[[i]]$Modnames <-1
  Spmod2_GAA_11111_R[[i]]$Modnames <-2
  Spmod3_GAA_11111_R[[i]]$Modnames <-3
  #Spmod4_GAA_11111_R[[i]]$Modnames <-4
  #Spmod5_GAA_11111_R[[i]]$Modnames <-5
  #Spmod6_GAA_11111_R[[i]]$Modnames <-6
  #Spmod7_GAA_11111_R[[i]]$Modnames <-7
  #Spmod8_GAA_11111_R[[i]]$Modnames <-8
  #Spmod9_GAA_11111_R[[i]]$Modnames <-9
  #Spmod10_GAA_11111_R[[i]]$Modnames <-10
  #Spmod11_GAA_11111_R[[i]]$Modnames <-11
  #Spmod12_GAA_11111_R[[i]]$Modnames <-12
  #Spmod13_GAA_11111_R[[i]]$Modnames <-13
  #Spmod14_GAA_11111_R[[i]]$Modnames <-14
  #Spmod15_GAA_11111_R[[i]]$Modnames <-15
  #Spmod16_GAA_11111_R[[i]]$Modnames <-16
  #Spmod17_GAA_11111_R[[i]]$Modnames <-17
  #Spmod18_GAA_11111_R[[i]]$Modnames <-18
  #Spmod19_GAA_11111_R[[i]]$Modnames <-19
  #Spmod20_GAA_11111_R[[i]]$Modnames <-20
  #Spmod21_GAA_11111_R[[i]]$Modnames <-21
  #Spmod22_GAA_11111_R[[i]]$Modnames <-22
  #Spmod23_GAA_11111_R[[i]]$Modnames <-23
  #Spmod24_GAA_11111_R[[i]]$Modnames <-24
  #Spmod25_GAA_11111_R[[i]]$Modnames <-25
  #Spmod26_GAA_11111_R[[i]]$Modnames <-26
  #Spmod27_GAA_11111_R[[i]]$Modnames <-27
  #Spmod28_GAA_11111_R[[i]]$Modnames <-28
  #Spmod29_GAA_11111_R[[i]]$Modnames <-29
  #Spmod30_GAA_11111_R[[i]]$Modnames <-30
  #Spmod31_GAA_11111_R[[i]]$Modnames <-31
  #Spmod32_GAA_11111_R[[i]]$Modnames <-32
  #Spmod33_GAA_11111_R[[i]]$Modnames <-33
  #Spmod34_GAA_11111_R[[i]]$Modnames <-34
  #Spmod35_GAA_11111_R[[i]]$Modnames <-35
  #Spmod36_GAA_11111_R[[i]]$Modnames <-36
  #Spmod37_GAA_11111_R[[i]]$Modnames <-37
  #Spmod38_GAA_11111_R[[i]]$Modnames <-38
  #Spmod39_GAA_11111_R[[i]]$Modnames <-39
  #Spmod40_GAA_11111_R[[i]]$Modnames <-40
  #Spmod41_GAA_11111_R[[i]]$Modnames <-41
  #Spmod42_GAA_11111_R[[i]]$Modnames <-42
  #Spmod43_GAA_11111_R[[i]]$Modnames <-43
  #Spmod44_GAA_11111_R[[i]]$Modnames <-44
  #Spmod45_GAA_11111_R[[i]]$Modnames <-45
  #Spmod46_GAA_11111_R[[i]]$Modnames <-46
  #Spmod47_GAA_11111_R[[i]]$Modnames <-47
  #Spmod48_GAA_11111_R[[i]]$Modnames <-48
  #Spmod49_GAA_11111_R[[i]]$Modnames <-49
  #Spmod50_GAA_11111_R[[i]]$Modnames <-50
  #Spmod51_GAA_11111_R[[i]]$Modnames <-51
  #Spmod52_GAA_11111_R[[i]]$Modnames <-52
  #Spmod53_GAA_11111_R[[i]]$Modnames <-53
  #Spmod54_GAA_11111_R[[i]]$Modnames <-54
  #Spmod55_GAA_11111_R[[i]]$Modnames <-55
  #Spmod56_GAA_11111_R[[i]]$Modnames <-56
  #Spmod57_GAA_11111_R[[i]]$Modnames <-57
  #Spmod58_GAA_11111_R[[i]]$Modnames <-58
  #Spmod59_GAA_11111_R[[i]]$Modnames <-59
  #Spmod60_GAA_11111_R[[i]]$Modnames <-60
  #Spmod61_GAA_11111_R[[i]]$Modnames <-61
  #Spmod62_GAA_11111_R[[i]]$Modnames <-62
  #Spmod63_GAA_11111_R[[i]]$Modnames <-63
  #Spmod64_GAA_11111_R[[i]]$Modnames <-64
  #Spmod65_GAA_11111_R[[i]]$Modnames <-65
  
  modelavg_GAA_11111[[i]] <- model.avg(listall_GAA_11111[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_11111_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_11111_R,
  Spmod2_GAA_11111_R,
  Spmod3_GAA_11111_R)))
  #Spmod4_GAA_11111_R,
  #Spmod5_GAA_11111_R,
  #Spmod6_GAA_11111_R,
  #Spmod7_GAA_11111_R,
  #Spmod8_GAA_11111_R,
  #Spmod9_GAA_11111_R,
  #Spmod10_GAA_11111_R,
  #Spmod11_GAA_11111_R,
  #Spmod12_GAA_11111_R,
  #Spmod13_GAA_11111_R,
  #Spmod14_GAA_11111_R,
  #Spmod15_GAA_11111_R,
  #Spmod16_GAA_11111_R,
  #Spmod17_GAA_11111_R,
  #Spmod18_GAA_11111_R,
  #Spmod19_GAA_11111_R,
  #Spmod20_GAA_11111_R,
  #Spmod21_GAA_11111_R,
  #Spmod22_GAA_11111_R,
  #Spmod23_GAA_11111_R,
  #Spmod24_GAA_11111_R,
  #Spmod25_GAA_11111_R,
  #Spmod26_GAA_11111_R,
  #Spmod27_GAA_11111_R,
  #Spmod28_GAA_11111_R,
  #Spmod29_GAA_11111_R,
  #Spmod30_GAA_11111_R,
  #Spmod31_GAA_11111_R,
  #Spmod32_GAA_11111_R,
  #Spmod33_GAA_11111_R,
  #Spmod34_GAA_11111_R,
  #Spmod35_GAA_11111_R,
  #Spmod36_GAA_11111_R,
  #Spmod37_GAA_11111_R,
  #Spmod38_GAA_11111_R,
  #Spmod39_GAA_11111_R,
  #Spmod40_GAA_11111_R,
  #Spmod41_GAA_11111_R,
  #Spmod42_GAA_11111_R,
  #Spmod43_GAA_11111_R,
  #Spmod44_GAA_11111_R,
  #Spmod45_GAA_11111_R,
  #Spmod46_GAA_11111_R,
  #Spmod47_GAA_11111_R,
  #Spmod48_GAA_11111_R,
  #Spmod49_GAA_11111_R,
  #Spmod50_GAA_11111_R,
  #Spmod51_GAA_11111_R,
  #Spmod52_GAA_11111_R,
  #Spmod53_GAA_11111_R,
  #Spmod54_GAA_11111_R,
  #Spmod55_GAA_11111_R,
  #Spmod56_GAA_11111_R,
  #Spmod57_GAA_11111_R,
  #Spmod58_GAA_11111_R,
  #Spmod59_GAA_11111_R,
  #Spmod60_GAA_11111_R,
  #Spmod61_GAA_11111_R,
  #Spmod62_GAA_11111_R,
  #Spmod63_GAA_11111_R,
  #Spmod64_GAA_11111_R,
  #Spmod65_GAA_11111_R)))
  
  G_11111_R2_N <- G_11111_R2[G_11111_R2$L3 == "N",]
  names(G_11111_R2_N)[1] <- "N"
  G_11111_R2_R2 <- G_11111_R2[G_11111_R2$L3 == "R2", ]
  names(G_11111_R2_R2)[1] <- "R2"
  G_11111_R2_MN <- G_11111_R2[G_11111_R2$L3 == "Modnames", ]
  names(G_11111_R2_MN)[1] <- "Modnames"   
  
  G_11111_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_11111_R2_N, G_11111_R2_R2, G_11111_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_11111_R2_r)[1] <- "Species"
  
  AIC_11111_G <- melt(SpAIC_GAA_11111, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_11111_G <- subset(AIC_11111_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_11111_G)[1] <- "Species"
  
  Results_11111_G <- merge(AIC_11111_G, G_11111_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_11111_G$exclusion <- "11111"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_100011", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_100011 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_100011 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_100011 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_100011_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v100011_species_G)){
  Spmod1_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod5_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod6_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod14_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod15_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod18_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod34_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_100011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_100011[[i]] <- list(Spmod1_GAA_100011[[i]],
                                  Spmod2_GAA_100011[[i]],
  
  #Spmod3_GAA_100011[[i]],
  Spmod4_GAA_100011[[i]],
  Spmod5_GAA_100011[[i]],
  Spmod6_GAA_100011[[i]],
  #Spmod7_GAA_100011[[i]],
  #Spmod8_GAA_100011[[i]],
  #Spmod9_GAA_100011[[i]],
  #Spmod10_GAA_100011[[i]],
  #Spmod11_GAA_100011[[i]],
  #Spmod12_GAA_100011[[i]],
  #Spmod13_GAA_100011[[i]],
  Spmod14_GAA_100011[[i]],
  Spmod15_GAA_100011[[i]],
  #Spmod16_GAA_100011[[i]],
  #Spmod17_GAA_100011[[i]],
  Spmod18_GAA_100011[[i]],
  #Spmod19_GAA_100011[[i]],
  #Spmod20_GAA_100011[[i]],
  #Spmod21_GAA_100011[[i]],
  #Spmod22_GAA_100011[[i]],
  #Spmod23_GAA_100011[[i]],
  #Spmod24_GAA_100011[[i]],
  #Spmod25_GAA_100011[[i]],
  #Spmod26_GAA_100011[[i]],
  #Spmod27_GAA_100011[[i]],
  #Spmod28_GAA_100011[[i]],
  #Spmod29_GAA_100011[[i]],
  #Spmod30_GAA_100011[[i]],
  #Spmod31_GAA_100011[[i]],
  #Spmod32_GAA_100011[[i]],
  #Spmod33_GAA_100011[[i]],
  Spmod34_GAA_100011[[i]])
  #Spmod35_GAA_100011[[i]],
  #Spmod36_GAA_100011[[i]],
  #Spmod37_GAA_100011[[i]],
  #Spmod38_GAA_100011[[i]],
  #Spmod39_GAA_100011[[i]],
  #Spmod40_GAA_100011[[i]],
  #Spmod41_GAA_100011[[i]],
  #Spmod42_GAA_100011[[i]],
  #Spmod43_GAA_100011[[i]],
  #Spmod44_GAA_100011[[i]],
  #Spmod45_GAA_100011[[i]],
  #Spmod46_GAA_100011[[i]],
  #Spmod47_GAA_100011[[i]],
  #Spmod48_GAA_100011[[i]],
  #Spmod49_GAA_100011[[i]],
  #Spmod50_GAA_100011[[i]],
  #Spmod51_GAA_100011[[i]],
  #Spmod52_GAA_100011[[i]],
  #Spmod53_GAA_100011[[i]],
  #Spmod54_GAA_100011[[i]],
  #Spmod55_GAA_100011[[i]],
  #Spmod56_GAA_100011[[i]],
  #Spmod57_GAA_100011[[i]],
  #Spmod58_GAA_100011[[i]],
  #Spmod59_GAA_100011[[i]],
  #Spmod60_GAA_100011[[i]],
  #Spmod61_GAA_100011[[i]],
  #Spmod62_GAA_100011[[i]],
  #Spmod63_GAA_100011[[i]],
  #Spmod64_GAA_100011[[i]],
  #Spmod65_GAA_100011[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  "4",
  "5",
  "6",
  #"7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  "14",
  "15",
  #"16",
  #"17",
  "18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  "34")
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_100011[[i]] <- aictab(cand.set= listall_GAA_100011[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod1_GAA_100011[[i]])
  Spmod2_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod2_GAA_100011[[i]])
  #Spmod3_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod3_GAA_100011[[i]])
  Spmod4_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod4_GAA_100011[[i]])
  Spmod5_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod5_GAA_100011[[i]])
  Spmod6_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod6_GAA_100011[[i]])
  #Spmod7_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod7_GAA_100011[[i]])
  #Spmod8_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod8_GAA_100011[[i]])
  #Spmod9_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod9_GAA_100011[[i]])
  #Spmod10_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod10_GAA_100011[[i]])
  #Spmod11_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod11_GAA_100011[[i]])
  #Spmod12_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod12_GAA_100011[[i]])
  #Spmod13_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod13_GAA_100011[[i]])
  Spmod14_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod14_GAA_100011[[i]])
  Spmod15_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod15_GAA_100011[[i]])
  #Spmod16_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod16_GAA_100011[[i]])
  #Spmod17_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod17_GAA_100011[[i]])
  Spmod18_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod18_GAA_100011[[i]])
  #Spmod19_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod19_GAA_100011[[i]])
  #Spmod20_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod20_GAA_100011[[i]])
  #Spmod21_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod21_GAA_100011[[i]])
  #Spmod22_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod22_GAA_100011[[i]])
  #Spmod23_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod23_GAA_100011[[i]])
  #Spmod24_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod24_GAA_100011[[i]])
  #Spmod25_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod25_GAA_100011[[i]])
  #Spmod26_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod26_GAA_100011[[i]])
  #Spmod27_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod27_GAA_100011[[i]])
  #Spmod28_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod28_GAA_100011[[i]])
  #Spmod29_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod29_GAA_100011[[i]])
  #Spmod30_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod30_GAA_100011[[i]])
  #Spmod31_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod31_GAA_100011[[i]])
  #Spmod32_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod32_GAA_100011[[i]])
  #Spmod33_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod33_GAA_100011[[i]])
  Spmod34_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod34_GAA_100011[[i]])
  #Spmod35_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod35_GAA_100011[[i]])
  #Spmod36_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod36_GAA_100011[[i]])
  #Spmod37_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod37_GAA_100011[[i]])
  #Spmod38_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod38_GAA_100011[[i]])
  #Spmod39_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod39_GAA_100011[[i]])
  #Spmod40_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod40_GAA_100011[[i]])
  #Spmod41_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod41_GAA_100011[[i]])
  #Spmod42_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod42_GAA_100011[[i]])
  #Spmod43_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod43_GAA_100011[[i]])
  #Spmod44_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod44_GAA_100011[[i]])
  #Spmod45_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod45_GAA_100011[[i]])
  #Spmod46_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod46_GAA_100011[[i]])
  #Spmod47_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod47_GAA_100011[[i]])
  #Spmod48_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod48_GAA_100011[[i]])
  #Spmod49_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod49_GAA_100011[[i]])
  #Spmod50_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod50_GAA_100011[[i]])
  #Spmod51_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod51_GAA_100011[[i]])
  #Spmod52_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod52_GAA_100011[[i]])
  #Spmod53_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod53_GAA_100011[[i]])
  #Spmod54_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod54_GAA_100011[[i]])
  #Spmod55_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod55_GAA_100011[[i]])
  #Spmod56_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod56_GAA_100011[[i]])
  #Spmod57_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod57_GAA_100011[[i]])
  #Spmod58_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod58_GAA_100011[[i]])
  #Spmod59_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod59_GAA_100011[[i]])
  #Spmod60_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod60_GAA_100011[[i]])
  #Spmod61_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod61_GAA_100011[[i]])
  #Spmod62_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod62_GAA_100011[[i]])
  #Spmod63_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod63_GAA_100011[[i]])
  #Spmod64_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod64_GAA_100011[[i]])
  #Spmod65_GAA_100011_R[[i]]<-NagelkerkeR2(Spmod65_GAA_100011[[i]])
  
  Spmod1_GAA_100011_R[[i]]$Modnames <-1
  Spmod2_GAA_100011_R[[i]]$Modnames <-2
  #Spmod3_GAA_100011_R[[i]]$Modnames <-3
  Spmod4_GAA_100011_R[[i]]$Modnames <-4
  Spmod5_GAA_100011_R[[i]]$Modnames <-5
  Spmod6_GAA_100011_R[[i]]$Modnames <-6
  #Spmod7_GAA_100011_R[[i]]$Modnames <-7
  #Spmod8_GAA_100011_R[[i]]$Modnames <-8
  #Spmod9_GAA_100011_R[[i]]$Modnames <-9
  #Spmod10_GAA_100011_R[[i]]$Modnames <-10
  #Spmod11_GAA_100011_R[[i]]$Modnames <-11
  #Spmod12_GAA_100011_R[[i]]$Modnames <-12
  #Spmod13_GAA_100011_R[[i]]$Modnames <-13
  Spmod14_GAA_100011_R[[i]]$Modnames <-14
  Spmod15_GAA_100011_R[[i]]$Modnames <-15
  #Spmod16_GAA_100011_R[[i]]$Modnames <-16
  #Spmod17_GAA_100011_R[[i]]$Modnames <-17
  Spmod18_GAA_100011_R[[i]]$Modnames <-18
  #Spmod19_GAA_100011_R[[i]]$Modnames <-19
  #Spmod20_GAA_100011_R[[i]]$Modnames <-20
  #Spmod21_GAA_100011_R[[i]]$Modnames <-21
  #Spmod22_GAA_100011_R[[i]]$Modnames <-22
  #Spmod23_GAA_100011_R[[i]]$Modnames <-23
  #Spmod24_GAA_100011_R[[i]]$Modnames <-24
  #Spmod25_GAA_100011_R[[i]]$Modnames <-25
  #Spmod26_GAA_100011_R[[i]]$Modnames <-26
  #Spmod27_GAA_100011_R[[i]]$Modnames <-27
  #Spmod28_GAA_100011_R[[i]]$Modnames <-28
  #Spmod29_GAA_100011_R[[i]]$Modnames <-29
  #Spmod30_GAA_100011_R[[i]]$Modnames <-30
  #Spmod31_GAA_100011_R[[i]]$Modnames <-31
  #Spmod32_GAA_100011_R[[i]]$Modnames <-32
  #Spmod33_GAA_100011_R[[i]]$Modnames <-33
  Spmod34_GAA_100011_R[[i]]$Modnames <-34
  #Spmod35_GAA_100011_R[[i]]$Modnames <-35
  #Spmod36_GAA_100011_R[[i]]$Modnames <-36
  #Spmod37_GAA_100011_R[[i]]$Modnames <-37
  #Spmod38_GAA_100011_R[[i]]$Modnames <-38
  #Spmod39_GAA_100011_R[[i]]$Modnames <-39
  #Spmod40_GAA_100011_R[[i]]$Modnames <-40
  #Spmod41_GAA_100011_R[[i]]$Modnames <-41
  #Spmod42_GAA_100011_R[[i]]$Modnames <-42
  #Spmod43_GAA_100011_R[[i]]$Modnames <-43
  #Spmod44_GAA_100011_R[[i]]$Modnames <-44
  #Spmod45_GAA_100011_R[[i]]$Modnames <-45
  #Spmod46_GAA_100011_R[[i]]$Modnames <-46
  #Spmod47_GAA_100011_R[[i]]$Modnames <-47
  #Spmod48_GAA_100011_R[[i]]$Modnames <-48
  #Spmod49_GAA_100011_R[[i]]$Modnames <-49
  #Spmod50_GAA_100011_R[[i]]$Modnames <-50
  #Spmod51_GAA_100011_R[[i]]$Modnames <-51
  #Spmod52_GAA_100011_R[[i]]$Modnames <-52
  #Spmod53_GAA_100011_R[[i]]$Modnames <-53
  #Spmod54_GAA_100011_R[[i]]$Modnames <-54
  #Spmod55_GAA_100011_R[[i]]$Modnames <-55
  #Spmod56_GAA_100011_R[[i]]$Modnames <-56
  #Spmod57_GAA_100011_R[[i]]$Modnames <-57
  #Spmod58_GAA_100011_R[[i]]$Modnames <-58
  #Spmod59_GAA_100011_R[[i]]$Modnames <-59
  #Spmod60_GAA_100011_R[[i]]$Modnames <-60
  #Spmod61_GAA_100011_R[[i]]$Modnames <-61
  #Spmod62_GAA_100011_R[[i]]$Modnames <-62
  #Spmod63_GAA_100011_R[[i]]$Modnames <-63
  #Spmod64_GAA_100011_R[[i]]$Modnames <-64
  #Spmod65_GAA_100011_R[[i]]$Modnames <-65
  
  modelavg_GAA_100011[[i]] <- model.avg(listall_GAA_100011[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_100011_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_100011_R,
  Spmod2_GAA_100011_R,
  #Spmod3_GAA_100011_R,
  Spmod4_GAA_100011_R,
  Spmod5_GAA_100011_R,
  Spmod6_GAA_100011_R,
  #Spmod7_GAA_100011_R,
  #Spmod8_GAA_100011_R,
  #Spmod9_GAA_100011_R,
  #Spmod10_GAA_100011_R,
  #Spmod11_GAA_100011_R,
  #Spmod12_GAA_100011_R,
  #Spmod13_GAA_100011_R,
  Spmod14_GAA_100011_R,
  Spmod15_GAA_100011_R,
  #Spmod16_GAA_100011_R,
  #Spmod17_GAA_100011_R,
  Spmod18_GAA_100011_R,
  #Spmod19_GAA_100011_R,
  #Spmod20_GAA_100011_R,
  #Spmod21_GAA_100011_R,
  #Spmod22_GAA_100011_R,
  #Spmod23_GAA_100011_R,
  #Spmod24_GAA_100011_R,
  #Spmod25_GAA_100011_R,
  #Spmod26_GAA_100011_R,
  #Spmod27_GAA_100011_R,
  #Spmod28_GAA_100011_R,
  #Spmod29_GAA_100011_R,
  #Spmod30_GAA_100011_R,
  #Spmod31_GAA_100011_R,
  #Spmod32_GAA_100011_R,
  #Spmod33_GAA_100011_R,
  Spmod34_GAA_100011_R)))
  #Spmod35_GAA_100011_R,
  #Spmod36_GAA_100011_R,
  #Spmod37_GAA_100011_R,
  #Spmod38_GAA_100011_R,
  #Spmod39_GAA_100011_R,
  #Spmod40_GAA_100011_R,
  #Spmod41_GAA_100011_R,
  #Spmod42_GAA_100011_R,
  #Spmod43_GAA_100011_R,
  #Spmod44_GAA_100011_R,
  #Spmod45_GAA_100011_R,
  #Spmod46_GAA_100011_R,
  #Spmod47_GAA_100011_R,
  #Spmod48_GAA_100011_R,
  #Spmod49_GAA_100011_R,
  #Spmod50_GAA_100011_R,
  #Spmod51_GAA_100011_R,
  #Spmod52_GAA_100011_R,
  #Spmod53_GAA_100011_R,
  #Spmod54_GAA_100011_R,
  #Spmod55_GAA_100011_R,
  #Spmod56_GAA_100011_R,
  #Spmod57_GAA_100011_R,
  #Spmod58_GAA_100011_R,
  #Spmod59_GAA_100011_R,
  #Spmod60_GAA_100011_R,
  #Spmod61_GAA_100011_R,
  #Spmod62_GAA_100011_R,
  #Spmod63_GAA_100011_R,
  #Spmod64_GAA_100011_R,
  #Spmod65_GAA_100011_R)))
  
  G_100011_R2_N <- G_100011_R2[G_100011_R2$L3 == "N",]
  names(G_100011_R2_N)[1] <- "N"
  G_100011_R2_R2 <- G_100011_R2[G_100011_R2$L3 == "R2", ]
  names(G_100011_R2_R2)[1] <- "R2"
  G_100011_R2_MN <- G_100011_R2[G_100011_R2$L3 == "Modnames", ]
  names(G_100011_R2_MN)[1] <- "Modnames"   
  
  G_100011_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_100011_R2_N, G_100011_R2_R2, G_100011_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_100011_R2_r)[1] <- "Species"
  
  AIC_100011_G <- melt(SpAIC_GAA_100011, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_100011_G <- subset(AIC_100011_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_100011_G)[1] <- "Species"
  
  Results_100011_G <- merge(AIC_100011_G, G_100011_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_100011_G$exclusion <- "100011"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_100101", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_100101 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_100101 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_100101 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_100101_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v100101_species_G)){
  Spmod1_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod5_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod14_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod16_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod19_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod35_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_100101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_100101[[i]] <- list(Spmod1_GAA_100101[[i]],
                                  Spmod2_GAA_100101[[i]],
  
  #Spmod3_GAA_100101[[i]],
  Spmod4_GAA_100101[[i]],
  Spmod5_GAA_100101[[i]],
  #Spmod6_GAA_100101[[i]],
  Spmod7_GAA_100101[[i]],
  #Spmod8_GAA_100101[[i]],
  #Spmod9_GAA_100101[[i]],
  #Spmod10_GAA_100101[[i]],
  #Spmod11_GAA_100101[[i]],
  #Spmod12_GAA_100101[[i]],
  #Spmod13_GAA_100101[[i]],
  Spmod14_GAA_100101[[i]],
  #Spmod15_GAA_100101[[i]],
  Spmod16_GAA_100101[[i]],
  #Spmod17_GAA_100101[[i]],
  #Spmod18_GAA_100101[[i]],
  Spmod19_GAA_100101[[i]],
  #Spmod20_GAA_100101[[i]],
  #Spmod21_GAA_100101[[i]],
  #Spmod22_GAA_100101[[i]],
  #Spmod23_GAA_100101[[i]],
  #Spmod24_GAA_100101[[i]],
  #Spmod25_GAA_100101[[i]],
  #Spmod26_GAA_100101[[i]],
  #Spmod27_GAA_100101[[i]],
  #Spmod28_GAA_100101[[i]],
  #Spmod29_GAA_100101[[i]],
  #Spmod30_GAA_100101[[i]],
  #Spmod31_GAA_100101[[i]],
  #Spmod32_GAA_100101[[i]],
  #Spmod33_GAA_100101[[i]],
  #Spmod34_GAA_100101[[i]],
  Spmod35_GAA_100101[[i]])
  #Spmod36_GAA_100101[[i]],
  #Spmod37_GAA_100101[[i]],
  #Spmod38_GAA_100101[[i]],
  #Spmod39_GAA_100101[[i]],
  #Spmod40_GAA_100101[[i]],
  #Spmod41_GAA_100101[[i]],
  #Spmod42_GAA_100101[[i]],
  #Spmod43_GAA_100101[[i]],
  #Spmod44_GAA_100101[[i]],
  #Spmod45_GAA_100101[[i]],
  #Spmod46_GAA_100101[[i]],
  #Spmod47_GAA_100101[[i]],
  #Spmod48_GAA_100101[[i]],
  #Spmod49_GAA_100101[[i]],
  #Spmod50_GAA_100101[[i]],
  #Spmod51_GAA_100101[[i]],
  #Spmod52_GAA_100101[[i]],
  #Spmod53_GAA_100101[[i]],
  #Spmod54_GAA_100101[[i]],
  #Spmod55_GAA_100101[[i]],
  #Spmod56_GAA_100101[[i]],
  #Spmod57_GAA_100101[[i]],
  #Spmod58_GAA_100101[[i]],
  #Spmod59_GAA_100101[[i]],
  #Spmod60_GAA_100101[[i]],
  #Spmod61_GAA_100101[[i]],
  #Spmod62_GAA_100101[[i]],
  #Spmod63_GAA_100101[[i]],
  #Spmod64_GAA_100101[[i]],
  #Spmod65_GAA_100101[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  "4",
  "5",
  #"6",
  "7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  "14",
  #"15",
  "16",
  #"17",
  #"18",
  "19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  "35")
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_100101[[i]] <- aictab(cand.set= listall_GAA_100101[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod1_GAA_100101[[i]])
  Spmod2_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod2_GAA_100101[[i]])
  #Spmod3_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod3_GAA_100101[[i]])
  Spmod4_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod4_GAA_100101[[i]])
  Spmod5_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod5_GAA_100101[[i]])
  #Spmod6_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod6_GAA_100101[[i]])
  Spmod7_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod7_GAA_100101[[i]])
  #Spmod8_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod8_GAA_100101[[i]])
  #Spmod9_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod9_GAA_100101[[i]])
  #Spmod10_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod10_GAA_100101[[i]])
  #Spmod11_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod11_GAA_100101[[i]])
  #Spmod12_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod12_GAA_100101[[i]])
  #Spmod13_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod13_GAA_100101[[i]])
  Spmod14_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod14_GAA_100101[[i]])
  #Spmod15_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod15_GAA_100101[[i]])
  Spmod16_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod16_GAA_100101[[i]])
  #Spmod17_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod17_GAA_100101[[i]])
  #Spmod18_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod18_GAA_100101[[i]])
  Spmod19_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod19_GAA_100101[[i]])
  #Spmod20_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod20_GAA_100101[[i]])
  #Spmod21_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod21_GAA_100101[[i]])
  #Spmod22_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod22_GAA_100101[[i]])
  #Spmod23_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod23_GAA_100101[[i]])
  #Spmod24_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod24_GAA_100101[[i]])
  #Spmod25_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod25_GAA_100101[[i]])
  #Spmod26_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod26_GAA_100101[[i]])
  #Spmod27_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod27_GAA_100101[[i]])
  #Spmod28_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod28_GAA_100101[[i]])
  #Spmod29_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod29_GAA_100101[[i]])
  #Spmod30_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod30_GAA_100101[[i]])
  #Spmod31_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod31_GAA_100101[[i]])
  #Spmod32_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod32_GAA_100101[[i]])
  #Spmod33_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod33_GAA_100101[[i]])
  #Spmod34_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod34_GAA_100101[[i]])
  Spmod35_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod35_GAA_100101[[i]])
  #Spmod36_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod36_GAA_100101[[i]])
  #Spmod37_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod37_GAA_100101[[i]])
  #Spmod38_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod38_GAA_100101[[i]])
  #Spmod39_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod39_GAA_100101[[i]])
  #Spmod40_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod40_GAA_100101[[i]])
  #Spmod41_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod41_GAA_100101[[i]])
  #Spmod42_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod42_GAA_100101[[i]])
  #Spmod43_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod43_GAA_100101[[i]])
  #Spmod44_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod44_GAA_100101[[i]])
  #Spmod45_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod45_GAA_100101[[i]])
  #Spmod46_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod46_GAA_100101[[i]])
  #Spmod47_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod47_GAA_100101[[i]])
  #Spmod48_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod48_GAA_100101[[i]])
  #Spmod49_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod49_GAA_100101[[i]])
  #Spmod50_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod50_GAA_100101[[i]])
  #Spmod51_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod51_GAA_100101[[i]])
  #Spmod52_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod52_GAA_100101[[i]])
  #Spmod53_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod53_GAA_100101[[i]])
  #Spmod54_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod54_GAA_100101[[i]])
  #Spmod55_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod55_GAA_100101[[i]])
  #Spmod56_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod56_GAA_100101[[i]])
  #Spmod57_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod57_GAA_100101[[i]])
  #Spmod58_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod58_GAA_100101[[i]])
  #Spmod59_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod59_GAA_100101[[i]])
  #Spmod60_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod60_GAA_100101[[i]])
  #Spmod61_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod61_GAA_100101[[i]])
  #Spmod62_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod62_GAA_100101[[i]])
  #Spmod63_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod63_GAA_100101[[i]])
  #Spmod64_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod64_GAA_100101[[i]])
  #Spmod65_GAA_100101_R[[i]]<-NagelkerkeR2(Spmod65_GAA_100101[[i]])
  
  Spmod1_GAA_100101_R[[i]]$Modnames <-1
  Spmod2_GAA_100101_R[[i]]$Modnames <-2
  #Spmod3_GAA_100101_R[[i]]$Modnames <-3
  Spmod4_GAA_100101_R[[i]]$Modnames <-4
  Spmod5_GAA_100101_R[[i]]$Modnames <-5
  #Spmod6_GAA_100101_R[[i]]$Modnames <-6
  Spmod7_GAA_100101_R[[i]]$Modnames <-7
  #Spmod8_GAA_100101_R[[i]]$Modnames <-8
  #Spmod9_GAA_100101_R[[i]]$Modnames <-9
  #Spmod10_GAA_100101_R[[i]]$Modnames <-10
  #Spmod11_GAA_100101_R[[i]]$Modnames <-11
  #Spmod12_GAA_100101_R[[i]]$Modnames <-12
  #Spmod13_GAA_100101_R[[i]]$Modnames <-13
  Spmod14_GAA_100101_R[[i]]$Modnames <-14
  #Spmod15_GAA_100101_R[[i]]$Modnames <-15
  Spmod16_GAA_100101_R[[i]]$Modnames <-16
  #Spmod17_GAA_100101_R[[i]]$Modnames <-17
  #Spmod18_GAA_100101_R[[i]]$Modnames <-18
  Spmod19_GAA_100101_R[[i]]$Modnames <-19
  #Spmod20_GAA_100101_R[[i]]$Modnames <-20
  #Spmod21_GAA_100101_R[[i]]$Modnames <-21
  #Spmod22_GAA_100101_R[[i]]$Modnames <-22
  #Spmod23_GAA_100101_R[[i]]$Modnames <-23
  #Spmod24_GAA_100101_R[[i]]$Modnames <-24
  #Spmod25_GAA_100101_R[[i]]$Modnames <-25
  #Spmod26_GAA_100101_R[[i]]$Modnames <-26
  #Spmod27_GAA_100101_R[[i]]$Modnames <-27
  #Spmod28_GAA_100101_R[[i]]$Modnames <-28
  #Spmod29_GAA_100101_R[[i]]$Modnames <-29
  #Spmod30_GAA_100101_R[[i]]$Modnames <-30
  #Spmod31_GAA_100101_R[[i]]$Modnames <-31
  #Spmod32_GAA_100101_R[[i]]$Modnames <-32
  #Spmod33_GAA_100101_R[[i]]$Modnames <-33
  #Spmod34_GAA_100101_R[[i]]$Modnames <-34
  Spmod35_GAA_100101_R[[i]]$Modnames <-35
  #Spmod36_GAA_100101_R[[i]]$Modnames <-36
  #Spmod37_GAA_100101_R[[i]]$Modnames <-37
  #Spmod38_GAA_100101_R[[i]]$Modnames <-38
  #Spmod39_GAA_100101_R[[i]]$Modnames <-39
  #Spmod40_GAA_100101_R[[i]]$Modnames <-40
  #Spmod41_GAA_100101_R[[i]]$Modnames <-41
  #Spmod42_GAA_100101_R[[i]]$Modnames <-42
  #Spmod43_GAA_100101_R[[i]]$Modnames <-43
  #Spmod44_GAA_100101_R[[i]]$Modnames <-44
  #Spmod45_GAA_100101_R[[i]]$Modnames <-45
  #Spmod46_GAA_100101_R[[i]]$Modnames <-46
  #Spmod47_GAA_100101_R[[i]]$Modnames <-47
  #Spmod48_GAA_100101_R[[i]]$Modnames <-48
  #Spmod49_GAA_100101_R[[i]]$Modnames <-49
  #Spmod50_GAA_100101_R[[i]]$Modnames <-50
  #Spmod51_GAA_100101_R[[i]]$Modnames <-51
  #Spmod52_GAA_100101_R[[i]]$Modnames <-52
  #Spmod53_GAA_100101_R[[i]]$Modnames <-53
  #Spmod54_GAA_100101_R[[i]]$Modnames <-54
  #Spmod55_GAA_100101_R[[i]]$Modnames <-55
  #Spmod56_GAA_100101_R[[i]]$Modnames <-56
  #Spmod57_GAA_100101_R[[i]]$Modnames <-57
  #Spmod58_GAA_100101_R[[i]]$Modnames <-58
  #Spmod59_GAA_100101_R[[i]]$Modnames <-59
  #Spmod60_GAA_100101_R[[i]]$Modnames <-60
  #Spmod61_GAA_100101_R[[i]]$Modnames <-61
  #Spmod62_GAA_100101_R[[i]]$Modnames <-62
  #Spmod63_GAA_100101_R[[i]]$Modnames <-63
  #Spmod64_GAA_100101_R[[i]]$Modnames <-64
  #Spmod65_GAA_100101_R[[i]]$Modnames <-65
  
  modelavg_GAA_100101[[i]] <- model.avg(listall_GAA_100101[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_100101_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_100101_R,
  Spmod2_GAA_100101_R,
  #Spmod3_GAA_100101_R,
  Spmod4_GAA_100101_R,
  Spmod5_GAA_100101_R,
  #Spmod6_GAA_100101_R,
  Spmod7_GAA_100101_R,
  #Spmod8_GAA_100101_R,
  #Spmod9_GAA_100101_R,
  #Spmod10_GAA_100101_R,
  #Spmod11_GAA_100101_R,
  #Spmod12_GAA_100101_R,
  #Spmod13_GAA_100101_R,
  Spmod14_GAA_100101_R,
  #Spmod15_GAA_100101_R,
  Spmod16_GAA_100101_R,
  #Spmod17_GAA_100101_R,
  #Spmod18_GAA_100101_R,
  Spmod19_GAA_100101_R,
  #Spmod20_GAA_100101_R,
  #Spmod21_GAA_100101_R,
  #Spmod22_GAA_100101_R,
  #Spmod23_GAA_100101_R,
  #Spmod24_GAA_100101_R,
  #Spmod25_GAA_100101_R,
  #Spmod26_GAA_100101_R,
  #Spmod27_GAA_100101_R,
  #Spmod28_GAA_100101_R,
  #Spmod29_GAA_100101_R,
  #Spmod30_GAA_100101_R,
  #Spmod31_GAA_100101_R,
  #Spmod32_GAA_100101_R,
  #Spmod33_GAA_100101_R,
  #Spmod34_GAA_100101_R,
  Spmod35_GAA_100101_R)))
  #Spmod36_GAA_100101_R,
  #Spmod37_GAA_100101_R,
  #Spmod38_GAA_100101_R,
  #Spmod39_GAA_100101_R,
  #Spmod40_GAA_100101_R,
  #Spmod41_GAA_100101_R,
  #Spmod42_GAA_100101_R,
  #Spmod43_GAA_100101_R,
  #Spmod44_GAA_100101_R,
  #Spmod45_GAA_100101_R,
  #Spmod46_GAA_100101_R,
  #Spmod47_GAA_100101_R,
  #Spmod48_GAA_100101_R,
  #Spmod49_GAA_100101_R,
  #Spmod50_GAA_100101_R,
  #Spmod51_GAA_100101_R,
  #Spmod52_GAA_100101_R,
  #Spmod53_GAA_100101_R,
  #Spmod54_GAA_100101_R,
  #Spmod55_GAA_100101_R,
  #Spmod56_GAA_100101_R,
  #Spmod57_GAA_100101_R,
  #Spmod58_GAA_100101_R,
  #Spmod59_GAA_100101_R,
  #Spmod60_GAA_100101_R,
  #Spmod61_GAA_100101_R,
  #Spmod62_GAA_100101_R,
  #Spmod63_GAA_100101_R,
  #Spmod64_GAA_100101_R,
  #Spmod65_GAA_100101_R)))
  
  G_100101_R2_N <- G_100101_R2[G_100101_R2$L3 == "N",]
  names(G_100101_R2_N)[1] <- "N"
  G_100101_R2_R2 <- G_100101_R2[G_100101_R2$L3 == "R2", ]
  names(G_100101_R2_R2)[1] <- "R2"
  G_100101_R2_MN <- G_100101_R2[G_100101_R2$L3 == "Modnames", ]
  names(G_100101_R2_MN)[1] <- "Modnames"   
  
  G_100101_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_100101_R2_N, G_100101_R2_R2, G_100101_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_100101_R2_r)[1] <- "Species"
  
  AIC_100101_G <- melt(SpAIC_GAA_100101, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_100101_G <- subset(AIC_100101_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_100101_G)[1] <- "Species"
  
  Results_100101_G <- merge(AIC_100101_G, G_100101_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_100101_G$exclusion <- "100101"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_100111", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_100111 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_100111 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_100111 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_100111_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v100111_species_G)){
  Spmod1_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod5_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod14_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_100111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_100111[[i]] <- list(Spmod1_GAA_100111[[i]],
                                  Spmod2_GAA_100111[[i]],
  
  #Spmod3_GAA_100111[[i]],
  Spmod4_GAA_100111[[i]],
  Spmod5_GAA_100111[[i]],
  #Spmod6_GAA_100111[[i]],
  #Spmod7_GAA_100111[[i]],
  #Spmod8_GAA_100111[[i]],
  #Spmod9_GAA_100111[[i]],
  #Spmod10_GAA_100111[[i]],
  #Spmod11_GAA_100111[[i]],
  #Spmod12_GAA_100111[[i]],
  #Spmod13_GAA_100111[[i]],
  Spmod14_GAA_100111[[i]])
  #Spmod15_GAA_100111[[i]],
  #Spmod16_GAA_100111[[i]],
  #Spmod17_GAA_100111[[i]],
  #Spmod18_GAA_100111[[i]],
  #Spmod19_GAA_100111[[i]],
  #Spmod20_GAA_100111[[i]],
  #Spmod21_GAA_100111[[i]],
  #Spmod22_GAA_100111[[i]],
  #Spmod23_GAA_100111[[i]],
  #Spmod24_GAA_100111[[i]],
  #Spmod25_GAA_100111[[i]],
  #Spmod26_GAA_100111[[i]],
  #Spmod27_GAA_100111[[i]],
  #Spmod28_GAA_100111[[i]],
  #Spmod29_GAA_100111[[i]],
  #Spmod30_GAA_100111[[i]],
  #Spmod31_GAA_100111[[i]],
  #Spmod32_GAA_100111[[i]],
  #Spmod33_GAA_100111[[i]],
  #Spmod34_GAA_100111[[i]],
  #Spmod35_GAA_100111[[i]],
  #Spmod36_GAA_100111[[i]],
  #Spmod37_GAA_100111[[i]],
  #Spmod38_GAA_100111[[i]],
  #Spmod39_GAA_100111[[i]],
  #Spmod40_GAA_100111[[i]],
  #Spmod41_GAA_100111[[i]],
  #Spmod42_GAA_100111[[i]],
  #Spmod43_GAA_100111[[i]],
  #Spmod44_GAA_100111[[i]],
  #Spmod45_GAA_100111[[i]],
  #Spmod46_GAA_100111[[i]],
  #Spmod47_GAA_100111[[i]],
  #Spmod48_GAA_100111[[i]],
  #Spmod49_GAA_100111[[i]],
  #Spmod50_GAA_100111[[i]],
  #Spmod51_GAA_100111[[i]],
  #Spmod52_GAA_100111[[i]],
  #Spmod53_GAA_100111[[i]],
  #Spmod54_GAA_100111[[i]],
  #Spmod55_GAA_100111[[i]],
  #Spmod56_GAA_100111[[i]],
  #Spmod57_GAA_100111[[i]],
  #Spmod58_GAA_100111[[i]],
  #Spmod59_GAA_100111[[i]],
  #Spmod60_GAA_100111[[i]],
  #Spmod61_GAA_100111[[i]],
  #Spmod62_GAA_100111[[i]],
  #Spmod63_GAA_100111[[i]],
  #Spmod64_GAA_100111[[i]],
  #Spmod65_GAA_100111[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  "4",
  "5",
  #"6",
  #"7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  "14")
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_100111[[i]] <- aictab(cand.set= listall_GAA_100111[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod1_GAA_100111[[i]])
  Spmod2_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod2_GAA_100111[[i]])
  #Spmod3_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod3_GAA_100111[[i]])
  Spmod4_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod4_GAA_100111[[i]])
  Spmod5_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod5_GAA_100111[[i]])
  #Spmod6_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod6_GAA_100111[[i]])
  #Spmod7_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod7_GAA_100111[[i]])
  #Spmod8_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod8_GAA_100111[[i]])
  #Spmod9_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod9_GAA_100111[[i]])
  #Spmod10_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod10_GAA_100111[[i]])
  #Spmod11_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod11_GAA_100111[[i]])
  #Spmod12_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod12_GAA_100111[[i]])
  #Spmod13_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod13_GAA_100111[[i]])
  Spmod14_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod14_GAA_100111[[i]])
  #Spmod15_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod15_GAA_100111[[i]])
  #Spmod16_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod16_GAA_100111[[i]])
  #Spmod17_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod17_GAA_100111[[i]])
  #Spmod18_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod18_GAA_100111[[i]])
  #Spmod19_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod19_GAA_100111[[i]])
  #Spmod20_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod20_GAA_100111[[i]])
  #Spmod21_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod21_GAA_100111[[i]])
  #Spmod22_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod22_GAA_100111[[i]])
  #Spmod23_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod23_GAA_100111[[i]])
  #Spmod24_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod24_GAA_100111[[i]])
  #Spmod25_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod25_GAA_100111[[i]])
  #Spmod26_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod26_GAA_100111[[i]])
  #Spmod27_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod27_GAA_100111[[i]])
  #Spmod28_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod28_GAA_100111[[i]])
  #Spmod29_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod29_GAA_100111[[i]])
  #Spmod30_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod30_GAA_100111[[i]])
  #Spmod31_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod31_GAA_100111[[i]])
  #Spmod32_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod32_GAA_100111[[i]])
  #Spmod33_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod33_GAA_100111[[i]])
  #Spmod34_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod34_GAA_100111[[i]])
  #Spmod35_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod35_GAA_100111[[i]])
  #Spmod36_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod36_GAA_100111[[i]])
  #Spmod37_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod37_GAA_100111[[i]])
  #Spmod38_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod38_GAA_100111[[i]])
  #Spmod39_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod39_GAA_100111[[i]])
  #Spmod40_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod40_GAA_100111[[i]])
  #Spmod41_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod41_GAA_100111[[i]])
  #Spmod42_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod42_GAA_100111[[i]])
  #Spmod43_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod43_GAA_100111[[i]])
  #Spmod44_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod44_GAA_100111[[i]])
  #Spmod45_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod45_GAA_100111[[i]])
  #Spmod46_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod46_GAA_100111[[i]])
  #Spmod47_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod47_GAA_100111[[i]])
  #Spmod48_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod48_GAA_100111[[i]])
  #Spmod49_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod49_GAA_100111[[i]])
  #Spmod50_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod50_GAA_100111[[i]])
  #Spmod51_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod51_GAA_100111[[i]])
  #Spmod52_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod52_GAA_100111[[i]])
  #Spmod53_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod53_GAA_100111[[i]])
  #Spmod54_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod54_GAA_100111[[i]])
  #Spmod55_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod55_GAA_100111[[i]])
  #Spmod56_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod56_GAA_100111[[i]])
  #Spmod57_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod57_GAA_100111[[i]])
  #Spmod58_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod58_GAA_100111[[i]])
  #Spmod59_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod59_GAA_100111[[i]])
  #Spmod60_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod60_GAA_100111[[i]])
  #Spmod61_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod61_GAA_100111[[i]])
  #Spmod62_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod62_GAA_100111[[i]])
  #Spmod63_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod63_GAA_100111[[i]])
  #Spmod64_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod64_GAA_100111[[i]])
  #Spmod65_GAA_100111_R[[i]]<-NagelkerkeR2(Spmod65_GAA_100111[[i]])
  
  Spmod1_GAA_100111_R[[i]]$Modnames <-1
  Spmod2_GAA_100111_R[[i]]$Modnames <-2
  #Spmod3_GAA_100111_R[[i]]$Modnames <-3
  Spmod4_GAA_100111_R[[i]]$Modnames <-4
  Spmod5_GAA_100111_R[[i]]$Modnames <-5
  #Spmod6_GAA_100111_R[[i]]$Modnames <-6
  #Spmod7_GAA_100111_R[[i]]$Modnames <-7
  #Spmod8_GAA_100111_R[[i]]$Modnames <-8
  #Spmod9_GAA_100111_R[[i]]$Modnames <-9
  #Spmod10_GAA_100111_R[[i]]$Modnames <-10
  #Spmod11_GAA_100111_R[[i]]$Modnames <-11
  #Spmod12_GAA_100111_R[[i]]$Modnames <-12
  #Spmod13_GAA_100111_R[[i]]$Modnames <-13
  Spmod14_GAA_100111_R[[i]]$Modnames <-14
  #Spmod15_GAA_100111_R[[i]]$Modnames <-15
  #Spmod16_GAA_100111_R[[i]]$Modnames <-16
  #Spmod17_GAA_100111_R[[i]]$Modnames <-17
  #Spmod18_GAA_100111_R[[i]]$Modnames <-18
  #Spmod19_GAA_100111_R[[i]]$Modnames <-19
  #Spmod20_GAA_100111_R[[i]]$Modnames <-20
  #Spmod21_GAA_100111_R[[i]]$Modnames <-21
  #Spmod22_GAA_100111_R[[i]]$Modnames <-22
  #Spmod23_GAA_100111_R[[i]]$Modnames <-23
  #Spmod24_GAA_100111_R[[i]]$Modnames <-24
  #Spmod25_GAA_100111_R[[i]]$Modnames <-25
  #Spmod26_GAA_100111_R[[i]]$Modnames <-26
  #Spmod27_GAA_100111_R[[i]]$Modnames <-27
  #Spmod28_GAA_100111_R[[i]]$Modnames <-28
  #Spmod29_GAA_100111_R[[i]]$Modnames <-29
  #Spmod30_GAA_100111_R[[i]]$Modnames <-30
  #Spmod31_GAA_100111_R[[i]]$Modnames <-31
  #Spmod32_GAA_100111_R[[i]]$Modnames <-32
  #Spmod33_GAA_100111_R[[i]]$Modnames <-33
  #Spmod34_GAA_100111_R[[i]]$Modnames <-34
  #Spmod35_GAA_100111_R[[i]]$Modnames <-35
  #Spmod36_GAA_100111_R[[i]]$Modnames <-36
  #Spmod37_GAA_100111_R[[i]]$Modnames <-37
  #Spmod38_GAA_100111_R[[i]]$Modnames <-38
  #Spmod39_GAA_100111_R[[i]]$Modnames <-39
  #Spmod40_GAA_100111_R[[i]]$Modnames <-40
  #Spmod41_GAA_100111_R[[i]]$Modnames <-41
  #Spmod42_GAA_100111_R[[i]]$Modnames <-42
  #Spmod43_GAA_100111_R[[i]]$Modnames <-43
  #Spmod44_GAA_100111_R[[i]]$Modnames <-44
  #Spmod45_GAA_100111_R[[i]]$Modnames <-45
  #Spmod46_GAA_100111_R[[i]]$Modnames <-46
  #Spmod47_GAA_100111_R[[i]]$Modnames <-47
  #Spmod48_GAA_100111_R[[i]]$Modnames <-48
  #Spmod49_GAA_100111_R[[i]]$Modnames <-49
  #Spmod50_GAA_100111_R[[i]]$Modnames <-50
  #Spmod51_GAA_100111_R[[i]]$Modnames <-51
  #Spmod52_GAA_100111_R[[i]]$Modnames <-52
  #Spmod53_GAA_100111_R[[i]]$Modnames <-53
  #Spmod54_GAA_100111_R[[i]]$Modnames <-54
  #Spmod55_GAA_100111_R[[i]]$Modnames <-55
  #Spmod56_GAA_100111_R[[i]]$Modnames <-56
  #Spmod57_GAA_100111_R[[i]]$Modnames <-57
  #Spmod58_GAA_100111_R[[i]]$Modnames <-58
  #Spmod59_GAA_100111_R[[i]]$Modnames <-59
  #Spmod60_GAA_100111_R[[i]]$Modnames <-60
  #Spmod61_GAA_100111_R[[i]]$Modnames <-61
  #Spmod62_GAA_100111_R[[i]]$Modnames <-62
  #Spmod63_GAA_100111_R[[i]]$Modnames <-63
  #Spmod64_GAA_100111_R[[i]]$Modnames <-64
  #Spmod65_GAA_100111_R[[i]]$Modnames <-65
  
  modelavg_GAA_100111[[i]] <- model.avg(listall_GAA_100111[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_100111_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_100111_R,
  Spmod2_GAA_100111_R,
  #Spmod3_GAA_100111_R,
  Spmod4_GAA_100111_R,
  Spmod5_GAA_100111_R,
  #Spmod6_GAA_100111_R,
  #Spmod7_GAA_100111_R,
  #Spmod8_GAA_100111_R,
  #Spmod9_GAA_100111_R,
  #Spmod10_GAA_100111_R,
  #Spmod11_GAA_100111_R,
  #Spmod12_GAA_100111_R,
  #Spmod13_GAA_100111_R,
  Spmod14_GAA_100111_R)))
  #Spmod15_GAA_100111_R,
  #Spmod16_GAA_100111_R,
  #Spmod17_GAA_100111_R,
  #Spmod18_GAA_100111_R,
  #Spmod19_GAA_100111_R,
  #Spmod20_GAA_100111_R,
  #Spmod21_GAA_100111_R,
  #Spmod22_GAA_100111_R,
  #Spmod23_GAA_100111_R,
  #Spmod24_GAA_100111_R,
  #Spmod25_GAA_100111_R,
  #Spmod26_GAA_100111_R,
  #Spmod27_GAA_100111_R,
  #Spmod28_GAA_100111_R,
  #Spmod29_GAA_100111_R,
  #Spmod30_GAA_100111_R,
  #Spmod31_GAA_100111_R,
  #Spmod32_GAA_100111_R,
  #Spmod33_GAA_100111_R,
  #Spmod34_GAA_100111_R,
  #Spmod35_GAA_100111_R,
  #Spmod36_GAA_100111_R,
  #Spmod37_GAA_100111_R,
  #Spmod38_GAA_100111_R,
  #Spmod39_GAA_100111_R,
  #Spmod40_GAA_100111_R,
  #Spmod41_GAA_100111_R,
  #Spmod42_GAA_100111_R,
  #Spmod43_GAA_100111_R,
  #Spmod44_GAA_100111_R,
  #Spmod45_GAA_100111_R,
  #Spmod46_GAA_100111_R,
  #Spmod47_GAA_100111_R,
  #Spmod48_GAA_100111_R,
  #Spmod49_GAA_100111_R,
  #Spmod50_GAA_100111_R,
  #Spmod51_GAA_100111_R,
  #Spmod52_GAA_100111_R,
  #Spmod53_GAA_100111_R,
  #Spmod54_GAA_100111_R,
  #Spmod55_GAA_100111_R,
  #Spmod56_GAA_100111_R,
  #Spmod57_GAA_100111_R,
  #Spmod58_GAA_100111_R,
  #Spmod59_GAA_100111_R,
  #Spmod60_GAA_100111_R,
  #Spmod61_GAA_100111_R,
  #Spmod62_GAA_100111_R,
  #Spmod63_GAA_100111_R,
  #Spmod64_GAA_100111_R,
  #Spmod65_GAA_100111_R)))
  
  G_100111_R2_N <- G_100111_R2[G_100111_R2$L3 == "N",]
  names(G_100111_R2_N)[1] <- "N"
  G_100111_R2_R2 <- G_100111_R2[G_100111_R2$L3 == "R2", ]
  names(G_100111_R2_R2)[1] <- "R2"
  G_100111_R2_MN <- G_100111_R2[G_100111_R2$L3 == "Modnames", ]
  names(G_100111_R2_MN)[1] <- "Modnames"   
  
  G_100111_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_100111_R2_N, G_100111_R2_R2, G_100111_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_100111_R2_r)[1] <- "Species"
  
  AIC_100111_G <- melt(SpAIC_GAA_100111, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_100111_G <- subset(AIC_100111_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_100111_G)[1] <- "Species"
  
  Results_100111_G <- merge(AIC_100111_G, G_100111_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_100111_G$exclusion <- "100111"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_101011", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_101011 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_101011 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_101011 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_101011_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v101011_species_G)){
  Spmod1_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod6_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod15_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_101011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_101011[[i]] <- list(Spmod1_GAA_101011[[i]],
                                  Spmod2_GAA_101011[[i]],
  
  #Spmod3_GAA_101011[[i]],
  Spmod4_GAA_101011[[i]],
  #Spmod5_GAA_101011[[i]],
  Spmod6_GAA_101011[[i]],
  #Spmod7_GAA_101011[[i]],
  #Spmod8_GAA_101011[[i]],
  #Spmod9_GAA_101011[[i]],
  #Spmod10_GAA_101011[[i]],
  #Spmod11_GAA_101011[[i]],
  #Spmod12_GAA_101011[[i]],
  #Spmod13_GAA_101011[[i]],
  #Spmod14_GAA_101011[[i]],
  Spmod15_GAA_101011[[i]])
  #Spmod16_GAA_101011[[i]],
  #Spmod17_GAA_101011[[i]],
  #Spmod18_GAA_101011[[i]],
  #Spmod19_GAA_101011[[i]],
  #Spmod20_GAA_101011[[i]],
  #Spmod21_GAA_101011[[i]],
  #Spmod22_GAA_101011[[i]],
  #Spmod23_GAA_101011[[i]],
  #Spmod24_GAA_101011[[i]],
  #Spmod25_GAA_101011[[i]],
  #Spmod26_GAA_101011[[i]],
  #Spmod27_GAA_101011[[i]],
  #Spmod28_GAA_101011[[i]],
  #Spmod29_GAA_101011[[i]],
  #Spmod30_GAA_101011[[i]],
  #Spmod31_GAA_101011[[i]],
  #Spmod32_GAA_101011[[i]],
  #Spmod33_GAA_101011[[i]],
  #Spmod34_GAA_101011[[i]],
  #Spmod35_GAA_101011[[i]],
  #Spmod36_GAA_101011[[i]],
  #Spmod37_GAA_101011[[i]],
  #Spmod38_GAA_101011[[i]],
  #Spmod39_GAA_101011[[i]],
  #Spmod40_GAA_101011[[i]],
  #Spmod41_GAA_101011[[i]],
  #Spmod42_GAA_101011[[i]],
  #Spmod43_GAA_101011[[i]],
  #Spmod44_GAA_101011[[i]],
  #Spmod45_GAA_101011[[i]],
  #Spmod46_GAA_101011[[i]],
  #Spmod47_GAA_101011[[i]],
  #Spmod48_GAA_101011[[i]],
  #Spmod49_GAA_101011[[i]],
  #Spmod50_GAA_101011[[i]],
  #Spmod51_GAA_101011[[i]],
  #Spmod52_GAA_101011[[i]],
  #Spmod53_GAA_101011[[i]],
  #Spmod54_GAA_101011[[i]],
  #Spmod55_GAA_101011[[i]],
  #Spmod56_GAA_101011[[i]],
  #Spmod57_GAA_101011[[i]],
  #Spmod58_GAA_101011[[i]],
  #Spmod59_GAA_101011[[i]],
  #Spmod60_GAA_101011[[i]],
  #Spmod61_GAA_101011[[i]],
  #Spmod62_GAA_101011[[i]],
  #Spmod63_GAA_101011[[i]],
  #Spmod64_GAA_101011[[i]],
  #Spmod65_GAA_101011[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  "4",
  #"5",
  "6",
  #"7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  "15")
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_101011[[i]] <- aictab(cand.set= listall_GAA_101011[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod1_GAA_101011[[i]])
  Spmod2_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod2_GAA_101011[[i]])
  #Spmod3_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod3_GAA_101011[[i]])
  Spmod4_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod4_GAA_101011[[i]])
  #Spmod5_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod5_GAA_101011[[i]])
  Spmod6_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod6_GAA_101011[[i]])
  #Spmod7_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod7_GAA_101011[[i]])
  #Spmod8_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod8_GAA_101011[[i]])
  #Spmod9_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod9_GAA_101011[[i]])
  #Spmod10_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod10_GAA_101011[[i]])
  #Spmod11_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod11_GAA_101011[[i]])
  #Spmod12_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod12_GAA_101011[[i]])
  #Spmod13_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod13_GAA_101011[[i]])
  #Spmod14_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod14_GAA_101011[[i]])
  Spmod15_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod15_GAA_101011[[i]])
  #Spmod16_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod16_GAA_101011[[i]])
  #Spmod17_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod17_GAA_101011[[i]])
  #Spmod18_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod18_GAA_101011[[i]])
  #Spmod19_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod19_GAA_101011[[i]])
  #Spmod20_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod20_GAA_101011[[i]])
  #Spmod21_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod21_GAA_101011[[i]])
  #Spmod22_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod22_GAA_101011[[i]])
  #Spmod23_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod23_GAA_101011[[i]])
  #Spmod24_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod24_GAA_101011[[i]])
  #Spmod25_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod25_GAA_101011[[i]])
  #Spmod26_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod26_GAA_101011[[i]])
  #Spmod27_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod27_GAA_101011[[i]])
  #Spmod28_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod28_GAA_101011[[i]])
  #Spmod29_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod29_GAA_101011[[i]])
  #Spmod30_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod30_GAA_101011[[i]])
  #Spmod31_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod31_GAA_101011[[i]])
  #Spmod32_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod32_GAA_101011[[i]])
  #Spmod33_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod33_GAA_101011[[i]])
  #Spmod34_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod34_GAA_101011[[i]])
  #Spmod35_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod35_GAA_101011[[i]])
  #Spmod36_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod36_GAA_101011[[i]])
  #Spmod37_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod37_GAA_101011[[i]])
  #Spmod38_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod38_GAA_101011[[i]])
  #Spmod39_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod39_GAA_101011[[i]])
  #Spmod40_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod40_GAA_101011[[i]])
  #Spmod41_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod41_GAA_101011[[i]])
  #Spmod42_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod42_GAA_101011[[i]])
  #Spmod43_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod43_GAA_101011[[i]])
  #Spmod44_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod44_GAA_101011[[i]])
  #Spmod45_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod45_GAA_101011[[i]])
  #Spmod46_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod46_GAA_101011[[i]])
  #Spmod47_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod47_GAA_101011[[i]])
  #Spmod48_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod48_GAA_101011[[i]])
  #Spmod49_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod49_GAA_101011[[i]])
  #Spmod50_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod50_GAA_101011[[i]])
  #Spmod51_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod51_GAA_101011[[i]])
  #Spmod52_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod52_GAA_101011[[i]])
  #Spmod53_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod53_GAA_101011[[i]])
  #Spmod54_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod54_GAA_101011[[i]])
  #Spmod55_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod55_GAA_101011[[i]])
  #Spmod56_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod56_GAA_101011[[i]])
  #Spmod57_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod57_GAA_101011[[i]])
  #Spmod58_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod58_GAA_101011[[i]])
  #Spmod59_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod59_GAA_101011[[i]])
  #Spmod60_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod60_GAA_101011[[i]])
  #Spmod61_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod61_GAA_101011[[i]])
  #Spmod62_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod62_GAA_101011[[i]])
  #Spmod63_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod63_GAA_101011[[i]])
  #Spmod64_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod64_GAA_101011[[i]])
  #Spmod65_GAA_101011_R[[i]]<-NagelkerkeR2(Spmod65_GAA_101011[[i]])
  
  Spmod1_GAA_101011_R[[i]]$Modnames <-1
  Spmod2_GAA_101011_R[[i]]$Modnames <-2
  #Spmod3_GAA_101011_R[[i]]$Modnames <-3
  Spmod4_GAA_101011_R[[i]]$Modnames <-4
  #Spmod5_GAA_101011_R[[i]]$Modnames <-5
  Spmod6_GAA_101011_R[[i]]$Modnames <-6
  #Spmod7_GAA_101011_R[[i]]$Modnames <-7
  #Spmod8_GAA_101011_R[[i]]$Modnames <-8
  #Spmod9_GAA_101011_R[[i]]$Modnames <-9
  #Spmod10_GAA_101011_R[[i]]$Modnames <-10
  #Spmod11_GAA_101011_R[[i]]$Modnames <-11
  #Spmod12_GAA_101011_R[[i]]$Modnames <-12
  #Spmod13_GAA_101011_R[[i]]$Modnames <-13
  #Spmod14_GAA_101011_R[[i]]$Modnames <-14
  Spmod15_GAA_101011_R[[i]]$Modnames <-15
  #Spmod16_GAA_101011_R[[i]]$Modnames <-16
  #Spmod17_GAA_101011_R[[i]]$Modnames <-17
  #Spmod18_GAA_101011_R[[i]]$Modnames <-18
  #Spmod19_GAA_101011_R[[i]]$Modnames <-19
  #Spmod20_GAA_101011_R[[i]]$Modnames <-20
  #Spmod21_GAA_101011_R[[i]]$Modnames <-21
  #Spmod22_GAA_101011_R[[i]]$Modnames <-22
  #Spmod23_GAA_101011_R[[i]]$Modnames <-23
  #Spmod24_GAA_101011_R[[i]]$Modnames <-24
  #Spmod25_GAA_101011_R[[i]]$Modnames <-25
  #Spmod26_GAA_101011_R[[i]]$Modnames <-26
  #Spmod27_GAA_101011_R[[i]]$Modnames <-27
  #Spmod28_GAA_101011_R[[i]]$Modnames <-28
  #Spmod29_GAA_101011_R[[i]]$Modnames <-29
  #Spmod30_GAA_101011_R[[i]]$Modnames <-30
  #Spmod31_GAA_101011_R[[i]]$Modnames <-31
  #Spmod32_GAA_101011_R[[i]]$Modnames <-32
  #Spmod33_GAA_101011_R[[i]]$Modnames <-33
  #Spmod34_GAA_101011_R[[i]]$Modnames <-34
  #Spmod35_GAA_101011_R[[i]]$Modnames <-35
  #Spmod36_GAA_101011_R[[i]]$Modnames <-36
  #Spmod37_GAA_101011_R[[i]]$Modnames <-37
  #Spmod38_GAA_101011_R[[i]]$Modnames <-38
  #Spmod39_GAA_101011_R[[i]]$Modnames <-39
  #Spmod40_GAA_101011_R[[i]]$Modnames <-40
  #Spmod41_GAA_101011_R[[i]]$Modnames <-41
  #Spmod42_GAA_101011_R[[i]]$Modnames <-42
  #Spmod43_GAA_101011_R[[i]]$Modnames <-43
  #Spmod44_GAA_101011_R[[i]]$Modnames <-44
  #Spmod45_GAA_101011_R[[i]]$Modnames <-45
  #Spmod46_GAA_101011_R[[i]]$Modnames <-46
  #Spmod47_GAA_101011_R[[i]]$Modnames <-47
  #Spmod48_GAA_101011_R[[i]]$Modnames <-48
  #Spmod49_GAA_101011_R[[i]]$Modnames <-49
  #Spmod50_GAA_101011_R[[i]]$Modnames <-50
  #Spmod51_GAA_101011_R[[i]]$Modnames <-51
  #Spmod52_GAA_101011_R[[i]]$Modnames <-52
  #Spmod53_GAA_101011_R[[i]]$Modnames <-53
  #Spmod54_GAA_101011_R[[i]]$Modnames <-54
  #Spmod55_GAA_101011_R[[i]]$Modnames <-55
  #Spmod56_GAA_101011_R[[i]]$Modnames <-56
  #Spmod57_GAA_101011_R[[i]]$Modnames <-57
  #Spmod58_GAA_101011_R[[i]]$Modnames <-58
  #Spmod59_GAA_101011_R[[i]]$Modnames <-59
  #Spmod60_GAA_101011_R[[i]]$Modnames <-60
  #Spmod61_GAA_101011_R[[i]]$Modnames <-61
  #Spmod62_GAA_101011_R[[i]]$Modnames <-62
  #Spmod63_GAA_101011_R[[i]]$Modnames <-63
  #Spmod64_GAA_101011_R[[i]]$Modnames <-64
  #Spmod65_GAA_101011_R[[i]]$Modnames <-65
  
  modelavg_GAA_101011[[i]] <- model.avg(listall_GAA_101011[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_101011_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_101011_R,
  Spmod2_GAA_101011_R,
  #Spmod3_GAA_101011_R,
  Spmod4_GAA_101011_R,
  #Spmod5_GAA_101011_R,
  Spmod6_GAA_101011_R,
  #Spmod7_GAA_101011_R,
  #Spmod8_GAA_101011_R,
  #Spmod9_GAA_101011_R,
  #Spmod10_GAA_101011_R,
  #Spmod11_GAA_101011_R,
  #Spmod12_GAA_101011_R,
  #Spmod13_GAA_101011_R,
  #Spmod14_GAA_101011_R,
  Spmod15_GAA_101011_R)))
  #Spmod16_GAA_101011_R,
  #Spmod17_GAA_101011_R,
  #Spmod18_GAA_101011_R,
  #Spmod19_GAA_101011_R,
  #Spmod20_GAA_101011_R,
  #Spmod21_GAA_101011_R,
  #Spmod22_GAA_101011_R,
  #Spmod23_GAA_101011_R,
  #Spmod24_GAA_101011_R,
  #Spmod25_GAA_101011_R,
  #Spmod26_GAA_101011_R,
  #Spmod27_GAA_101011_R,
  #Spmod28_GAA_101011_R,
  #Spmod29_GAA_101011_R,
  #Spmod30_GAA_101011_R,
  #Spmod31_GAA_101011_R,
  #Spmod32_GAA_101011_R,
  #Spmod33_GAA_101011_R,
  #Spmod34_GAA_101011_R,
  #Spmod35_GAA_101011_R,
  #Spmod36_GAA_101011_R,
  #Spmod37_GAA_101011_R,
  #Spmod38_GAA_101011_R,
  #Spmod39_GAA_101011_R,
  #Spmod40_GAA_101011_R,
  #Spmod41_GAA_101011_R,
  #Spmod42_GAA_101011_R,
  #Spmod43_GAA_101011_R,
  #Spmod44_GAA_101011_R,
  #Spmod45_GAA_101011_R,
  #Spmod46_GAA_101011_R,
  #Spmod47_GAA_101011_R,
  #Spmod48_GAA_101011_R,
  #Spmod49_GAA_101011_R,
  #Spmod50_GAA_101011_R,
  #Spmod51_GAA_101011_R,
  #Spmod52_GAA_101011_R,
  #Spmod53_GAA_101011_R,
  #Spmod54_GAA_101011_R,
  #Spmod55_GAA_101011_R,
  #Spmod56_GAA_101011_R,
  #Spmod57_GAA_101011_R,
  #Spmod58_GAA_101011_R,
  #Spmod59_GAA_101011_R,
  #Spmod60_GAA_101011_R,
  #Spmod61_GAA_101011_R,
  #Spmod62_GAA_101011_R,
  #Spmod63_GAA_101011_R,
  #Spmod64_GAA_101011_R,
  #Spmod65_GAA_101011_R)))
  
  G_101011_R2_N <- G_101011_R2[G_101011_R2$L3 == "N",]
  names(G_101011_R2_N)[1] <- "N"
  G_101011_R2_R2 <- G_101011_R2[G_101011_R2$L3 == "R2", ]
  names(G_101011_R2_R2)[1] <- "R2"
  G_101011_R2_MN <- G_101011_R2[G_101011_R2$L3 == "Modnames", ]
  names(G_101011_R2_MN)[1] <- "Modnames"   
  
  G_101011_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_101011_R2_N, G_101011_R2_R2, G_101011_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_101011_R2_r)[1] <- "Species"
  
  AIC_101011_G <- melt(SpAIC_GAA_101011, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_101011_G <- subset(AIC_101011_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_101011_G)[1] <- "Species"
  
  Results_101011_G <- merge(AIC_101011_G, G_101011_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_101011_G$exclusion <- "101011"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_101100", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_101100 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_101100 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_101100 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_101100_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v101100_species_G)){
  Spmod1_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod16_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod17_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod22_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod39_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_101100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_101100[[i]] <- list(Spmod1_GAA_101100[[i]],
                                  Spmod2_GAA_101100[[i]],
  
  #Spmod3_GAA_101100[[i]],
  Spmod4_GAA_101100[[i]],
  #Spmod5_GAA_101100[[i]],
  #Spmod6_GAA_101100[[i]],
  Spmod7_GAA_101100[[i]],
  Spmod8_GAA_101100[[i]],
  #Spmod9_GAA_101100[[i]],
  #Spmod10_GAA_101100[[i]],
  #Spmod11_GAA_101100[[i]],
  #Spmod12_GAA_101100[[i]],
  #Spmod13_GAA_101100[[i]],
  #Spmod14_GAA_101100[[i]],
  #Spmod15_GAA_101100[[i]],
  Spmod16_GAA_101100[[i]],
  Spmod17_GAA_101100[[i]],
  #Spmod18_GAA_101100[[i]],
  #Spmod19_GAA_101100[[i]],
  #Spmod20_GAA_101100[[i]],
  #Spmod21_GAA_101100[[i]],
  Spmod22_GAA_101100[[i]],
  #Spmod23_GAA_101100[[i]],
  #Spmod24_GAA_101100[[i]],
  #Spmod25_GAA_101100[[i]],
  #Spmod26_GAA_101100[[i]],
  #Spmod27_GAA_101100[[i]],
  #Spmod28_GAA_101100[[i]],
  #Spmod29_GAA_101100[[i]],
  #Spmod30_GAA_101100[[i]],
  #Spmod31_GAA_101100[[i]],
  #Spmod32_GAA_101100[[i]],
  #Spmod33_GAA_101100[[i]],
  #Spmod34_GAA_101100[[i]],
  #Spmod35_GAA_101100[[i]],
  #Spmod36_GAA_101100[[i]],
  #Spmod37_GAA_101100[[i]],
  #Spmod38_GAA_101100[[i]],
  Spmod39_GAA_101100[[i]])
  #Spmod40_GAA_101100[[i]],
  #Spmod41_GAA_101100[[i]],
  #Spmod42_GAA_101100[[i]],
  #Spmod43_GAA_101100[[i]],
  #Spmod44_GAA_101100[[i]],
  #Spmod45_GAA_101100[[i]],
  #Spmod46_GAA_101100[[i]],
  #Spmod47_GAA_101100[[i]],
  #Spmod48_GAA_101100[[i]],
  #Spmod49_GAA_101100[[i]],
  #Spmod50_GAA_101100[[i]],
  #Spmod51_GAA_101100[[i]],
  #Spmod52_GAA_101100[[i]],
  #Spmod53_GAA_101100[[i]],
  #Spmod54_GAA_101100[[i]],
  #Spmod55_GAA_101100[[i]],
  #Spmod56_GAA_101100[[i]],
  #Spmod57_GAA_101100[[i]],
  #Spmod58_GAA_101100[[i]],
  #Spmod59_GAA_101100[[i]],
  #Spmod60_GAA_101100[[i]],
  #Spmod61_GAA_101100[[i]],
  #Spmod62_GAA_101100[[i]],
  #Spmod63_GAA_101100[[i]],
  #Spmod64_GAA_101100[[i]],
  #Spmod65_GAA_101100[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  "4",
  #"5",
  #"6",
  "7",
  "8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  "16",
  "17",
  #"18",
  #"19",
  #"20",
  #"21",
  "22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  "39")
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_101100[[i]] <- aictab(cand.set= listall_GAA_101100[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod1_GAA_101100[[i]])
  Spmod2_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod2_GAA_101100[[i]])
  #Spmod3_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod3_GAA_101100[[i]])
  Spmod4_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod4_GAA_101100[[i]])
  #Spmod5_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod5_GAA_101100[[i]])
  #Spmod6_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod6_GAA_101100[[i]])
  Spmod7_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod7_GAA_101100[[i]])
  Spmod8_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod8_GAA_101100[[i]])
  #Spmod9_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod9_GAA_101100[[i]])
  #Spmod10_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod10_GAA_101100[[i]])
  #Spmod11_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod11_GAA_101100[[i]])
  #Spmod12_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod12_GAA_101100[[i]])
  #Spmod13_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod13_GAA_101100[[i]])
  #Spmod14_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod14_GAA_101100[[i]])
  #Spmod15_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod15_GAA_101100[[i]])
  Spmod16_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod16_GAA_101100[[i]])
  Spmod17_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod17_GAA_101100[[i]])
  #Spmod18_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod18_GAA_101100[[i]])
  #Spmod19_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod19_GAA_101100[[i]])
  #Spmod20_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod20_GAA_101100[[i]])
  #Spmod21_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod21_GAA_101100[[i]])
  Spmod22_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod22_GAA_101100[[i]])
  #Spmod23_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod23_GAA_101100[[i]])
  #Spmod24_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod24_GAA_101100[[i]])
  #Spmod25_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod25_GAA_101100[[i]])
  #Spmod26_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod26_GAA_101100[[i]])
  #Spmod27_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod27_GAA_101100[[i]])
  #Spmod28_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod28_GAA_101100[[i]])
  #Spmod29_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod29_GAA_101100[[i]])
  #Spmod30_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod30_GAA_101100[[i]])
  #Spmod31_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod31_GAA_101100[[i]])
  #Spmod32_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod32_GAA_101100[[i]])
  #Spmod33_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod33_GAA_101100[[i]])
  #Spmod34_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod34_GAA_101100[[i]])
  #Spmod35_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod35_GAA_101100[[i]])
  #Spmod36_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod36_GAA_101100[[i]])
  #Spmod37_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod37_GAA_101100[[i]])
  #Spmod38_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod38_GAA_101100[[i]])
  Spmod39_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod39_GAA_101100[[i]])
  #Spmod40_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod40_GAA_101100[[i]])
  #Spmod41_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod41_GAA_101100[[i]])
  #Spmod42_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod42_GAA_101100[[i]])
  #Spmod43_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod43_GAA_101100[[i]])
  #Spmod44_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod44_GAA_101100[[i]])
  #Spmod45_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod45_GAA_101100[[i]])
  #Spmod46_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod46_GAA_101100[[i]])
  #Spmod47_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod47_GAA_101100[[i]])
  #Spmod48_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod48_GAA_101100[[i]])
  #Spmod49_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod49_GAA_101100[[i]])
  #Spmod50_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod50_GAA_101100[[i]])
  #Spmod51_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod51_GAA_101100[[i]])
  #Spmod52_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod52_GAA_101100[[i]])
  #Spmod53_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod53_GAA_101100[[i]])
  #Spmod54_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod54_GAA_101100[[i]])
  #Spmod55_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod55_GAA_101100[[i]])
  #Spmod56_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod56_GAA_101100[[i]])
  #Spmod57_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod57_GAA_101100[[i]])
  #Spmod58_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod58_GAA_101100[[i]])
  #Spmod59_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod59_GAA_101100[[i]])
  #Spmod60_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod60_GAA_101100[[i]])
  #Spmod61_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod61_GAA_101100[[i]])
  #Spmod62_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod62_GAA_101100[[i]])
  #Spmod63_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod63_GAA_101100[[i]])
  #Spmod64_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod64_GAA_101100[[i]])
  #Spmod65_GAA_101100_R[[i]]<-NagelkerkeR2(Spmod65_GAA_101100[[i]])
  
  Spmod1_GAA_101100_R[[i]]$Modnames <-1
  Spmod2_GAA_101100_R[[i]]$Modnames <-2
  #Spmod3_GAA_101100_R[[i]]$Modnames <-3
  Spmod4_GAA_101100_R[[i]]$Modnames <-4
  #Spmod5_GAA_101100_R[[i]]$Modnames <-5
  #Spmod6_GAA_101100_R[[i]]$Modnames <-6
  Spmod7_GAA_101100_R[[i]]$Modnames <-7
  Spmod8_GAA_101100_R[[i]]$Modnames <-8
  #Spmod9_GAA_101100_R[[i]]$Modnames <-9
  #Spmod10_GAA_101100_R[[i]]$Modnames <-10
  #Spmod11_GAA_101100_R[[i]]$Modnames <-11
  #Spmod12_GAA_101100_R[[i]]$Modnames <-12
  #Spmod13_GAA_101100_R[[i]]$Modnames <-13
  #Spmod14_GAA_101100_R[[i]]$Modnames <-14
  #Spmod15_GAA_101100_R[[i]]$Modnames <-15
  Spmod16_GAA_101100_R[[i]]$Modnames <-16
  Spmod17_GAA_101100_R[[i]]$Modnames <-17
  #Spmod18_GAA_101100_R[[i]]$Modnames <-18
  #Spmod19_GAA_101100_R[[i]]$Modnames <-19
  #Spmod20_GAA_101100_R[[i]]$Modnames <-20
  #Spmod21_GAA_101100_R[[i]]$Modnames <-21
  Spmod22_GAA_101100_R[[i]]$Modnames <-22
  #Spmod23_GAA_101100_R[[i]]$Modnames <-23
  #Spmod24_GAA_101100_R[[i]]$Modnames <-24
  #Spmod25_GAA_101100_R[[i]]$Modnames <-25
  #Spmod26_GAA_101100_R[[i]]$Modnames <-26
  #Spmod27_GAA_101100_R[[i]]$Modnames <-27
  #Spmod28_GAA_101100_R[[i]]$Modnames <-28
  #Spmod29_GAA_101100_R[[i]]$Modnames <-29
  #Spmod30_GAA_101100_R[[i]]$Modnames <-30
  #Spmod31_GAA_101100_R[[i]]$Modnames <-31
  #Spmod32_GAA_101100_R[[i]]$Modnames <-32
  #Spmod33_GAA_101100_R[[i]]$Modnames <-33
  #Spmod34_GAA_101100_R[[i]]$Modnames <-34
  #Spmod35_GAA_101100_R[[i]]$Modnames <-35
  #Spmod36_GAA_101100_R[[i]]$Modnames <-36
  #Spmod37_GAA_101100_R[[i]]$Modnames <-37
  #Spmod38_GAA_101100_R[[i]]$Modnames <-38
  Spmod39_GAA_101100_R[[i]]$Modnames <-39
  #Spmod40_GAA_101100_R[[i]]$Modnames <-40
  #Spmod41_GAA_101100_R[[i]]$Modnames <-41
  #Spmod42_GAA_101100_R[[i]]$Modnames <-42
  #Spmod43_GAA_101100_R[[i]]$Modnames <-43
  #Spmod44_GAA_101100_R[[i]]$Modnames <-44
  #Spmod45_GAA_101100_R[[i]]$Modnames <-45
  #Spmod46_GAA_101100_R[[i]]$Modnames <-46
  #Spmod47_GAA_101100_R[[i]]$Modnames <-47
  #Spmod48_GAA_101100_R[[i]]$Modnames <-48
  #Spmod49_GAA_101100_R[[i]]$Modnames <-49
  #Spmod50_GAA_101100_R[[i]]$Modnames <-50
  #Spmod51_GAA_101100_R[[i]]$Modnames <-51
  #Spmod52_GAA_101100_R[[i]]$Modnames <-52
  #Spmod53_GAA_101100_R[[i]]$Modnames <-53
  #Spmod54_GAA_101100_R[[i]]$Modnames <-54
  #Spmod55_GAA_101100_R[[i]]$Modnames <-55
  #Spmod56_GAA_101100_R[[i]]$Modnames <-56
  #Spmod57_GAA_101100_R[[i]]$Modnames <-57
  #Spmod58_GAA_101100_R[[i]]$Modnames <-58
  #Spmod59_GAA_101100_R[[i]]$Modnames <-59
  #Spmod60_GAA_101100_R[[i]]$Modnames <-60
  #Spmod61_GAA_101100_R[[i]]$Modnames <-61
  #Spmod62_GAA_101100_R[[i]]$Modnames <-62
  #Spmod63_GAA_101100_R[[i]]$Modnames <-63
  #Spmod64_GAA_101100_R[[i]]$Modnames <-64
  #Spmod65_GAA_101100_R[[i]]$Modnames <-65
  
  modelavg_GAA_101100[[i]] <- model.avg(listall_GAA_101100[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_101100_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_101100_R,
  Spmod2_GAA_101100_R,
  #Spmod3_GAA_101100_R,
  Spmod4_GAA_101100_R,
  #Spmod5_GAA_101100_R,
  #Spmod6_GAA_101100_R,
  Spmod7_GAA_101100_R,
  Spmod8_GAA_101100_R,
  #Spmod9_GAA_101100_R,
  #Spmod10_GAA_101100_R,
  #Spmod11_GAA_101100_R,
  #Spmod12_GAA_101100_R,
  #Spmod13_GAA_101100_R,
  #Spmod14_GAA_101100_R,
  #Spmod15_GAA_101100_R,
  Spmod16_GAA_101100_R,
  Spmod17_GAA_101100_R,
  #Spmod18_GAA_101100_R,
  #Spmod19_GAA_101100_R,
  #Spmod20_GAA_101100_R,
  #Spmod21_GAA_101100_R,
  Spmod22_GAA_101100_R,
  #Spmod23_GAA_101100_R,
  #Spmod24_GAA_101100_R,
  #Spmod25_GAA_101100_R,
  #Spmod26_GAA_101100_R,
  #Spmod27_GAA_101100_R,
  #Spmod28_GAA_101100_R,
  #Spmod29_GAA_101100_R,
  #Spmod30_GAA_101100_R,
  #Spmod31_GAA_101100_R,
  #Spmod32_GAA_101100_R,
  #Spmod33_GAA_101100_R,
  #Spmod34_GAA_101100_R,
  #Spmod35_GAA_101100_R,
  #Spmod36_GAA_101100_R,
  #Spmod37_GAA_101100_R,
  #Spmod38_GAA_101100_R,
  Spmod39_GAA_101100_R)))
  #Spmod40_GAA_101100_R,
  #Spmod41_GAA_101100_R,
  #Spmod42_GAA_101100_R,
  #Spmod43_GAA_101100_R,
  #Spmod44_GAA_101100_R,
  #Spmod45_GAA_101100_R,
  #Spmod46_GAA_101100_R,
  #Spmod47_GAA_101100_R,
  #Spmod48_GAA_101100_R,
  #Spmod49_GAA_101100_R,
  #Spmod50_GAA_101100_R,
  #Spmod51_GAA_101100_R,
  #Spmod52_GAA_101100_R,
  #Spmod53_GAA_101100_R,
  #Spmod54_GAA_101100_R,
  #Spmod55_GAA_101100_R,
  #Spmod56_GAA_101100_R,
  #Spmod57_GAA_101100_R,
  #Spmod58_GAA_101100_R,
  #Spmod59_GAA_101100_R,
  #Spmod60_GAA_101100_R,
  #Spmod61_GAA_101100_R,
  #Spmod62_GAA_101100_R,
  #Spmod63_GAA_101100_R,
  #Spmod64_GAA_101100_R,
  #Spmod65_GAA_101100_R)))
  
  G_101100_R2_N <- G_101100_R2[G_101100_R2$L3 == "N",]
  names(G_101100_R2_N)[1] <- "N"
  G_101100_R2_R2 <- G_101100_R2[G_101100_R2$L3 == "R2", ]
  names(G_101100_R2_R2)[1] <- "R2"
  G_101100_R2_MN <- G_101100_R2[G_101100_R2$L3 == "Modnames", ]
  names(G_101100_R2_MN)[1] <- "Modnames"   
  
  G_101100_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_101100_R2_N, G_101100_R2_R2, G_101100_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_101100_R2_r)[1] <- "Species"
  
  AIC_101100_G <- melt(SpAIC_GAA_101100, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_101100_G <- subset(AIC_101100_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_101100_G)[1] <- "Species"
  
  Results_101100_G <- merge(AIC_101100_G, G_101100_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_101100_G$exclusion <- "101100"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_101101", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_101101 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_101101 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_101101 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_101101_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v101101_species_G)){
  Spmod1_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod16_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_101101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_101101[[i]] <- list(Spmod1_GAA_101101[[i]],
                                  Spmod2_GAA_101101[[i]],
  
  #Spmod3_GAA_101101[[i]],
  Spmod4_GAA_101101[[i]],
  #Spmod5_GAA_101101[[i]],
  #Spmod6_GAA_101101[[i]],
  Spmod7_GAA_101101[[i]],
  #Spmod8_GAA_101101[[i]],
  #Spmod9_GAA_101101[[i]],
  #Spmod10_GAA_101101[[i]],
  #Spmod11_GAA_101101[[i]],
  #Spmod12_GAA_101101[[i]],
  #Spmod13_GAA_101101[[i]],
  #Spmod14_GAA_101101[[i]],
  #Spmod15_GAA_101101[[i]],
  Spmod16_GAA_101101[[i]])
  #Spmod17_GAA_101101[[i]],
  #Spmod18_GAA_101101[[i]],
  #Spmod19_GAA_101101[[i]],
  #Spmod20_GAA_101101[[i]],
  #Spmod21_GAA_101101[[i]],
  #Spmod22_GAA_101101[[i]],
  #Spmod23_GAA_101101[[i]],
  #Spmod24_GAA_101101[[i]],
  #Spmod25_GAA_101101[[i]],
  #Spmod26_GAA_101101[[i]],
  #Spmod27_GAA_101101[[i]],
  #Spmod28_GAA_101101[[i]],
  #Spmod29_GAA_101101[[i]],
  #Spmod30_GAA_101101[[i]],
  #Spmod31_GAA_101101[[i]],
  #Spmod32_GAA_101101[[i]],
  #Spmod33_GAA_101101[[i]],
  #Spmod34_GAA_101101[[i]],
  #Spmod35_GAA_101101[[i]],
  #Spmod36_GAA_101101[[i]],
  #Spmod37_GAA_101101[[i]],
  #Spmod38_GAA_101101[[i]],
  #Spmod39_GAA_101101[[i]],
  #Spmod40_GAA_101101[[i]],
  #Spmod41_GAA_101101[[i]],
  #Spmod42_GAA_101101[[i]],
  #Spmod43_GAA_101101[[i]],
  #Spmod44_GAA_101101[[i]],
  #Spmod45_GAA_101101[[i]],
  #Spmod46_GAA_101101[[i]],
  #Spmod47_GAA_101101[[i]],
  #Spmod48_GAA_101101[[i]],
  #Spmod49_GAA_101101[[i]],
  #Spmod50_GAA_101101[[i]],
  #Spmod51_GAA_101101[[i]],
  #Spmod52_GAA_101101[[i]],
  #Spmod53_GAA_101101[[i]],
  #Spmod54_GAA_101101[[i]],
  #Spmod55_GAA_101101[[i]],
  #Spmod56_GAA_101101[[i]],
  #Spmod57_GAA_101101[[i]],
  #Spmod58_GAA_101101[[i]],
  #Spmod59_GAA_101101[[i]],
  #Spmod60_GAA_101101[[i]],
  #Spmod61_GAA_101101[[i]],
  #Spmod62_GAA_101101[[i]],
  #Spmod63_GAA_101101[[i]],
  #Spmod64_GAA_101101[[i]],
  #Spmod65_GAA_101101[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  "4",
  #"5",
  #"6",
  "7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  "16")
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_101101[[i]] <- aictab(cand.set= listall_GAA_101101[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod1_GAA_101101[[i]])
  Spmod2_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod2_GAA_101101[[i]])
  #Spmod3_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod3_GAA_101101[[i]])
  Spmod4_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod4_GAA_101101[[i]])
  #Spmod5_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod5_GAA_101101[[i]])
  #Spmod6_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod6_GAA_101101[[i]])
  Spmod7_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod7_GAA_101101[[i]])
  #Spmod8_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod8_GAA_101101[[i]])
  #Spmod9_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod9_GAA_101101[[i]])
  #Spmod10_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod10_GAA_101101[[i]])
  #Spmod11_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod11_GAA_101101[[i]])
  #Spmod12_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod12_GAA_101101[[i]])
  #Spmod13_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod13_GAA_101101[[i]])
  #Spmod14_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod14_GAA_101101[[i]])
  #Spmod15_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod15_GAA_101101[[i]])
  Spmod16_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod16_GAA_101101[[i]])
  #Spmod17_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod17_GAA_101101[[i]])
  #Spmod18_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod18_GAA_101101[[i]])
  #Spmod19_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod19_GAA_101101[[i]])
  #Spmod20_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod20_GAA_101101[[i]])
  #Spmod21_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod21_GAA_101101[[i]])
  #Spmod22_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod22_GAA_101101[[i]])
  #Spmod23_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod23_GAA_101101[[i]])
  #Spmod24_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod24_GAA_101101[[i]])
  #Spmod25_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod25_GAA_101101[[i]])
  #Spmod26_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod26_GAA_101101[[i]])
  #Spmod27_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod27_GAA_101101[[i]])
  #Spmod28_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod28_GAA_101101[[i]])
  #Spmod29_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod29_GAA_101101[[i]])
  #Spmod30_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod30_GAA_101101[[i]])
  #Spmod31_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod31_GAA_101101[[i]])
  #Spmod32_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod32_GAA_101101[[i]])
  #Spmod33_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod33_GAA_101101[[i]])
  #Spmod34_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod34_GAA_101101[[i]])
  #Spmod35_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod35_GAA_101101[[i]])
  #Spmod36_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod36_GAA_101101[[i]])
  #Spmod37_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod37_GAA_101101[[i]])
  #Spmod38_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod38_GAA_101101[[i]])
  #Spmod39_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod39_GAA_101101[[i]])
  #Spmod40_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod40_GAA_101101[[i]])
  #Spmod41_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod41_GAA_101101[[i]])
  #Spmod42_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod42_GAA_101101[[i]])
  #Spmod43_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod43_GAA_101101[[i]])
  #Spmod44_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod44_GAA_101101[[i]])
  #Spmod45_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod45_GAA_101101[[i]])
  #Spmod46_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod46_GAA_101101[[i]])
  #Spmod47_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod47_GAA_101101[[i]])
  #Spmod48_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod48_GAA_101101[[i]])
  #Spmod49_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod49_GAA_101101[[i]])
  #Spmod50_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod50_GAA_101101[[i]])
  #Spmod51_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod51_GAA_101101[[i]])
  #Spmod52_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod52_GAA_101101[[i]])
  #Spmod53_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod53_GAA_101101[[i]])
  #Spmod54_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod54_GAA_101101[[i]])
  #Spmod55_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod55_GAA_101101[[i]])
  #Spmod56_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod56_GAA_101101[[i]])
  #Spmod57_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod57_GAA_101101[[i]])
  #Spmod58_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod58_GAA_101101[[i]])
  #Spmod59_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod59_GAA_101101[[i]])
  #Spmod60_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod60_GAA_101101[[i]])
  #Spmod61_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod61_GAA_101101[[i]])
  #Spmod62_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod62_GAA_101101[[i]])
  #Spmod63_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod63_GAA_101101[[i]])
  #Spmod64_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod64_GAA_101101[[i]])
  #Spmod65_GAA_101101_R[[i]]<-NagelkerkeR2(Spmod65_GAA_101101[[i]])
  
  Spmod1_GAA_101101_R[[i]]$Modnames <-1
  Spmod2_GAA_101101_R[[i]]$Modnames <-2
  #Spmod3_GAA_101101_R[[i]]$Modnames <-3
  Spmod4_GAA_101101_R[[i]]$Modnames <-4
  #Spmod5_GAA_101101_R[[i]]$Modnames <-5
  #Spmod6_GAA_101101_R[[i]]$Modnames <-6
  Spmod7_GAA_101101_R[[i]]$Modnames <-7
  #Spmod8_GAA_101101_R[[i]]$Modnames <-8
  #Spmod9_GAA_101101_R[[i]]$Modnames <-9
  #Spmod10_GAA_101101_R[[i]]$Modnames <-10
  #Spmod11_GAA_101101_R[[i]]$Modnames <-11
  #Spmod12_GAA_101101_R[[i]]$Modnames <-12
  #Spmod13_GAA_101101_R[[i]]$Modnames <-13
  #Spmod14_GAA_101101_R[[i]]$Modnames <-14
  #Spmod15_GAA_101101_R[[i]]$Modnames <-15
  Spmod16_GAA_101101_R[[i]]$Modnames <-16
  #Spmod17_GAA_101101_R[[i]]$Modnames <-17
  #Spmod18_GAA_101101_R[[i]]$Modnames <-18
  #Spmod19_GAA_101101_R[[i]]$Modnames <-19
  #Spmod20_GAA_101101_R[[i]]$Modnames <-20
  #Spmod21_GAA_101101_R[[i]]$Modnames <-21
  #Spmod22_GAA_101101_R[[i]]$Modnames <-22
  #Spmod23_GAA_101101_R[[i]]$Modnames <-23
  #Spmod24_GAA_101101_R[[i]]$Modnames <-24
  #Spmod25_GAA_101101_R[[i]]$Modnames <-25
  #Spmod26_GAA_101101_R[[i]]$Modnames <-26
  #Spmod27_GAA_101101_R[[i]]$Modnames <-27
  #Spmod28_GAA_101101_R[[i]]$Modnames <-28
  #Spmod29_GAA_101101_R[[i]]$Modnames <-29
  #Spmod30_GAA_101101_R[[i]]$Modnames <-30
  #Spmod31_GAA_101101_R[[i]]$Modnames <-31
  #Spmod32_GAA_101101_R[[i]]$Modnames <-32
  #Spmod33_GAA_101101_R[[i]]$Modnames <-33
  #Spmod34_GAA_101101_R[[i]]$Modnames <-34
  #Spmod35_GAA_101101_R[[i]]$Modnames <-35
  #Spmod36_GAA_101101_R[[i]]$Modnames <-36
  #Spmod37_GAA_101101_R[[i]]$Modnames <-37
  #Spmod38_GAA_101101_R[[i]]$Modnames <-38
  #Spmod39_GAA_101101_R[[i]]$Modnames <-39
  #Spmod40_GAA_101101_R[[i]]$Modnames <-40
  #Spmod41_GAA_101101_R[[i]]$Modnames <-41
  #Spmod42_GAA_101101_R[[i]]$Modnames <-42
  #Spmod43_GAA_101101_R[[i]]$Modnames <-43
  #Spmod44_GAA_101101_R[[i]]$Modnames <-44
  #Spmod45_GAA_101101_R[[i]]$Modnames <-45
  #Spmod46_GAA_101101_R[[i]]$Modnames <-46
  #Spmod47_GAA_101101_R[[i]]$Modnames <-47
  #Spmod48_GAA_101101_R[[i]]$Modnames <-48
  #Spmod49_GAA_101101_R[[i]]$Modnames <-49
  #Spmod50_GAA_101101_R[[i]]$Modnames <-50
  #Spmod51_GAA_101101_R[[i]]$Modnames <-51
  #Spmod52_GAA_101101_R[[i]]$Modnames <-52
  #Spmod53_GAA_101101_R[[i]]$Modnames <-53
  #Spmod54_GAA_101101_R[[i]]$Modnames <-54
  #Spmod55_GAA_101101_R[[i]]$Modnames <-55
  #Spmod56_GAA_101101_R[[i]]$Modnames <-56
  #Spmod57_GAA_101101_R[[i]]$Modnames <-57
  #Spmod58_GAA_101101_R[[i]]$Modnames <-58
  #Spmod59_GAA_101101_R[[i]]$Modnames <-59
  #Spmod60_GAA_101101_R[[i]]$Modnames <-60
  #Spmod61_GAA_101101_R[[i]]$Modnames <-61
  #Spmod62_GAA_101101_R[[i]]$Modnames <-62
  #Spmod63_GAA_101101_R[[i]]$Modnames <-63
  #Spmod64_GAA_101101_R[[i]]$Modnames <-64
  #Spmod65_GAA_101101_R[[i]]$Modnames <-65
  
  modelavg_GAA_101101[[i]] <- model.avg(listall_GAA_101101[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_101101_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_101101_R,
  Spmod2_GAA_101101_R,
  #Spmod3_GAA_101101_R,
  Spmod4_GAA_101101_R,
  #Spmod5_GAA_101101_R,
  #Spmod6_GAA_101101_R,
  Spmod7_GAA_101101_R,
  #Spmod8_GAA_101101_R,
  #Spmod9_GAA_101101_R,
  #Spmod10_GAA_101101_R,
  #Spmod11_GAA_101101_R,
  #Spmod12_GAA_101101_R,
  #Spmod13_GAA_101101_R,
  #Spmod14_GAA_101101_R,
  #Spmod15_GAA_101101_R,
  Spmod16_GAA_101101_R)))
  #Spmod17_GAA_101101_R,
  #Spmod18_GAA_101101_R,
  #Spmod19_GAA_101101_R,
  #Spmod20_GAA_101101_R,
  #Spmod21_GAA_101101_R,
  #Spmod22_GAA_101101_R,
  #Spmod23_GAA_101101_R,
  #Spmod24_GAA_101101_R,
  #Spmod25_GAA_101101_R,
  #Spmod26_GAA_101101_R,
  #Spmod27_GAA_101101_R,
  #Spmod28_GAA_101101_R,
  #Spmod29_GAA_101101_R,
  #Spmod30_GAA_101101_R,
  #Spmod31_GAA_101101_R,
  #Spmod32_GAA_101101_R,
  #Spmod33_GAA_101101_R,
  #Spmod34_GAA_101101_R,
  #Spmod35_GAA_101101_R,
  #Spmod36_GAA_101101_R,
  #Spmod37_GAA_101101_R,
  #Spmod38_GAA_101101_R,
  #Spmod39_GAA_101101_R,
  #Spmod40_GAA_101101_R,
  #Spmod41_GAA_101101_R,
  #Spmod42_GAA_101101_R,
  #Spmod43_GAA_101101_R,
  #Spmod44_GAA_101101_R,
  #Spmod45_GAA_101101_R,
  #Spmod46_GAA_101101_R,
  #Spmod47_GAA_101101_R,
  #Spmod48_GAA_101101_R,
  #Spmod49_GAA_101101_R,
  #Spmod50_GAA_101101_R,
  #Spmod51_GAA_101101_R,
  #Spmod52_GAA_101101_R,
  #Spmod53_GAA_101101_R,
  #Spmod54_GAA_101101_R,
  #Spmod55_GAA_101101_R,
  #Spmod56_GAA_101101_R,
  #Spmod57_GAA_101101_R,
  #Spmod58_GAA_101101_R,
  #Spmod59_GAA_101101_R,
  #Spmod60_GAA_101101_R,
  #Spmod61_GAA_101101_R,
  #Spmod62_GAA_101101_R,
  #Spmod63_GAA_101101_R,
  #Spmod64_GAA_101101_R,
  #Spmod65_GAA_101101_R)))
  
  G_101101_R2_N <- G_101101_R2[G_101101_R2$L3 == "N",]
  names(G_101101_R2_N)[1] <- "N"
  G_101101_R2_R2 <- G_101101_R2[G_101101_R2$L3 == "R2", ]
  names(G_101101_R2_R2)[1] <- "R2"
  G_101101_R2_MN <- G_101101_R2[G_101101_R2$L3 == "Modnames", ]
  names(G_101101_R2_MN)[1] <- "Modnames"   
  
  G_101101_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_101101_R2_N, G_101101_R2_R2, G_101101_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_101101_R2_r)[1] <- "Species"
  
  AIC_101101_G <- melt(SpAIC_GAA_101101, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_101101_G <- subset(AIC_101101_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_101101_G)[1] <- "Species"
  
  Results_101101_G <- merge(AIC_101101_G, G_101101_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_101101_G$exclusion <- "101101"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_101110", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_101110 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_101110 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_101110 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_101110_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v101110_species_G)){
  Spmod1_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod17_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_101110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_101110[[i]] <- list(Spmod1_GAA_101110[[i]],
                                  Spmod2_GAA_101110[[i]],
  
  #Spmod3_GAA_101110[[i]],
  Spmod4_GAA_101110[[i]],
  #Spmod5_GAA_101110[[i]],
  #Spmod6_GAA_101110[[i]],
  #Spmod7_GAA_101110[[i]],
  Spmod8_GAA_101110[[i]],
  #Spmod9_GAA_101110[[i]],
  #Spmod10_GAA_101110[[i]],
  #Spmod11_GAA_101110[[i]],
  #Spmod12_GAA_101110[[i]],
  #Spmod13_GAA_101110[[i]],
  #Spmod14_GAA_101110[[i]],
  #Spmod15_GAA_101110[[i]],
  #Spmod16_GAA_101110[[i]],
  Spmod17_GAA_101110[[i]])
  #Spmod18_GAA_101110[[i]],
  #Spmod19_GAA_101110[[i]],
  #Spmod20_GAA_101110[[i]],
  #Spmod21_GAA_101110[[i]],
  #Spmod22_GAA_101110[[i]],
  #Spmod23_GAA_101110[[i]],
  #Spmod24_GAA_101110[[i]],
  #Spmod25_GAA_101110[[i]],
  #Spmod26_GAA_101110[[i]],
  #Spmod27_GAA_101110[[i]],
  #Spmod28_GAA_101110[[i]],
  #Spmod29_GAA_101110[[i]],
  #Spmod30_GAA_101110[[i]],
  #Spmod31_GAA_101110[[i]],
  #Spmod32_GAA_101110[[i]],
  #Spmod33_GAA_101110[[i]],
  #Spmod34_GAA_101110[[i]],
  #Spmod35_GAA_101110[[i]],
  #Spmod36_GAA_101110[[i]],
  #Spmod37_GAA_101110[[i]],
  #Spmod38_GAA_101110[[i]],
  #Spmod39_GAA_101110[[i]],
  #Spmod40_GAA_101110[[i]],
  #Spmod41_GAA_101110[[i]],
  #Spmod42_GAA_101110[[i]],
  #Spmod43_GAA_101110[[i]],
  #Spmod44_GAA_101110[[i]],
  #Spmod45_GAA_101110[[i]],
  #Spmod46_GAA_101110[[i]],
  #Spmod47_GAA_101110[[i]],
  #Spmod48_GAA_101110[[i]],
  #Spmod49_GAA_101110[[i]],
  #Spmod50_GAA_101110[[i]],
  #Spmod51_GAA_101110[[i]],
  #Spmod52_GAA_101110[[i]],
  #Spmod53_GAA_101110[[i]],
  #Spmod54_GAA_101110[[i]],
  #Spmod55_GAA_101110[[i]],
  #Spmod56_GAA_101110[[i]],
  #Spmod57_GAA_101110[[i]],
  #Spmod58_GAA_101110[[i]],
  #Spmod59_GAA_101110[[i]],
  #Spmod60_GAA_101110[[i]],
  #Spmod61_GAA_101110[[i]],
  #Spmod62_GAA_101110[[i]],
  #Spmod63_GAA_101110[[i]],
  #Spmod64_GAA_101110[[i]],
  #Spmod65_GAA_101110[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  "4",
  #"5",
  #"6",
  #"7",
  "8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  "17")
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_101110[[i]] <- aictab(cand.set= listall_GAA_101110[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod1_GAA_101110[[i]])
  Spmod2_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod2_GAA_101110[[i]])
  #Spmod3_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod3_GAA_101110[[i]])
  Spmod4_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod4_GAA_101110[[i]])
  #Spmod5_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod5_GAA_101110[[i]])
  #Spmod6_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod6_GAA_101110[[i]])
  #Spmod7_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod7_GAA_101110[[i]])
  Spmod8_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod8_GAA_101110[[i]])
  #Spmod9_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod9_GAA_101110[[i]])
  #Spmod10_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod10_GAA_101110[[i]])
  #Spmod11_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod11_GAA_101110[[i]])
  #Spmod12_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod12_GAA_101110[[i]])
  #Spmod13_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod13_GAA_101110[[i]])
  #Spmod14_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod14_GAA_101110[[i]])
  #Spmod15_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod15_GAA_101110[[i]])
  #Spmod16_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod16_GAA_101110[[i]])
  Spmod17_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod17_GAA_101110[[i]])
  #Spmod18_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod18_GAA_101110[[i]])
  #Spmod19_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod19_GAA_101110[[i]])
  #Spmod20_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod20_GAA_101110[[i]])
  #Spmod21_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod21_GAA_101110[[i]])
  #Spmod22_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod22_GAA_101110[[i]])
  #Spmod23_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod23_GAA_101110[[i]])
  #Spmod24_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod24_GAA_101110[[i]])
  #Spmod25_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod25_GAA_101110[[i]])
  #Spmod26_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod26_GAA_101110[[i]])
  #Spmod27_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod27_GAA_101110[[i]])
  #Spmod28_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod28_GAA_101110[[i]])
  #Spmod29_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod29_GAA_101110[[i]])
  #Spmod30_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod30_GAA_101110[[i]])
  #Spmod31_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod31_GAA_101110[[i]])
  #Spmod32_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod32_GAA_101110[[i]])
  #Spmod33_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod33_GAA_101110[[i]])
  #Spmod34_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod34_GAA_101110[[i]])
  #Spmod35_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod35_GAA_101110[[i]])
  #Spmod36_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod36_GAA_101110[[i]])
  #Spmod37_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod37_GAA_101110[[i]])
  #Spmod38_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod38_GAA_101110[[i]])
  #Spmod39_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod39_GAA_101110[[i]])
  #Spmod40_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod40_GAA_101110[[i]])
  #Spmod41_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod41_GAA_101110[[i]])
  #Spmod42_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod42_GAA_101110[[i]])
  #Spmod43_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod43_GAA_101110[[i]])
  #Spmod44_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod44_GAA_101110[[i]])
  #Spmod45_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod45_GAA_101110[[i]])
  #Spmod46_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod46_GAA_101110[[i]])
  #Spmod47_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod47_GAA_101110[[i]])
  #Spmod48_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod48_GAA_101110[[i]])
  #Spmod49_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod49_GAA_101110[[i]])
  #Spmod50_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod50_GAA_101110[[i]])
  #Spmod51_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod51_GAA_101110[[i]])
  #Spmod52_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod52_GAA_101110[[i]])
  #Spmod53_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod53_GAA_101110[[i]])
  #Spmod54_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod54_GAA_101110[[i]])
  #Spmod55_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod55_GAA_101110[[i]])
  #Spmod56_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod56_GAA_101110[[i]])
  #Spmod57_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod57_GAA_101110[[i]])
  #Spmod58_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod58_GAA_101110[[i]])
  #Spmod59_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod59_GAA_101110[[i]])
  #Spmod60_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod60_GAA_101110[[i]])
  #Spmod61_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod61_GAA_101110[[i]])
  #Spmod62_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod62_GAA_101110[[i]])
  #Spmod63_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod63_GAA_101110[[i]])
  #Spmod64_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod64_GAA_101110[[i]])
  #Spmod65_GAA_101110_R[[i]]<-NagelkerkeR2(Spmod65_GAA_101110[[i]])
  
  Spmod1_GAA_101110_R[[i]]$Modnames <-1
  Spmod2_GAA_101110_R[[i]]$Modnames <-2
  #Spmod3_GAA_101110_R[[i]]$Modnames <-3
  Spmod4_GAA_101110_R[[i]]$Modnames <-4
  #Spmod5_GAA_101110_R[[i]]$Modnames <-5
  #Spmod6_GAA_101110_R[[i]]$Modnames <-6
  #Spmod7_GAA_101110_R[[i]]$Modnames <-7
  Spmod8_GAA_101110_R[[i]]$Modnames <-8
  #Spmod9_GAA_101110_R[[i]]$Modnames <-9
  #Spmod10_GAA_101110_R[[i]]$Modnames <-10
  #Spmod11_GAA_101110_R[[i]]$Modnames <-11
  #Spmod12_GAA_101110_R[[i]]$Modnames <-12
  #Spmod13_GAA_101110_R[[i]]$Modnames <-13
  #Spmod14_GAA_101110_R[[i]]$Modnames <-14
  #Spmod15_GAA_101110_R[[i]]$Modnames <-15
  #Spmod16_GAA_101110_R[[i]]$Modnames <-16
  Spmod17_GAA_101110_R[[i]]$Modnames <-17
  #Spmod18_GAA_101110_R[[i]]$Modnames <-18
  #Spmod19_GAA_101110_R[[i]]$Modnames <-19
  #Spmod20_GAA_101110_R[[i]]$Modnames <-20
  #Spmod21_GAA_101110_R[[i]]$Modnames <-21
  #Spmod22_GAA_101110_R[[i]]$Modnames <-22
  #Spmod23_GAA_101110_R[[i]]$Modnames <-23
  #Spmod24_GAA_101110_R[[i]]$Modnames <-24
  #Spmod25_GAA_101110_R[[i]]$Modnames <-25
  #Spmod26_GAA_101110_R[[i]]$Modnames <-26
  #Spmod27_GAA_101110_R[[i]]$Modnames <-27
  #Spmod28_GAA_101110_R[[i]]$Modnames <-28
  #Spmod29_GAA_101110_R[[i]]$Modnames <-29
  #Spmod30_GAA_101110_R[[i]]$Modnames <-30
  #Spmod31_GAA_101110_R[[i]]$Modnames <-31
  #Spmod32_GAA_101110_R[[i]]$Modnames <-32
  #Spmod33_GAA_101110_R[[i]]$Modnames <-33
  #Spmod34_GAA_101110_R[[i]]$Modnames <-34
  #Spmod35_GAA_101110_R[[i]]$Modnames <-35
  #Spmod36_GAA_101110_R[[i]]$Modnames <-36
  #Spmod37_GAA_101110_R[[i]]$Modnames <-37
  #Spmod38_GAA_101110_R[[i]]$Modnames <-38
  #Spmod39_GAA_101110_R[[i]]$Modnames <-39
  #Spmod40_GAA_101110_R[[i]]$Modnames <-40
  #Spmod41_GAA_101110_R[[i]]$Modnames <-41
  #Spmod42_GAA_101110_R[[i]]$Modnames <-42
  #Spmod43_GAA_101110_R[[i]]$Modnames <-43
  #Spmod44_GAA_101110_R[[i]]$Modnames <-44
  #Spmod45_GAA_101110_R[[i]]$Modnames <-45
  #Spmod46_GAA_101110_R[[i]]$Modnames <-46
  #Spmod47_GAA_101110_R[[i]]$Modnames <-47
  #Spmod48_GAA_101110_R[[i]]$Modnames <-48
  #Spmod49_GAA_101110_R[[i]]$Modnames <-49
  #Spmod50_GAA_101110_R[[i]]$Modnames <-50
  #Spmod51_GAA_101110_R[[i]]$Modnames <-51
  #Spmod52_GAA_101110_R[[i]]$Modnames <-52
  #Spmod53_GAA_101110_R[[i]]$Modnames <-53
  #Spmod54_GAA_101110_R[[i]]$Modnames <-54
  #Spmod55_GAA_101110_R[[i]]$Modnames <-55
  #Spmod56_GAA_101110_R[[i]]$Modnames <-56
  #Spmod57_GAA_101110_R[[i]]$Modnames <-57
  #Spmod58_GAA_101110_R[[i]]$Modnames <-58
  #Spmod59_GAA_101110_R[[i]]$Modnames <-59
  #Spmod60_GAA_101110_R[[i]]$Modnames <-60
  #Spmod61_GAA_101110_R[[i]]$Modnames <-61
  #Spmod62_GAA_101110_R[[i]]$Modnames <-62
  #Spmod63_GAA_101110_R[[i]]$Modnames <-63
  #Spmod64_GAA_101110_R[[i]]$Modnames <-64
  #Spmod65_GAA_101110_R[[i]]$Modnames <-65
  
  modelavg_GAA_101110[[i]] <- model.avg(listall_GAA_101110[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_101110_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_101110_R,
  Spmod2_GAA_101110_R,
  #Spmod3_GAA_101110_R,
  Spmod4_GAA_101110_R,
  #Spmod5_GAA_101110_R,
  #Spmod6_GAA_101110_R,
  #Spmod7_GAA_101110_R,
  Spmod8_GAA_101110_R,
  #Spmod9_GAA_101110_R,
  #Spmod10_GAA_101110_R,
  #Spmod11_GAA_101110_R,
  #Spmod12_GAA_101110_R,
  #Spmod13_GAA_101110_R,
  #Spmod14_GAA_101110_R,
  #Spmod15_GAA_101110_R,
  #Spmod16_GAA_101110_R,
  Spmod17_GAA_101110_R)))
  #Spmod18_GAA_101110_R,
  #Spmod19_GAA_101110_R,
  #Spmod20_GAA_101110_R,
  #Spmod21_GAA_101110_R,
  #Spmod22_GAA_101110_R,
  #Spmod23_GAA_101110_R,
  #Spmod24_GAA_101110_R,
  #Spmod25_GAA_101110_R,
  #Spmod26_GAA_101110_R,
  #Spmod27_GAA_101110_R,
  #Spmod28_GAA_101110_R,
  #Spmod29_GAA_101110_R,
  #Spmod30_GAA_101110_R,
  #Spmod31_GAA_101110_R,
  #Spmod32_GAA_101110_R,
  #Spmod33_GAA_101110_R,
  #Spmod34_GAA_101110_R,
  #Spmod35_GAA_101110_R,
  #Spmod36_GAA_101110_R,
  #Spmod37_GAA_101110_R,
  #Spmod38_GAA_101110_R,
  #Spmod39_GAA_101110_R,
  #Spmod40_GAA_101110_R,
  #Spmod41_GAA_101110_R,
  #Spmod42_GAA_101110_R,
  #Spmod43_GAA_101110_R,
  #Spmod44_GAA_101110_R,
  #Spmod45_GAA_101110_R,
  #Spmod46_GAA_101110_R,
  #Spmod47_GAA_101110_R,
  #Spmod48_GAA_101110_R,
  #Spmod49_GAA_101110_R,
  #Spmod50_GAA_101110_R,
  #Spmod51_GAA_101110_R,
  #Spmod52_GAA_101110_R,
  #Spmod53_GAA_101110_R,
  #Spmod54_GAA_101110_R,
  #Spmod55_GAA_101110_R,
  #Spmod56_GAA_101110_R,
  #Spmod57_GAA_101110_R,
  #Spmod58_GAA_101110_R,
  #Spmod59_GAA_101110_R,
  #Spmod60_GAA_101110_R,
  #Spmod61_GAA_101110_R,
  #Spmod62_GAA_101110_R,
  #Spmod63_GAA_101110_R,
  #Spmod64_GAA_101110_R,
  #Spmod65_GAA_101110_R)))
  
  G_101110_R2_N <- G_101110_R2[G_101110_R2$L3 == "N",]
  names(G_101110_R2_N)[1] <- "N"
  G_101110_R2_R2 <- G_101110_R2[G_101110_R2$L3 == "R2", ]
  names(G_101110_R2_R2)[1] <- "R2"
  G_101110_R2_MN <- G_101110_R2[G_101110_R2$L3 == "Modnames", ]
  names(G_101110_R2_MN)[1] <- "Modnames"   
  
  G_101110_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_101110_R2_N, G_101110_R2_R2, G_101110_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_101110_R2_r)[1] <- "Species"
  
  AIC_101110_G <- melt(SpAIC_GAA_101110, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_101110_G <- subset(AIC_101110_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_101110_G)[1] <- "Species"
  
  Results_101110_G <- merge(AIC_101110_G, G_101110_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_101110_G$exclusion <- "101110"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_101111", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_101111 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_101111 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_101111 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_101111_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v101111_species_G)){
  Spmod1_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_101111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_101111[[i]] <- list(Spmod1_GAA_101111[[i]],
                                  Spmod2_GAA_101111[[i]],
  
  #Spmod3_GAA_101111[[i]],
  Spmod4_GAA_101111[[i]])
  #Spmod5_GAA_101111[[i]],
  #Spmod6_GAA_101111[[i]],
  #Spmod7_GAA_101111[[i]],
  #Spmod8_GAA_101111[[i]],
  #Spmod9_GAA_101111[[i]],
  #Spmod10_GAA_101111[[i]],
  #Spmod11_GAA_101111[[i]],
  #Spmod12_GAA_101111[[i]],
  #Spmod13_GAA_101111[[i]],
  #Spmod14_GAA_101111[[i]],
  #Spmod15_GAA_101111[[i]],
  #Spmod16_GAA_101111[[i]],
  #Spmod17_GAA_101111[[i]],
  #Spmod18_GAA_101111[[i]],
  #Spmod19_GAA_101111[[i]],
  #Spmod20_GAA_101111[[i]],
  #Spmod21_GAA_101111[[i]],
  #Spmod22_GAA_101111[[i]],
  #Spmod23_GAA_101111[[i]],
  #Spmod24_GAA_101111[[i]],
  #Spmod25_GAA_101111[[i]],
  #Spmod26_GAA_101111[[i]],
  #Spmod27_GAA_101111[[i]],
  #Spmod28_GAA_101111[[i]],
  #Spmod29_GAA_101111[[i]],
  #Spmod30_GAA_101111[[i]],
  #Spmod31_GAA_101111[[i]],
  #Spmod32_GAA_101111[[i]],
  #Spmod33_GAA_101111[[i]],
  #Spmod34_GAA_101111[[i]],
  #Spmod35_GAA_101111[[i]],
  #Spmod36_GAA_101111[[i]],
  #Spmod37_GAA_101111[[i]],
  #Spmod38_GAA_101111[[i]],
  #Spmod39_GAA_101111[[i]],
  #Spmod40_GAA_101111[[i]],
  #Spmod41_GAA_101111[[i]],
  #Spmod42_GAA_101111[[i]],
  #Spmod43_GAA_101111[[i]],
  #Spmod44_GAA_101111[[i]],
  #Spmod45_GAA_101111[[i]],
  #Spmod46_GAA_101111[[i]],
  #Spmod47_GAA_101111[[i]],
  #Spmod48_GAA_101111[[i]],
  #Spmod49_GAA_101111[[i]],
  #Spmod50_GAA_101111[[i]],
  #Spmod51_GAA_101111[[i]],
  #Spmod52_GAA_101111[[i]],
  #Spmod53_GAA_101111[[i]],
  #Spmod54_GAA_101111[[i]],
  #Spmod55_GAA_101111[[i]],
  #Spmod56_GAA_101111[[i]],
  #Spmod57_GAA_101111[[i]],
  #Spmod58_GAA_101111[[i]],
  #Spmod59_GAA_101111[[i]],
  #Spmod60_GAA_101111[[i]],
  #Spmod61_GAA_101111[[i]],
  #Spmod62_GAA_101111[[i]],
  #Spmod63_GAA_101111[[i]],
  #Spmod64_GAA_101111[[i]],
  #Spmod65_GAA_101111[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  "4")
  #"5",
  #"6",
  #"7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_101111[[i]] <- aictab(cand.set= listall_GAA_101111[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod1_GAA_101111[[i]])
  Spmod2_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod2_GAA_101111[[i]])
  #Spmod3_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod3_GAA_101111[[i]])
  Spmod4_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod4_GAA_101111[[i]])
  #Spmod5_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod5_GAA_101111[[i]])
  #Spmod6_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod6_GAA_101111[[i]])
  #Spmod7_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod7_GAA_101111[[i]])
  #Spmod8_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod8_GAA_101111[[i]])
  #Spmod9_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod9_GAA_101111[[i]])
  #Spmod10_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod10_GAA_101111[[i]])
  #Spmod11_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod11_GAA_101111[[i]])
  #Spmod12_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod12_GAA_101111[[i]])
  #Spmod13_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod13_GAA_101111[[i]])
  #Spmod14_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod14_GAA_101111[[i]])
  #Spmod15_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod15_GAA_101111[[i]])
  #Spmod16_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod16_GAA_101111[[i]])
  #Spmod17_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod17_GAA_101111[[i]])
  #Spmod18_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod18_GAA_101111[[i]])
  #Spmod19_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod19_GAA_101111[[i]])
  #Spmod20_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod20_GAA_101111[[i]])
  #Spmod21_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod21_GAA_101111[[i]])
  #Spmod22_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod22_GAA_101111[[i]])
  #Spmod23_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod23_GAA_101111[[i]])
  #Spmod24_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod24_GAA_101111[[i]])
  #Spmod25_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod25_GAA_101111[[i]])
  #Spmod26_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod26_GAA_101111[[i]])
  #Spmod27_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod27_GAA_101111[[i]])
  #Spmod28_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod28_GAA_101111[[i]])
  #Spmod29_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod29_GAA_101111[[i]])
  #Spmod30_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod30_GAA_101111[[i]])
  #Spmod31_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod31_GAA_101111[[i]])
  #Spmod32_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod32_GAA_101111[[i]])
  #Spmod33_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod33_GAA_101111[[i]])
  #Spmod34_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod34_GAA_101111[[i]])
  #Spmod35_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod35_GAA_101111[[i]])
  #Spmod36_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod36_GAA_101111[[i]])
  #Spmod37_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod37_GAA_101111[[i]])
  #Spmod38_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod38_GAA_101111[[i]])
  #Spmod39_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod39_GAA_101111[[i]])
  #Spmod40_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod40_GAA_101111[[i]])
  #Spmod41_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod41_GAA_101111[[i]])
  #Spmod42_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod42_GAA_101111[[i]])
  #Spmod43_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod43_GAA_101111[[i]])
  #Spmod44_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod44_GAA_101111[[i]])
  #Spmod45_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod45_GAA_101111[[i]])
  #Spmod46_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod46_GAA_101111[[i]])
  #Spmod47_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod47_GAA_101111[[i]])
  #Spmod48_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod48_GAA_101111[[i]])
  #Spmod49_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod49_GAA_101111[[i]])
  #Spmod50_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod50_GAA_101111[[i]])
  #Spmod51_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod51_GAA_101111[[i]])
  #Spmod52_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod52_GAA_101111[[i]])
  #Spmod53_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod53_GAA_101111[[i]])
  #Spmod54_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod54_GAA_101111[[i]])
  #Spmod55_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod55_GAA_101111[[i]])
  #Spmod56_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod56_GAA_101111[[i]])
  #Spmod57_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod57_GAA_101111[[i]])
  #Spmod58_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod58_GAA_101111[[i]])
  #Spmod59_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod59_GAA_101111[[i]])
  #Spmod60_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod60_GAA_101111[[i]])
  #Spmod61_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod61_GAA_101111[[i]])
  #Spmod62_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod62_GAA_101111[[i]])
  #Spmod63_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod63_GAA_101111[[i]])
  #Spmod64_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod64_GAA_101111[[i]])
  #Spmod65_GAA_101111_R[[i]]<-NagelkerkeR2(Spmod65_GAA_101111[[i]])
  
  Spmod1_GAA_101111_R[[i]]$Modnames <-1
  Spmod2_GAA_101111_R[[i]]$Modnames <-2
  #Spmod3_GAA_101111_R[[i]]$Modnames <-3
  Spmod4_GAA_101111_R[[i]]$Modnames <-4
  #Spmod5_GAA_101111_R[[i]]$Modnames <-5
  #Spmod6_GAA_101111_R[[i]]$Modnames <-6
  #Spmod7_GAA_101111_R[[i]]$Modnames <-7
  #Spmod8_GAA_101111_R[[i]]$Modnames <-8
  #Spmod9_GAA_101111_R[[i]]$Modnames <-9
  #Spmod10_GAA_101111_R[[i]]$Modnames <-10
  #Spmod11_GAA_101111_R[[i]]$Modnames <-11
  #Spmod12_GAA_101111_R[[i]]$Modnames <-12
  #Spmod13_GAA_101111_R[[i]]$Modnames <-13
  #Spmod14_GAA_101111_R[[i]]$Modnames <-14
  #Spmod15_GAA_101111_R[[i]]$Modnames <-15
  #Spmod16_GAA_101111_R[[i]]$Modnames <-16
  #Spmod17_GAA_101111_R[[i]]$Modnames <-17
  #Spmod18_GAA_101111_R[[i]]$Modnames <-18
  #Spmod19_GAA_101111_R[[i]]$Modnames <-19
  #Spmod20_GAA_101111_R[[i]]$Modnames <-20
  #Spmod21_GAA_101111_R[[i]]$Modnames <-21
  #Spmod22_GAA_101111_R[[i]]$Modnames <-22
  #Spmod23_GAA_101111_R[[i]]$Modnames <-23
  #Spmod24_GAA_101111_R[[i]]$Modnames <-24
  #Spmod25_GAA_101111_R[[i]]$Modnames <-25
  #Spmod26_GAA_101111_R[[i]]$Modnames <-26
  #Spmod27_GAA_101111_R[[i]]$Modnames <-27
  #Spmod28_GAA_101111_R[[i]]$Modnames <-28
  #Spmod29_GAA_101111_R[[i]]$Modnames <-29
  #Spmod30_GAA_101111_R[[i]]$Modnames <-30
  #Spmod31_GAA_101111_R[[i]]$Modnames <-31
  #Spmod32_GAA_101111_R[[i]]$Modnames <-32
  #Spmod33_GAA_101111_R[[i]]$Modnames <-33
  #Spmod34_GAA_101111_R[[i]]$Modnames <-34
  #Spmod35_GAA_101111_R[[i]]$Modnames <-35
  #Spmod36_GAA_101111_R[[i]]$Modnames <-36
  #Spmod37_GAA_101111_R[[i]]$Modnames <-37
  #Spmod38_GAA_101111_R[[i]]$Modnames <-38
  #Spmod39_GAA_101111_R[[i]]$Modnames <-39
  #Spmod40_GAA_101111_R[[i]]$Modnames <-40
  #Spmod41_GAA_101111_R[[i]]$Modnames <-41
  #Spmod42_GAA_101111_R[[i]]$Modnames <-42
  #Spmod43_GAA_101111_R[[i]]$Modnames <-43
  #Spmod44_GAA_101111_R[[i]]$Modnames <-44
  #Spmod45_GAA_101111_R[[i]]$Modnames <-45
  #Spmod46_GAA_101111_R[[i]]$Modnames <-46
  #Spmod47_GAA_101111_R[[i]]$Modnames <-47
  #Spmod48_GAA_101111_R[[i]]$Modnames <-48
  #Spmod49_GAA_101111_R[[i]]$Modnames <-49
  #Spmod50_GAA_101111_R[[i]]$Modnames <-50
  #Spmod51_GAA_101111_R[[i]]$Modnames <-51
  #Spmod52_GAA_101111_R[[i]]$Modnames <-52
  #Spmod53_GAA_101111_R[[i]]$Modnames <-53
  #Spmod54_GAA_101111_R[[i]]$Modnames <-54
  #Spmod55_GAA_101111_R[[i]]$Modnames <-55
  #Spmod56_GAA_101111_R[[i]]$Modnames <-56
  #Spmod57_GAA_101111_R[[i]]$Modnames <-57
  #Spmod58_GAA_101111_R[[i]]$Modnames <-58
  #Spmod59_GAA_101111_R[[i]]$Modnames <-59
  #Spmod60_GAA_101111_R[[i]]$Modnames <-60
  #Spmod61_GAA_101111_R[[i]]$Modnames <-61
  #Spmod62_GAA_101111_R[[i]]$Modnames <-62
  #Spmod63_GAA_101111_R[[i]]$Modnames <-63
  #Spmod64_GAA_101111_R[[i]]$Modnames <-64
  #Spmod65_GAA_101111_R[[i]]$Modnames <-65
  
  modelavg_GAA_101111[[i]] <- model.avg(listall_GAA_101111[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_101111_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_101111_R,
  Spmod2_GAA_101111_R,
  #Spmod3_GAA_101111_R,
  Spmod4_GAA_101111_R)))
  #Spmod5_GAA_101111_R,
  #Spmod6_GAA_101111_R,
  #Spmod7_GAA_101111_R,
  #Spmod8_GAA_101111_R,
  #Spmod9_GAA_101111_R,
  #Spmod10_GAA_101111_R,
  #Spmod11_GAA_101111_R,
  #Spmod12_GAA_101111_R,
  #Spmod13_GAA_101111_R,
  #Spmod14_GAA_101111_R,
  #Spmod15_GAA_101111_R,
  #Spmod16_GAA_101111_R,
  #Spmod17_GAA_101111_R,
  #Spmod18_GAA_101111_R,
  #Spmod19_GAA_101111_R,
  #Spmod20_GAA_101111_R,
  #Spmod21_GAA_101111_R,
  #Spmod22_GAA_101111_R,
  #Spmod23_GAA_101111_R,
  #Spmod24_GAA_101111_R,
  #Spmod25_GAA_101111_R,
  #Spmod26_GAA_101111_R,
  #Spmod27_GAA_101111_R,
  #Spmod28_GAA_101111_R,
  #Spmod29_GAA_101111_R,
  #Spmod30_GAA_101111_R,
  #Spmod31_GAA_101111_R,
  #Spmod32_GAA_101111_R,
  #Spmod33_GAA_101111_R,
  #Spmod34_GAA_101111_R,
  #Spmod35_GAA_101111_R,
  #Spmod36_GAA_101111_R,
  #Spmod37_GAA_101111_R,
  #Spmod38_GAA_101111_R,
  #Spmod39_GAA_101111_R,
  #Spmod40_GAA_101111_R,
  #Spmod41_GAA_101111_R,
  #Spmod42_GAA_101111_R,
  #Spmod43_GAA_101111_R,
  #Spmod44_GAA_101111_R,
  #Spmod45_GAA_101111_R,
  #Spmod46_GAA_101111_R,
  #Spmod47_GAA_101111_R,
  #Spmod48_GAA_101111_R,
  #Spmod49_GAA_101111_R,
  #Spmod50_GAA_101111_R,
  #Spmod51_GAA_101111_R,
  #Spmod52_GAA_101111_R,
  #Spmod53_GAA_101111_R,
  #Spmod54_GAA_101111_R,
  #Spmod55_GAA_101111_R,
  #Spmod56_GAA_101111_R,
  #Spmod57_GAA_101111_R,
  #Spmod58_GAA_101111_R,
  #Spmod59_GAA_101111_R,
  #Spmod60_GAA_101111_R,
  #Spmod61_GAA_101111_R,
  #Spmod62_GAA_101111_R,
  #Spmod63_GAA_101111_R,
  #Spmod64_GAA_101111_R,
  #Spmod65_GAA_101111_R)))
  
  G_101111_R2_N <- G_101111_R2[G_101111_R2$L3 == "N",]
  names(G_101111_R2_N)[1] <- "N"
  G_101111_R2_R2 <- G_101111_R2[G_101111_R2$L3 == "R2", ]
  names(G_101111_R2_R2)[1] <- "R2"
  G_101111_R2_MN <- G_101111_R2[G_101111_R2$L3 == "Modnames", ]
  names(G_101111_R2_MN)[1] <- "Modnames"   
  
  G_101111_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_101111_R2_N, G_101111_R2_R2, G_101111_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_101111_R2_r)[1] <- "Species"
  
  AIC_101111_G <- melt(SpAIC_GAA_101111, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_101111_G <- subset(AIC_101111_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_101111_G)[1] <- "Species"
  
  Results_101111_G <- merge(AIC_101111_G, G_101111_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_101111_G$exclusion <- "101111"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_110010", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_110010 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_110010 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_110010 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_110010_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v110010_species_G)){
  Spmod1_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod5_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod6_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod18_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod20_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod22_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod41_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_110010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_110010[[i]] <- list(Spmod1_GAA_110010[[i]],
                                  Spmod2_GAA_110010[[i]],
  
  #Spmod3_GAA_110010[[i]],
  #Spmod4_GAA_110010[[i]],
  Spmod5_GAA_110010[[i]],
  Spmod6_GAA_110010[[i]],
  #Spmod7_GAA_110010[[i]],
  Spmod8_GAA_110010[[i]],
  #Spmod9_GAA_110010[[i]],
  #Spmod10_GAA_110010[[i]],
  #Spmod11_GAA_110010[[i]],
  #Spmod12_GAA_110010[[i]],
  #Spmod13_GAA_110010[[i]],
  #Spmod14_GAA_110010[[i]],
  #Spmod15_GAA_110010[[i]],
  #Spmod16_GAA_110010[[i]],
  #Spmod17_GAA_110010[[i]],
  Spmod18_GAA_110010[[i]],
  #Spmod19_GAA_110010[[i]],
  Spmod20_GAA_110010[[i]],
  #Spmod21_GAA_110010[[i]],
  Spmod22_GAA_110010[[i]],
  #Spmod23_GAA_110010[[i]],
  #Spmod24_GAA_110010[[i]],
  #Spmod25_GAA_110010[[i]],
  #Spmod26_GAA_110010[[i]],
  #Spmod27_GAA_110010[[i]],
  #Spmod28_GAA_110010[[i]],
  #Spmod29_GAA_110010[[i]],
  #Spmod30_GAA_110010[[i]],
  #Spmod31_GAA_110010[[i]],
  #Spmod32_GAA_110010[[i]],
  #Spmod33_GAA_110010[[i]],
  #Spmod34_GAA_110010[[i]],
  #Spmod35_GAA_110010[[i]],
  #Spmod36_GAA_110010[[i]],
  #Spmod37_GAA_110010[[i]],
  #Spmod38_GAA_110010[[i]],
  #Spmod39_GAA_110010[[i]],
  #Spmod40_GAA_110010[[i]],
  Spmod41_GAA_110010[[i]])
  #Spmod42_GAA_110010[[i]],
  #Spmod43_GAA_110010[[i]],
  #Spmod44_GAA_110010[[i]],
  #Spmod45_GAA_110010[[i]],
  #Spmod46_GAA_110010[[i]],
  #Spmod47_GAA_110010[[i]],
  #Spmod48_GAA_110010[[i]],
  #Spmod49_GAA_110010[[i]],
  #Spmod50_GAA_110010[[i]],
  #Spmod51_GAA_110010[[i]],
  #Spmod52_GAA_110010[[i]],
  #Spmod53_GAA_110010[[i]],
  #Spmod54_GAA_110010[[i]],
  #Spmod55_GAA_110010[[i]],
  #Spmod56_GAA_110010[[i]],
  #Spmod57_GAA_110010[[i]],
  #Spmod58_GAA_110010[[i]],
  #Spmod59_GAA_110010[[i]],
  #Spmod60_GAA_110010[[i]],
  #Spmod61_GAA_110010[[i]],
  #Spmod62_GAA_110010[[i]],
  #Spmod63_GAA_110010[[i]],
  #Spmod64_GAA_110010[[i]],
  #Spmod65_GAA_110010[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  #"4",
  "5",
  "6",
  #"7",
  "8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  "18",
  #"19",
  "20",
  #"21",
  "22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  "41")
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_110010[[i]] <- aictab(cand.set= listall_GAA_110010[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod1_GAA_110010[[i]])
  Spmod2_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod2_GAA_110010[[i]])
  #Spmod3_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod3_GAA_110010[[i]])
  #Spmod4_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod4_GAA_110010[[i]])
  Spmod5_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod5_GAA_110010[[i]])
  Spmod6_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod6_GAA_110010[[i]])
  #Spmod7_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod7_GAA_110010[[i]])
  Spmod8_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod8_GAA_110010[[i]])
  #Spmod9_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod9_GAA_110010[[i]])
  #Spmod10_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod10_GAA_110010[[i]])
  #Spmod11_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod11_GAA_110010[[i]])
  #Spmod12_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod12_GAA_110010[[i]])
  #Spmod13_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod13_GAA_110010[[i]])
  #Spmod14_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod14_GAA_110010[[i]])
  #Spmod15_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod15_GAA_110010[[i]])
  #Spmod16_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod16_GAA_110010[[i]])
  #Spmod17_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod17_GAA_110010[[i]])
  Spmod18_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod18_GAA_110010[[i]])
  #Spmod19_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod19_GAA_110010[[i]])
  Spmod20_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod20_GAA_110010[[i]])
  #Spmod21_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod21_GAA_110010[[i]])
  Spmod22_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod22_GAA_110010[[i]])
  #Spmod23_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod23_GAA_110010[[i]])
  #Spmod24_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod24_GAA_110010[[i]])
  #Spmod25_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod25_GAA_110010[[i]])
  #Spmod26_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod26_GAA_110010[[i]])
  #Spmod27_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod27_GAA_110010[[i]])
  #Spmod28_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod28_GAA_110010[[i]])
  #Spmod29_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod29_GAA_110010[[i]])
  #Spmod30_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod30_GAA_110010[[i]])
  #Spmod31_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod31_GAA_110010[[i]])
  #Spmod32_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod32_GAA_110010[[i]])
  #Spmod33_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod33_GAA_110010[[i]])
  #Spmod34_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod34_GAA_110010[[i]])
  #Spmod35_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod35_GAA_110010[[i]])
  #Spmod36_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod36_GAA_110010[[i]])
  #Spmod37_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod37_GAA_110010[[i]])
  #Spmod38_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod38_GAA_110010[[i]])
  #Spmod39_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod39_GAA_110010[[i]])
  #Spmod40_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod40_GAA_110010[[i]])
  Spmod41_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod41_GAA_110010[[i]])
  #Spmod42_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod42_GAA_110010[[i]])
  #Spmod43_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod43_GAA_110010[[i]])
  #Spmod44_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod44_GAA_110010[[i]])
  #Spmod45_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod45_GAA_110010[[i]])
  #Spmod46_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod46_GAA_110010[[i]])
  #Spmod47_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod47_GAA_110010[[i]])
  #Spmod48_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod48_GAA_110010[[i]])
  #Spmod49_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod49_GAA_110010[[i]])
  #Spmod50_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod50_GAA_110010[[i]])
  #Spmod51_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod51_GAA_110010[[i]])
  #Spmod52_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod52_GAA_110010[[i]])
  #Spmod53_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod53_GAA_110010[[i]])
  #Spmod54_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod54_GAA_110010[[i]])
  #Spmod55_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod55_GAA_110010[[i]])
  #Spmod56_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod56_GAA_110010[[i]])
  #Spmod57_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod57_GAA_110010[[i]])
  #Spmod58_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod58_GAA_110010[[i]])
  #Spmod59_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod59_GAA_110010[[i]])
  #Spmod60_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod60_GAA_110010[[i]])
  #Spmod61_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod61_GAA_110010[[i]])
  #Spmod62_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod62_GAA_110010[[i]])
  #Spmod63_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod63_GAA_110010[[i]])
  #Spmod64_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod64_GAA_110010[[i]])
  #Spmod65_GAA_110010_R[[i]]<-NagelkerkeR2(Spmod65_GAA_110010[[i]])
  
  Spmod1_GAA_110010_R[[i]]$Modnames <-1
  Spmod2_GAA_110010_R[[i]]$Modnames <-2
  #Spmod3_GAA_110010_R[[i]]$Modnames <-3
  #Spmod4_GAA_110010_R[[i]]$Modnames <-4
  Spmod5_GAA_110010_R[[i]]$Modnames <-5
  Spmod6_GAA_110010_R[[i]]$Modnames <-6
  #Spmod7_GAA_110010_R[[i]]$Modnames <-7
  Spmod8_GAA_110010_R[[i]]$Modnames <-8
  #Spmod9_GAA_110010_R[[i]]$Modnames <-9
  #Spmod10_GAA_110010_R[[i]]$Modnames <-10
  #Spmod11_GAA_110010_R[[i]]$Modnames <-11
  #Spmod12_GAA_110010_R[[i]]$Modnames <-12
  #Spmod13_GAA_110010_R[[i]]$Modnames <-13
  #Spmod14_GAA_110010_R[[i]]$Modnames <-14
  #Spmod15_GAA_110010_R[[i]]$Modnames <-15
  #Spmod16_GAA_110010_R[[i]]$Modnames <-16
  #Spmod17_GAA_110010_R[[i]]$Modnames <-17
  Spmod18_GAA_110010_R[[i]]$Modnames <-18
  #Spmod19_GAA_110010_R[[i]]$Modnames <-19
  Spmod20_GAA_110010_R[[i]]$Modnames <-20
  #Spmod21_GAA_110010_R[[i]]$Modnames <-21
  Spmod22_GAA_110010_R[[i]]$Modnames <-22
  #Spmod23_GAA_110010_R[[i]]$Modnames <-23
  #Spmod24_GAA_110010_R[[i]]$Modnames <-24
  #Spmod25_GAA_110010_R[[i]]$Modnames <-25
  #Spmod26_GAA_110010_R[[i]]$Modnames <-26
  #Spmod27_GAA_110010_R[[i]]$Modnames <-27
  #Spmod28_GAA_110010_R[[i]]$Modnames <-28
  #Spmod29_GAA_110010_R[[i]]$Modnames <-29
  #Spmod30_GAA_110010_R[[i]]$Modnames <-30
  #Spmod31_GAA_110010_R[[i]]$Modnames <-31
  #Spmod32_GAA_110010_R[[i]]$Modnames <-32
  #Spmod33_GAA_110010_R[[i]]$Modnames <-33
  #Spmod34_GAA_110010_R[[i]]$Modnames <-34
  #Spmod35_GAA_110010_R[[i]]$Modnames <-35
  #Spmod36_GAA_110010_R[[i]]$Modnames <-36
  #Spmod37_GAA_110010_R[[i]]$Modnames <-37
  #Spmod38_GAA_110010_R[[i]]$Modnames <-38
  #Spmod39_GAA_110010_R[[i]]$Modnames <-39
  #Spmod40_GAA_110010_R[[i]]$Modnames <-40
  Spmod41_GAA_110010_R[[i]]$Modnames <-41
  #Spmod42_GAA_110010_R[[i]]$Modnames <-42
  #Spmod43_GAA_110010_R[[i]]$Modnames <-43
  #Spmod44_GAA_110010_R[[i]]$Modnames <-44
  #Spmod45_GAA_110010_R[[i]]$Modnames <-45
  #Spmod46_GAA_110010_R[[i]]$Modnames <-46
  #Spmod47_GAA_110010_R[[i]]$Modnames <-47
  #Spmod48_GAA_110010_R[[i]]$Modnames <-48
  #Spmod49_GAA_110010_R[[i]]$Modnames <-49
  #Spmod50_GAA_110010_R[[i]]$Modnames <-50
  #Spmod51_GAA_110010_R[[i]]$Modnames <-51
  #Spmod52_GAA_110010_R[[i]]$Modnames <-52
  #Spmod53_GAA_110010_R[[i]]$Modnames <-53
  #Spmod54_GAA_110010_R[[i]]$Modnames <-54
  #Spmod55_GAA_110010_R[[i]]$Modnames <-55
  #Spmod56_GAA_110010_R[[i]]$Modnames <-56
  #Spmod57_GAA_110010_R[[i]]$Modnames <-57
  #Spmod58_GAA_110010_R[[i]]$Modnames <-58
  #Spmod59_GAA_110010_R[[i]]$Modnames <-59
  #Spmod60_GAA_110010_R[[i]]$Modnames <-60
  #Spmod61_GAA_110010_R[[i]]$Modnames <-61
  #Spmod62_GAA_110010_R[[i]]$Modnames <-62
  #Spmod63_GAA_110010_R[[i]]$Modnames <-63
  #Spmod64_GAA_110010_R[[i]]$Modnames <-64
  #Spmod65_GAA_110010_R[[i]]$Modnames <-65
  
  modelavg_GAA_110010[[i]] <- model.avg(listall_GAA_110010[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_110010_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_110010_R,
  Spmod2_GAA_110010_R,
  #Spmod3_GAA_110010_R,
  #Spmod4_GAA_110010_R,
  Spmod5_GAA_110010_R,
  Spmod6_GAA_110010_R,
  #Spmod7_GAA_110010_R,
  Spmod8_GAA_110010_R,
  #Spmod9_GAA_110010_R,
  #Spmod10_GAA_110010_R,
  #Spmod11_GAA_110010_R,
  #Spmod12_GAA_110010_R,
  #Spmod13_GAA_110010_R,
  #Spmod14_GAA_110010_R,
  #Spmod15_GAA_110010_R,
  #Spmod16_GAA_110010_R,
  #Spmod17_GAA_110010_R,
  Spmod18_GAA_110010_R,
  #Spmod19_GAA_110010_R,
  Spmod20_GAA_110010_R,
  #Spmod21_GAA_110010_R,
  Spmod22_GAA_110010_R,
  #Spmod23_GAA_110010_R,
  #Spmod24_GAA_110010_R,
  #Spmod25_GAA_110010_R,
  #Spmod26_GAA_110010_R,
  #Spmod27_GAA_110010_R,
  #Spmod28_GAA_110010_R,
  #Spmod29_GAA_110010_R,
  #Spmod30_GAA_110010_R,
  #Spmod31_GAA_110010_R,
  #Spmod32_GAA_110010_R,
  #Spmod33_GAA_110010_R,
  #Spmod34_GAA_110010_R,
  #Spmod35_GAA_110010_R,
  #Spmod36_GAA_110010_R,
  #Spmod37_GAA_110010_R,
  #Spmod38_GAA_110010_R,
  #Spmod39_GAA_110010_R,
  #Spmod40_GAA_110010_R,
  Spmod41_GAA_110010_R)))
  #Spmod42_GAA_110010_R,
  #Spmod43_GAA_110010_R,
  #Spmod44_GAA_110010_R,
  #Spmod45_GAA_110010_R,
  #Spmod46_GAA_110010_R,
  #Spmod47_GAA_110010_R,
  #Spmod48_GAA_110010_R,
  #Spmod49_GAA_110010_R,
  #Spmod50_GAA_110010_R,
  #Spmod51_GAA_110010_R,
  #Spmod52_GAA_110010_R,
  #Spmod53_GAA_110010_R,
  #Spmod54_GAA_110010_R,
  #Spmod55_GAA_110010_R,
  #Spmod56_GAA_110010_R,
  #Spmod57_GAA_110010_R,
  #Spmod58_GAA_110010_R,
  #Spmod59_GAA_110010_R,
  #Spmod60_GAA_110010_R,
  #Spmod61_GAA_110010_R,
  #Spmod62_GAA_110010_R,
  #Spmod63_GAA_110010_R,
  #Spmod64_GAA_110010_R,
  #Spmod65_GAA_110010_R)))
  
  G_110010_R2_N <- G_110010_R2[G_110010_R2$L3 == "N",]
  names(G_110010_R2_N)[1] <- "N"
  G_110010_R2_R2 <- G_110010_R2[G_110010_R2$L3 == "R2", ]
  names(G_110010_R2_R2)[1] <- "R2"
  G_110010_R2_MN <- G_110010_R2[G_110010_R2$L3 == "Modnames", ]
  names(G_110010_R2_MN)[1] <- "Modnames"   
  
  G_110010_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_110010_R2_N, G_110010_R2_R2, G_110010_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_110010_R2_r)[1] <- "Species"
  
  AIC_110010_G <- melt(SpAIC_GAA_110010, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_110010_G <- subset(AIC_110010_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_110010_G)[1] <- "Species"
  
  Results_110010_G <- merge(AIC_110010_G, G_110010_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_110010_G$exclusion <- "110010"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_110011", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_110011 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_110011 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_110011 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_110011_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v110011_species_G)){
  Spmod1_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod5_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod6_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod18_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_110011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_110011[[i]] <- list(Spmod1_GAA_110011[[i]],
                                  Spmod2_GAA_110011[[i]],
  
  #Spmod3_GAA_110011[[i]],
  #Spmod4_GAA_110011[[i]],
  Spmod5_GAA_110011[[i]],
  Spmod6_GAA_110011[[i]],
  #Spmod7_GAA_110011[[i]],
  #Spmod8_GAA_110011[[i]],
  #Spmod9_GAA_110011[[i]],
  #Spmod10_GAA_110011[[i]],
  #Spmod11_GAA_110011[[i]],
  #Spmod12_GAA_110011[[i]],
  #Spmod13_GAA_110011[[i]],
  #Spmod14_GAA_110011[[i]],
  #Spmod15_GAA_110011[[i]],
  #Spmod16_GAA_110011[[i]],
  #Spmod17_GAA_110011[[i]],
  Spmod18_GAA_110011[[i]])
  #Spmod19_GAA_110011[[i]],
  #Spmod20_GAA_110011[[i]],
  #Spmod21_GAA_110011[[i]],
  #Spmod22_GAA_110011[[i]],
  #Spmod23_GAA_110011[[i]],
  #Spmod24_GAA_110011[[i]],
  #Spmod25_GAA_110011[[i]],
  #Spmod26_GAA_110011[[i]],
  #Spmod27_GAA_110011[[i]],
  #Spmod28_GAA_110011[[i]],
  #Spmod29_GAA_110011[[i]],
  #Spmod30_GAA_110011[[i]],
  #Spmod31_GAA_110011[[i]],
  #Spmod32_GAA_110011[[i]],
  #Spmod33_GAA_110011[[i]],
  #Spmod34_GAA_110011[[i]],
  #Spmod35_GAA_110011[[i]],
  #Spmod36_GAA_110011[[i]],
  #Spmod37_GAA_110011[[i]],
  #Spmod38_GAA_110011[[i]],
  #Spmod39_GAA_110011[[i]],
  #Spmod40_GAA_110011[[i]],
  #Spmod41_GAA_110011[[i]],
  #Spmod42_GAA_110011[[i]],
  #Spmod43_GAA_110011[[i]],
  #Spmod44_GAA_110011[[i]],
  #Spmod45_GAA_110011[[i]],
  #Spmod46_GAA_110011[[i]],
  #Spmod47_GAA_110011[[i]],
  #Spmod48_GAA_110011[[i]],
  #Spmod49_GAA_110011[[i]],
  #Spmod50_GAA_110011[[i]],
  #Spmod51_GAA_110011[[i]],
  #Spmod52_GAA_110011[[i]],
  #Spmod53_GAA_110011[[i]],
  #Spmod54_GAA_110011[[i]],
  #Spmod55_GAA_110011[[i]],
  #Spmod56_GAA_110011[[i]],
  #Spmod57_GAA_110011[[i]],
  #Spmod58_GAA_110011[[i]],
  #Spmod59_GAA_110011[[i]],
  #Spmod60_GAA_110011[[i]],
  #Spmod61_GAA_110011[[i]],
  #Spmod62_GAA_110011[[i]],
  #Spmod63_GAA_110011[[i]],
  #Spmod64_GAA_110011[[i]],
  #Spmod65_GAA_110011[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  #"4",
  "5",
  "6",
  #"7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  "18")
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_110011[[i]] <- aictab(cand.set= listall_GAA_110011[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod1_GAA_110011[[i]])
  Spmod2_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod2_GAA_110011[[i]])
  #Spmod3_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod3_GAA_110011[[i]])
  #Spmod4_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod4_GAA_110011[[i]])
  Spmod5_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod5_GAA_110011[[i]])
  Spmod6_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod6_GAA_110011[[i]])
  #Spmod7_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod7_GAA_110011[[i]])
  #Spmod8_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod8_GAA_110011[[i]])
  #Spmod9_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod9_GAA_110011[[i]])
  #Spmod10_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod10_GAA_110011[[i]])
  #Spmod11_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod11_GAA_110011[[i]])
  #Spmod12_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod12_GAA_110011[[i]])
  #Spmod13_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod13_GAA_110011[[i]])
  #Spmod14_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod14_GAA_110011[[i]])
  #Spmod15_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod15_GAA_110011[[i]])
  #Spmod16_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod16_GAA_110011[[i]])
  #Spmod17_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod17_GAA_110011[[i]])
  Spmod18_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod18_GAA_110011[[i]])
  #Spmod19_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod19_GAA_110011[[i]])
  #Spmod20_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod20_GAA_110011[[i]])
  #Spmod21_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod21_GAA_110011[[i]])
  #Spmod22_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod22_GAA_110011[[i]])
  #Spmod23_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod23_GAA_110011[[i]])
  #Spmod24_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod24_GAA_110011[[i]])
  #Spmod25_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod25_GAA_110011[[i]])
  #Spmod26_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod26_GAA_110011[[i]])
  #Spmod27_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod27_GAA_110011[[i]])
  #Spmod28_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod28_GAA_110011[[i]])
  #Spmod29_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod29_GAA_110011[[i]])
  #Spmod30_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod30_GAA_110011[[i]])
  #Spmod31_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod31_GAA_110011[[i]])
  #Spmod32_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod32_GAA_110011[[i]])
  #Spmod33_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod33_GAA_110011[[i]])
  #Spmod34_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod34_GAA_110011[[i]])
  #Spmod35_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod35_GAA_110011[[i]])
  #Spmod36_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod36_GAA_110011[[i]])
  #Spmod37_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod37_GAA_110011[[i]])
  #Spmod38_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod38_GAA_110011[[i]])
  #Spmod39_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod39_GAA_110011[[i]])
  #Spmod40_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod40_GAA_110011[[i]])
  #Spmod41_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod41_GAA_110011[[i]])
  #Spmod42_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod42_GAA_110011[[i]])
  #Spmod43_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod43_GAA_110011[[i]])
  #Spmod44_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod44_GAA_110011[[i]])
  #Spmod45_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod45_GAA_110011[[i]])
  #Spmod46_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod46_GAA_110011[[i]])
  #Spmod47_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod47_GAA_110011[[i]])
  #Spmod48_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod48_GAA_110011[[i]])
  #Spmod49_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod49_GAA_110011[[i]])
  #Spmod50_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod50_GAA_110011[[i]])
  #Spmod51_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod51_GAA_110011[[i]])
  #Spmod52_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod52_GAA_110011[[i]])
  #Spmod53_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod53_GAA_110011[[i]])
  #Spmod54_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod54_GAA_110011[[i]])
  #Spmod55_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod55_GAA_110011[[i]])
  #Spmod56_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod56_GAA_110011[[i]])
  #Spmod57_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod57_GAA_110011[[i]])
  #Spmod58_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod58_GAA_110011[[i]])
  #Spmod59_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod59_GAA_110011[[i]])
  #Spmod60_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod60_GAA_110011[[i]])
  #Spmod61_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod61_GAA_110011[[i]])
  #Spmod62_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod62_GAA_110011[[i]])
  #Spmod63_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod63_GAA_110011[[i]])
  #Spmod64_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod64_GAA_110011[[i]])
  #Spmod65_GAA_110011_R[[i]]<-NagelkerkeR2(Spmod65_GAA_110011[[i]])
  
  Spmod1_GAA_110011_R[[i]]$Modnames <-1
  Spmod2_GAA_110011_R[[i]]$Modnames <-2
  #Spmod3_GAA_110011_R[[i]]$Modnames <-3
  #Spmod4_GAA_110011_R[[i]]$Modnames <-4
  Spmod5_GAA_110011_R[[i]]$Modnames <-5
  Spmod6_GAA_110011_R[[i]]$Modnames <-6
  #Spmod7_GAA_110011_R[[i]]$Modnames <-7
  #Spmod8_GAA_110011_R[[i]]$Modnames <-8
  #Spmod9_GAA_110011_R[[i]]$Modnames <-9
  #Spmod10_GAA_110011_R[[i]]$Modnames <-10
  #Spmod11_GAA_110011_R[[i]]$Modnames <-11
  #Spmod12_GAA_110011_R[[i]]$Modnames <-12
  #Spmod13_GAA_110011_R[[i]]$Modnames <-13
  #Spmod14_GAA_110011_R[[i]]$Modnames <-14
  #Spmod15_GAA_110011_R[[i]]$Modnames <-15
  #Spmod16_GAA_110011_R[[i]]$Modnames <-16
  #Spmod17_GAA_110011_R[[i]]$Modnames <-17
  Spmod18_GAA_110011_R[[i]]$Modnames <-18
  #Spmod19_GAA_110011_R[[i]]$Modnames <-19
  #Spmod20_GAA_110011_R[[i]]$Modnames <-20
  #Spmod21_GAA_110011_R[[i]]$Modnames <-21
  #Spmod22_GAA_110011_R[[i]]$Modnames <-22
  #Spmod23_GAA_110011_R[[i]]$Modnames <-23
  #Spmod24_GAA_110011_R[[i]]$Modnames <-24
  #Spmod25_GAA_110011_R[[i]]$Modnames <-25
  #Spmod26_GAA_110011_R[[i]]$Modnames <-26
  #Spmod27_GAA_110011_R[[i]]$Modnames <-27
  #Spmod28_GAA_110011_R[[i]]$Modnames <-28
  #Spmod29_GAA_110011_R[[i]]$Modnames <-29
  #Spmod30_GAA_110011_R[[i]]$Modnames <-30
  #Spmod31_GAA_110011_R[[i]]$Modnames <-31
  #Spmod32_GAA_110011_R[[i]]$Modnames <-32
  #Spmod33_GAA_110011_R[[i]]$Modnames <-33
  #Spmod34_GAA_110011_R[[i]]$Modnames <-34
  #Spmod35_GAA_110011_R[[i]]$Modnames <-35
  #Spmod36_GAA_110011_R[[i]]$Modnames <-36
  #Spmod37_GAA_110011_R[[i]]$Modnames <-37
  #Spmod38_GAA_110011_R[[i]]$Modnames <-38
  #Spmod39_GAA_110011_R[[i]]$Modnames <-39
  #Spmod40_GAA_110011_R[[i]]$Modnames <-40
  #Spmod41_GAA_110011_R[[i]]$Modnames <-41
  #Spmod42_GAA_110011_R[[i]]$Modnames <-42
  #Spmod43_GAA_110011_R[[i]]$Modnames <-43
  #Spmod44_GAA_110011_R[[i]]$Modnames <-44
  #Spmod45_GAA_110011_R[[i]]$Modnames <-45
  #Spmod46_GAA_110011_R[[i]]$Modnames <-46
  #Spmod47_GAA_110011_R[[i]]$Modnames <-47
  #Spmod48_GAA_110011_R[[i]]$Modnames <-48
  #Spmod49_GAA_110011_R[[i]]$Modnames <-49
  #Spmod50_GAA_110011_R[[i]]$Modnames <-50
  #Spmod51_GAA_110011_R[[i]]$Modnames <-51
  #Spmod52_GAA_110011_R[[i]]$Modnames <-52
  #Spmod53_GAA_110011_R[[i]]$Modnames <-53
  #Spmod54_GAA_110011_R[[i]]$Modnames <-54
  #Spmod55_GAA_110011_R[[i]]$Modnames <-55
  #Spmod56_GAA_110011_R[[i]]$Modnames <-56
  #Spmod57_GAA_110011_R[[i]]$Modnames <-57
  #Spmod58_GAA_110011_R[[i]]$Modnames <-58
  #Spmod59_GAA_110011_R[[i]]$Modnames <-59
  #Spmod60_GAA_110011_R[[i]]$Modnames <-60
  #Spmod61_GAA_110011_R[[i]]$Modnames <-61
  #Spmod62_GAA_110011_R[[i]]$Modnames <-62
  #Spmod63_GAA_110011_R[[i]]$Modnames <-63
  #Spmod64_GAA_110011_R[[i]]$Modnames <-64
  #Spmod65_GAA_110011_R[[i]]$Modnames <-65
  
  modelavg_GAA_110011[[i]] <- model.avg(listall_GAA_110011[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_110011_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_110011_R,
  Spmod2_GAA_110011_R,
  #Spmod3_GAA_110011_R,
  #Spmod4_GAA_110011_R,
  Spmod5_GAA_110011_R,
  Spmod6_GAA_110011_R,
  #Spmod7_GAA_110011_R,
  #Spmod8_GAA_110011_R,
  #Spmod9_GAA_110011_R,
  #Spmod10_GAA_110011_R,
  #Spmod11_GAA_110011_R,
  #Spmod12_GAA_110011_R,
  #Spmod13_GAA_110011_R,
  #Spmod14_GAA_110011_R,
  #Spmod15_GAA_110011_R,
  #Spmod16_GAA_110011_R,
  #Spmod17_GAA_110011_R,
  Spmod18_GAA_110011_R)))
  #Spmod19_GAA_110011_R,
  #Spmod20_GAA_110011_R,
  #Spmod21_GAA_110011_R,
  #Spmod22_GAA_110011_R,
  #Spmod23_GAA_110011_R,
  #Spmod24_GAA_110011_R,
  #Spmod25_GAA_110011_R,
  #Spmod26_GAA_110011_R,
  #Spmod27_GAA_110011_R,
  #Spmod28_GAA_110011_R,
  #Spmod29_GAA_110011_R,
  #Spmod30_GAA_110011_R,
  #Spmod31_GAA_110011_R,
  #Spmod32_GAA_110011_R,
  #Spmod33_GAA_110011_R,
  #Spmod34_GAA_110011_R,
  #Spmod35_GAA_110011_R,
  #Spmod36_GAA_110011_R,
  #Spmod37_GAA_110011_R,
  #Spmod38_GAA_110011_R,
  #Spmod39_GAA_110011_R,
  #Spmod40_GAA_110011_R,
  #Spmod41_GAA_110011_R,
  #Spmod42_GAA_110011_R,
  #Spmod43_GAA_110011_R,
  #Spmod44_GAA_110011_R,
  #Spmod45_GAA_110011_R,
  #Spmod46_GAA_110011_R,
  #Spmod47_GAA_110011_R,
  #Spmod48_GAA_110011_R,
  #Spmod49_GAA_110011_R,
  #Spmod50_GAA_110011_R,
  #Spmod51_GAA_110011_R,
  #Spmod52_GAA_110011_R,
  #Spmod53_GAA_110011_R,
  #Spmod54_GAA_110011_R,
  #Spmod55_GAA_110011_R,
  #Spmod56_GAA_110011_R,
  #Spmod57_GAA_110011_R,
  #Spmod58_GAA_110011_R,
  #Spmod59_GAA_110011_R,
  #Spmod60_GAA_110011_R,
  #Spmod61_GAA_110011_R,
  #Spmod62_GAA_110011_R,
  #Spmod63_GAA_110011_R,
  #Spmod64_GAA_110011_R,
  #Spmod65_GAA_110011_R)))
  
  G_110011_R2_N <- G_110011_R2[G_110011_R2$L3 == "N",]
  names(G_110011_R2_N)[1] <- "N"
  G_110011_R2_R2 <- G_110011_R2[G_110011_R2$L3 == "R2", ]
  names(G_110011_R2_R2)[1] <- "R2"
  G_110011_R2_MN <- G_110011_R2[G_110011_R2$L3 == "Modnames", ]
  names(G_110011_R2_MN)[1] <- "Modnames"   
  
  G_110011_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_110011_R2_N, G_110011_R2_R2, G_110011_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_110011_R2_r)[1] <- "Species"
  
  AIC_110011_G <- melt(SpAIC_GAA_110011, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_110011_G <- subset(AIC_110011_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_110011_G)[1] <- "Species"
  
  Results_110011_G <- merge(AIC_110011_G, G_110011_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_110011_G$exclusion <- "110011"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_110100", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_110100 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_110100 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_110100 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_110100_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v110100_species_G)){
  Spmod1_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod5_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod19_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod20_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod23_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod42_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_110100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_110100[[i]] <- list(Spmod1_GAA_110100[[i]],
                                  Spmod2_GAA_110100[[i]],
  
  #Spmod3_GAA_110100[[i]],
  #Spmod4_GAA_110100[[i]],
  Spmod5_GAA_110100[[i]],
  #Spmod6_GAA_110100[[i]],
  Spmod7_GAA_110100[[i]],
  Spmod8_GAA_110100[[i]],
  #Spmod9_GAA_110100[[i]],
  #Spmod10_GAA_110100[[i]],
  #Spmod11_GAA_110100[[i]],
  #Spmod12_GAA_110100[[i]],
  #Spmod13_GAA_110100[[i]],
  #Spmod14_GAA_110100[[i]],
  #Spmod15_GAA_110100[[i]],
  #Spmod16_GAA_110100[[i]],
  #Spmod17_GAA_110100[[i]],
  #Spmod18_GAA_110100[[i]],
  Spmod19_GAA_110100[[i]],
  Spmod20_GAA_110100[[i]],
  #Spmod21_GAA_110100[[i]],
  #Spmod22_GAA_110100[[i]],
  Spmod23_GAA_110100[[i]],
  #Spmod24_GAA_110100[[i]],
  #Spmod25_GAA_110100[[i]],
  #Spmod26_GAA_110100[[i]],
  #Spmod27_GAA_110100[[i]],
  #Spmod28_GAA_110100[[i]],
  #Spmod29_GAA_110100[[i]],
  #Spmod30_GAA_110100[[i]],
  #Spmod31_GAA_110100[[i]],
  #Spmod32_GAA_110100[[i]],
  #Spmod33_GAA_110100[[i]],
  #Spmod34_GAA_110100[[i]],
  #Spmod35_GAA_110100[[i]],
  #Spmod36_GAA_110100[[i]],
  #Spmod37_GAA_110100[[i]],
  #Spmod38_GAA_110100[[i]],
  #Spmod39_GAA_110100[[i]],
  #Spmod40_GAA_110100[[i]],
  #Spmod41_GAA_110100[[i]],
  Spmod42_GAA_110100[[i]])
  #Spmod43_GAA_110100[[i]],
  #Spmod44_GAA_110100[[i]],
  #Spmod45_GAA_110100[[i]],
  #Spmod46_GAA_110100[[i]],
  #Spmod47_GAA_110100[[i]],
  #Spmod48_GAA_110100[[i]],
  #Spmod49_GAA_110100[[i]],
  #Spmod50_GAA_110100[[i]],
  #Spmod51_GAA_110100[[i]],
  #Spmod52_GAA_110100[[i]],
  #Spmod53_GAA_110100[[i]],
  #Spmod54_GAA_110100[[i]],
  #Spmod55_GAA_110100[[i]],
  #Spmod56_GAA_110100[[i]],
  #Spmod57_GAA_110100[[i]],
  #Spmod58_GAA_110100[[i]],
  #Spmod59_GAA_110100[[i]],
  #Spmod60_GAA_110100[[i]],
  #Spmod61_GAA_110100[[i]],
  #Spmod62_GAA_110100[[i]],
  #Spmod63_GAA_110100[[i]],
  #Spmod64_GAA_110100[[i]],
  #Spmod65_GAA_110100[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  #"4",
  "5",
  #"6",
  "7",
  "8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  "19",
  "20",
  #"21",
  #"22",
  "23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  "42")
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_110100[[i]] <- aictab(cand.set= listall_GAA_110100[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod1_GAA_110100[[i]])
  Spmod2_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod2_GAA_110100[[i]])
  #Spmod3_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod3_GAA_110100[[i]])
  #Spmod4_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod4_GAA_110100[[i]])
  Spmod5_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod5_GAA_110100[[i]])
  #Spmod6_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod6_GAA_110100[[i]])
  Spmod7_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod7_GAA_110100[[i]])
  Spmod8_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod8_GAA_110100[[i]])
  #Spmod9_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod9_GAA_110100[[i]])
  #Spmod10_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod10_GAA_110100[[i]])
  #Spmod11_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod11_GAA_110100[[i]])
  #Spmod12_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod12_GAA_110100[[i]])
  #Spmod13_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod13_GAA_110100[[i]])
  #Spmod14_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod14_GAA_110100[[i]])
  #Spmod15_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod15_GAA_110100[[i]])
  #Spmod16_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod16_GAA_110100[[i]])
  #Spmod17_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod17_GAA_110100[[i]])
  #Spmod18_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod18_GAA_110100[[i]])
  Spmod19_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod19_GAA_110100[[i]])
  Spmod20_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod20_GAA_110100[[i]])
  #Spmod21_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod21_GAA_110100[[i]])
  #Spmod22_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod22_GAA_110100[[i]])
  Spmod23_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod23_GAA_110100[[i]])
  #Spmod24_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod24_GAA_110100[[i]])
  #Spmod25_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod25_GAA_110100[[i]])
  #Spmod26_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod26_GAA_110100[[i]])
  #Spmod27_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod27_GAA_110100[[i]])
  #Spmod28_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod28_GAA_110100[[i]])
  #Spmod29_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod29_GAA_110100[[i]])
  #Spmod30_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod30_GAA_110100[[i]])
  #Spmod31_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod31_GAA_110100[[i]])
  #Spmod32_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod32_GAA_110100[[i]])
  #Spmod33_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod33_GAA_110100[[i]])
  #Spmod34_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod34_GAA_110100[[i]])
  #Spmod35_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod35_GAA_110100[[i]])
  #Spmod36_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod36_GAA_110100[[i]])
  #Spmod37_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod37_GAA_110100[[i]])
  #Spmod38_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod38_GAA_110100[[i]])
  #Spmod39_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod39_GAA_110100[[i]])
  #Spmod40_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod40_GAA_110100[[i]])
  #Spmod41_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod41_GAA_110100[[i]])
  Spmod42_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod42_GAA_110100[[i]])
  #Spmod43_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod43_GAA_110100[[i]])
  #Spmod44_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod44_GAA_110100[[i]])
  #Spmod45_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod45_GAA_110100[[i]])
  #Spmod46_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod46_GAA_110100[[i]])
  #Spmod47_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod47_GAA_110100[[i]])
  #Spmod48_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod48_GAA_110100[[i]])
  #Spmod49_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod49_GAA_110100[[i]])
  #Spmod50_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod50_GAA_110100[[i]])
  #Spmod51_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod51_GAA_110100[[i]])
  #Spmod52_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod52_GAA_110100[[i]])
  #Spmod53_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod53_GAA_110100[[i]])
  #Spmod54_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod54_GAA_110100[[i]])
  #Spmod55_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod55_GAA_110100[[i]])
  #Spmod56_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod56_GAA_110100[[i]])
  #Spmod57_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod57_GAA_110100[[i]])
  #Spmod58_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod58_GAA_110100[[i]])
  #Spmod59_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod59_GAA_110100[[i]])
  #Spmod60_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod60_GAA_110100[[i]])
  #Spmod61_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod61_GAA_110100[[i]])
  #Spmod62_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod62_GAA_110100[[i]])
  #Spmod63_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod63_GAA_110100[[i]])
  #Spmod64_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod64_GAA_110100[[i]])
  #Spmod65_GAA_110100_R[[i]]<-NagelkerkeR2(Spmod65_GAA_110100[[i]])
  
  Spmod1_GAA_110100_R[[i]]$Modnames <-1
  Spmod2_GAA_110100_R[[i]]$Modnames <-2
  #Spmod3_GAA_110100_R[[i]]$Modnames <-3
  #Spmod4_GAA_110100_R[[i]]$Modnames <-4
  Spmod5_GAA_110100_R[[i]]$Modnames <-5
  #Spmod6_GAA_110100_R[[i]]$Modnames <-6
  Spmod7_GAA_110100_R[[i]]$Modnames <-7
  Spmod8_GAA_110100_R[[i]]$Modnames <-8
  #Spmod9_GAA_110100_R[[i]]$Modnames <-9
  #Spmod10_GAA_110100_R[[i]]$Modnames <-10
  #Spmod11_GAA_110100_R[[i]]$Modnames <-11
  #Spmod12_GAA_110100_R[[i]]$Modnames <-12
  #Spmod13_GAA_110100_R[[i]]$Modnames <-13
  #Spmod14_GAA_110100_R[[i]]$Modnames <-14
  #Spmod15_GAA_110100_R[[i]]$Modnames <-15
  #Spmod16_GAA_110100_R[[i]]$Modnames <-16
  #Spmod17_GAA_110100_R[[i]]$Modnames <-17
  #Spmod18_GAA_110100_R[[i]]$Modnames <-18
  Spmod19_GAA_110100_R[[i]]$Modnames <-19
  Spmod20_GAA_110100_R[[i]]$Modnames <-20
  #Spmod21_GAA_110100_R[[i]]$Modnames <-21
  #Spmod22_GAA_110100_R[[i]]$Modnames <-22
  Spmod23_GAA_110100_R[[i]]$Modnames <-23
  #Spmod24_GAA_110100_R[[i]]$Modnames <-24
  #Spmod25_GAA_110100_R[[i]]$Modnames <-25
  #Spmod26_GAA_110100_R[[i]]$Modnames <-26
  #Spmod27_GAA_110100_R[[i]]$Modnames <-27
  #Spmod28_GAA_110100_R[[i]]$Modnames <-28
  #Spmod29_GAA_110100_R[[i]]$Modnames <-29
  #Spmod30_GAA_110100_R[[i]]$Modnames <-30
  #Spmod31_GAA_110100_R[[i]]$Modnames <-31
  #Spmod32_GAA_110100_R[[i]]$Modnames <-32
  #Spmod33_GAA_110100_R[[i]]$Modnames <-33
  #Spmod34_GAA_110100_R[[i]]$Modnames <-34
  #Spmod35_GAA_110100_R[[i]]$Modnames <-35
  #Spmod36_GAA_110100_R[[i]]$Modnames <-36
  #Spmod37_GAA_110100_R[[i]]$Modnames <-37
  #Spmod38_GAA_110100_R[[i]]$Modnames <-38
  #Spmod39_GAA_110100_R[[i]]$Modnames <-39
  #Spmod40_GAA_110100_R[[i]]$Modnames <-40
  #Spmod41_GAA_110100_R[[i]]$Modnames <-41
  Spmod42_GAA_110100_R[[i]]$Modnames <-42
  #Spmod43_GAA_110100_R[[i]]$Modnames <-43
  #Spmod44_GAA_110100_R[[i]]$Modnames <-44
  #Spmod45_GAA_110100_R[[i]]$Modnames <-45
  #Spmod46_GAA_110100_R[[i]]$Modnames <-46
  #Spmod47_GAA_110100_R[[i]]$Modnames <-47
  #Spmod48_GAA_110100_R[[i]]$Modnames <-48
  #Spmod49_GAA_110100_R[[i]]$Modnames <-49
  #Spmod50_GAA_110100_R[[i]]$Modnames <-50
  #Spmod51_GAA_110100_R[[i]]$Modnames <-51
  #Spmod52_GAA_110100_R[[i]]$Modnames <-52
  #Spmod53_GAA_110100_R[[i]]$Modnames <-53
  #Spmod54_GAA_110100_R[[i]]$Modnames <-54
  #Spmod55_GAA_110100_R[[i]]$Modnames <-55
  #Spmod56_GAA_110100_R[[i]]$Modnames <-56
  #Spmod57_GAA_110100_R[[i]]$Modnames <-57
  #Spmod58_GAA_110100_R[[i]]$Modnames <-58
  #Spmod59_GAA_110100_R[[i]]$Modnames <-59
  #Spmod60_GAA_110100_R[[i]]$Modnames <-60
  #Spmod61_GAA_110100_R[[i]]$Modnames <-61
  #Spmod62_GAA_110100_R[[i]]$Modnames <-62
  #Spmod63_GAA_110100_R[[i]]$Modnames <-63
  #Spmod64_GAA_110100_R[[i]]$Modnames <-64
  #Spmod65_GAA_110100_R[[i]]$Modnames <-65
  
  modelavg_GAA_110100[[i]] <- model.avg(listall_GAA_110100[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_110100_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_110100_R,
  Spmod2_GAA_110100_R,
  #Spmod3_GAA_110100_R,
  #Spmod4_GAA_110100_R,
  Spmod5_GAA_110100_R,
  #Spmod6_GAA_110100_R,
  Spmod7_GAA_110100_R,
  Spmod8_GAA_110100_R,
  #Spmod9_GAA_110100_R,
  #Spmod10_GAA_110100_R,
  #Spmod11_GAA_110100_R,
  #Spmod12_GAA_110100_R,
  #Spmod13_GAA_110100_R,
  #Spmod14_GAA_110100_R,
  #Spmod15_GAA_110100_R,
  #Spmod16_GAA_110100_R,
  #Spmod17_GAA_110100_R,
  #Spmod18_GAA_110100_R,
  Spmod19_GAA_110100_R,
  Spmod20_GAA_110100_R,
  #Spmod21_GAA_110100_R,
  #Spmod22_GAA_110100_R,
  Spmod23_GAA_110100_R,
  #Spmod24_GAA_110100_R,
  #Spmod25_GAA_110100_R,
  #Spmod26_GAA_110100_R,
  #Spmod27_GAA_110100_R,
  #Spmod28_GAA_110100_R,
  #Spmod29_GAA_110100_R,
  #Spmod30_GAA_110100_R,
  #Spmod31_GAA_110100_R,
  #Spmod32_GAA_110100_R,
  #Spmod33_GAA_110100_R,
  #Spmod34_GAA_110100_R,
  #Spmod35_GAA_110100_R,
  #Spmod36_GAA_110100_R,
  #Spmod37_GAA_110100_R,
  #Spmod38_GAA_110100_R,
  #Spmod39_GAA_110100_R,
  #Spmod40_GAA_110100_R,
  #Spmod41_GAA_110100_R,
  Spmod42_GAA_110100_R)))
  #Spmod43_GAA_110100_R,
  #Spmod44_GAA_110100_R,
  #Spmod45_GAA_110100_R,
  #Spmod46_GAA_110100_R,
  #Spmod47_GAA_110100_R,
  #Spmod48_GAA_110100_R,
  #Spmod49_GAA_110100_R,
  #Spmod50_GAA_110100_R,
  #Spmod51_GAA_110100_R,
  #Spmod52_GAA_110100_R,
  #Spmod53_GAA_110100_R,
  #Spmod54_GAA_110100_R,
  #Spmod55_GAA_110100_R,
  #Spmod56_GAA_110100_R,
  #Spmod57_GAA_110100_R,
  #Spmod58_GAA_110100_R,
  #Spmod59_GAA_110100_R,
  #Spmod60_GAA_110100_R,
  #Spmod61_GAA_110100_R,
  #Spmod62_GAA_110100_R,
  #Spmod63_GAA_110100_R,
  #Spmod64_GAA_110100_R,
  #Spmod65_GAA_110100_R)))
  
  G_110100_R2_N <- G_110100_R2[G_110100_R2$L3 == "N",]
  names(G_110100_R2_N)[1] <- "N"
  G_110100_R2_R2 <- G_110100_R2[G_110100_R2$L3 == "R2", ]
  names(G_110100_R2_R2)[1] <- "R2"
  G_110100_R2_MN <- G_110100_R2[G_110100_R2$L3 == "Modnames", ]
  names(G_110100_R2_MN)[1] <- "Modnames"   
  
  G_110100_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_110100_R2_N, G_110100_R2_R2, G_110100_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_110100_R2_r)[1] <- "Species"
  
  AIC_110100_G <- melt(SpAIC_GAA_110100, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_110100_G <- subset(AIC_110100_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_110100_G)[1] <- "Species"
  
  Results_110100_G <- merge(AIC_110100_G, G_110100_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_110100_G$exclusion <- "110100"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_110101", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_110101 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_110101 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_110101 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_110101_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v110101_species_G)){
  Spmod1_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod5_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod19_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_110101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_110101[[i]] <- list(Spmod1_GAA_110101[[i]],
                                  Spmod2_GAA_110101[[i]],
  
  #Spmod3_GAA_110101[[i]],
  #Spmod4_GAA_110101[[i]],
  Spmod5_GAA_110101[[i]],
  #Spmod6_GAA_110101[[i]],
  Spmod7_GAA_110101[[i]],
  #Spmod8_GAA_110101[[i]],
  #Spmod9_GAA_110101[[i]],
  #Spmod10_GAA_110101[[i]],
  #Spmod11_GAA_110101[[i]],
  #Spmod12_GAA_110101[[i]],
  #Spmod13_GAA_110101[[i]],
  #Spmod14_GAA_110101[[i]],
  #Spmod15_GAA_110101[[i]],
  #Spmod16_GAA_110101[[i]],
  #Spmod17_GAA_110101[[i]],
  #Spmod18_GAA_110101[[i]],
  Spmod19_GAA_110101[[i]])
  #Spmod20_GAA_110101[[i]],
  #Spmod21_GAA_110101[[i]],
  #Spmod22_GAA_110101[[i]],
  #Spmod23_GAA_110101[[i]],
  #Spmod24_GAA_110101[[i]],
  #Spmod25_GAA_110101[[i]],
  #Spmod26_GAA_110101[[i]],
  #Spmod27_GAA_110101[[i]],
  #Spmod28_GAA_110101[[i]],
  #Spmod29_GAA_110101[[i]],
  #Spmod30_GAA_110101[[i]],
  #Spmod31_GAA_110101[[i]],
  #Spmod32_GAA_110101[[i]],
  #Spmod33_GAA_110101[[i]],
  #Spmod34_GAA_110101[[i]],
  #Spmod35_GAA_110101[[i]],
  #Spmod36_GAA_110101[[i]],
  #Spmod37_GAA_110101[[i]],
  #Spmod38_GAA_110101[[i]],
  #Spmod39_GAA_110101[[i]],
  #Spmod40_GAA_110101[[i]],
  #Spmod41_GAA_110101[[i]],
  #Spmod42_GAA_110101[[i]],
  #Spmod43_GAA_110101[[i]],
  #Spmod44_GAA_110101[[i]],
  #Spmod45_GAA_110101[[i]],
  #Spmod46_GAA_110101[[i]],
  #Spmod47_GAA_110101[[i]],
  #Spmod48_GAA_110101[[i]],
  #Spmod49_GAA_110101[[i]],
  #Spmod50_GAA_110101[[i]],
  #Spmod51_GAA_110101[[i]],
  #Spmod52_GAA_110101[[i]],
  #Spmod53_GAA_110101[[i]],
  #Spmod54_GAA_110101[[i]],
  #Spmod55_GAA_110101[[i]],
  #Spmod56_GAA_110101[[i]],
  #Spmod57_GAA_110101[[i]],
  #Spmod58_GAA_110101[[i]],
  #Spmod59_GAA_110101[[i]],
  #Spmod60_GAA_110101[[i]],
  #Spmod61_GAA_110101[[i]],
  #Spmod62_GAA_110101[[i]],
  #Spmod63_GAA_110101[[i]],
  #Spmod64_GAA_110101[[i]],
  #Spmod65_GAA_110101[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  #"4",
  "5",
  #"6",
  "7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  "19")
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_110101[[i]] <- aictab(cand.set= listall_GAA_110101[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod1_GAA_110101[[i]])
  Spmod2_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod2_GAA_110101[[i]])
  #Spmod3_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod3_GAA_110101[[i]])
  #Spmod4_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod4_GAA_110101[[i]])
  Spmod5_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod5_GAA_110101[[i]])
  #Spmod6_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod6_GAA_110101[[i]])
  Spmod7_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod7_GAA_110101[[i]])
  #Spmod8_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod8_GAA_110101[[i]])
  #Spmod9_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod9_GAA_110101[[i]])
  #Spmod10_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod10_GAA_110101[[i]])
  #Spmod11_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod11_GAA_110101[[i]])
  #Spmod12_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod12_GAA_110101[[i]])
  #Spmod13_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod13_GAA_110101[[i]])
  #Spmod14_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod14_GAA_110101[[i]])
  #Spmod15_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod15_GAA_110101[[i]])
  #Spmod16_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod16_GAA_110101[[i]])
  #Spmod17_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod17_GAA_110101[[i]])
  #Spmod18_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod18_GAA_110101[[i]])
  Spmod19_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod19_GAA_110101[[i]])
  #Spmod20_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod20_GAA_110101[[i]])
  #Spmod21_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod21_GAA_110101[[i]])
  #Spmod22_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod22_GAA_110101[[i]])
  #Spmod23_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod23_GAA_110101[[i]])
  #Spmod24_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod24_GAA_110101[[i]])
  #Spmod25_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod25_GAA_110101[[i]])
  #Spmod26_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod26_GAA_110101[[i]])
  #Spmod27_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod27_GAA_110101[[i]])
  #Spmod28_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod28_GAA_110101[[i]])
  #Spmod29_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod29_GAA_110101[[i]])
  #Spmod30_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod30_GAA_110101[[i]])
  #Spmod31_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod31_GAA_110101[[i]])
  #Spmod32_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod32_GAA_110101[[i]])
  #Spmod33_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod33_GAA_110101[[i]])
  #Spmod34_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod34_GAA_110101[[i]])
  #Spmod35_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod35_GAA_110101[[i]])
  #Spmod36_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod36_GAA_110101[[i]])
  #Spmod37_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod37_GAA_110101[[i]])
  #Spmod38_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod38_GAA_110101[[i]])
  #Spmod39_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod39_GAA_110101[[i]])
  #Spmod40_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod40_GAA_110101[[i]])
  #Spmod41_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod41_GAA_110101[[i]])
  #Spmod42_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod42_GAA_110101[[i]])
  #Spmod43_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod43_GAA_110101[[i]])
  #Spmod44_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod44_GAA_110101[[i]])
  #Spmod45_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod45_GAA_110101[[i]])
  #Spmod46_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod46_GAA_110101[[i]])
  #Spmod47_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod47_GAA_110101[[i]])
  #Spmod48_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod48_GAA_110101[[i]])
  #Spmod49_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod49_GAA_110101[[i]])
  #Spmod50_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod50_GAA_110101[[i]])
  #Spmod51_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod51_GAA_110101[[i]])
  #Spmod52_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod52_GAA_110101[[i]])
  #Spmod53_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod53_GAA_110101[[i]])
  #Spmod54_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod54_GAA_110101[[i]])
  #Spmod55_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod55_GAA_110101[[i]])
  #Spmod56_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod56_GAA_110101[[i]])
  #Spmod57_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod57_GAA_110101[[i]])
  #Spmod58_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod58_GAA_110101[[i]])
  #Spmod59_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod59_GAA_110101[[i]])
  #Spmod60_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod60_GAA_110101[[i]])
  #Spmod61_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod61_GAA_110101[[i]])
  #Spmod62_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod62_GAA_110101[[i]])
  #Spmod63_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod63_GAA_110101[[i]])
  #Spmod64_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod64_GAA_110101[[i]])
  #Spmod65_GAA_110101_R[[i]]<-NagelkerkeR2(Spmod65_GAA_110101[[i]])
  
  Spmod1_GAA_110101_R[[i]]$Modnames <-1
  Spmod2_GAA_110101_R[[i]]$Modnames <-2
  #Spmod3_GAA_110101_R[[i]]$Modnames <-3
  #Spmod4_GAA_110101_R[[i]]$Modnames <-4
  Spmod5_GAA_110101_R[[i]]$Modnames <-5
  #Spmod6_GAA_110101_R[[i]]$Modnames <-6
  Spmod7_GAA_110101_R[[i]]$Modnames <-7
  #Spmod8_GAA_110101_R[[i]]$Modnames <-8
  #Spmod9_GAA_110101_R[[i]]$Modnames <-9
  #Spmod10_GAA_110101_R[[i]]$Modnames <-10
  #Spmod11_GAA_110101_R[[i]]$Modnames <-11
  #Spmod12_GAA_110101_R[[i]]$Modnames <-12
  #Spmod13_GAA_110101_R[[i]]$Modnames <-13
  #Spmod14_GAA_110101_R[[i]]$Modnames <-14
  #Spmod15_GAA_110101_R[[i]]$Modnames <-15
  #Spmod16_GAA_110101_R[[i]]$Modnames <-16
  #Spmod17_GAA_110101_R[[i]]$Modnames <-17
  #Spmod18_GAA_110101_R[[i]]$Modnames <-18
  Spmod19_GAA_110101_R[[i]]$Modnames <-19
  #Spmod20_GAA_110101_R[[i]]$Modnames <-20
  #Spmod21_GAA_110101_R[[i]]$Modnames <-21
  #Spmod22_GAA_110101_R[[i]]$Modnames <-22
  #Spmod23_GAA_110101_R[[i]]$Modnames <-23
  #Spmod24_GAA_110101_R[[i]]$Modnames <-24
  #Spmod25_GAA_110101_R[[i]]$Modnames <-25
  #Spmod26_GAA_110101_R[[i]]$Modnames <-26
  #Spmod27_GAA_110101_R[[i]]$Modnames <-27
  #Spmod28_GAA_110101_R[[i]]$Modnames <-28
  #Spmod29_GAA_110101_R[[i]]$Modnames <-29
  #Spmod30_GAA_110101_R[[i]]$Modnames <-30
  #Spmod31_GAA_110101_R[[i]]$Modnames <-31
  #Spmod32_GAA_110101_R[[i]]$Modnames <-32
  #Spmod33_GAA_110101_R[[i]]$Modnames <-33
  #Spmod34_GAA_110101_R[[i]]$Modnames <-34
  #Spmod35_GAA_110101_R[[i]]$Modnames <-35
  #Spmod36_GAA_110101_R[[i]]$Modnames <-36
  #Spmod37_GAA_110101_R[[i]]$Modnames <-37
  #Spmod38_GAA_110101_R[[i]]$Modnames <-38
  #Spmod39_GAA_110101_R[[i]]$Modnames <-39
  #Spmod40_GAA_110101_R[[i]]$Modnames <-40
  #Spmod41_GAA_110101_R[[i]]$Modnames <-41
  #Spmod42_GAA_110101_R[[i]]$Modnames <-42
  #Spmod43_GAA_110101_R[[i]]$Modnames <-43
  #Spmod44_GAA_110101_R[[i]]$Modnames <-44
  #Spmod45_GAA_110101_R[[i]]$Modnames <-45
  #Spmod46_GAA_110101_R[[i]]$Modnames <-46
  #Spmod47_GAA_110101_R[[i]]$Modnames <-47
  #Spmod48_GAA_110101_R[[i]]$Modnames <-48
  #Spmod49_GAA_110101_R[[i]]$Modnames <-49
  #Spmod50_GAA_110101_R[[i]]$Modnames <-50
  #Spmod51_GAA_110101_R[[i]]$Modnames <-51
  #Spmod52_GAA_110101_R[[i]]$Modnames <-52
  #Spmod53_GAA_110101_R[[i]]$Modnames <-53
  #Spmod54_GAA_110101_R[[i]]$Modnames <-54
  #Spmod55_GAA_110101_R[[i]]$Modnames <-55
  #Spmod56_GAA_110101_R[[i]]$Modnames <-56
  #Spmod57_GAA_110101_R[[i]]$Modnames <-57
  #Spmod58_GAA_110101_R[[i]]$Modnames <-58
  #Spmod59_GAA_110101_R[[i]]$Modnames <-59
  #Spmod60_GAA_110101_R[[i]]$Modnames <-60
  #Spmod61_GAA_110101_R[[i]]$Modnames <-61
  #Spmod62_GAA_110101_R[[i]]$Modnames <-62
  #Spmod63_GAA_110101_R[[i]]$Modnames <-63
  #Spmod64_GAA_110101_R[[i]]$Modnames <-64
  #Spmod65_GAA_110101_R[[i]]$Modnames <-65
  
  modelavg_GAA_110101[[i]] <- model.avg(listall_GAA_110101[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_110101_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_110101_R,
  Spmod2_GAA_110101_R,
  #Spmod3_GAA_110101_R,
  #Spmod4_GAA_110101_R,
  Spmod5_GAA_110101_R,
  #Spmod6_GAA_110101_R,
  Spmod7_GAA_110101_R,
  #Spmod8_GAA_110101_R,
  #Spmod9_GAA_110101_R,
  #Spmod10_GAA_110101_R,
  #Spmod11_GAA_110101_R,
  #Spmod12_GAA_110101_R,
  #Spmod13_GAA_110101_R,
  #Spmod14_GAA_110101_R,
  #Spmod15_GAA_110101_R,
  #Spmod16_GAA_110101_R,
  #Spmod17_GAA_110101_R,
  #Spmod18_GAA_110101_R,
  Spmod19_GAA_110101_R)))
  #Spmod20_GAA_110101_R,
  #Spmod21_GAA_110101_R,
  #Spmod22_GAA_110101_R,
  #Spmod23_GAA_110101_R,
  #Spmod24_GAA_110101_R,
  #Spmod25_GAA_110101_R,
  #Spmod26_GAA_110101_R,
  #Spmod27_GAA_110101_R,
  #Spmod28_GAA_110101_R,
  #Spmod29_GAA_110101_R,
  #Spmod30_GAA_110101_R,
  #Spmod31_GAA_110101_R,
  #Spmod32_GAA_110101_R,
  #Spmod33_GAA_110101_R,
  #Spmod34_GAA_110101_R,
  #Spmod35_GAA_110101_R,
  #Spmod36_GAA_110101_R,
  #Spmod37_GAA_110101_R,
  #Spmod38_GAA_110101_R,
  #Spmod39_GAA_110101_R,
  #Spmod40_GAA_110101_R,
  #Spmod41_GAA_110101_R,
  #Spmod42_GAA_110101_R,
  #Spmod43_GAA_110101_R,
  #Spmod44_GAA_110101_R,
  #Spmod45_GAA_110101_R,
  #Spmod46_GAA_110101_R,
  #Spmod47_GAA_110101_R,
  #Spmod48_GAA_110101_R,
  #Spmod49_GAA_110101_R,
  #Spmod50_GAA_110101_R,
  #Spmod51_GAA_110101_R,
  #Spmod52_GAA_110101_R,
  #Spmod53_GAA_110101_R,
  #Spmod54_GAA_110101_R,
  #Spmod55_GAA_110101_R,
  #Spmod56_GAA_110101_R,
  #Spmod57_GAA_110101_R,
  #Spmod58_GAA_110101_R,
  #Spmod59_GAA_110101_R,
  #Spmod60_GAA_110101_R,
  #Spmod61_GAA_110101_R,
  #Spmod62_GAA_110101_R,
  #Spmod63_GAA_110101_R,
  #Spmod64_GAA_110101_R,
  #Spmod65_GAA_110101_R)))
  
  G_110101_R2_N <- G_110101_R2[G_110101_R2$L3 == "N",]
  names(G_110101_R2_N)[1] <- "N"
  G_110101_R2_R2 <- G_110101_R2[G_110101_R2$L3 == "R2", ]
  names(G_110101_R2_R2)[1] <- "R2"
  G_110101_R2_MN <- G_110101_R2[G_110101_R2$L3 == "Modnames", ]
  names(G_110101_R2_MN)[1] <- "Modnames"   
  
  G_110101_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_110101_R2_N, G_110101_R2_R2, G_110101_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_110101_R2_r)[1] <- "Species"
  
  AIC_110101_G <- melt(SpAIC_GAA_110101, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_110101_G <- subset(AIC_110101_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_110101_G)[1] <- "Species"
  
  Results_110101_G <- merge(AIC_110101_G, G_110101_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_110101_G$exclusion <- "110101"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_110110", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_110110 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_110110 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_110110 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_110110_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v110110_species_G)){
  Spmod1_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod5_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod20_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_110110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_110110[[i]] <- list(Spmod1_GAA_110110[[i]],
                                  Spmod2_GAA_110110[[i]],
  
  #Spmod3_GAA_110110[[i]],
  #Spmod4_GAA_110110[[i]],
  Spmod5_GAA_110110[[i]],
  #Spmod6_GAA_110110[[i]],
  #Spmod7_GAA_110110[[i]],
  Spmod8_GAA_110110[[i]],
  #Spmod9_GAA_110110[[i]],
  #Spmod10_GAA_110110[[i]],
  #Spmod11_GAA_110110[[i]],
  #Spmod12_GAA_110110[[i]],
  #Spmod13_GAA_110110[[i]]
  #Spmod14_GAA_110110[[i]],
  #Spmod15_GAA_110110[[i]],
  #Spmod16_GAA_110110[[i]],
  #Spmod17_GAA_110110[[i]],
  #Spmod18_GAA_110110[[i]],
  #Spmod19_GAA_110110[[i]],
  Spmod20_GAA_110110[[i]])
  #Spmod21_GAA_110110[[i]],
  #Spmod22_GAA_110110[[i]],
  #Spmod23_GAA_110110[[i]],
  #Spmod24_GAA_110110[[i]],
  #Spmod25_GAA_110110[[i]],
  #Spmod26_GAA_110110[[i]],
  #Spmod27_GAA_110110[[i]],
  #Spmod28_GAA_110110[[i]],
  #Spmod29_GAA_110110[[i]],
  #Spmod30_GAA_110110[[i]],
  #Spmod31_GAA_110110[[i]],
  #Spmod32_GAA_110110[[i]],
  #Spmod33_GAA_110110[[i]],
  #Spmod34_GAA_110110[[i]],
  #Spmod35_GAA_110110[[i]],
  #Spmod36_GAA_110110[[i]],
  #Spmod37_GAA_110110[[i]],
  #Spmod38_GAA_110110[[i]],
  #Spmod39_GAA_110110[[i]],
  #Spmod40_GAA_110110[[i]],
  #Spmod41_GAA_110110[[i]],
  #Spmod42_GAA_110110[[i]],
  #Spmod43_GAA_110110[[i]],
  #Spmod44_GAA_110110[[i]],
  #Spmod45_GAA_110110[[i]],
  #Spmod46_GAA_110110[[i]],
  #Spmod47_GAA_110110[[i]],
  #Spmod48_GAA_110110[[i]],
  #Spmod49_GAA_110110[[i]],
  #Spmod50_GAA_110110[[i]],
  #Spmod51_GAA_110110[[i]],
  #Spmod52_GAA_110110[[i]],
  #Spmod53_GAA_110110[[i]],
  #Spmod54_GAA_110110[[i]],
  #Spmod55_GAA_110110[[i]],
  #Spmod56_GAA_110110[[i]],
  #Spmod57_GAA_110110[[i]],
  #Spmod58_GAA_110110[[i]],
  #Spmod59_GAA_110110[[i]],
  #Spmod60_GAA_110110[[i]],
  #Spmod61_GAA_110110[[i]],
  #Spmod62_GAA_110110[[i]],
  #Spmod63_GAA_110110[[i]],
  #Spmod64_GAA_110110[[i]],
  #Spmod65_GAA_110110[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  #"4",
  "5",
  #"6",
  #"7",
  "8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13")
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  "20")
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_110110[[i]] <- aictab(cand.set= listall_GAA_110110[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod1_GAA_110110[[i]])
  Spmod2_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod2_GAA_110110[[i]])
  #Spmod3_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod3_GAA_110110[[i]])
  #Spmod4_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod4_GAA_110110[[i]])
  Spmod5_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod5_GAA_110110[[i]])
  #Spmod6_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod6_GAA_110110[[i]])
  #Spmod7_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod7_GAA_110110[[i]])
  Spmod8_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod8_GAA_110110[[i]])
  #Spmod9_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod9_GAA_110110[[i]])
  #Spmod10_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod10_GAA_110110[[i]])
  #Spmod11_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod11_GAA_110110[[i]])
  #Spmod12_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod12_GAA_110110[[i]])
  #Spmod13_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod13_GAA_110110[[i]])
  #Spmod14_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod14_GAA_110110[[i]])
  #Spmod15_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod15_GAA_110110[[i]])
  #Spmod16_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod16_GAA_110110[[i]])
  #Spmod17_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod17_GAA_110110[[i]])
  #Spmod18_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod18_GAA_110110[[i]])
  #Spmod19_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod19_GAA_110110[[i]])
  Spmod20_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod20_GAA_110110[[i]])
  #Spmod21_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod21_GAA_110110[[i]])
  #Spmod22_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod22_GAA_110110[[i]])
  #Spmod23_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod23_GAA_110110[[i]])
  #Spmod24_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod24_GAA_110110[[i]])
  #Spmod25_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod25_GAA_110110[[i]])
  #Spmod26_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod26_GAA_110110[[i]])
  #Spmod27_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod27_GAA_110110[[i]])
  #Spmod28_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod28_GAA_110110[[i]])
  #Spmod29_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod29_GAA_110110[[i]])
  #Spmod30_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod30_GAA_110110[[i]])
  #Spmod31_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod31_GAA_110110[[i]])
  #Spmod32_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod32_GAA_110110[[i]])
  #Spmod33_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod33_GAA_110110[[i]])
  #Spmod34_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod34_GAA_110110[[i]])
  #Spmod35_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod35_GAA_110110[[i]])
  #Spmod36_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod36_GAA_110110[[i]])
  #Spmod37_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod37_GAA_110110[[i]])
  #Spmod38_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod38_GAA_110110[[i]])
  #Spmod39_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod39_GAA_110110[[i]])
  #Spmod40_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod40_GAA_110110[[i]])
  #Spmod41_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod41_GAA_110110[[i]])
  #Spmod42_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod42_GAA_110110[[i]])
  #Spmod43_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod43_GAA_110110[[i]])
  #Spmod44_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod44_GAA_110110[[i]])
  #Spmod45_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod45_GAA_110110[[i]])
  #Spmod46_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod46_GAA_110110[[i]])
  #Spmod47_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod47_GAA_110110[[i]])
  #Spmod48_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod48_GAA_110110[[i]])
  #Spmod49_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod49_GAA_110110[[i]])
  #Spmod50_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod50_GAA_110110[[i]])
  #Spmod51_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod51_GAA_110110[[i]])
  #Spmod52_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod52_GAA_110110[[i]])
  #Spmod53_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod53_GAA_110110[[i]])
  #Spmod54_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod54_GAA_110110[[i]])
  #Spmod55_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod55_GAA_110110[[i]])
  #Spmod56_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod56_GAA_110110[[i]])
  #Spmod57_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod57_GAA_110110[[i]])
  #Spmod58_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod58_GAA_110110[[i]])
  #Spmod59_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod59_GAA_110110[[i]])
  #Spmod60_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod60_GAA_110110[[i]])
  #Spmod61_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod61_GAA_110110[[i]])
  #Spmod62_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod62_GAA_110110[[i]])
  #Spmod63_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod63_GAA_110110[[i]])
  #Spmod64_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod64_GAA_110110[[i]])
  #Spmod65_GAA_110110_R[[i]]<-NagelkerkeR2(Spmod65_GAA_110110[[i]])
  
  Spmod1_GAA_110110_R[[i]]$Modnames <-1
  Spmod2_GAA_110110_R[[i]]$Modnames <-2
  #Spmod3_GAA_110110_R[[i]]$Modnames <-3
  #Spmod4_GAA_110110_R[[i]]$Modnames <-4
  Spmod5_GAA_110110_R[[i]]$Modnames <-5
  #Spmod6_GAA_110110_R[[i]]$Modnames <-6
  #Spmod7_GAA_110110_R[[i]]$Modnames <-7
  Spmod8_GAA_110110_R[[i]]$Modnames <-8
  #Spmod9_GAA_110110_R[[i]]$Modnames <-9
  #Spmod10_GAA_110110_R[[i]]$Modnames <-10
  #Spmod11_GAA_110110_R[[i]]$Modnames <-11
  #Spmod12_GAA_110110_R[[i]]$Modnames <-12
  #Spmod13_GAA_110110_R[[i]]$Modnames <-13
  #Spmod14_GAA_110110_R[[i]]$Modnames <-14
  #Spmod15_GAA_110110_R[[i]]$Modnames <-15
  #Spmod16_GAA_110110_R[[i]]$Modnames <-16
  #Spmod17_GAA_110110_R[[i]]$Modnames <-17
  #Spmod18_GAA_110110_R[[i]]$Modnames <-18
  #Spmod19_GAA_110110_R[[i]]$Modnames <-19
  Spmod20_GAA_110110_R[[i]]$Modnames <-20
  #Spmod21_GAA_110110_R[[i]]$Modnames <-21
  #Spmod22_GAA_110110_R[[i]]$Modnames <-22
  #Spmod23_GAA_110110_R[[i]]$Modnames <-23
  #Spmod24_GAA_110110_R[[i]]$Modnames <-24
  #Spmod25_GAA_110110_R[[i]]$Modnames <-25
  #Spmod26_GAA_110110_R[[i]]$Modnames <-26
  #Spmod27_GAA_110110_R[[i]]$Modnames <-27
  #Spmod28_GAA_110110_R[[i]]$Modnames <-28
  #Spmod29_GAA_110110_R[[i]]$Modnames <-29
  #Spmod30_GAA_110110_R[[i]]$Modnames <-30
  #Spmod31_GAA_110110_R[[i]]$Modnames <-31
  #Spmod32_GAA_110110_R[[i]]$Modnames <-32
  #Spmod33_GAA_110110_R[[i]]$Modnames <-33
  #Spmod34_GAA_110110_R[[i]]$Modnames <-34
  #Spmod35_GAA_110110_R[[i]]$Modnames <-35
  #Spmod36_GAA_110110_R[[i]]$Modnames <-36
  #Spmod37_GAA_110110_R[[i]]$Modnames <-37
  #Spmod38_GAA_110110_R[[i]]$Modnames <-38
  #Spmod39_GAA_110110_R[[i]]$Modnames <-39
  #Spmod40_GAA_110110_R[[i]]$Modnames <-40
  #Spmod41_GAA_110110_R[[i]]$Modnames <-41
  #Spmod42_GAA_110110_R[[i]]$Modnames <-42
  #Spmod43_GAA_110110_R[[i]]$Modnames <-43
  #Spmod44_GAA_110110_R[[i]]$Modnames <-44
  #Spmod45_GAA_110110_R[[i]]$Modnames <-45
  #Spmod46_GAA_110110_R[[i]]$Modnames <-46
  #Spmod47_GAA_110110_R[[i]]$Modnames <-47
  #Spmod48_GAA_110110_R[[i]]$Modnames <-48
  #Spmod49_GAA_110110_R[[i]]$Modnames <-49
  #Spmod50_GAA_110110_R[[i]]$Modnames <-50
  #Spmod51_GAA_110110_R[[i]]$Modnames <-51
  #Spmod52_GAA_110110_R[[i]]$Modnames <-52
  #Spmod53_GAA_110110_R[[i]]$Modnames <-53
  #Spmod54_GAA_110110_R[[i]]$Modnames <-54
  #Spmod55_GAA_110110_R[[i]]$Modnames <-55
  #Spmod56_GAA_110110_R[[i]]$Modnames <-56
  #Spmod57_GAA_110110_R[[i]]$Modnames <-57
  #Spmod58_GAA_110110_R[[i]]$Modnames <-58
  #Spmod59_GAA_110110_R[[i]]$Modnames <-59
  #Spmod60_GAA_110110_R[[i]]$Modnames <-60
  #Spmod61_GAA_110110_R[[i]]$Modnames <-61
  #Spmod62_GAA_110110_R[[i]]$Modnames <-62
  #Spmod63_GAA_110110_R[[i]]$Modnames <-63
  #Spmod64_GAA_110110_R[[i]]$Modnames <-64
  #Spmod65_GAA_110110_R[[i]]$Modnames <-65
  
  modelavg_GAA_110110[[i]] <- model.avg(listall_GAA_110110[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_110110_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_110110_R,
  Spmod2_GAA_110110_R,
  #Spmod3_GAA_110110_R,
  #Spmod4_GAA_110110_R,
  Spmod5_GAA_110110_R,
  #Spmod6_GAA_110110_R,
  #Spmod7_GAA_110110_R,
  Spmod8_GAA_110110_R,
  #Spmod9_GAA_110110_R,
  #Spmod10_GAA_110110_R,
  #Spmod11_GAA_110110_R,
  #Spmod12_GAA_110110_R,
  #Spmod13_GAA_110110_R,
  #Spmod14_GAA_110110_R,
  #Spmod15_GAA_110110_R,
  #Spmod16_GAA_110110_R,
  #Spmod17_GAA_110110_R,
  #Spmod18_GAA_110110_R,
  #Spmod19_GAA_110110_R,
  Spmod20_GAA_110110_R)))
  #Spmod21_GAA_110110_R,
  #Spmod22_GAA_110110_R,
  #Spmod23_GAA_110110_R,
  #Spmod24_GAA_110110_R,
  #Spmod25_GAA_110110_R,
  #Spmod26_GAA_110110_R,
  #Spmod27_GAA_110110_R,
  #Spmod28_GAA_110110_R,
  #Spmod29_GAA_110110_R,
  #Spmod30_GAA_110110_R,
  #Spmod31_GAA_110110_R,
  #Spmod32_GAA_110110_R,
  #Spmod33_GAA_110110_R,
  #Spmod34_GAA_110110_R,
  #Spmod35_GAA_110110_R,
  #Spmod36_GAA_110110_R,
  #Spmod37_GAA_110110_R,
  #Spmod38_GAA_110110_R,
  #Spmod39_GAA_110110_R,
  #Spmod40_GAA_110110_R,
  #Spmod41_GAA_110110_R,
  #Spmod42_GAA_110110_R,
  #Spmod43_GAA_110110_R,
  #Spmod44_GAA_110110_R,
  #Spmod45_GAA_110110_R,
  #Spmod46_GAA_110110_R,
  #Spmod47_GAA_110110_R,
  #Spmod48_GAA_110110_R,
  #Spmod49_GAA_110110_R,
  #Spmod50_GAA_110110_R,
  #Spmod51_GAA_110110_R,
  #Spmod52_GAA_110110_R,
  #Spmod53_GAA_110110_R,
  #Spmod54_GAA_110110_R,
  #Spmod55_GAA_110110_R,
  #Spmod56_GAA_110110_R,
  #Spmod57_GAA_110110_R,
  #Spmod58_GAA_110110_R,
  #Spmod59_GAA_110110_R,
  #Spmod60_GAA_110110_R,
  #Spmod61_GAA_110110_R,
  #Spmod62_GAA_110110_R,
  #Spmod63_GAA_110110_R,
  #Spmod64_GAA_110110_R,
  #Spmod65_GAA_110110_R)))
  
  G_110110_R2_N <- G_110110_R2[G_110110_R2$L3 == "N",]
  names(G_110110_R2_N)[1] <- "N"
  G_110110_R2_R2 <- G_110110_R2[G_110110_R2$L3 == "R2", ]
  names(G_110110_R2_R2)[1] <- "R2"
  G_110110_R2_MN <- G_110110_R2[G_110110_R2$L3 == "Modnames", ]
  names(G_110110_R2_MN)[1] <- "Modnames"   
  
  G_110110_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_110110_R2_N, G_110110_R2_R2, G_110110_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_110110_R2_r)[1] <- "Species"
  
  AIC_110110_G <- melt(SpAIC_GAA_110110, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_110110_G <- subset(AIC_110110_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_110110_G)[1] <- "Species"
  
  Results_110110_G <- merge(AIC_110110_G, G_110110_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_110110_G$exclusion <- "110110"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_110111", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_110111 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_110111 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_110111 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_110111_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v110111_species_G)){
  Spmod1_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod5_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_110111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_110111[[i]] <- list(Spmod1_GAA_110111[[i]],
                                  Spmod2_GAA_110111[[i]],
  
  #Spmod3_GAA_110111[[i]],
  #Spmod4_GAA_110111[[i]],
  Spmod5_GAA_110111[[i]])
  #Spmod6_GAA_110111[[i]],
  #Spmod7_GAA_110111[[i]],
  #Spmod8_GAA_110111[[i]],
  #Spmod9_GAA_110111[[i]],
  #Spmod10_GAA_110111[[i]],
  #Spmod11_GAA_110111[[i]],
  #Spmod12_GAA_110111[[i]],
  #Spmod13_GAA_110111[[i]],
  #Spmod14_GAA_110111[[i]],
  #Spmod15_GAA_110111[[i]],
  #Spmod16_GAA_110111[[i]],
  #Spmod17_GAA_110111[[i]],
  #Spmod18_GAA_110111[[i]],
  #Spmod19_GAA_110111[[i]],
  #Spmod20_GAA_110111[[i]],
  #Spmod21_GAA_110111[[i]],
  #Spmod22_GAA_110111[[i]],
  #Spmod23_GAA_110111[[i]],
  #Spmod24_GAA_110111[[i]],
  #Spmod25_GAA_110111[[i]],
  #Spmod26_GAA_110111[[i]],
  #Spmod27_GAA_110111[[i]],
  #Spmod28_GAA_110111[[i]],
  #Spmod29_GAA_110111[[i]],
  #Spmod30_GAA_110111[[i]],
  #Spmod31_GAA_110111[[i]],
  #Spmod32_GAA_110111[[i]],
  #Spmod33_GAA_110111[[i]],
  #Spmod34_GAA_110111[[i]],
  #Spmod35_GAA_110111[[i]],
  #Spmod36_GAA_110111[[i]],
  #Spmod37_GAA_110111[[i]],
  #Spmod38_GAA_110111[[i]],
  #Spmod39_GAA_110111[[i]],
  #Spmod40_GAA_110111[[i]],
  #Spmod41_GAA_110111[[i]],
  #Spmod42_GAA_110111[[i]],
  #Spmod43_GAA_110111[[i]],
  #Spmod44_GAA_110111[[i]],
  #Spmod45_GAA_110111[[i]],
  #Spmod46_GAA_110111[[i]],
  #Spmod47_GAA_110111[[i]],
  #Spmod48_GAA_110111[[i]],
  #Spmod49_GAA_110111[[i]],
  #Spmod50_GAA_110111[[i]],
  #Spmod51_GAA_110111[[i]],
  #Spmod52_GAA_110111[[i]],
  #Spmod53_GAA_110111[[i]],
  #Spmod54_GAA_110111[[i]],
  #Spmod55_GAA_110111[[i]],
  #Spmod56_GAA_110111[[i]],
  #Spmod57_GAA_110111[[i]],
  #Spmod58_GAA_110111[[i]],
  #Spmod59_GAA_110111[[i]],
  #Spmod60_GAA_110111[[i]],
  #Spmod61_GAA_110111[[i]],
  #Spmod62_GAA_110111[[i]],
  #Spmod63_GAA_110111[[i]],
  #Spmod64_GAA_110111[[i]],
  #Spmod65_GAA_110111[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  #"4",
  "5")
  #"6",
  #"7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_110111[[i]] <- aictab(cand.set= listall_GAA_110111[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod1_GAA_110111[[i]])
  Spmod2_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod2_GAA_110111[[i]])
  #Spmod3_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod3_GAA_110111[[i]])
  #Spmod4_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod4_GAA_110111[[i]])
  Spmod5_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod5_GAA_110111[[i]])
  #Spmod6_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod6_GAA_110111[[i]])
  #Spmod7_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod7_GAA_110111[[i]])
  #Spmod8_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod8_GAA_110111[[i]])
  #Spmod9_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod9_GAA_110111[[i]])
  #Spmod10_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod10_GAA_110111[[i]])
  #Spmod11_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod11_GAA_110111[[i]])
  #Spmod12_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod12_GAA_110111[[i]])
  #Spmod13_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod13_GAA_110111[[i]])
  #Spmod14_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod14_GAA_110111[[i]])
  #Spmod15_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod15_GAA_110111[[i]])
  #Spmod16_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod16_GAA_110111[[i]])
  #Spmod17_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod17_GAA_110111[[i]])
  #Spmod18_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod18_GAA_110111[[i]])
  #Spmod19_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod19_GAA_110111[[i]])
  #Spmod20_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod20_GAA_110111[[i]])
  #Spmod21_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod21_GAA_110111[[i]])
  #Spmod22_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod22_GAA_110111[[i]])
  #Spmod23_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod23_GAA_110111[[i]])
  #Spmod24_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod24_GAA_110111[[i]])
  #Spmod25_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod25_GAA_110111[[i]])
  #Spmod26_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod26_GAA_110111[[i]])
  #Spmod27_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod27_GAA_110111[[i]])
  #Spmod28_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod28_GAA_110111[[i]])
  #Spmod29_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod29_GAA_110111[[i]])
  #Spmod30_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod30_GAA_110111[[i]])
  #Spmod31_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod31_GAA_110111[[i]])
  #Spmod32_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod32_GAA_110111[[i]])
  #Spmod33_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod33_GAA_110111[[i]])
  #Spmod34_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod34_GAA_110111[[i]])
  #Spmod35_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod35_GAA_110111[[i]])
  #Spmod36_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod36_GAA_110111[[i]])
  #Spmod37_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod37_GAA_110111[[i]])
  #Spmod38_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod38_GAA_110111[[i]])
  #Spmod39_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod39_GAA_110111[[i]])
  #Spmod40_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod40_GAA_110111[[i]])
  #Spmod41_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod41_GAA_110111[[i]])
  #Spmod42_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod42_GAA_110111[[i]])
  #Spmod43_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod43_GAA_110111[[i]])
  #Spmod44_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod44_GAA_110111[[i]])
  #Spmod45_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod45_GAA_110111[[i]])
  #Spmod46_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod46_GAA_110111[[i]])
  #Spmod47_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod47_GAA_110111[[i]])
  #Spmod48_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod48_GAA_110111[[i]])
  #Spmod49_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod49_GAA_110111[[i]])
  #Spmod50_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod50_GAA_110111[[i]])
  #Spmod51_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod51_GAA_110111[[i]])
  #Spmod52_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod52_GAA_110111[[i]])
  #Spmod53_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod53_GAA_110111[[i]])
  #Spmod54_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod54_GAA_110111[[i]])
  #Spmod55_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod55_GAA_110111[[i]])
  #Spmod56_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod56_GAA_110111[[i]])
  #Spmod57_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod57_GAA_110111[[i]])
  #Spmod58_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod58_GAA_110111[[i]])
  #Spmod59_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod59_GAA_110111[[i]])
  #Spmod60_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod60_GAA_110111[[i]])
  #Spmod61_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod61_GAA_110111[[i]])
  #Spmod62_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod62_GAA_110111[[i]])
  #Spmod63_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod63_GAA_110111[[i]])
  #Spmod64_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod64_GAA_110111[[i]])
  #Spmod65_GAA_110111_R[[i]]<-NagelkerkeR2(Spmod65_GAA_110111[[i]])
  
  Spmod1_GAA_110111_R[[i]]$Modnames <-1
  Spmod2_GAA_110111_R[[i]]$Modnames <-2
  #Spmod3_GAA_110111_R[[i]]$Modnames <-3
  #Spmod4_GAA_110111_R[[i]]$Modnames <-4
  Spmod5_GAA_110111_R[[i]]$Modnames <-5
  #Spmod6_GAA_110111_R[[i]]$Modnames <-6
  #Spmod7_GAA_110111_R[[i]]$Modnames <-7
  #Spmod8_GAA_110111_R[[i]]$Modnames <-8
  #Spmod9_GAA_110111_R[[i]]$Modnames <-9
  #Spmod10_GAA_110111_R[[i]]$Modnames <-10
  #Spmod11_GAA_110111_R[[i]]$Modnames <-11
  #Spmod12_GAA_110111_R[[i]]$Modnames <-12
  #Spmod13_GAA_110111_R[[i]]$Modnames <-13
  #Spmod14_GAA_110111_R[[i]]$Modnames <-14
  #Spmod15_GAA_110111_R[[i]]$Modnames <-15
  #Spmod16_GAA_110111_R[[i]]$Modnames <-16
  #Spmod17_GAA_110111_R[[i]]$Modnames <-17
  #Spmod18_GAA_110111_R[[i]]$Modnames <-18
  #Spmod19_GAA_110111_R[[i]]$Modnames <-19
  #Spmod20_GAA_110111_R[[i]]$Modnames <-20
  #Spmod21_GAA_110111_R[[i]]$Modnames <-21
  #Spmod22_GAA_110111_R[[i]]$Modnames <-22
  #Spmod23_GAA_110111_R[[i]]$Modnames <-23
  #Spmod24_GAA_110111_R[[i]]$Modnames <-24
  #Spmod25_GAA_110111_R[[i]]$Modnames <-25
  #Spmod26_GAA_110111_R[[i]]$Modnames <-26
  #Spmod27_GAA_110111_R[[i]]$Modnames <-27
  #Spmod28_GAA_110111_R[[i]]$Modnames <-28
  #Spmod29_GAA_110111_R[[i]]$Modnames <-29
  #Spmod30_GAA_110111_R[[i]]$Modnames <-30
  #Spmod31_GAA_110111_R[[i]]$Modnames <-31
  #Spmod32_GAA_110111_R[[i]]$Modnames <-32
  #Spmod33_GAA_110111_R[[i]]$Modnames <-33
  #Spmod34_GAA_110111_R[[i]]$Modnames <-34
  #Spmod35_GAA_110111_R[[i]]$Modnames <-35
  #Spmod36_GAA_110111_R[[i]]$Modnames <-36
  #Spmod37_GAA_110111_R[[i]]$Modnames <-37
  #Spmod38_GAA_110111_R[[i]]$Modnames <-38
  #Spmod39_GAA_110111_R[[i]]$Modnames <-39
  #Spmod40_GAA_110111_R[[i]]$Modnames <-40
  #Spmod41_GAA_110111_R[[i]]$Modnames <-41
  #Spmod42_GAA_110111_R[[i]]$Modnames <-42
  #Spmod43_GAA_110111_R[[i]]$Modnames <-43
  #Spmod44_GAA_110111_R[[i]]$Modnames <-44
  #Spmod45_GAA_110111_R[[i]]$Modnames <-45
  #Spmod46_GAA_110111_R[[i]]$Modnames <-46
  #Spmod47_GAA_110111_R[[i]]$Modnames <-47
  #Spmod48_GAA_110111_R[[i]]$Modnames <-48
  #Spmod49_GAA_110111_R[[i]]$Modnames <-49
  #Spmod50_GAA_110111_R[[i]]$Modnames <-50
  #Spmod51_GAA_110111_R[[i]]$Modnames <-51
  #Spmod52_GAA_110111_R[[i]]$Modnames <-52
  #Spmod53_GAA_110111_R[[i]]$Modnames <-53
  #Spmod54_GAA_110111_R[[i]]$Modnames <-54
  #Spmod55_GAA_110111_R[[i]]$Modnames <-55
  #Spmod56_GAA_110111_R[[i]]$Modnames <-56
  #Spmod57_GAA_110111_R[[i]]$Modnames <-57
  #Spmod58_GAA_110111_R[[i]]$Modnames <-58
  #Spmod59_GAA_110111_R[[i]]$Modnames <-59
  #Spmod60_GAA_110111_R[[i]]$Modnames <-60
  #Spmod61_GAA_110111_R[[i]]$Modnames <-61
  #Spmod62_GAA_110111_R[[i]]$Modnames <-62
  #Spmod63_GAA_110111_R[[i]]$Modnames <-63
  #Spmod64_GAA_110111_R[[i]]$Modnames <-64
  #Spmod65_GAA_110111_R[[i]]$Modnames <-65
  
  modelavg_GAA_110111[[i]] <- model.avg(listall_GAA_110111[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_110111_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_110111_R,
  Spmod2_GAA_110111_R,
  #Spmod3_GAA_110111_R,
  #Spmod4_GAA_110111_R,
  Spmod5_GAA_110111_R)))
  #Spmod6_GAA_110111_R,
  #Spmod7_GAA_110111_R,
  #Spmod8_GAA_110111_R,
  #Spmod9_GAA_110111_R,
  #Spmod10_GAA_110111_R,
  #Spmod11_GAA_110111_R,
  #Spmod12_GAA_110111_R,
  #Spmod13_GAA_110111_R,
  #Spmod14_GAA_110111_R,
  #Spmod15_GAA_110111_R,
  #Spmod16_GAA_110111_R,
  #Spmod17_GAA_110111_R,
  #Spmod18_GAA_110111_R,
  #Spmod19_GAA_110111_R,
  #Spmod20_GAA_110111_R,
  #Spmod21_GAA_110111_R,
  #Spmod22_GAA_110111_R,
  #Spmod23_GAA_110111_R,
  #Spmod24_GAA_110111_R,
  #Spmod25_GAA_110111_R,
  #Spmod26_GAA_110111_R,
  #Spmod27_GAA_110111_R,
  #Spmod28_GAA_110111_R,
  #Spmod29_GAA_110111_R,
  #Spmod30_GAA_110111_R,
  #Spmod31_GAA_110111_R,
  #Spmod32_GAA_110111_R,
  #Spmod33_GAA_110111_R,
  #Spmod34_GAA_110111_R,
  #Spmod35_GAA_110111_R,
  #Spmod36_GAA_110111_R,
  #Spmod37_GAA_110111_R,
  #Spmod38_GAA_110111_R,
  #Spmod39_GAA_110111_R,
  #Spmod40_GAA_110111_R,
  #Spmod41_GAA_110111_R,
  #Spmod42_GAA_110111_R,
  #Spmod43_GAA_110111_R,
  #Spmod44_GAA_110111_R,
  #Spmod45_GAA_110111_R,
  #Spmod46_GAA_110111_R,
  #Spmod47_GAA_110111_R,
  #Spmod48_GAA_110111_R,
  #Spmod49_GAA_110111_R,
  #Spmod50_GAA_110111_R,
  #Spmod51_GAA_110111_R,
  #Spmod52_GAA_110111_R,
  #Spmod53_GAA_110111_R,
  #Spmod54_GAA_110111_R,
  #Spmod55_GAA_110111_R,
  #Spmod56_GAA_110111_R,
  #Spmod57_GAA_110111_R,
  #Spmod58_GAA_110111_R,
  #Spmod59_GAA_110111_R,
  #Spmod60_GAA_110111_R,
  #Spmod61_GAA_110111_R,
  #Spmod62_GAA_110111_R,
  #Spmod63_GAA_110111_R,
  #Spmod64_GAA_110111_R,
  #Spmod65_GAA_110111_R)))
  
  G_110111_R2_N <- G_110111_R2[G_110111_R2$L3 == "N",]
  names(G_110111_R2_N)[1] <- "N"
  G_110111_R2_R2 <- G_110111_R2[G_110111_R2$L3 == "R2", ]
  names(G_110111_R2_R2)[1] <- "R2"
  G_110111_R2_MN <- G_110111_R2[G_110111_R2$L3 == "Modnames", ]
  names(G_110111_R2_MN)[1] <- "Modnames"   
  
  G_110111_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_110111_R2_N, G_110111_R2_R2, G_110111_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_110111_R2_r)[1] <- "Species"
  
  AIC_110111_G <- melt(SpAIC_GAA_110111, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_110111_G <- subset(AIC_110111_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_110111_G)[1] <- "Species"
  
  Results_110111_G <- merge(AIC_110111_G, G_110111_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_110111_G$exclusion <- "110111"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_111001", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_111001 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_111001 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_111001 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_111001_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v111001_species_G)){
  Spmod1_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod6_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod21_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_111001[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_111001[[i]] <- list(Spmod1_GAA_111001[[i]],
                                  Spmod2_GAA_111001[[i]],
  
  #Spmod3_GAA_111001[[i]],
  #Spmod4_GAA_111001[[i]],
  #Spmod5_GAA_111001[[i]],
  Spmod6_GAA_111001[[i]],
  Spmod7_GAA_111001[[i]],
  #Spmod8_GAA_111001[[i]],
  #Spmod9_GAA_111001[[i]],
  #Spmod10_GAA_111001[[i]],
  #Spmod11_GAA_111001[[i]],
  #Spmod12_GAA_111001[[i]],
  #Spmod13_GAA_111001[[i]],
  #Spmod14_GAA_111001[[i]],
  #Spmod15_GAA_111001[[i]],
  #Spmod16_GAA_111001[[i]],
  #Spmod17_GAA_111001[[i]],
  #Spmod18_GAA_111001[[i]],
  #Spmod19_GAA_111001[[i]],
  #Spmod20_GAA_111001[[i]],
  Spmod21_GAA_111001[[i]])
  #Spmod22_GAA_111001[[i]],
  #Spmod23_GAA_111001[[i]],
  #Spmod24_GAA_111001[[i]],
  #Spmod25_GAA_111001[[i]],
  #Spmod26_GAA_111001[[i]],
  #Spmod27_GAA_111001[[i]],
  #Spmod28_GAA_111001[[i]],
  #Spmod29_GAA_111001[[i]],
  #Spmod30_GAA_111001[[i]],
  #Spmod31_GAA_111001[[i]],
  #Spmod32_GAA_111001[[i]],
  #Spmod33_GAA_111001[[i]],
  #Spmod34_GAA_111001[[i]],
  #Spmod35_GAA_111001[[i]],
  #Spmod36_GAA_111001[[i]],
  #Spmod37_GAA_111001[[i]],
  #Spmod38_GAA_111001[[i]],
  #Spmod39_GAA_111001[[i]],
  #Spmod40_GAA_111001[[i]],
  #Spmod41_GAA_111001[[i]],
  #Spmod42_GAA_111001[[i]],
  #Spmod43_GAA_111001[[i]],
  #Spmod44_GAA_111001[[i]],
  #Spmod45_GAA_111001[[i]],
  #Spmod46_GAA_111001[[i]],
  #Spmod47_GAA_111001[[i]],
  #Spmod48_GAA_111001[[i]],
  #Spmod49_GAA_111001[[i]],
  #Spmod50_GAA_111001[[i]],
  #Spmod51_GAA_111001[[i]],
  #Spmod52_GAA_111001[[i]],
  #Spmod53_GAA_111001[[i]],
  #Spmod54_GAA_111001[[i]],
  #Spmod55_GAA_111001[[i]],
  #Spmod56_GAA_111001[[i]],
  #Spmod57_GAA_111001[[i]],
  #Spmod58_GAA_111001[[i]],
  #Spmod59_GAA_111001[[i]],
  #Spmod60_GAA_111001[[i]],
  #Spmod61_GAA_111001[[i]],
  #Spmod62_GAA_111001[[i]],
  #Spmod63_GAA_111001[[i]],
  #Spmod64_GAA_111001[[i]],
  #Spmod65_GAA_111001[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  #"4",
  #"5",
  "6",
  "7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  "21")
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_111001[[i]] <- aictab(cand.set= listall_GAA_111001[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod1_GAA_111001[[i]])
  Spmod2_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod2_GAA_111001[[i]])
  #Spmod3_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod3_GAA_111001[[i]])
  #Spmod4_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod4_GAA_111001[[i]])
  #Spmod5_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod5_GAA_111001[[i]])
  Spmod6_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod6_GAA_111001[[i]])
  Spmod7_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod7_GAA_111001[[i]])
  #Spmod8_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod8_GAA_111001[[i]])
  #Spmod9_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod9_GAA_111001[[i]])
  #Spmod10_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod10_GAA_111001[[i]])
  #Spmod11_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod11_GAA_111001[[i]])
  #Spmod12_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod12_GAA_111001[[i]])
  #Spmod13_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod13_GAA_111001[[i]])
  #Spmod14_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod14_GAA_111001[[i]])
  #Spmod15_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod15_GAA_111001[[i]])
  #Spmod16_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod16_GAA_111001[[i]])
  #Spmod17_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod17_GAA_111001[[i]])
  #Spmod18_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod18_GAA_111001[[i]])
  #Spmod19_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod19_GAA_111001[[i]])
  #Spmod20_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod20_GAA_111001[[i]])
  Spmod21_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod21_GAA_111001[[i]])
  #Spmod22_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod22_GAA_111001[[i]])
  #Spmod23_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod23_GAA_111001[[i]])
  #Spmod24_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod24_GAA_111001[[i]])
  #Spmod25_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod25_GAA_111001[[i]])
  #Spmod26_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod26_GAA_111001[[i]])
  #Spmod27_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod27_GAA_111001[[i]])
  #Spmod28_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod28_GAA_111001[[i]])
  #Spmod29_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod29_GAA_111001[[i]])
  #Spmod30_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod30_GAA_111001[[i]])
  #Spmod31_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod31_GAA_111001[[i]])
  #Spmod32_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod32_GAA_111001[[i]])
  #Spmod33_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod33_GAA_111001[[i]])
  #Spmod34_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod34_GAA_111001[[i]])
  #Spmod35_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod35_GAA_111001[[i]])
  #Spmod36_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod36_GAA_111001[[i]])
  #Spmod37_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod37_GAA_111001[[i]])
  #Spmod38_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod38_GAA_111001[[i]])
  #Spmod39_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod39_GAA_111001[[i]])
  #Spmod40_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod40_GAA_111001[[i]])
  #Spmod41_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod41_GAA_111001[[i]])
  #Spmod42_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod42_GAA_111001[[i]])
  #Spmod43_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod43_GAA_111001[[i]])
  #Spmod44_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod44_GAA_111001[[i]])
  #Spmod45_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod45_GAA_111001[[i]])
  #Spmod46_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod46_GAA_111001[[i]])
  #Spmod47_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod47_GAA_111001[[i]])
  #Spmod48_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod48_GAA_111001[[i]])
  #Spmod49_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod49_GAA_111001[[i]])
  #Spmod50_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod50_GAA_111001[[i]])
  #Spmod51_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod51_GAA_111001[[i]])
  #Spmod52_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod52_GAA_111001[[i]])
  #Spmod53_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod53_GAA_111001[[i]])
  #Spmod54_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod54_GAA_111001[[i]])
  #Spmod55_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod55_GAA_111001[[i]])
  #Spmod56_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod56_GAA_111001[[i]])
  #Spmod57_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod57_GAA_111001[[i]])
  #Spmod58_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod58_GAA_111001[[i]])
  #Spmod59_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod59_GAA_111001[[i]])
  #Spmod60_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod60_GAA_111001[[i]])
  #Spmod61_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod61_GAA_111001[[i]])
  #Spmod62_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod62_GAA_111001[[i]])
  #Spmod63_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod63_GAA_111001[[i]])
  #Spmod64_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod64_GAA_111001[[i]])
  #Spmod65_GAA_111001_R[[i]]<-NagelkerkeR2(Spmod65_GAA_111001[[i]])
  
  Spmod1_GAA_111001_R[[i]]$Modnames <-1
  Spmod2_GAA_111001_R[[i]]$Modnames <-2
  #Spmod3_GAA_111001_R[[i]]$Modnames <-3
  #Spmod4_GAA_111001_R[[i]]$Modnames <-4
  #Spmod5_GAA_111001_R[[i]]$Modnames <-5
  Spmod6_GAA_111001_R[[i]]$Modnames <-6
  Spmod7_GAA_111001_R[[i]]$Modnames <-7
  #Spmod8_GAA_111001_R[[i]]$Modnames <-8
  #Spmod9_GAA_111001_R[[i]]$Modnames <-9
  #Spmod10_GAA_111001_R[[i]]$Modnames <-10
  #Spmod11_GAA_111001_R[[i]]$Modnames <-11
  #Spmod12_GAA_111001_R[[i]]$Modnames <-12
  #Spmod13_GAA_111001_R[[i]]$Modnames <-13
  #Spmod14_GAA_111001_R[[i]]$Modnames <-14
  #Spmod15_GAA_111001_R[[i]]$Modnames <-15
  #Spmod16_GAA_111001_R[[i]]$Modnames <-16
  #Spmod17_GAA_111001_R[[i]]$Modnames <-17
  #Spmod18_GAA_111001_R[[i]]$Modnames <-18
  #Spmod19_GAA_111001_R[[i]]$Modnames <-19
  #Spmod20_GAA_111001_R[[i]]$Modnames <-20
  Spmod21_GAA_111001_R[[i]]$Modnames <-21
  #Spmod22_GAA_111001_R[[i]]$Modnames <-22
  #Spmod23_GAA_111001_R[[i]]$Modnames <-23
  #Spmod24_GAA_111001_R[[i]]$Modnames <-24
  #Spmod25_GAA_111001_R[[i]]$Modnames <-25
  #Spmod26_GAA_111001_R[[i]]$Modnames <-26
  #Spmod27_GAA_111001_R[[i]]$Modnames <-27
  #Spmod28_GAA_111001_R[[i]]$Modnames <-28
  #Spmod29_GAA_111001_R[[i]]$Modnames <-29
  #Spmod30_GAA_111001_R[[i]]$Modnames <-30
  #Spmod31_GAA_111001_R[[i]]$Modnames <-31
  #Spmod32_GAA_111001_R[[i]]$Modnames <-32
  #Spmod33_GAA_111001_R[[i]]$Modnames <-33
  #Spmod34_GAA_111001_R[[i]]$Modnames <-34
  #Spmod35_GAA_111001_R[[i]]$Modnames <-35
  #Spmod36_GAA_111001_R[[i]]$Modnames <-36
  #Spmod37_GAA_111001_R[[i]]$Modnames <-37
  #Spmod38_GAA_111001_R[[i]]$Modnames <-38
  #Spmod39_GAA_111001_R[[i]]$Modnames <-39
  #Spmod40_GAA_111001_R[[i]]$Modnames <-40
  #Spmod41_GAA_111001_R[[i]]$Modnames <-41
  #Spmod42_GAA_111001_R[[i]]$Modnames <-42
  #Spmod43_GAA_111001_R[[i]]$Modnames <-43
  #Spmod44_GAA_111001_R[[i]]$Modnames <-44
  #Spmod45_GAA_111001_R[[i]]$Modnames <-45
  #Spmod46_GAA_111001_R[[i]]$Modnames <-46
  #Spmod47_GAA_111001_R[[i]]$Modnames <-47
  #Spmod48_GAA_111001_R[[i]]$Modnames <-48
  #Spmod49_GAA_111001_R[[i]]$Modnames <-49
  #Spmod50_GAA_111001_R[[i]]$Modnames <-50
  #Spmod51_GAA_111001_R[[i]]$Modnames <-51
  #Spmod52_GAA_111001_R[[i]]$Modnames <-52
  #Spmod53_GAA_111001_R[[i]]$Modnames <-53
  #Spmod54_GAA_111001_R[[i]]$Modnames <-54
  #Spmod55_GAA_111001_R[[i]]$Modnames <-55
  #Spmod56_GAA_111001_R[[i]]$Modnames <-56
  #Spmod57_GAA_111001_R[[i]]$Modnames <-57
  #Spmod58_GAA_111001_R[[i]]$Modnames <-58
  #Spmod59_GAA_111001_R[[i]]$Modnames <-59
  #Spmod60_GAA_111001_R[[i]]$Modnames <-60
  #Spmod61_GAA_111001_R[[i]]$Modnames <-61
  #Spmod62_GAA_111001_R[[i]]$Modnames <-62
  #Spmod63_GAA_111001_R[[i]]$Modnames <-63
  #Spmod64_GAA_111001_R[[i]]$Modnames <-64
  #Spmod65_GAA_111001_R[[i]]$Modnames <-65
  
  modelavg_GAA_111001[[i]] <- model.avg(listall_GAA_111001[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_111001_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_111001_R,
  Spmod2_GAA_111001_R,
  #Spmod3_GAA_111001_R,
  #Spmod4_GAA_111001_R,
  #Spmod5_GAA_111001_R,
  Spmod6_GAA_111001_R,
  Spmod7_GAA_111001_R,
  #Spmod8_GAA_111001_R,
  #Spmod9_GAA_111001_R,
  #Spmod10_GAA_111001_R,
  #Spmod11_GAA_111001_R,
  #Spmod12_GAA_111001_R,
  #Spmod13_GAA_111001_R,
  #Spmod14_GAA_111001_R,
  #Spmod15_GAA_111001_R,
  #Spmod16_GAA_111001_R,
  #Spmod17_GAA_111001_R,
  #Spmod18_GAA_111001_R,
  #Spmod19_GAA_111001_R,
  #Spmod20_GAA_111001_R,
  Spmod21_GAA_111001_R)))
  #Spmod22_GAA_111001_R,
  #Spmod23_GAA_111001_R,
  #Spmod24_GAA_111001_R,
  #Spmod25_GAA_111001_R,
  #Spmod26_GAA_111001_R,
  #Spmod27_GAA_111001_R,
  #Spmod28_GAA_111001_R,
  #Spmod29_GAA_111001_R,
  #Spmod30_GAA_111001_R,
  #Spmod31_GAA_111001_R,
  #Spmod32_GAA_111001_R,
  #Spmod33_GAA_111001_R,
  #Spmod34_GAA_111001_R,
  #Spmod35_GAA_111001_R,
  #Spmod36_GAA_111001_R,
  #Spmod37_GAA_111001_R,
  #Spmod38_GAA_111001_R,
  #Spmod39_GAA_111001_R,
  #Spmod40_GAA_111001_R,
  #Spmod41_GAA_111001_R,
  #Spmod42_GAA_111001_R,
  #Spmod43_GAA_111001_R,
  #Spmod44_GAA_111001_R,
  #Spmod45_GAA_111001_R,
  #Spmod46_GAA_111001_R,
  #Spmod47_GAA_111001_R,
  #Spmod48_GAA_111001_R,
  #Spmod49_GAA_111001_R,
  #Spmod50_GAA_111001_R,
  #Spmod51_GAA_111001_R,
  #Spmod52_GAA_111001_R,
  #Spmod53_GAA_111001_R,
  #Spmod54_GAA_111001_R,
  #Spmod55_GAA_111001_R,
  #Spmod56_GAA_111001_R,
  #Spmod57_GAA_111001_R,
  #Spmod58_GAA_111001_R,
  #Spmod59_GAA_111001_R,
  #Spmod60_GAA_111001_R,
  #Spmod61_GAA_111001_R,
  #Spmod62_GAA_111001_R,
  #Spmod63_GAA_111001_R,
  #Spmod64_GAA_111001_R,
  #Spmod65_GAA_111001_R)))
  
  G_111001_R2_N <- G_111001_R2[G_111001_R2$L3 == "N",]
  names(G_111001_R2_N)[1] <- "N"
  G_111001_R2_R2 <- G_111001_R2[G_111001_R2$L3 == "R2", ]
  names(G_111001_R2_R2)[1] <- "R2"
  G_111001_R2_MN <- G_111001_R2[G_111001_R2$L3 == "Modnames", ]
  names(G_111001_R2_MN)[1] <- "Modnames"   
  
  G_111001_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_111001_R2_N, G_111001_R2_R2, G_111001_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_111001_R2_r)[1] <- "Species"
  
  AIC_111001_G <- melt(SpAIC_GAA_111001, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_111001_G <- subset(AIC_111001_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_111001_G)[1] <- "Species"
  
  Results_111001_G <- merge(AIC_111001_G, G_111001_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_111001_G$exclusion <- "111001"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_111010", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_111010 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_111010 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_111010 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_111010_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v111010_species_G)){
  Spmod1_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod6_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod22_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_111010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_111010[[i]] <- list(Spmod1_GAA_111010[[i]],
                                  Spmod2_GAA_111010[[i]],
  
  #Spmod3_GAA_111010[[i]],
  #Spmod4_GAA_111010[[i]],
  #Spmod5_GAA_111010[[i]],
  Spmod6_GAA_111010[[i]],
  #Spmod7_GAA_111010[[i]],
  Spmod8_GAA_111010[[i]],
  #Spmod9_GAA_111010[[i]],
  #Spmod10_GAA_111010[[i]],
  #Spmod11_GAA_111010[[i]],
  #Spmod12_GAA_111010[[i]],
  #Spmod13_GAA_111010[[i]],
  #Spmod14_GAA_111010[[i]],
  #Spmod15_GAA_111010[[i]],
  #Spmod16_GAA_111010[[i]],
  #Spmod17_GAA_111010[[i]],
  #Spmod18_GAA_111010[[i]],
  #Spmod19_GAA_111010[[i]],
  #Spmod20_GAA_111010[[i]],
  #Spmod21_GAA_111010[[i]],
  Spmod22_GAA_111010[[i]])
  #Spmod23_GAA_111010[[i]],
  #Spmod24_GAA_111010[[i]],
  #Spmod25_GAA_111010[[i]],
  #Spmod26_GAA_111010[[i]],
  #Spmod27_GAA_111010[[i]],
  #Spmod28_GAA_111010[[i]],
  #Spmod29_GAA_111010[[i]],
  #Spmod30_GAA_111010[[i]],
  #Spmod31_GAA_111010[[i]],
  #Spmod32_GAA_111010[[i]],
  #Spmod33_GAA_111010[[i]],
  #Spmod34_GAA_111010[[i]],
  #Spmod35_GAA_111010[[i]],
  #Spmod36_GAA_111010[[i]],
  #Spmod37_GAA_111010[[i]],
  #Spmod38_GAA_111010[[i]],
  #Spmod39_GAA_111010[[i]],
  #Spmod40_GAA_111010[[i]],
  #Spmod41_GAA_111010[[i]],
  #Spmod42_GAA_111010[[i]],
  #Spmod43_GAA_111010[[i]],
  #Spmod44_GAA_111010[[i]],
  #Spmod45_GAA_111010[[i]],
  #Spmod46_GAA_111010[[i]],
  #Spmod47_GAA_111010[[i]],
  #Spmod48_GAA_111010[[i]],
  #Spmod49_GAA_111010[[i]],
  #Spmod50_GAA_111010[[i]],
  #Spmod51_GAA_111010[[i]],
  #Spmod52_GAA_111010[[i]],
  #Spmod53_GAA_111010[[i]],
  #Spmod54_GAA_111010[[i]],
  #Spmod55_GAA_111010[[i]],
  #Spmod56_GAA_111010[[i]],
  #Spmod57_GAA_111010[[i]],
  #Spmod58_GAA_111010[[i]],
  #Spmod59_GAA_111010[[i]],
  #Spmod60_GAA_111010[[i]],
  #Spmod61_GAA_111010[[i]],
  #Spmod62_GAA_111010[[i]],
  #Spmod63_GAA_111010[[i]],
  #Spmod64_GAA_111010[[i]],
  #Spmod65_GAA_111010[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  #"4",
  #"5",
  "6",
  #"7",
  "8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  "22")
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_111010[[i]] <- aictab(cand.set= listall_GAA_111010[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod1_GAA_111010[[i]])
  Spmod2_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod2_GAA_111010[[i]])
  #Spmod3_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod3_GAA_111010[[i]])
  #Spmod4_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod4_GAA_111010[[i]])
  #Spmod5_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod5_GAA_111010[[i]])
  Spmod6_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod6_GAA_111010[[i]])
  #Spmod7_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod7_GAA_111010[[i]])
  Spmod8_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod8_GAA_111010[[i]])
  #Spmod9_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod9_GAA_111010[[i]])
  #Spmod10_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod10_GAA_111010[[i]])
  #Spmod11_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod11_GAA_111010[[i]])
  #Spmod12_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod12_GAA_111010[[i]])
  #Spmod13_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod13_GAA_111010[[i]])
  #Spmod14_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod14_GAA_111010[[i]])
  #Spmod15_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod15_GAA_111010[[i]])
  #Spmod16_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod16_GAA_111010[[i]])
  #Spmod17_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod17_GAA_111010[[i]])
  #Spmod18_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod18_GAA_111010[[i]])
  #Spmod19_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod19_GAA_111010[[i]])
  #Spmod20_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod20_GAA_111010[[i]])
  #Spmod21_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod21_GAA_111010[[i]])
  Spmod22_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod22_GAA_111010[[i]])
  #Spmod23_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod23_GAA_111010[[i]])
  #Spmod24_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod24_GAA_111010[[i]])
  #Spmod25_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod25_GAA_111010[[i]])
  #Spmod26_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod26_GAA_111010[[i]])
  #Spmod27_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod27_GAA_111010[[i]])
  #Spmod28_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod28_GAA_111010[[i]])
  #Spmod29_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod29_GAA_111010[[i]])
  #Spmod30_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod30_GAA_111010[[i]])
  #Spmod31_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod31_GAA_111010[[i]])
  #Spmod32_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod32_GAA_111010[[i]])
  #Spmod33_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod33_GAA_111010[[i]])
  #Spmod34_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod34_GAA_111010[[i]])
  #Spmod35_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod35_GAA_111010[[i]])
  #Spmod36_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod36_GAA_111010[[i]])
  #Spmod37_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod37_GAA_111010[[i]])
  #Spmod38_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod38_GAA_111010[[i]])
  #Spmod39_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod39_GAA_111010[[i]])
  #Spmod40_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod40_GAA_111010[[i]])
  #Spmod41_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod41_GAA_111010[[i]])
  #Spmod42_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod42_GAA_111010[[i]])
  #Spmod43_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod43_GAA_111010[[i]])
  #Spmod44_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod44_GAA_111010[[i]])
  #Spmod45_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod45_GAA_111010[[i]])
  #Spmod46_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod46_GAA_111010[[i]])
  #Spmod47_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod47_GAA_111010[[i]])
  #Spmod48_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod48_GAA_111010[[i]])
  #Spmod49_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod49_GAA_111010[[i]])
  #Spmod50_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod50_GAA_111010[[i]])
  #Spmod51_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod51_GAA_111010[[i]])
  #Spmod52_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod52_GAA_111010[[i]])
  #Spmod53_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod53_GAA_111010[[i]])
  #Spmod54_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod54_GAA_111010[[i]])
  #Spmod55_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod55_GAA_111010[[i]])
  #Spmod56_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod56_GAA_111010[[i]])
  #Spmod57_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod57_GAA_111010[[i]])
  #Spmod58_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod58_GAA_111010[[i]])
  #Spmod59_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod59_GAA_111010[[i]])
  #Spmod60_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod60_GAA_111010[[i]])
  #Spmod61_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod61_GAA_111010[[i]])
  #Spmod62_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod62_GAA_111010[[i]])
  #Spmod63_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod63_GAA_111010[[i]])
  #Spmod64_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod64_GAA_111010[[i]])
  #Spmod65_GAA_111010_R[[i]]<-NagelkerkeR2(Spmod65_GAA_111010[[i]])
  
  Spmod1_GAA_111010_R[[i]]$Modnames <-1
  Spmod2_GAA_111010_R[[i]]$Modnames <-2
  #Spmod3_GAA_111010_R[[i]]$Modnames <-3
  #Spmod4_GAA_111010_R[[i]]$Modnames <-4
  #Spmod5_GAA_111010_R[[i]]$Modnames <-5
  Spmod6_GAA_111010_R[[i]]$Modnames <-6
  #Spmod7_GAA_111010_R[[i]]$Modnames <-7
  Spmod8_GAA_111010_R[[i]]$Modnames <-8
  #Spmod9_GAA_111010_R[[i]]$Modnames <-9
  #Spmod10_GAA_111010_R[[i]]$Modnames <-10
  #Spmod11_GAA_111010_R[[i]]$Modnames <-11
  #Spmod12_GAA_111010_R[[i]]$Modnames <-12
  #Spmod13_GAA_111010_R[[i]]$Modnames <-13
  #Spmod14_GAA_111010_R[[i]]$Modnames <-14
  #Spmod15_GAA_111010_R[[i]]$Modnames <-15
  #Spmod16_GAA_111010_R[[i]]$Modnames <-16
  #Spmod17_GAA_111010_R[[i]]$Modnames <-17
  #Spmod18_GAA_111010_R[[i]]$Modnames <-18
  #Spmod19_GAA_111010_R[[i]]$Modnames <-19
  #Spmod20_GAA_111010_R[[i]]$Modnames <-20
  #Spmod21_GAA_111010_R[[i]]$Modnames <-21
  Spmod22_GAA_111010_R[[i]]$Modnames <-22
  #Spmod23_GAA_111010_R[[i]]$Modnames <-23
  #Spmod24_GAA_111010_R[[i]]$Modnames <-24
  #Spmod25_GAA_111010_R[[i]]$Modnames <-25
  #Spmod26_GAA_111010_R[[i]]$Modnames <-26
  #Spmod27_GAA_111010_R[[i]]$Modnames <-27
  #Spmod28_GAA_111010_R[[i]]$Modnames <-28
  #Spmod29_GAA_111010_R[[i]]$Modnames <-29
  #Spmod30_GAA_111010_R[[i]]$Modnames <-30
  #Spmod31_GAA_111010_R[[i]]$Modnames <-31
  #Spmod32_GAA_111010_R[[i]]$Modnames <-32
  #Spmod33_GAA_111010_R[[i]]$Modnames <-33
  #Spmod34_GAA_111010_R[[i]]$Modnames <-34
  #Spmod35_GAA_111010_R[[i]]$Modnames <-35
  #Spmod36_GAA_111010_R[[i]]$Modnames <-36
  #Spmod37_GAA_111010_R[[i]]$Modnames <-37
  #Spmod38_GAA_111010_R[[i]]$Modnames <-38
  #Spmod39_GAA_111010_R[[i]]$Modnames <-39
  #Spmod40_GAA_111010_R[[i]]$Modnames <-40
  #Spmod41_GAA_111010_R[[i]]$Modnames <-41
  #Spmod42_GAA_111010_R[[i]]$Modnames <-42
  #Spmod43_GAA_111010_R[[i]]$Modnames <-43
  #Spmod44_GAA_111010_R[[i]]$Modnames <-44
  #Spmod45_GAA_111010_R[[i]]$Modnames <-45
  #Spmod46_GAA_111010_R[[i]]$Modnames <-46
  #Spmod47_GAA_111010_R[[i]]$Modnames <-47
  #Spmod48_GAA_111010_R[[i]]$Modnames <-48
  #Spmod49_GAA_111010_R[[i]]$Modnames <-49
  #Spmod50_GAA_111010_R[[i]]$Modnames <-50
  #Spmod51_GAA_111010_R[[i]]$Modnames <-51
  #Spmod52_GAA_111010_R[[i]]$Modnames <-52
  #Spmod53_GAA_111010_R[[i]]$Modnames <-53
  #Spmod54_GAA_111010_R[[i]]$Modnames <-54
  #Spmod55_GAA_111010_R[[i]]$Modnames <-55
  #Spmod56_GAA_111010_R[[i]]$Modnames <-56
  #Spmod57_GAA_111010_R[[i]]$Modnames <-57
  #Spmod58_GAA_111010_R[[i]]$Modnames <-58
  #Spmod59_GAA_111010_R[[i]]$Modnames <-59
  #Spmod60_GAA_111010_R[[i]]$Modnames <-60
  #Spmod61_GAA_111010_R[[i]]$Modnames <-61
  #Spmod62_GAA_111010_R[[i]]$Modnames <-62
  #Spmod63_GAA_111010_R[[i]]$Modnames <-63
  #Spmod64_GAA_111010_R[[i]]$Modnames <-64
  #Spmod65_GAA_111010_R[[i]]$Modnames <-65
  
  modelavg_GAA_111010[[i]] <- model.avg(listall_GAA_111010[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_111010_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_111010_R,
  Spmod2_GAA_111010_R,
  #Spmod3_GAA_111010_R,
  #Spmod4_GAA_111010_R,
  #Spmod5_GAA_111010_R,
  Spmod6_GAA_111010_R,
  #Spmod7_GAA_111010_R,
  Spmod8_GAA_111010_R,
  #Spmod9_GAA_111010_R,
  #Spmod10_GAA_111010_R,
  #Spmod11_GAA_111010_R,
  #Spmod12_GAA_111010_R,
  #Spmod13_GAA_111010_R,
  #Spmod14_GAA_111010_R,
  #Spmod15_GAA_111010_R,
  #Spmod16_GAA_111010_R,
  #Spmod17_GAA_111010_R,
  #Spmod18_GAA_111010_R,
  #Spmod19_GAA_111010_R,
  #Spmod20_GAA_111010_R,
  #Spmod21_GAA_111010_R,
  Spmod22_GAA_111010_R)))
  #Spmod23_GAA_111010_R,
  #Spmod24_GAA_111010_R,
  #Spmod25_GAA_111010_R,
  #Spmod26_GAA_111010_R,
  #Spmod27_GAA_111010_R,
  #Spmod28_GAA_111010_R,
  #Spmod29_GAA_111010_R,
  #Spmod30_GAA_111010_R,
  #Spmod31_GAA_111010_R,
  #Spmod32_GAA_111010_R,
  #Spmod33_GAA_111010_R,
  #Spmod34_GAA_111010_R,
  #Spmod35_GAA_111010_R,
  #Spmod36_GAA_111010_R,
  #Spmod37_GAA_111010_R,
  #Spmod38_GAA_111010_R,
  #Spmod39_GAA_111010_R,
  #Spmod40_GAA_111010_R,
  #Spmod41_GAA_111010_R,
  #Spmod42_GAA_111010_R,
  #Spmod43_GAA_111010_R,
  #Spmod44_GAA_111010_R,
  #Spmod45_GAA_111010_R,
  #Spmod46_GAA_111010_R,
  #Spmod47_GAA_111010_R,
  #Spmod48_GAA_111010_R,
  #Spmod49_GAA_111010_R,
  #Spmod50_GAA_111010_R,
  #Spmod51_GAA_111010_R,
  #Spmod52_GAA_111010_R,
  #Spmod53_GAA_111010_R,
  #Spmod54_GAA_111010_R,
  #Spmod55_GAA_111010_R,
  #Spmod56_GAA_111010_R,
  #Spmod57_GAA_111010_R,
  #Spmod58_GAA_111010_R,
  #Spmod59_GAA_111010_R,
  #Spmod60_GAA_111010_R,
  #Spmod61_GAA_111010_R,
  #Spmod62_GAA_111010_R,
  #Spmod63_GAA_111010_R,
  #Spmod64_GAA_111010_R,
  #Spmod65_GAA_111010_R)))
  
  G_111010_R2_N <- G_111010_R2[G_111010_R2$L3 == "N",]
  names(G_111010_R2_N)[1] <- "N"
  G_111010_R2_R2 <- G_111010_R2[G_111010_R2$L3 == "R2", ]
  names(G_111010_R2_R2)[1] <- "R2"
  G_111010_R2_MN <- G_111010_R2[G_111010_R2$L3 == "Modnames", ]
  names(G_111010_R2_MN)[1] <- "Modnames"   
  
  G_111010_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_111010_R2_N, G_111010_R2_R2, G_111010_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_111010_R2_r)[1] <- "Species"
  
  AIC_111010_G <- melt(SpAIC_GAA_111010, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_111010_G <- subset(AIC_111010_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_111010_G)[1] <- "Species"
  
  Results_111010_G <- merge(AIC_111010_G, G_111010_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_111010_G$exclusion <- "111010"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_111011", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_111011 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_111011 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_111011 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_111011_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v111011_species_G)){
  Spmod1_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod6_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_111011[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_111011[[i]] <- list(Spmod1_GAA_111011[[i]],
                                  Spmod2_GAA_111011[[i]],
                                  
                                  #Spmod3_GAA_111011[[i]],
                                  #Spmod4_GAA_111011[[i]],
                                  #Spmod5_GAA_111011[[i]],
                                  Spmod6_GAA_111011[[i]])
  #Spmod7_GAA_111011[[i]],
  #Spmod8_GAA_111011[[i]],
  #Spmod9_GAA_111011[[i]],
  #Spmod10_GAA_111011[[i]],
  #Spmod11_GAA_111011[[i]],
  #Spmod12_GAA_111011[[i]],
  #Spmod13_GAA_111011[[i]],
  #Spmod14_GAA_111011[[i]],
  #Spmod15_GAA_111011[[i]],
  #Spmod16_GAA_111011[[i]],
  #Spmod17_GAA_111011[[i]],
  #Spmod18_GAA_111011[[i]],
  #Spmod19_GAA_111011[[i]],
  #Spmod20_GAA_111011[[i]],
  #Spmod21_GAA_111011[[i]],
  #Spmod22_GAA_111011[[i]],
  #Spmod23_GAA_111011[[i]],
  #Spmod24_GAA_111011[[i]],
  #Spmod25_GAA_111011[[i]],
  #Spmod26_GAA_111011[[i]],
  #Spmod27_GAA_111011[[i]],
  #Spmod28_GAA_111011[[i]],
  #Spmod29_GAA_111011[[i]],
  #Spmod30_GAA_111011[[i]],
  #Spmod31_GAA_111011[[i]],
  #Spmod32_GAA_111011[[i]],
  #Spmod33_GAA_111011[[i]],
  #Spmod34_GAA_111011[[i]],
  #Spmod35_GAA_111011[[i]],
  #Spmod36_GAA_111011[[i]],
  #Spmod37_GAA_111011[[i]],
  #Spmod38_GAA_111011[[i]],
  #Spmod39_GAA_111011[[i]],
  #Spmod40_GAA_111011[[i]],
  #Spmod41_GAA_111011[[i]],
  #Spmod42_GAA_111011[[i]],
  #Spmod43_GAA_111011[[i]],
  #Spmod44_GAA_111011[[i]],
  #Spmod45_GAA_111011[[i]],
  #Spmod46_GAA_111011[[i]],
  #Spmod47_GAA_111011[[i]],
  #Spmod48_GAA_111011[[i]],
  #Spmod49_GAA_111011[[i]],
  #Spmod50_GAA_111011[[i]],
  #Spmod51_GAA_111011[[i]],
  #Spmod52_GAA_111011[[i]],
  #Spmod53_GAA_111011[[i]],
  #Spmod54_GAA_111011[[i]],
  #Spmod55_GAA_111011[[i]],
  #Spmod56_GAA_111011[[i]],
  #Spmod57_GAA_111011[[i]],
  #Spmod58_GAA_111011[[i]],
  #Spmod59_GAA_111011[[i]],
  #Spmod60_GAA_111011[[i]],
  #Spmod61_GAA_111011[[i]],
  #Spmod62_GAA_111011[[i]],
  #Spmod63_GAA_111011[[i]],
  #Spmod64_GAA_111011[[i]],
  #Spmod65_GAA_111011[[i]])
  
  Modnames <-c("1",
               "2",
               #"3",
               #"4",
               #"5",
               "6")
  #"7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
  SpAIC_GAA_111011[[i]] <- aictab(cand.set= listall_GAA_111011[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod1_GAA_111011[[i]])
  Spmod2_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod2_GAA_111011[[i]])
  #Spmod3_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod3_GAA_111011[[i]])
  #Spmod4_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod4_GAA_111011[[i]])
  #Spmod5_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod5_GAA_111011[[i]])
  Spmod6_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod6_GAA_111011[[i]])
  #Spmod7_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod7_GAA_111011[[i]])
  #Spmod8_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod8_GAA_111011[[i]])
  #Spmod9_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod9_GAA_111011[[i]])
  #Spmod10_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod10_GAA_111011[[i]])
  #Spmod11_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod11_GAA_111011[[i]])
  #Spmod12_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod12_GAA_111011[[i]])
  #Spmod13_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod13_GAA_111011[[i]])
  #Spmod14_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod14_GAA_111011[[i]])
  #Spmod15_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod15_GAA_111011[[i]])
  #Spmod16_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod16_GAA_111011[[i]])
  #Spmod17_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod17_GAA_111011[[i]])
  #Spmod18_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod18_GAA_111011[[i]])
  #Spmod19_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod19_GAA_111011[[i]])
  #Spmod20_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod20_GAA_111011[[i]])
  #Spmod21_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod21_GAA_111011[[i]])
  #Spmod22_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod22_GAA_111011[[i]])
  #Spmod23_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod23_GAA_111011[[i]])
  #Spmod24_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod24_GAA_111011[[i]])
  #Spmod25_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod25_GAA_111011[[i]])
  #Spmod26_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod26_GAA_111011[[i]])
  #Spmod27_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod27_GAA_111011[[i]])
  #Spmod28_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod28_GAA_111011[[i]])
  #Spmod29_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod29_GAA_111011[[i]])
  #Spmod30_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod30_GAA_111011[[i]])
  #Spmod31_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod31_GAA_111011[[i]])
  #Spmod32_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod32_GAA_111011[[i]])
  #Spmod33_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod33_GAA_111011[[i]])
  #Spmod34_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod34_GAA_111011[[i]])
  #Spmod35_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod35_GAA_111011[[i]])
  #Spmod36_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod36_GAA_111011[[i]])
  #Spmod37_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod37_GAA_111011[[i]])
  #Spmod38_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod38_GAA_111011[[i]])
  #Spmod39_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod39_GAA_111011[[i]])
  #Spmod40_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod40_GAA_111011[[i]])
  #Spmod41_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod41_GAA_111011[[i]])
  #Spmod42_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod42_GAA_111011[[i]])
  #Spmod43_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod43_GAA_111011[[i]])
  #Spmod44_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod44_GAA_111011[[i]])
  #Spmod45_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod45_GAA_111011[[i]])
  #Spmod46_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod46_GAA_111011[[i]])
  #Spmod47_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod47_GAA_111011[[i]])
  #Spmod48_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod48_GAA_111011[[i]])
  #Spmod49_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod49_GAA_111011[[i]])
  #Spmod50_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod50_GAA_111011[[i]])
  #Spmod51_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod51_GAA_111011[[i]])
  #Spmod52_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod52_GAA_111011[[i]])
  #Spmod53_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod53_GAA_111011[[i]])
  #Spmod54_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod54_GAA_111011[[i]])
  #Spmod55_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod55_GAA_111011[[i]])
  #Spmod56_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod56_GAA_111011[[i]])
  #Spmod57_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod57_GAA_111011[[i]])
  #Spmod58_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod58_GAA_111011[[i]])
  #Spmod59_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod59_GAA_111011[[i]])
  #Spmod60_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod60_GAA_111011[[i]])
  #Spmod61_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod61_GAA_111011[[i]])
  #Spmod62_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod62_GAA_111011[[i]])
  #Spmod63_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod63_GAA_111011[[i]])
  #Spmod64_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod64_GAA_111011[[i]])
  #Spmod65_GAA_111011_R[[i]]<-NagelkerkeR2(Spmod65_GAA_111011[[i]])
  
  Spmod1_GAA_111011_R[[i]]$Modnames <-1
  Spmod2_GAA_111011_R[[i]]$Modnames <-2
  #Spmod3_GAA_111011_R[[i]]$Modnames <-3
  #Spmod4_GAA_111011_R[[i]]$Modnames <-4
  #Spmod5_GAA_111011_R[[i]]$Modnames <-5
  Spmod6_GAA_111011_R[[i]]$Modnames <-6
  #Spmod7_GAA_111011_R[[i]]$Modnames <-7
  #Spmod8_GAA_111011_R[[i]]$Modnames <-8
  #Spmod9_GAA_111011_R[[i]]$Modnames <-9
  #Spmod10_GAA_111011_R[[i]]$Modnames <-10
  #Spmod11_GAA_111011_R[[i]]$Modnames <-11
  #Spmod12_GAA_111011_R[[i]]$Modnames <-12
  #Spmod13_GAA_111011_R[[i]]$Modnames <-13
  #Spmod14_GAA_111011_R[[i]]$Modnames <-14
  #Spmod15_GAA_111011_R[[i]]$Modnames <-15
  #Spmod16_GAA_111011_R[[i]]$Modnames <-16
  #Spmod17_GAA_111011_R[[i]]$Modnames <-17
  #Spmod18_GAA_111011_R[[i]]$Modnames <-18
  #Spmod19_GAA_111011_R[[i]]$Modnames <-19
  #Spmod20_GAA_111011_R[[i]]$Modnames <-20
  #Spmod21_GAA_111011_R[[i]]$Modnames <-21
  #Spmod22_GAA_111011_R[[i]]$Modnames <-22
  #Spmod23_GAA_111011_R[[i]]$Modnames <-23
  #Spmod24_GAA_111011_R[[i]]$Modnames <-24
  #Spmod25_GAA_111011_R[[i]]$Modnames <-25
  #Spmod26_GAA_111011_R[[i]]$Modnames <-26
  #Spmod27_GAA_111011_R[[i]]$Modnames <-27
  #Spmod28_GAA_111011_R[[i]]$Modnames <-28
  #Spmod29_GAA_111011_R[[i]]$Modnames <-29
  #Spmod30_GAA_111011_R[[i]]$Modnames <-30
  #Spmod31_GAA_111011_R[[i]]$Modnames <-31
  #Spmod32_GAA_111011_R[[i]]$Modnames <-32
  #Spmod33_GAA_111011_R[[i]]$Modnames <-33
  #Spmod34_GAA_111011_R[[i]]$Modnames <-34
  #Spmod35_GAA_111011_R[[i]]$Modnames <-35
  #Spmod36_GAA_111011_R[[i]]$Modnames <-36
  #Spmod37_GAA_111011_R[[i]]$Modnames <-37
  #Spmod38_GAA_111011_R[[i]]$Modnames <-38
  #Spmod39_GAA_111011_R[[i]]$Modnames <-39
  #Spmod40_GAA_111011_R[[i]]$Modnames <-40
  #Spmod41_GAA_111011_R[[i]]$Modnames <-41
  #Spmod42_GAA_111011_R[[i]]$Modnames <-42
  #Spmod43_GAA_111011_R[[i]]$Modnames <-43
  #Spmod44_GAA_111011_R[[i]]$Modnames <-44
  #Spmod45_GAA_111011_R[[i]]$Modnames <-45
  #Spmod46_GAA_111011_R[[i]]$Modnames <-46
  #Spmod47_GAA_111011_R[[i]]$Modnames <-47
  #Spmod48_GAA_111011_R[[i]]$Modnames <-48
  #Spmod49_GAA_111011_R[[i]]$Modnames <-49
  #Spmod50_GAA_111011_R[[i]]$Modnames <-50
  #Spmod51_GAA_111011_R[[i]]$Modnames <-51
  #Spmod52_GAA_111011_R[[i]]$Modnames <-52
  #Spmod53_GAA_111011_R[[i]]$Modnames <-53
  #Spmod54_GAA_111011_R[[i]]$Modnames <-54
  #Spmod55_GAA_111011_R[[i]]$Modnames <-55
  #Spmod56_GAA_111011_R[[i]]$Modnames <-56
  #Spmod57_GAA_111011_R[[i]]$Modnames <-57
  #Spmod58_GAA_111011_R[[i]]$Modnames <-58
  #Spmod59_GAA_111011_R[[i]]$Modnames <-59
  #Spmod60_GAA_111011_R[[i]]$Modnames <-60
  #Spmod61_GAA_111011_R[[i]]$Modnames <-61
  #Spmod62_GAA_111011_R[[i]]$Modnames <-62
  #Spmod63_GAA_111011_R[[i]]$Modnames <-63
  #Spmod64_GAA_111011_R[[i]]$Modnames <-64
  #Spmod65_GAA_111011_R[[i]]$Modnames <-65
  
  modelavg_GAA_111011[[i]] <- model.avg(listall_GAA_111011[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_111011_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
    Spmod1_GAA_111011_R,
    Spmod2_GAA_111011_R,
    #Spmod3_GAA_111011_R,
    #Spmod4_GAA_111011_R,
    #Spmod5_GAA_111011_R,
    Spmod6_GAA_111011_R)))
  #Spmod7_GAA_111011_R,
  #Spmod8_GAA_111011_R,
  #Spmod9_GAA_111011_R,
  #Spmod10_GAA_111011_R,
  #Spmod11_GAA_111011_R,
  #Spmod12_GAA_111011_R,
  #Spmod13_GAA_111011_R,
  #Spmod14_GAA_111011_R,
  #Spmod15_GAA_111011_R,
  #Spmod16_GAA_111011_R,
  #Spmod17_GAA_111011_R,
  #Spmod18_GAA_111011_R,
  #Spmod19_GAA_111011_R,
  #Spmod20_GAA_111011_R,
  #Spmod21_GAA_111011_R,
  #Spmod22_GAA_111011_R,
  #Spmod23_GAA_111011_R,
  #Spmod24_GAA_111011_R,
  #Spmod25_GAA_111011_R,
  #Spmod26_GAA_111011_R,
  #Spmod27_GAA_111011_R,
  #Spmod28_GAA_111011_R,
  #Spmod29_GAA_111011_R,
  #Spmod30_GAA_111011_R,
  #Spmod31_GAA_111011_R,
  #Spmod32_GAA_111011_R,
  #Spmod33_GAA_111011_R,
  #Spmod34_GAA_111011_R,
  #Spmod35_GAA_111011_R,
  #Spmod36_GAA_111011_R,
  #Spmod37_GAA_111011_R,
  #Spmod38_GAA_111011_R,
  #Spmod39_GAA_111011_R,
  #Spmod40_GAA_111011_R,
  #Spmod41_GAA_111011_R,
  #Spmod42_GAA_111011_R,
  #Spmod43_GAA_111011_R,
  #Spmod44_GAA_111011_R,
  #Spmod45_GAA_111011_R,
  #Spmod46_GAA_111011_R,
  #Spmod47_GAA_111011_R,
  #Spmod48_GAA_111011_R,
  #Spmod49_GAA_111011_R,
  #Spmod50_GAA_111011_R,
  #Spmod51_GAA_111011_R,
  #Spmod52_GAA_111011_R,
  #Spmod53_GAA_111011_R,
  #Spmod54_GAA_111011_R,
  #Spmod55_GAA_111011_R,
  #Spmod56_GAA_111011_R,
  #Spmod57_GAA_111011_R,
  #Spmod58_GAA_111011_R,
  #Spmod59_GAA_111011_R,
  #Spmod60_GAA_111011_R,
  #Spmod61_GAA_111011_R,
  #Spmod62_GAA_111011_R,
  #Spmod63_GAA_111011_R,
  #Spmod64_GAA_111011_R,
  #Spmod65_GAA_111011_R)))
  
  G_111011_R2_N <- G_111011_R2[G_111011_R2$L3 == "N",]
  names(G_111011_R2_N)[1] <- "N"
  G_111011_R2_R2 <- G_111011_R2[G_111011_R2$L3 == "R2", ]
  names(G_111011_R2_R2)[1] <- "R2"
  G_111011_R2_MN <- G_111011_R2[G_111011_R2$L3 == "Modnames", ]
  names(G_111011_R2_MN)[1] <- "Modnames"   
  
  G_111011_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_111011_R2_N, G_111011_R2_R2, G_111011_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_111011_R2_r)[1] <- "Species"
  
  AIC_111011_G <- melt(SpAIC_GAA_111011, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_111011_G <- subset(AIC_111011_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_111011_G)[1] <- "Species"
  
  Results_111011_G <- merge(AIC_111011_G, G_111011_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_111011_G$exclusion <- "111011"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_111100", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_111100 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_111100 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_111100 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_111100_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v111100_species_G)){
  Spmod1_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod23_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_111100[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_111100[[i]] <- list(Spmod1_GAA_111100[[i]],
                                  Spmod2_GAA_111100[[i]],
                                  
                                  #Spmod3_GAA_111100[[i]],
                                  #Spmod4_GAA_111100[[i]],
                                  #Spmod5_GAA_111100[[i]],
                                  #Spmod6_GAA_111100[[i]],
                                  Spmod7_GAA_111100[[i]],
                                  Spmod8_GAA_111100[[i]],
                                  #Spmod9_GAA_111100[[i]],
                                  #Spmod10_GAA_111100[[i]],
                                  #Spmod11_GAA_111100[[i]],
                                  #Spmod12_GAA_111100[[i]],
                                  #Spmod13_GAA_111100[[i]],
                                  #Spmod14_GAA_111100[[i]],
                                  #Spmod15_GAA_111100[[i]],
                                  #Spmod16_GAA_111100[[i]],
                                  #Spmod17_GAA_111100[[i]],
                                  #Spmod18_GAA_111100[[i]],
                                  #Spmod19_GAA_111100[[i]],
                                  #Spmod20_GAA_111100[[i]],
                                  #Spmod21_GAA_111100[[i]],
                                  #Spmod22_GAA_111100[[i]],
                                  Spmod23_GAA_111100[[i]])
  #Spmod24_GAA_111100[[i]],
  #Spmod25_GAA_111100[[i]],
  #Spmod26_GAA_111100[[i]],
  #Spmod27_GAA_111100[[i]],
  #Spmod28_GAA_111100[[i]],
  #Spmod29_GAA_111100[[i]],
  #Spmod30_GAA_111100[[i]],
  #Spmod31_GAA_111100[[i]],
  #Spmod32_GAA_111100[[i]],
  #Spmod33_GAA_111100[[i]],
  #Spmod34_GAA_111100[[i]],
  #Spmod35_GAA_111100[[i]],
  #Spmod36_GAA_111100[[i]],
  #Spmod37_GAA_111100[[i]],
  #Spmod38_GAA_111100[[i]],
  #Spmod39_GAA_111100[[i]],
  #Spmod40_GAA_111100[[i]],
  #Spmod41_GAA_111100[[i]],
  #Spmod42_GAA_111100[[i]],
  #Spmod43_GAA_111100[[i]],
  #Spmod44_GAA_111100[[i]],
  #Spmod45_GAA_111100[[i]],
  #Spmod46_GAA_111100[[i]],
  #Spmod47_GAA_111100[[i]],
  #Spmod48_GAA_111100[[i]],
  #Spmod49_GAA_111100[[i]],
  #Spmod50_GAA_111100[[i]],
  #Spmod51_GAA_111100[[i]],
  #Spmod52_GAA_111100[[i]],
  #Spmod53_GAA_111100[[i]],
  #Spmod54_GAA_111100[[i]],
  #Spmod55_GAA_111100[[i]],
  #Spmod56_GAA_111100[[i]],
  #Spmod57_GAA_111100[[i]],
  #Spmod58_GAA_111100[[i]],
  #Spmod59_GAA_111100[[i]],
  #Spmod60_GAA_111100[[i]],
  #Spmod61_GAA_111100[[i]],
  #Spmod62_GAA_111100[[i]],
  #Spmod63_GAA_111100[[i]],
  #Spmod64_GAA_111100[[i]],
  #Spmod65_GAA_111100[[i]])
  
  Modnames <-c("1",
               "2",
               #"3",
               #"4",
               #"5",
               #"6",
               "7",
               "8",
               #"9",
               #"10",
               #"11",
               #"12",
               #"13",
               #"14",
               #"15",
               #"16",
               #"17",
               #"18",
               #"19",
               #"20",
               #"21",
               #"22",
               "23")
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
  SpAIC_GAA_111100[[i]] <- aictab(cand.set= listall_GAA_111100[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod1_GAA_111100[[i]])
  Spmod2_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod2_GAA_111100[[i]])
  #Spmod3_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod3_GAA_111100[[i]])
  #Spmod4_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod4_GAA_111100[[i]])
  #Spmod5_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod5_GAA_111100[[i]])
  #Spmod6_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod6_GAA_111100[[i]])
  Spmod7_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod7_GAA_111100[[i]])
  Spmod8_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod8_GAA_111100[[i]])
  #Spmod9_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod9_GAA_111100[[i]])
  #Spmod10_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod10_GAA_111100[[i]])
  #Spmod11_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod11_GAA_111100[[i]])
  #Spmod12_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod12_GAA_111100[[i]])
  #Spmod13_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod13_GAA_111100[[i]])
  #Spmod14_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod14_GAA_111100[[i]])
  #Spmod15_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod15_GAA_111100[[i]])
  #Spmod16_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod16_GAA_111100[[i]])
  #Spmod17_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod17_GAA_111100[[i]])
  #Spmod18_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod18_GAA_111100[[i]])
  #Spmod19_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod19_GAA_111100[[i]])
  #Spmod20_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod20_GAA_111100[[i]])
  #Spmod21_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod21_GAA_111100[[i]])
  #Spmod22_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod22_GAA_111100[[i]])
  Spmod23_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod23_GAA_111100[[i]])
  #Spmod24_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod24_GAA_111100[[i]])
  #Spmod25_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod25_GAA_111100[[i]])
  #Spmod26_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod26_GAA_111100[[i]])
  #Spmod27_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod27_GAA_111100[[i]])
  #Spmod28_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod28_GAA_111100[[i]])
  #Spmod29_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod29_GAA_111100[[i]])
  #Spmod30_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod30_GAA_111100[[i]])
  #Spmod31_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod31_GAA_111100[[i]])
  #Spmod32_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod32_GAA_111100[[i]])
  #Spmod33_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod33_GAA_111100[[i]])
  #Spmod34_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod34_GAA_111100[[i]])
  #Spmod35_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod35_GAA_111100[[i]])
  #Spmod36_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod36_GAA_111100[[i]])
  #Spmod37_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod37_GAA_111100[[i]])
  #Spmod38_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod38_GAA_111100[[i]])
  #Spmod39_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod39_GAA_111100[[i]])
  #Spmod40_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod40_GAA_111100[[i]])
  #Spmod41_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod41_GAA_111100[[i]])
  #Spmod42_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod42_GAA_111100[[i]])
  #Spmod43_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod43_GAA_111100[[i]])
  #Spmod44_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod44_GAA_111100[[i]])
  #Spmod45_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod45_GAA_111100[[i]])
  #Spmod46_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod46_GAA_111100[[i]])
  #Spmod47_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod47_GAA_111100[[i]])
  #Spmod48_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod48_GAA_111100[[i]])
  #Spmod49_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod49_GAA_111100[[i]])
  #Spmod50_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod50_GAA_111100[[i]])
  #Spmod51_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod51_GAA_111100[[i]])
  #Spmod52_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod52_GAA_111100[[i]])
  #Spmod53_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod53_GAA_111100[[i]])
  #Spmod54_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod54_GAA_111100[[i]])
  #Spmod55_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod55_GAA_111100[[i]])
  #Spmod56_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod56_GAA_111100[[i]])
  #Spmod57_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod57_GAA_111100[[i]])
  #Spmod58_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod58_GAA_111100[[i]])
  #Spmod59_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod59_GAA_111100[[i]])
  #Spmod60_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod60_GAA_111100[[i]])
  #Spmod61_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod61_GAA_111100[[i]])
  #Spmod62_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod62_GAA_111100[[i]])
  #Spmod63_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod63_GAA_111100[[i]])
  #Spmod64_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod64_GAA_111100[[i]])
  #Spmod65_GAA_111100_R[[i]]<-NagelkerkeR2(Spmod65_GAA_111100[[i]])
  
  Spmod1_GAA_111100_R[[i]]$Modnames <-1
  Spmod2_GAA_111100_R[[i]]$Modnames <-2
  #Spmod3_GAA_111100_R[[i]]$Modnames <-3
  #Spmod4_GAA_111100_R[[i]]$Modnames <-4
  #Spmod5_GAA_111100_R[[i]]$Modnames <-5
  #Spmod6_GAA_111100_R[[i]]$Modnames <-6
  Spmod7_GAA_111100_R[[i]]$Modnames <-7
  Spmod8_GAA_111100_R[[i]]$Modnames <-8
  #Spmod9_GAA_111100_R[[i]]$Modnames <-9
  #Spmod10_GAA_111100_R[[i]]$Modnames <-10
  #Spmod11_GAA_111100_R[[i]]$Modnames <-11
  #Spmod12_GAA_111100_R[[i]]$Modnames <-12
  #Spmod13_GAA_111100_R[[i]]$Modnames <-13
  #Spmod14_GAA_111100_R[[i]]$Modnames <-14
  #Spmod15_GAA_111100_R[[i]]$Modnames <-15
  #Spmod16_GAA_111100_R[[i]]$Modnames <-16
  #Spmod17_GAA_111100_R[[i]]$Modnames <-17
  #Spmod18_GAA_111100_R[[i]]$Modnames <-18
  #Spmod19_GAA_111100_R[[i]]$Modnames <-19
  #Spmod20_GAA_111100_R[[i]]$Modnames <-20
  #Spmod21_GAA_111100_R[[i]]$Modnames <-21
  #Spmod22_GAA_111100_R[[i]]$Modnames <-22
  Spmod23_GAA_111100_R[[i]]$Modnames <-23
  #Spmod24_GAA_111100_R[[i]]$Modnames <-24
  #Spmod25_GAA_111100_R[[i]]$Modnames <-25
  #Spmod26_GAA_111100_R[[i]]$Modnames <-26
  #Spmod27_GAA_111100_R[[i]]$Modnames <-27
  #Spmod28_GAA_111100_R[[i]]$Modnames <-28
  #Spmod29_GAA_111100_R[[i]]$Modnames <-29
  #Spmod30_GAA_111100_R[[i]]$Modnames <-30
  #Spmod31_GAA_111100_R[[i]]$Modnames <-31
  #Spmod32_GAA_111100_R[[i]]$Modnames <-32
  #Spmod33_GAA_111100_R[[i]]$Modnames <-33
  #Spmod34_GAA_111100_R[[i]]$Modnames <-34
  #Spmod35_GAA_111100_R[[i]]$Modnames <-35
  #Spmod36_GAA_111100_R[[i]]$Modnames <-36
  #Spmod37_GAA_111100_R[[i]]$Modnames <-37
  #Spmod38_GAA_111100_R[[i]]$Modnames <-38
  #Spmod39_GAA_111100_R[[i]]$Modnames <-39
  #Spmod40_GAA_111100_R[[i]]$Modnames <-40
  #Spmod41_GAA_111100_R[[i]]$Modnames <-41
  #Spmod42_GAA_111100_R[[i]]$Modnames <-42
  #Spmod43_GAA_111100_R[[i]]$Modnames <-43
  #Spmod44_GAA_111100_R[[i]]$Modnames <-44
  #Spmod45_GAA_111100_R[[i]]$Modnames <-45
  #Spmod46_GAA_111100_R[[i]]$Modnames <-46
  #Spmod47_GAA_111100_R[[i]]$Modnames <-47
  #Spmod48_GAA_111100_R[[i]]$Modnames <-48
  #Spmod49_GAA_111100_R[[i]]$Modnames <-49
  #Spmod50_GAA_111100_R[[i]]$Modnames <-50
  #Spmod51_GAA_111100_R[[i]]$Modnames <-51
  #Spmod52_GAA_111100_R[[i]]$Modnames <-52
  #Spmod53_GAA_111100_R[[i]]$Modnames <-53
  #Spmod54_GAA_111100_R[[i]]$Modnames <-54
  #Spmod55_GAA_111100_R[[i]]$Modnames <-55
  #Spmod56_GAA_111100_R[[i]]$Modnames <-56
  #Spmod57_GAA_111100_R[[i]]$Modnames <-57
  #Spmod58_GAA_111100_R[[i]]$Modnames <-58
  #Spmod59_GAA_111100_R[[i]]$Modnames <-59
  #Spmod60_GAA_111100_R[[i]]$Modnames <-60
  #Spmod61_GAA_111100_R[[i]]$Modnames <-61
  #Spmod62_GAA_111100_R[[i]]$Modnames <-62
  #Spmod63_GAA_111100_R[[i]]$Modnames <-63
  #Spmod64_GAA_111100_R[[i]]$Modnames <-64
  #Spmod65_GAA_111100_R[[i]]$Modnames <-65
  
  modelavg_GAA_111100[[i]] <- model.avg(listall_GAA_111100[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_111100_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
    Spmod1_GAA_111100_R,
    Spmod2_GAA_111100_R,
    #Spmod3_GAA_111100_R,
    #Spmod4_GAA_111100_R,
    #Spmod5_GAA_111100_R,
    #Spmod6_GAA_111100_R,
    Spmod7_GAA_111100_R,
    Spmod8_GAA_111100_R,
    #Spmod9_GAA_111100_R,
    #Spmod10_GAA_111100_R,
    #Spmod11_GAA_111100_R,
    #Spmod12_GAA_111100_R,
    #Spmod13_GAA_111100_R,
    #Spmod14_GAA_111100_R,
    #Spmod15_GAA_111100_R,
    #Spmod16_GAA_111100_R,
    #Spmod17_GAA_111100_R,
    #Spmod18_GAA_111100_R,
    #Spmod19_GAA_111100_R,
    #Spmod20_GAA_111100_R,
    #Spmod21_GAA_111100_R,
    #Spmod22_GAA_111100_R,
    Spmod23_GAA_111100_R)))
  #Spmod24_GAA_111100_R,
  #Spmod25_GAA_111100_R,
  #Spmod26_GAA_111100_R,
  #Spmod27_GAA_111100_R,
  #Spmod28_GAA_111100_R,
  #Spmod29_GAA_111100_R,
  #Spmod30_GAA_111100_R,
  #Spmod31_GAA_111100_R,
  #Spmod32_GAA_111100_R,
  #Spmod33_GAA_111100_R,
  #Spmod34_GAA_111100_R,
  #Spmod35_GAA_111100_R,
  #Spmod36_GAA_111100_R,
  #Spmod37_GAA_111100_R,
  #Spmod38_GAA_111100_R,
  #Spmod39_GAA_111100_R,
  #Spmod40_GAA_111100_R,
  #Spmod41_GAA_111100_R,
  #Spmod42_GAA_111100_R,
  #Spmod43_GAA_111100_R,
  #Spmod44_GAA_111100_R,
  #Spmod45_GAA_111100_R,
  #Spmod46_GAA_111100_R,
  #Spmod47_GAA_111100_R,
  #Spmod48_GAA_111100_R,
  #Spmod49_GAA_111100_R,
  #Spmod50_GAA_111100_R,
  #Spmod51_GAA_111100_R,
  #Spmod52_GAA_111100_R,
  #Spmod53_GAA_111100_R,
  #Spmod54_GAA_111100_R,
  #Spmod55_GAA_111100_R,
  #Spmod56_GAA_111100_R,
  #Spmod57_GAA_111100_R,
  #Spmod58_GAA_111100_R,
  #Spmod59_GAA_111100_R,
  #Spmod60_GAA_111100_R,
  #Spmod61_GAA_111100_R,
  #Spmod62_GAA_111100_R,
  #Spmod63_GAA_111100_R,
  #Spmod64_GAA_111100_R,
  #Spmod65_GAA_111100_R)))
  
  G_111100_R2_N <- G_111100_R2[G_111100_R2$L3 == "N",]
  names(G_111100_R2_N)[1] <- "N"
  G_111100_R2_R2 <- G_111100_R2[G_111100_R2$L3 == "R2", ]
  names(G_111100_R2_R2)[1] <- "R2"
  G_111100_R2_MN <- G_111100_R2[G_111100_R2$L3 == "Modnames", ]
  names(G_111100_R2_MN)[1] <- "Modnames"   
  
  G_111100_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_111100_R2_N, G_111100_R2_R2, G_111100_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_111100_R2_r)[1] <- "Species"
  
  AIC_111100_G <- melt(SpAIC_GAA_111100, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_111100_G <- subset(AIC_111100_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_111100_G)[1] <- "Species"
  
  Results_111100_G <- merge(AIC_111100_G, G_111100_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_111100_G$exclusion <- "111100"
  
}



# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_111101", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_111101 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_111101 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_111101 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_111101_R", sep = ""), NULL)    
}


# START running the models
for(i in names(v111101_species_G)){
  Spmod1_GAA_111101[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_111101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_GAA_111101[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_111101[[i]] <- list(Spmod1_GAA_111101[[i]],
                                  Spmod2_GAA_111101[[i]],
                                  Spmod7_GAA_111101[[i]])
  
  Modnames <-c("1",
               "2",
               "7")
  
SpAIC_GAA_111101[[i]] <- aictab(cand.set= listall_GAA_111101[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)  
  
  # R2 calculation
  
  
  Spmod1_GAA_111101_R[[i]]<-NagelkerkeR2(Spmod1_GAA_111101[[i]])
  Spmod2_GAA_111101_R[[i]]<-NagelkerkeR2(Spmod2_GAA_111101[[i]])
  Spmod7_GAA_111101_R[[i]]<-NagelkerkeR2(Spmod7_GAA_111101[[i]])

  
  Spmod1_GAA_111101_R[[i]]$Modnames <-1
  Spmod2_GAA_111101_R[[i]]$Modnames <-2
  Spmod7_GAA_111101_R[[i]]$Modnames <-7
  
  modelavg_GAA_111101[[i]] <- model.avg(listall_GAA_111101[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_111101_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
    Spmod1_GAA_111101_R,
    Spmod2_GAA_111101_R,
    Spmod7_GAA_111101_R)))
    
    G_111101_R2_N <- G_111101_R2[G_111101_R2$L3 == "N",]
    names(G_111101_R2_N)[1] <- "N"
    G_111101_R2_R2 <- G_111101_R2[G_111101_R2$L3 == "R2", ]
    names(G_111101_R2_R2)[1] <- "R2"
    G_111101_R2_MN <- G_111101_R2[G_111101_R2$L3 == "Modnames", ]
    names(G_111101_R2_MN)[1] <- "Modnames"   
    
    G_111101_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_111101_R2_N, G_111101_R2_R2, G_111101_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
    names(G_111101_R2_r)[1] <- "Species"
    
    AIC_111101_G <- melt(SpAIC_GAA_111101, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
    AIC_111101_G <- subset(AIC_111101_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
    names(AIC_111101_G)[1] <- "Species"
    
    Results_111101_G <- merge(AIC_111101_G, G_111101_R2_r, by=c("Species", "Modnames"), sort=FALSE)
    Results_111101_G$exclusion <- "111101"
    
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_111110", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_111110 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_111110 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_111110 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_111110_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v111110_species_G)){
  Spmod1_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_111110[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_111110[[i]] <- list(Spmod1_GAA_111110[[i]],
                                  Spmod2_GAA_111110[[i]],
                                  
                                  #Spmod3_GAA_111110[[i]],
                                  #Spmod4_GAA_111110[[i]],
                                  #Spmod5_GAA_111110[[i]],
                                  #Spmod6_GAA_111110[[i]],
                                  #Spmod7_GAA_111110[[i]],
                                  Spmod8_GAA_111110[[i]])
  #Spmod9_GAA_111110[[i]],
  #Spmod10_GAA_111110[[i]],
  #Spmod11_GAA_111110[[i]],
  #Spmod12_GAA_111110[[i]],
  #Spmod13_GAA_111110[[i]],
  #Spmod14_GAA_111110[[i]],
  #Spmod15_GAA_111110[[i]],
  #Spmod16_GAA_111110[[i]],
  #Spmod17_GAA_111110[[i]],
  #Spmod18_GAA_111110[[i]],
  #Spmod19_GAA_111110[[i]],
  #Spmod20_GAA_111110[[i]],
  #Spmod21_GAA_111110[[i]],
  #Spmod22_GAA_111110[[i]],
  #Spmod23_GAA_111110[[i]],
  #Spmod24_GAA_111110[[i]],
  #Spmod25_GAA_111110[[i]],
  #Spmod26_GAA_111110[[i]],
  #Spmod27_GAA_111110[[i]],
  #Spmod28_GAA_111110[[i]],
  #Spmod29_GAA_111110[[i]],
  #Spmod30_GAA_111110[[i]],
  #Spmod31_GAA_111110[[i]],
  #Spmod32_GAA_111110[[i]],
  #Spmod33_GAA_111110[[i]],
  #Spmod34_GAA_111110[[i]],
  #Spmod35_GAA_111110[[i]],
  #Spmod36_GAA_111110[[i]],
  #Spmod37_GAA_111110[[i]],
  #Spmod38_GAA_111110[[i]],
  #Spmod39_GAA_111110[[i]],
  #Spmod40_GAA_111110[[i]],
  #Spmod41_GAA_111110[[i]],
  #Spmod42_GAA_111110[[i]],
  #Spmod43_GAA_111110[[i]],
  #Spmod44_GAA_111110[[i]],
  #Spmod45_GAA_111110[[i]],
  #Spmod46_GAA_111110[[i]],
  #Spmod47_GAA_111110[[i]],
  #Spmod48_GAA_111110[[i]],
  #Spmod49_GAA_111110[[i]],
  #Spmod50_GAA_111110[[i]],
  #Spmod51_GAA_111110[[i]],
  #Spmod52_GAA_111110[[i]],
  #Spmod53_GAA_111110[[i]],
  #Spmod54_GAA_111110[[i]],
  #Spmod55_GAA_111110[[i]],
  #Spmod56_GAA_111110[[i]],
  #Spmod57_GAA_111110[[i]],
  #Spmod58_GAA_111110[[i]],
  #Spmod59_GAA_111110[[i]],
  #Spmod60_GAA_111110[[i]],
  #Spmod61_GAA_111110[[i]],
  #Spmod62_GAA_111110[[i]],
  #Spmod63_GAA_111110[[i]],
  #Spmod64_GAA_111110[[i]],
  #Spmod65_GAA_111110[[i]])
  
  Modnames <-c("1",
               "2",
               #"3",
               #"4",
               #"5",
               #"6",
               #"7",
               "8")
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
  SpAIC_GAA_111110[[i]] <- aictab(cand.set= listall_GAA_111110[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod1_GAA_111110[[i]])
  Spmod2_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod2_GAA_111110[[i]])
  #Spmod3_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod3_GAA_111110[[i]])
  #Spmod4_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod4_GAA_111110[[i]])
  #Spmod5_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod5_GAA_111110[[i]])
  #Spmod6_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod6_GAA_111110[[i]])
  #Spmod7_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod7_GAA_111110[[i]])
  Spmod8_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod8_GAA_111110[[i]])
  #Spmod9_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod9_GAA_111110[[i]])
  #Spmod10_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod10_GAA_111110[[i]])
  #Spmod11_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod11_GAA_111110[[i]])
  #Spmod12_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod12_GAA_111110[[i]])
  #Spmod13_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod13_GAA_111110[[i]])
  #Spmod14_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod14_GAA_111110[[i]])
  #Spmod15_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod15_GAA_111110[[i]])
  #Spmod16_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod16_GAA_111110[[i]])
  #Spmod17_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod17_GAA_111110[[i]])
  #Spmod18_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod18_GAA_111110[[i]])
  #Spmod19_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod19_GAA_111110[[i]])
  #Spmod20_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod20_GAA_111110[[i]])
  #Spmod21_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod21_GAA_111110[[i]])
  #Spmod22_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod22_GAA_111110[[i]])
  #Spmod23_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod23_GAA_111110[[i]])
  #Spmod24_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod24_GAA_111110[[i]])
  #Spmod25_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod25_GAA_111110[[i]])
  #Spmod26_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod26_GAA_111110[[i]])
  #Spmod27_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod27_GAA_111110[[i]])
  #Spmod28_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod28_GAA_111110[[i]])
  #Spmod29_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod29_GAA_111110[[i]])
  #Spmod30_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod30_GAA_111110[[i]])
  #Spmod31_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod31_GAA_111110[[i]])
  #Spmod32_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod32_GAA_111110[[i]])
  #Spmod33_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod33_GAA_111110[[i]])
  #Spmod34_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod34_GAA_111110[[i]])
  #Spmod35_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod35_GAA_111110[[i]])
  #Spmod36_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod36_GAA_111110[[i]])
  #Spmod37_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod37_GAA_111110[[i]])
  #Spmod38_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod38_GAA_111110[[i]])
  #Spmod39_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod39_GAA_111110[[i]])
  #Spmod40_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod40_GAA_111110[[i]])
  #Spmod41_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod41_GAA_111110[[i]])
  #Spmod42_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod42_GAA_111110[[i]])
  #Spmod43_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod43_GAA_111110[[i]])
  #Spmod44_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod44_GAA_111110[[i]])
  #Spmod45_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod45_GAA_111110[[i]])
  #Spmod46_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod46_GAA_111110[[i]])
  #Spmod47_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod47_GAA_111110[[i]])
  #Spmod48_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod48_GAA_111110[[i]])
  #Spmod49_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod49_GAA_111110[[i]])
  #Spmod50_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod50_GAA_111110[[i]])
  #Spmod51_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod51_GAA_111110[[i]])
  #Spmod52_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod52_GAA_111110[[i]])
  #Spmod53_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod53_GAA_111110[[i]])
  #Spmod54_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod54_GAA_111110[[i]])
  #Spmod55_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod55_GAA_111110[[i]])
  #Spmod56_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod56_GAA_111110[[i]])
  #Spmod57_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod57_GAA_111110[[i]])
  #Spmod58_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod58_GAA_111110[[i]])
  #Spmod59_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod59_GAA_111110[[i]])
  #Spmod60_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod60_GAA_111110[[i]])
  #Spmod61_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod61_GAA_111110[[i]])
  #Spmod62_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod62_GAA_111110[[i]])
  #Spmod63_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod63_GAA_111110[[i]])
  #Spmod64_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod64_GAA_111110[[i]])
  #Spmod65_GAA_111110_R[[i]]<-NagelkerkeR2(Spmod65_GAA_111110[[i]])
  
  Spmod1_GAA_111110_R[[i]]$Modnames <-1
  Spmod2_GAA_111110_R[[i]]$Modnames <-2
  #Spmod3_GAA_111110_R[[i]]$Modnames <-3
  #Spmod4_GAA_111110_R[[i]]$Modnames <-4
  #Spmod5_GAA_111110_R[[i]]$Modnames <-5
  #Spmod6_GAA_111110_R[[i]]$Modnames <-6
  #Spmod7_GAA_111110_R[[i]]$Modnames <-7
  Spmod8_GAA_111110_R[[i]]$Modnames <-8
  #Spmod9_GAA_111110_R[[i]]$Modnames <-9
  #Spmod10_GAA_111110_R[[i]]$Modnames <-10
  #Spmod11_GAA_111110_R[[i]]$Modnames <-11
  #Spmod12_GAA_111110_R[[i]]$Modnames <-12
  #Spmod13_GAA_111110_R[[i]]$Modnames <-13
  #Spmod14_GAA_111110_R[[i]]$Modnames <-14
  #Spmod15_GAA_111110_R[[i]]$Modnames <-15
  #Spmod16_GAA_111110_R[[i]]$Modnames <-16
  #Spmod17_GAA_111110_R[[i]]$Modnames <-17
  #Spmod18_GAA_111110_R[[i]]$Modnames <-18
  #Spmod19_GAA_111110_R[[i]]$Modnames <-19
  #Spmod20_GAA_111110_R[[i]]$Modnames <-20
  #Spmod21_GAA_111110_R[[i]]$Modnames <-21
  #Spmod22_GAA_111110_R[[i]]$Modnames <-22
  #Spmod23_GAA_111110_R[[i]]$Modnames <-23
  #Spmod24_GAA_111110_R[[i]]$Modnames <-24
  #Spmod25_GAA_111110_R[[i]]$Modnames <-25
  #Spmod26_GAA_111110_R[[i]]$Modnames <-26
  #Spmod27_GAA_111110_R[[i]]$Modnames <-27
  #Spmod28_GAA_111110_R[[i]]$Modnames <-28
  #Spmod29_GAA_111110_R[[i]]$Modnames <-29
  #Spmod30_GAA_111110_R[[i]]$Modnames <-30
  #Spmod31_GAA_111110_R[[i]]$Modnames <-31
  #Spmod32_GAA_111110_R[[i]]$Modnames <-32
  #Spmod33_GAA_111110_R[[i]]$Modnames <-33
  #Spmod34_GAA_111110_R[[i]]$Modnames <-34
  #Spmod35_GAA_111110_R[[i]]$Modnames <-35
  #Spmod36_GAA_111110_R[[i]]$Modnames <-36
  #Spmod37_GAA_111110_R[[i]]$Modnames <-37
  #Spmod38_GAA_111110_R[[i]]$Modnames <-38
  #Spmod39_GAA_111110_R[[i]]$Modnames <-39
  #Spmod40_GAA_111110_R[[i]]$Modnames <-40
  #Spmod41_GAA_111110_R[[i]]$Modnames <-41
  #Spmod42_GAA_111110_R[[i]]$Modnames <-42
  #Spmod43_GAA_111110_R[[i]]$Modnames <-43
  #Spmod44_GAA_111110_R[[i]]$Modnames <-44
  #Spmod45_GAA_111110_R[[i]]$Modnames <-45
  #Spmod46_GAA_111110_R[[i]]$Modnames <-46
  #Spmod47_GAA_111110_R[[i]]$Modnames <-47
  #Spmod48_GAA_111110_R[[i]]$Modnames <-48
  #Spmod49_GAA_111110_R[[i]]$Modnames <-49
  #Spmod50_GAA_111110_R[[i]]$Modnames <-50
  #Spmod51_GAA_111110_R[[i]]$Modnames <-51
  #Spmod52_GAA_111110_R[[i]]$Modnames <-52
  #Spmod53_GAA_111110_R[[i]]$Modnames <-53
  #Spmod54_GAA_111110_R[[i]]$Modnames <-54
  #Spmod55_GAA_111110_R[[i]]$Modnames <-55
  #Spmod56_GAA_111110_R[[i]]$Modnames <-56
  #Spmod57_GAA_111110_R[[i]]$Modnames <-57
  #Spmod58_GAA_111110_R[[i]]$Modnames <-58
  #Spmod59_GAA_111110_R[[i]]$Modnames <-59
  #Spmod60_GAA_111110_R[[i]]$Modnames <-60
  #Spmod61_GAA_111110_R[[i]]$Modnames <-61
  #Spmod62_GAA_111110_R[[i]]$Modnames <-62
  #Spmod63_GAA_111110_R[[i]]$Modnames <-63
  #Spmod64_GAA_111110_R[[i]]$Modnames <-64
  #Spmod65_GAA_111110_R[[i]]$Modnames <-65
  
  modelavg_GAA_111110[[i]] <- model.avg(listall_GAA_111110[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_111110_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
    Spmod1_GAA_111110_R,
    Spmod2_GAA_111110_R,
    #Spmod3_GAA_111110_R,
    #Spmod4_GAA_111110_R,
    #Spmod5_GAA_111110_R,
    #Spmod6_GAA_111110_R,
    #Spmod7_GAA_111110_R,
    Spmod8_GAA_111110_R)))
  #Spmod9_GAA_111110_R,
  #Spmod10_GAA_111110_R,
  #Spmod11_GAA_111110_R,
  #Spmod12_GAA_111110_R,
  #Spmod13_GAA_111110_R,
  #Spmod14_GAA_111110_R,
  #Spmod15_GAA_111110_R,
  #Spmod16_GAA_111110_R,
  #Spmod17_GAA_111110_R,
  #Spmod18_GAA_111110_R,
  #Spmod19_GAA_111110_R,
  #Spmod20_GAA_111110_R,
  #Spmod21_GAA_111110_R,
  #Spmod22_GAA_111110_R,
  #Spmod23_GAA_111110_R,
  #Spmod24_GAA_111110_R,
  #Spmod25_GAA_111110_R,
  #Spmod26_GAA_111110_R,
  #Spmod27_GAA_111110_R,
  #Spmod28_GAA_111110_R,
  #Spmod29_GAA_111110_R,
  #Spmod30_GAA_111110_R,
  #Spmod31_GAA_111110_R,
  #Spmod32_GAA_111110_R,
  #Spmod33_GAA_111110_R,
  #Spmod34_GAA_111110_R,
  #Spmod35_GAA_111110_R,
  #Spmod36_GAA_111110_R,
  #Spmod37_GAA_111110_R,
  #Spmod38_GAA_111110_R,
  #Spmod39_GAA_111110_R,
  #Spmod40_GAA_111110_R,
  #Spmod41_GAA_111110_R,
  #Spmod42_GAA_111110_R,
  #Spmod43_GAA_111110_R,
  #Spmod44_GAA_111110_R,
  #Spmod45_GAA_111110_R,
  #Spmod46_GAA_111110_R,
  #Spmod47_GAA_111110_R,
  #Spmod48_GAA_111110_R,
  #Spmod49_GAA_111110_R,
  #Spmod50_GAA_111110_R,
  #Spmod51_GAA_111110_R,
  #Spmod52_GAA_111110_R,
  #Spmod53_GAA_111110_R,
  #Spmod54_GAA_111110_R,
  #Spmod55_GAA_111110_R,
  #Spmod56_GAA_111110_R,
  #Spmod57_GAA_111110_R,
  #Spmod58_GAA_111110_R,
  #Spmod59_GAA_111110_R,
  #Spmod60_GAA_111110_R,
  #Spmod61_GAA_111110_R,
  #Spmod62_GAA_111110_R,
  #Spmod63_GAA_111110_R,
  #Spmod64_GAA_111110_R,
  #Spmod65_GAA_111110_R)))
  
  G_111110_R2_N <- G_111110_R2[G_111110_R2$L3 == "N",]
  names(G_111110_R2_N)[1] <- "N"
  G_111110_R2_R2 <- G_111110_R2[G_111110_R2$L3 == "R2", ]
  names(G_111110_R2_R2)[1] <- "R2"
  G_111110_R2_MN <- G_111110_R2[G_111110_R2$L3 == "Modnames", ]
  names(G_111110_R2_MN)[1] <- "Modnames"   
  
  G_111110_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_111110_R2_N, G_111110_R2_R2, G_111110_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_111110_R2_r)[1] <- "Species"
  
  AIC_111110_G <- melt(SpAIC_GAA_111110, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_111110_G <- subset(AIC_111110_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_111110_G)[1] <- "Species"
  
  Results_111110_G <- merge(AIC_111110_G, G_111110_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_111110_G$exclusion <- "111110"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_111111", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_111111 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_111111 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_111111 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_111111_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v111111_species_G)){
  Spmod1_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_111111[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_111111[[i]] <- list(Spmod1_GAA_111111[[i]],
                                  Spmod2_GAA_111111[[i]])
  
  #Spmod3_GAA_111111[[i]],
  #Spmod4_GAA_111111[[i]],
  #Spmod5_GAA_111111[[i]],
  #Spmod6_GAA_111111[[i]],
  #Spmod7_GAA_111111[[i]],
  #Spmod8_GAA_111111[[i]],
  #Spmod9_GAA_111111[[i]],
  #Spmod10_GAA_111111[[i]],
  #Spmod11_GAA_111111[[i]],
  #Spmod12_GAA_111111[[i]],
  #Spmod13_GAA_111111[[i]],
  #Spmod14_GAA_111111[[i]],
  #Spmod15_GAA_111111[[i]],
  #Spmod16_GAA_111111[[i]],
  #Spmod17_GAA_111111[[i]],
  #Spmod18_GAA_111111[[i]],
  #Spmod19_GAA_111111[[i]],
  #Spmod20_GAA_111111[[i]],
  #Spmod21_GAA_111111[[i]],
  #Spmod22_GAA_111111[[i]],
  #Spmod23_GAA_111111[[i]],
  #Spmod24_GAA_111111[[i]],
  #Spmod25_GAA_111111[[i]],
  #Spmod26_GAA_111111[[i]],
  #Spmod27_GAA_111111[[i]],
  #Spmod28_GAA_111111[[i]],
  #Spmod29_GAA_111111[[i]],
  #Spmod30_GAA_111111[[i]],
  #Spmod31_GAA_111111[[i]],
  #Spmod32_GAA_111111[[i]],
  #Spmod33_GAA_111111[[i]],
  #Spmod34_GAA_111111[[i]],
  #Spmod35_GAA_111111[[i]],
  #Spmod36_GAA_111111[[i]],
  #Spmod37_GAA_111111[[i]],
  #Spmod38_GAA_111111[[i]],
  #Spmod39_GAA_111111[[i]],
  #Spmod40_GAA_111111[[i]],
  #Spmod41_GAA_111111[[i]],
  #Spmod42_GAA_111111[[i]],
  #Spmod43_GAA_111111[[i]],
  #Spmod44_GAA_111111[[i]],
  #Spmod45_GAA_111111[[i]],
  #Spmod46_GAA_111111[[i]],
  #Spmod47_GAA_111111[[i]],
  #Spmod48_GAA_111111[[i]],
  #Spmod49_GAA_111111[[i]],
  #Spmod50_GAA_111111[[i]],
  #Spmod51_GAA_111111[[i]],
  #Spmod52_GAA_111111[[i]],
  #Spmod53_GAA_111111[[i]],
  #Spmod54_GAA_111111[[i]],
  #Spmod55_GAA_111111[[i]],
  #Spmod56_GAA_111111[[i]],
  #Spmod57_GAA_111111[[i]],
  #Spmod58_GAA_111111[[i]],
  #Spmod59_GAA_111111[[i]],
  #Spmod60_GAA_111111[[i]],
  #Spmod61_GAA_111111[[i]],
  #Spmod62_GAA_111111[[i]],
  #Spmod63_GAA_111111[[i]],
  #Spmod64_GAA_111111[[i]],
  #Spmod65_GAA_111111[[i]])
  
  Modnames <-c("1",
               "2")
  #"3",
  #"4",
  #"5",
  #"6",
  #"7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_111111[[i]] <- aictab(cand.set= listall_GAA_111111[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod1_GAA_111111[[i]])
  Spmod2_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod2_GAA_111111[[i]])
  #Spmod3_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod3_GAA_111111[[i]])
  #Spmod4_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod4_GAA_111111[[i]])
  #Spmod5_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod5_GAA_111111[[i]])
  #Spmod6_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod6_GAA_111111[[i]])
  #Spmod7_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod7_GAA_111111[[i]])
  #Spmod8_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod8_GAA_111111[[i]])
  #Spmod9_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod9_GAA_111111[[i]])
  #Spmod10_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod10_GAA_111111[[i]])
  #Spmod11_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod11_GAA_111111[[i]])
  #Spmod12_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod12_GAA_111111[[i]])
  #Spmod13_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod13_GAA_111111[[i]])
  #Spmod14_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod14_GAA_111111[[i]])
  #Spmod15_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod15_GAA_111111[[i]])
  #Spmod16_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod16_GAA_111111[[i]])
  #Spmod17_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod17_GAA_111111[[i]])
  #Spmod18_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod18_GAA_111111[[i]])
  #Spmod19_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod19_GAA_111111[[i]])
  #Spmod20_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod20_GAA_111111[[i]])
  #Spmod21_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod21_GAA_111111[[i]])
  #Spmod22_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod22_GAA_111111[[i]])
  #Spmod23_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod23_GAA_111111[[i]])
  #Spmod24_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod24_GAA_111111[[i]])
  #Spmod25_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod25_GAA_111111[[i]])
  #Spmod26_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod26_GAA_111111[[i]])
  #Spmod27_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod27_GAA_111111[[i]])
  #Spmod28_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod28_GAA_111111[[i]])
  #Spmod29_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod29_GAA_111111[[i]])
  #Spmod30_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod30_GAA_111111[[i]])
  #Spmod31_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod31_GAA_111111[[i]])
  #Spmod32_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod32_GAA_111111[[i]])
  #Spmod33_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod33_GAA_111111[[i]])
  #Spmod34_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod34_GAA_111111[[i]])
  #Spmod35_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod35_GAA_111111[[i]])
  #Spmod36_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod36_GAA_111111[[i]])
  #Spmod37_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod37_GAA_111111[[i]])
  #Spmod38_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod38_GAA_111111[[i]])
  #Spmod39_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod39_GAA_111111[[i]])
  #Spmod40_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod40_GAA_111111[[i]])
  #Spmod41_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod41_GAA_111111[[i]])
  #Spmod42_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod42_GAA_111111[[i]])
  #Spmod43_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod43_GAA_111111[[i]])
  #Spmod44_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod44_GAA_111111[[i]])
  #Spmod45_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod45_GAA_111111[[i]])
  #Spmod46_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod46_GAA_111111[[i]])
  #Spmod47_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod47_GAA_111111[[i]])
  #Spmod48_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod48_GAA_111111[[i]])
  #Spmod49_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod49_GAA_111111[[i]])
  #Spmod50_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod50_GAA_111111[[i]])
  #Spmod51_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod51_GAA_111111[[i]])
  #Spmod52_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod52_GAA_111111[[i]])
  #Spmod53_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod53_GAA_111111[[i]])
  #Spmod54_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod54_GAA_111111[[i]])
  #Spmod55_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod55_GAA_111111[[i]])
  #Spmod56_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod56_GAA_111111[[i]])
  #Spmod57_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod57_GAA_111111[[i]])
  #Spmod58_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod58_GAA_111111[[i]])
  #Spmod59_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod59_GAA_111111[[i]])
  #Spmod60_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod60_GAA_111111[[i]])
  #Spmod61_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod61_GAA_111111[[i]])
  #Spmod62_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod62_GAA_111111[[i]])
  #Spmod63_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod63_GAA_111111[[i]])
  #Spmod64_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod64_GAA_111111[[i]])
  #Spmod65_GAA_111111_R[[i]]<-NagelkerkeR2(Spmod65_GAA_111111[[i]])
  
  Spmod1_GAA_111111_R[[i]]$Modnames <-1
  Spmod2_GAA_111111_R[[i]]$Modnames <-2
  #Spmod3_GAA_111111_R[[i]]$Modnames <-3
  #Spmod4_GAA_111111_R[[i]]$Modnames <-4
  #Spmod5_GAA_111111_R[[i]]$Modnames <-5
  #Spmod6_GAA_111111_R[[i]]$Modnames <-6
  #Spmod7_GAA_111111_R[[i]]$Modnames <-7
  #Spmod8_GAA_111111_R[[i]]$Modnames <-8
  #Spmod9_GAA_111111_R[[i]]$Modnames <-9
  #Spmod10_GAA_111111_R[[i]]$Modnames <-10
  #Spmod11_GAA_111111_R[[i]]$Modnames <-11
  #Spmod12_GAA_111111_R[[i]]$Modnames <-12
  #Spmod13_GAA_111111_R[[i]]$Modnames <-13
  #Spmod14_GAA_111111_R[[i]]$Modnames <-14
  #Spmod15_GAA_111111_R[[i]]$Modnames <-15
  #Spmod16_GAA_111111_R[[i]]$Modnames <-16
  #Spmod17_GAA_111111_R[[i]]$Modnames <-17
  #Spmod18_GAA_111111_R[[i]]$Modnames <-18
  #Spmod19_GAA_111111_R[[i]]$Modnames <-19
  #Spmod20_GAA_111111_R[[i]]$Modnames <-20
  #Spmod21_GAA_111111_R[[i]]$Modnames <-21
  #Spmod22_GAA_111111_R[[i]]$Modnames <-22
  #Spmod23_GAA_111111_R[[i]]$Modnames <-23
  #Spmod24_GAA_111111_R[[i]]$Modnames <-24
  #Spmod25_GAA_111111_R[[i]]$Modnames <-25
  #Spmod26_GAA_111111_R[[i]]$Modnames <-26
  #Spmod27_GAA_111111_R[[i]]$Modnames <-27
  #Spmod28_GAA_111111_R[[i]]$Modnames <-28
  #Spmod29_GAA_111111_R[[i]]$Modnames <-29
  #Spmod30_GAA_111111_R[[i]]$Modnames <-30
  #Spmod31_GAA_111111_R[[i]]$Modnames <-31
  #Spmod32_GAA_111111_R[[i]]$Modnames <-32
  #Spmod33_GAA_111111_R[[i]]$Modnames <-33
  #Spmod34_GAA_111111_R[[i]]$Modnames <-34
  #Spmod35_GAA_111111_R[[i]]$Modnames <-35
  #Spmod36_GAA_111111_R[[i]]$Modnames <-36
  #Spmod37_GAA_111111_R[[i]]$Modnames <-37
  #Spmod38_GAA_111111_R[[i]]$Modnames <-38
  #Spmod39_GAA_111111_R[[i]]$Modnames <-39
  #Spmod40_GAA_111111_R[[i]]$Modnames <-40
  #Spmod41_GAA_111111_R[[i]]$Modnames <-41
  #Spmod42_GAA_111111_R[[i]]$Modnames <-42
  #Spmod43_GAA_111111_R[[i]]$Modnames <-43
  #Spmod44_GAA_111111_R[[i]]$Modnames <-44
  #Spmod45_GAA_111111_R[[i]]$Modnames <-45
  #Spmod46_GAA_111111_R[[i]]$Modnames <-46
  #Spmod47_GAA_111111_R[[i]]$Modnames <-47
  #Spmod48_GAA_111111_R[[i]]$Modnames <-48
  #Spmod49_GAA_111111_R[[i]]$Modnames <-49
  #Spmod50_GAA_111111_R[[i]]$Modnames <-50
  #Spmod51_GAA_111111_R[[i]]$Modnames <-51
  #Spmod52_GAA_111111_R[[i]]$Modnames <-52
  #Spmod53_GAA_111111_R[[i]]$Modnames <-53
  #Spmod54_GAA_111111_R[[i]]$Modnames <-54
  #Spmod55_GAA_111111_R[[i]]$Modnames <-55
  #Spmod56_GAA_111111_R[[i]]$Modnames <-56
  #Spmod57_GAA_111111_R[[i]]$Modnames <-57
  #Spmod58_GAA_111111_R[[i]]$Modnames <-58
  #Spmod59_GAA_111111_R[[i]]$Modnames <-59
  #Spmod60_GAA_111111_R[[i]]$Modnames <-60
  #Spmod61_GAA_111111_R[[i]]$Modnames <-61
  #Spmod62_GAA_111111_R[[i]]$Modnames <-62
  #Spmod63_GAA_111111_R[[i]]$Modnames <-63
  #Spmod64_GAA_111111_R[[i]]$Modnames <-64
  #Spmod65_GAA_111111_R[[i]]$Modnames <-65
  
  modelavg_GAA_111111[[i]] <- model.avg(listall_GAA_111111[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_111111_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_111111_R,
  Spmod2_GAA_111111_R)))
  #Spmod3_GAA_111111_R,
  #Spmod4_GAA_111111_R,
  #Spmod5_GAA_111111_R,
  #Spmod6_GAA_111111_R,
  #Spmod7_GAA_111111_R,
  #Spmod8_GAA_111111_R,
  #Spmod9_GAA_111111_R,
  #Spmod10_GAA_111111_R,
  #Spmod11_GAA_111111_R,
  #Spmod12_GAA_111111_R,
  #Spmod13_GAA_111111_R,
  #Spmod14_GAA_111111_R,
  #Spmod15_GAA_111111_R,
  #Spmod16_GAA_111111_R,
  #Spmod17_GAA_111111_R,
  #Spmod18_GAA_111111_R,
  #Spmod19_GAA_111111_R,
  #Spmod20_GAA_111111_R,
  #Spmod21_GAA_111111_R,
  #Spmod22_GAA_111111_R,
  #Spmod23_GAA_111111_R,
  #Spmod24_GAA_111111_R,
  #Spmod25_GAA_111111_R,
  #Spmod26_GAA_111111_R,
  #Spmod27_GAA_111111_R,
  #Spmod28_GAA_111111_R,
  #Spmod29_GAA_111111_R,
  #Spmod30_GAA_111111_R,
  #Spmod31_GAA_111111_R,
  #Spmod32_GAA_111111_R,
  #Spmod33_GAA_111111_R,
  #Spmod34_GAA_111111_R,
  #Spmod35_GAA_111111_R,
  #Spmod36_GAA_111111_R,
  #Spmod37_GAA_111111_R,
  #Spmod38_GAA_111111_R,
  #Spmod39_GAA_111111_R,
  #Spmod40_GAA_111111_R,
  #Spmod41_GAA_111111_R,
  #Spmod42_GAA_111111_R,
  #Spmod43_GAA_111111_R,
  #Spmod44_GAA_111111_R,
  #Spmod45_GAA_111111_R,
  #Spmod46_GAA_111111_R,
  #Spmod47_GAA_111111_R,
  #Spmod48_GAA_111111_R,
  #Spmod49_GAA_111111_R,
  #Spmod50_GAA_111111_R,
  #Spmod51_GAA_111111_R,
  #Spmod52_GAA_111111_R,
  #Spmod53_GAA_111111_R,
  #Spmod54_GAA_111111_R,
  #Spmod55_GAA_111111_R,
  #Spmod56_GAA_111111_R,
  #Spmod57_GAA_111111_R,
  #Spmod58_GAA_111111_R,
  #Spmod59_GAA_111111_R,
  #Spmod60_GAA_111111_R,
  #Spmod61_GAA_111111_R,
  #Spmod62_GAA_111111_R,
  #Spmod63_GAA_111111_R,
  #Spmod64_GAA_111111_R,
  #Spmod65_GAA_111111_R)))
  
  G_111111_R2_N <- G_111111_R2[G_111111_R2$L3 == "N",]
  names(G_111111_R2_N)[1] <- "N"
  G_111111_R2_R2 <- G_111111_R2[G_111111_R2$L3 == "R2", ]
  names(G_111111_R2_R2)[1] <- "R2"
  G_111111_R2_MN <- G_111111_R2[G_111111_R2$L3 == "Modnames", ]
  names(G_111111_R2_MN)[1] <- "Modnames"   
  
  G_111111_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_111111_R2_N, G_111111_R2_R2, G_111111_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_111111_R2_r)[1] <- "Species"
  
  AIC_111111_G <- melt(SpAIC_GAA_111111, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_111111_G <- subset(AIC_111111_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_111111_G)[1] <- "Species"
  
  Results_111111_G <- merge(AIC_111111_G, G_111111_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_111111_G$exclusion <- "111111"
  
}



# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_1000", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_1000 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_1000 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_1000 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_1000_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

#START running the models
for(i in names(v1000_species_G)){
  Spmod1_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod3_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod6_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod9_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod11_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod12_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod13_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod15_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod16_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod17_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod21_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod22_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod23_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod25_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod26_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod27_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod31_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod32_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod33_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod37_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod38_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod39_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod43_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod47_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod48_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod49_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod53_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod57_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod62_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_1000[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_1000[[i]] <- list(Spmod1_GAA_1000[[i]],
                                Spmod2_GAA_1000[[i]],
                                Spmod3_GAA_1000[[i]],
                                Spmod4_GAA_1000[[i]],
                                #Spmod5_GAA_1000[[i]],
                                Spmod6_GAA_1000[[i]],
                                Spmod7_GAA_1000[[i]],
                                Spmod8_GAA_1000[[i]],
                                Spmod9_GAA_1000[[i]],
                                #Spmod10_GAA_1000[[i]],
                                Spmod11_GAA_1000[[i]],
                                Spmod12_GAA_1000[[i]],
                                Spmod13_GAA_1000[[i]],
                                #Spmod14_GAA_1000[[i]],
                                Spmod15_GAA_1000[[i]],
                                Spmod16_GAA_1000[[i]],
                                Spmod17_GAA_1000[[i]],
                                #Spmod18_GAA_1000[[i]],
                                #Spmod19_GAA_1000[[i]],
                                #Spmod20_GAA_1000[[i]],
                                Spmod21_GAA_1000[[i]],
                                Spmod22_GAA_1000[[i]],
                                Spmod23_GAA_1000[[i]],
                                #Spmod24_GAA_1000[[i]],
                                Spmod25_GAA_1000[[i]],
                                Spmod26_GAA_1000[[i]],
                                Spmod27_GAA_1000[[i]],
                                #Spmod28_GAA_1000[[i]],
                                #Spmod29_GAA_1000[[i]],
                                #Spmod30_GAA_1000[[i]],
                                Spmod31_GAA_1000[[i]],
                                Spmod32_GAA_1000[[i]],
                                Spmod33_GAA_1000[[i]],
                                #Spmod34_GAA_1000[[i]],
                                #Spmod35_GAA_1000[[i]],
                                #Spmod36_GAA_1000[[i]],
                                Spmod37_GAA_1000[[i]],
                                Spmod38_GAA_1000[[i]],
                                Spmod39_GAA_1000[[i]],
                                #Spmod40_GAA_1000[[i]],
                                #Spmod41_GAA_1000[[i]],
                                #Spmod42_GAA_1000[[i]],
                                Spmod43_GAA_1000[[i]],
                                #Spmod44_GAA_1000[[i]],
                                #Spmod45_GAA_1000[[i]],
                                #Spmod46_GAA_1000[[i]],
                                Spmod47_GAA_1000[[i]],
                                Spmod48_GAA_1000[[i]],
                                Spmod49_GAA_1000[[i]],
                                #Spmod50_GAA_1000[[i]],
                                #Spmod51_GAA_1000[[i]],
                                #Spmod52_GAA_1000[[i]],
                                Spmod53_GAA_1000[[i]],
                                #Spmod54_GAA_1000[[i]],
                                #Spmod55_GAA_1000[[i]],
                                #Spmod56_GAA_1000[[i]],
                                Spmod57_GAA_1000[[i]],
                                #Spmod58_GAA_1000[[i]],
                                #Spmod59_GAA_1000[[i]],
                                #Spmod60_GAA_1000[[i]],
                                #Spmod61_GAA_1000[[i]],
                                Spmod62_GAA_1000[[i]])
  #Spmod63_GAA_1000[[i]],
  #Spmod64_GAA_1000[[i]],
  #Spmod65_GAA_1000[[i]])
  
  Modnames <-c("1",
               "2",
               "3",
               "4",
               #"5",
               "6",
               "7",
               "8",
               "9",
               #"10",
               "11",
               "12",
               "13",
               #"14",
               "15",
               "16",
               "17",
               #"18",
               #"19",
               #"20",
               "21",
               "22",
               "23",
               #"24",
               "25",
               "26",
               "27",
               #"28",
               #"29",
               #"30",
               "31",
               "32",
               "33",
               #"34",
               #"35",
               #"36",
               "37",
               "38",
               "39",
               #"40",
               #"41",
               #"42",
               "43",
               #"44",
               #"45",
               #"46",
               "47",
               "48",
               "49",
               #"50",
               #"51",
               #"52",
               "53",
               #"54",
               #"55",
               #"56",
               "57",
               #"58",
               #"59",
               #"60",
               #"61",
               "62")
  #"63",
  #"64",
  #"65")
  
  SpAIC_GAA_1000[[i]] <- aictab(cand.set= listall_GAA_1000[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  #R2 calculation
  
  
  Spmod1_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod1_GAA_1000[[i]])
  Spmod2_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod2_GAA_1000[[i]])
  Spmod3_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod3_GAA_1000[[i]])
  Spmod4_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod4_GAA_1000[[i]])
  #Spmod5_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod5_GAA_1000[[i]])
  Spmod6_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod6_GAA_1000[[i]])
  Spmod7_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod7_GAA_1000[[i]])
  Spmod8_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod8_GAA_1000[[i]])
  Spmod9_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod9_GAA_1000[[i]])
  #Spmod10_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod10_GAA_1000[[i]])
  Spmod11_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod11_GAA_1000[[i]])
  Spmod12_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod12_GAA_1000[[i]])
  Spmod13_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod13_GAA_1000[[i]])
  #Spmod14_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod14_GAA_1000[[i]])
  Spmod15_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod15_GAA_1000[[i]])
  Spmod16_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod16_GAA_1000[[i]])
  Spmod17_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod17_GAA_1000[[i]])
  #Spmod18_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod18_GAA_1000[[i]])
  #Spmod19_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod19_GAA_1000[[i]])
  #Spmod20_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod20_GAA_1000[[i]])
  Spmod21_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod21_GAA_1000[[i]])
  Spmod22_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod22_GAA_1000[[i]])
  Spmod23_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod23_GAA_1000[[i]])
  #Spmod24_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod24_GAA_1000[[i]])
  Spmod25_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod25_GAA_1000[[i]])
  Spmod26_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod26_GAA_1000[[i]])
  Spmod27_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod27_GAA_1000[[i]])
  #Spmod28_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod28_GAA_1000[[i]])
  #Spmod29_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod29_GAA_1000[[i]])
  #Spmod30_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod30_GAA_1000[[i]])
  Spmod31_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod31_GAA_1000[[i]])
  Spmod32_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod32_GAA_1000[[i]])
  Spmod33_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod33_GAA_1000[[i]])
  #Spmod34_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod34_GAA_1000[[i]])
  #Spmod35_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod35_GAA_1000[[i]])
  #Spmod36_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod36_GAA_1000[[i]])
  Spmod37_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod37_GAA_1000[[i]])
  Spmod38_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod38_GAA_1000[[i]])
  Spmod39_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod39_GAA_1000[[i]])
  #Spmod40_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod40_GAA_1000[[i]])
  #Spmod41_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod41_GAA_1000[[i]])
  #Spmod42_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod42_GAA_1000[[i]])
  Spmod43_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod43_GAA_1000[[i]])
  #Spmod44_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod44_GAA_1000[[i]])
  #Spmod45_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod45_GAA_1000[[i]])
  #Spmod46_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod46_GAA_1000[[i]])
  Spmod47_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod47_GAA_1000[[i]])
  Spmod48_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod48_GAA_1000[[i]])
  Spmod49_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod49_GAA_1000[[i]])
  #Spmod50_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod50_GAA_1000[[i]])
  #Spmod51_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod51_GAA_1000[[i]])
  #Spmod52_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod52_GAA_1000[[i]])
  Spmod53_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod53_GAA_1000[[i]])
  #Spmod54_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod54_GAA_1000[[i]])
  #Spmod55_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod55_GAA_1000[[i]])
  #Spmod56_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod56_GAA_1000[[i]])
  Spmod57_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod57_GAA_1000[[i]])
  #Spmod58_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod58_GAA_1000[[i]])
  #Spmod59_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod59_GAA_1000[[i]])
  #Spmod60_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod60_GAA_1000[[i]])
  #Spmod61_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod61_GAA_1000[[i]])
  Spmod62_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod62_GAA_1000[[i]])
  #Spmod63_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod63_GAA_1000[[i]])
  #Spmod64_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod64_GAA_1000[[i]])
  #Spmod65_GAA_1000_R[[i]]<-NagelkerkeR2(Spmod65_GAA_1000[[i]])
  
  Spmod1_GAA_1000_R[[i]]$Modnames <-1
  Spmod2_GAA_1000_R[[i]]$Modnames <-2
  Spmod3_GAA_1000_R[[i]]$Modnames <-3
  Spmod4_GAA_1000_R[[i]]$Modnames <-4
  #Spmod5_GAA_1000_R[[i]]$Modnames <-5
  Spmod6_GAA_1000_R[[i]]$Modnames <-6
  Spmod7_GAA_1000_R[[i]]$Modnames <-7
  Spmod8_GAA_1000_R[[i]]$Modnames <-8
  Spmod9_GAA_1000_R[[i]]$Modnames <-9
  #Spmod10_GAA_1000_R[[i]]$Modnames <-10
  Spmod11_GAA_1000_R[[i]]$Modnames <-11
  Spmod12_GAA_1000_R[[i]]$Modnames <-12
  Spmod13_GAA_1000_R[[i]]$Modnames <-13
  #Spmod14_GAA_1000_R[[i]]$Modnames <-14
  Spmod15_GAA_1000_R[[i]]$Modnames <-15
  Spmod16_GAA_1000_R[[i]]$Modnames <-16
  Spmod17_GAA_1000_R[[i]]$Modnames <-17
  #Spmod18_GAA_1000_R[[i]]$Modnames <-18
  #Spmod19_GAA_1000_R[[i]]$Modnames <-19
  #Spmod20_GAA_1000_R[[i]]$Modnames <-20
  Spmod21_GAA_1000_R[[i]]$Modnames <-21
  Spmod22_GAA_1000_R[[i]]$Modnames <-22
  Spmod23_GAA_1000_R[[i]]$Modnames <-23
  #Spmod24_GAA_1000_R[[i]]$Modnames <-24
  Spmod25_GAA_1000_R[[i]]$Modnames <-25
  Spmod26_GAA_1000_R[[i]]$Modnames <-26
  Spmod27_GAA_1000_R[[i]]$Modnames <-27
  #Spmod28_GAA_1000_R[[i]]$Modnames <-28
  #Spmod29_GAA_1000_R[[i]]$Modnames <-29
  #Spmod30_GAA_1000_R[[i]]$Modnames <-30
  Spmod31_GAA_1000_R[[i]]$Modnames <-31
  Spmod32_GAA_1000_R[[i]]$Modnames <-32
  Spmod33_GAA_1000_R[[i]]$Modnames <-33
  #Spmod34_GAA_1000_R[[i]]$Modnames <-34
  #Spmod35_GAA_1000_R[[i]]$Modnames <-35
  #Spmod36_GAA_1000_R[[i]]$Modnames <-36
  Spmod37_GAA_1000_R[[i]]$Modnames <-37
  Spmod38_GAA_1000_R[[i]]$Modnames <-38
  Spmod39_GAA_1000_R[[i]]$Modnames <-39
  #Spmod40_GAA_1000_R[[i]]$Modnames <-40
  #Spmod41_GAA_1000_R[[i]]$Modnames <-41
  #Spmod42_GAA_1000_R[[i]]$Modnames <-42
  Spmod43_GAA_1000_R[[i]]$Modnames <-43
  #Spmod44_GAA_1000_R[[i]]$Modnames <-44
  #Spmod45_GAA_1000_R[[i]]$Modnames <-45
  #Spmod46_GAA_1000_R[[i]]$Modnames <-46
  Spmod47_GAA_1000_R[[i]]$Modnames <-47
  Spmod48_GAA_1000_R[[i]]$Modnames <-48
  Spmod49_GAA_1000_R[[i]]$Modnames <-49
  #Spmod50_GAA_1000_R[[i]]$Modnames <-50
  #Spmod51_GAA_1000_R[[i]]$Modnames <-51
  #Spmod52_GAA_1000_R[[i]]$Modnames <-52
  Spmod53_GAA_1000_R[[i]]$Modnames <-53
  #Spmod54_GAA_1000_R[[i]]$Modnames <-54
  #Spmod55_GAA_1000_R[[i]]$Modnames <-55
  #Spmod56_GAA_1000_R[[i]]$Modnames <-56
  Spmod57_GAA_1000_R[[i]]$Modnames <-57
  #Spmod58_GAA_1000_R[[i]]$Modnames <-58
  #Spmod59_GAA_1000_R[[i]]$Modnames <-59
  #Spmod60_GAA_1000_R[[i]]$Modnames <-60
  #Spmod61_GAA_1000_R[[i]]$Modnames <-61
  Spmod62_GAA_1000_R[[i]]$Modnames <-62
  #Spmod63_GAA_1000_R[[i]]$Modnames <-63
  #Spmod64_GAA_1000_R[[i]]$Modnames <-64
  #Spmod65_GAA_1000_R[[i]]$Modnames <-65
  
  modelavg_GAA_1000[[i]] <- model.avg(listall_GAA_1000[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_1000_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
    Spmod1_GAA_1000_R,
    Spmod2_GAA_1000_R,
    Spmod3_GAA_1000_R,
    Spmod4_GAA_1000_R,
    #Spmod5_GAA_1000_R,
    Spmod6_GAA_1000_R,
    Spmod7_GAA_1000_R,
    Spmod8_GAA_1000_R,
    Spmod9_GAA_1000_R,
    #Spmod10_GAA_1000_R,
    Spmod11_GAA_1000_R,
    Spmod12_GAA_1000_R,
    Spmod13_GAA_1000_R,
    #Spmod14_GAA_1000_R,
    Spmod15_GAA_1000_R,
    Spmod16_GAA_1000_R,
    Spmod17_GAA_1000_R,
    #Spmod18_GAA_1000_R,
    #Spmod19_GAA_1000_R,
    #Spmod20_GAA_1000_R,
    Spmod21_GAA_1000_R,
    Spmod22_GAA_1000_R,
    Spmod23_GAA_1000_R,
    #Spmod24_GAA_1000_R,
    Spmod25_GAA_1000_R,
    Spmod26_GAA_1000_R,
    Spmod27_GAA_1000_R,
    #Spmod28_GAA_1000_R,
    #Spmod29_GAA_1000_R,
    #Spmod30_GAA_1000_R,
    Spmod31_GAA_1000_R,
    Spmod32_GAA_1000_R,
    Spmod33_GAA_1000_R,
    #Spmod34_GAA_1000_R,
    #Spmod35_GAA_1000_R,
    #Spmod36_GAA_1000_R,
    Spmod37_GAA_1000_R,
    Spmod38_GAA_1000_R,
    Spmod39_GAA_1000_R,
    #Spmod40_GAA_1000_R,
    #Spmod41_GAA_1000_R,
    #Spmod42_GAA_1000_R,
    Spmod43_GAA_1000_R,
    #Spmod44_GAA_1000_R,
    #Spmod45_GAA_1000_R,
    #Spmod46_GAA_1000_R,
    Spmod47_GAA_1000_R,
    Spmod48_GAA_1000_R,
    Spmod49_GAA_1000_R,
    #Spmod50_GAA_1000_R,
    #Spmod51_GAA_1000_R,
    #Spmod52_GAA_1000_R,
    Spmod53_GAA_1000_R,
    #Spmod54_GAA_1000_R,
    #Spmod55_GAA_1000_R,
    #Spmod56_GAA_1000_R,
    Spmod57_GAA_1000_R,
    #Spmod58_GAA_1000_R,
    #Spmod59_GAA_1000_R,
    #Spmod60_GAA_1000_R,
    #Spmod61_GAA_1000_R,
    Spmod62_GAA_1000_R)))
  #Spmod63_GAA_1000_R,
  #Spmod64_GAA_1000_R,
  #Spmod65_GAA_1000_R)))
  
  G_1000_R2_N <- G_1000_R2[G_1000_R2$L3 == "N",]
  names(G_1000_R2_N)[1] <- "N"
  G_1000_R2_R2 <- G_1000_R2[G_1000_R2$L3 == "R2", ]
  names(G_1000_R2_R2)[1] <- "R2"
  G_1000_R2_MN <- G_1000_R2[G_1000_R2$L3 == "Modnames", ]
  names(G_1000_R2_MN)[1] <- "Modnames"   
  
  G_1000_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_1000_R2_N, G_1000_R2_R2, G_1000_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_1000_R2_r)[1] <- "Species"
  
  AIC_1000_G <- melt(SpAIC_GAA_1000, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_1000_G <- subset(AIC_1000_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_1000_G)[1] <- "Species"
  
  Results_1000_G <- merge(AIC_1000_G, G_1000_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_1000_G$exclusion <- "1000"
  
}

# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_11010", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_GAA_11010 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_GAA_11010 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_GAA_11010 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_GAA_11010_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v11010_species_G)){
  Spmod1_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~1,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod3_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod6_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod11_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod13_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod22_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod32_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_GAA_11010[[i]]<-glm(cc(Sp_env_GAA[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_GAA[complete.cases(Sp_env_GAA[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_GAA_11010[[i]] <- list(Spmod1_GAA_11010[[i]],
                                  Spmod2_GAA_11010[[i]],
  
  Spmod3_GAA_11010[[i]],
  #Spmod4_GAA_11010[[i]],
  #Spmod5_GAA_11010[[i]],
  Spmod6_GAA_11010[[i]],
  #Spmod7_GAA_11010[[i]],
  Spmod8_GAA_11010[[i]],
  #Spmod9_GAA_11010[[i]],
  #Spmod10_GAA_11010[[i]],
  Spmod11_GAA_11010[[i]],
  #Spmod12_GAA_11010[[i]],
  Spmod13_GAA_11010[[i]],
  #Spmod14_GAA_11010[[i]],
  #Spmod15_GAA_11010[[i]],
  #Spmod16_GAA_11010[[i]],
  #Spmod17_GAA_11010[[i]],
  #Spmod18_GAA_11010[[i]],
  #Spmod19_GAA_11010[[i]],
  #Spmod20_GAA_11010[[i]],
  #Spmod21_GAA_11010[[i]],
  Spmod22_GAA_11010[[i]],
  #Spmod23_GAA_11010[[i]],
  #Spmod24_GAA_11010[[i]],
  #Spmod25_GAA_11010[[i]],
  #Spmod26_GAA_11010[[i]],
  #Spmod27_GAA_11010[[i]],
  #Spmod28_GAA_11010[[i]],
  #Spmod29_GAA_11010[[i]],
  #Spmod30_GAA_11010[[i]],
  #Spmod31_GAA_11010[[i]],
  Spmod32_GAA_11010[[i]])
  #Spmod33_GAA_11010[[i]],
  #Spmod34_GAA_11010[[i]],
  #Spmod35_GAA_11010[[i]],
  #Spmod36_GAA_11010[[i]],
  #Spmod37_GAA_11010[[i]],
  #Spmod38_GAA_11010[[i]],
  #Spmod39_GAA_11010[[i]],
  #Spmod40_GAA_11010[[i]],
  #Spmod41_GAA_11010[[i]],
  #Spmod42_GAA_11010[[i]],
  #Spmod43_GAA_11010[[i]],
  #Spmod44_GAA_11010[[i]],
  #Spmod45_GAA_11010[[i]],
  #Spmod46_GAA_11010[[i]],
  #Spmod47_GAA_11010[[i]],
  #Spmod48_GAA_11010[[i]],
  #Spmod49_GAA_11010[[i]],
  #Spmod50_GAA_11010[[i]],
  #Spmod51_GAA_11010[[i]],
  #Spmod52_GAA_11010[[i]],
  #Spmod53_GAA_11010[[i]],
  #Spmod54_GAA_11010[[i]],
  #Spmod55_GAA_11010[[i]],
  #Spmod56_GAA_11010[[i]],
  #Spmod57_GAA_11010[[i]],
  #Spmod58_GAA_11010[[i]],
  #Spmod59_GAA_11010[[i]],
  #Spmod60_GAA_11010[[i]],
  #Spmod61_GAA_11010[[i]],
  #Spmod62_GAA_11010[[i]],
  #Spmod63_GAA_11010[[i]],
  #Spmod64_GAA_11010[[i]],
  #Spmod65_GAA_11010[[i]])
  
  Modnames <-c("1",
               "2",
  "3",
  #"4",
  #"5",
  "6",
  #"7",
  "8",
  #"9",
  #"10",
  "11",
  #"12",
  "13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  "22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  "32")
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_GAA_11010[[i]] <- aictab(cand.set= listall_GAA_11010[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod1_GAA_11010[[i]])
  Spmod2_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod2_GAA_11010[[i]])
  Spmod3_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod3_GAA_11010[[i]])
  #Spmod4_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod4_GAA_11010[[i]])
  #Spmod5_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod5_GAA_11010[[i]])
  Spmod6_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod6_GAA_11010[[i]])
  #Spmod7_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod7_GAA_11010[[i]])
  Spmod8_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod8_GAA_11010[[i]])
  #Spmod9_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod9_GAA_11010[[i]])
  #Spmod10_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod10_GAA_11010[[i]])
  Spmod11_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod11_GAA_11010[[i]])
  #Spmod12_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod12_GAA_11010[[i]])
  Spmod13_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod13_GAA_11010[[i]])
  #Spmod14_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod14_GAA_11010[[i]])
  #Spmod15_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod15_GAA_11010[[i]])
  #Spmod16_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod16_GAA_11010[[i]])
  #Spmod17_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod17_GAA_11010[[i]])
  #Spmod18_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod18_GAA_11010[[i]])
  #Spmod19_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod19_GAA_11010[[i]])
  #Spmod20_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod20_GAA_11010[[i]])
  #Spmod21_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod21_GAA_11010[[i]])
  Spmod22_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod22_GAA_11010[[i]])
  #Spmod23_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod23_GAA_11010[[i]])
  #Spmod24_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod24_GAA_11010[[i]])
  #Spmod25_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod25_GAA_11010[[i]])
  #Spmod26_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod26_GAA_11010[[i]])
  #Spmod27_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod27_GAA_11010[[i]])
  #Spmod28_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod28_GAA_11010[[i]])
  #Spmod29_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod29_GAA_11010[[i]])
  #Spmod30_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod30_GAA_11010[[i]])
  #Spmod31_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod31_GAA_11010[[i]])
  Spmod32_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod32_GAA_11010[[i]])
  #Spmod33_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod33_GAA_11010[[i]])
  #Spmod34_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod34_GAA_11010[[i]])
  #Spmod35_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod35_GAA_11010[[i]])
  #Spmod36_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod36_GAA_11010[[i]])
  #Spmod37_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod37_GAA_11010[[i]])
  #Spmod38_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod38_GAA_11010[[i]])
  #Spmod39_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod39_GAA_11010[[i]])
  #Spmod40_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod40_GAA_11010[[i]])
  #Spmod41_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod41_GAA_11010[[i]])
  #Spmod42_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod42_GAA_11010[[i]])
  #Spmod43_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod43_GAA_11010[[i]])
  #Spmod44_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod44_GAA_11010[[i]])
  #Spmod45_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod45_GAA_11010[[i]])
  #Spmod46_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod46_GAA_11010[[i]])
  #Spmod47_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod47_GAA_11010[[i]])
  #Spmod48_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod48_GAA_11010[[i]])
  #Spmod49_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod49_GAA_11010[[i]])
  #Spmod50_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod50_GAA_11010[[i]])
  #Spmod51_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod51_GAA_11010[[i]])
  #Spmod52_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod52_GAA_11010[[i]])
  #Spmod53_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod53_GAA_11010[[i]])
  #Spmod54_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod54_GAA_11010[[i]])
  #Spmod55_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod55_GAA_11010[[i]])
  #Spmod56_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod56_GAA_11010[[i]])
  #Spmod57_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod57_GAA_11010[[i]])
  #Spmod58_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod58_GAA_11010[[i]])
  #Spmod59_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod59_GAA_11010[[i]])
  #Spmod60_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod60_GAA_11010[[i]])
  #Spmod61_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod61_GAA_11010[[i]])
  #Spmod62_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod62_GAA_11010[[i]])
  #Spmod63_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod63_GAA_11010[[i]])
  #Spmod64_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod64_GAA_11010[[i]])
  #Spmod65_GAA_11010_R[[i]]<-NagelkerkeR2(Spmod65_GAA_11010[[i]])
  
  Spmod1_GAA_11010_R[[i]]$Modnames <-1
  Spmod2_GAA_11010_R[[i]]$Modnames <-2
  Spmod3_GAA_11010_R[[i]]$Modnames <-3
  #Spmod4_GAA_11010_R[[i]]$Modnames <-4
  #Spmod5_GAA_11010_R[[i]]$Modnames <-5
  Spmod6_GAA_11010_R[[i]]$Modnames <-6
  #Spmod7_GAA_11010_R[[i]]$Modnames <-7
  Spmod8_GAA_11010_R[[i]]$Modnames <-8
  #Spmod9_GAA_11010_R[[i]]$Modnames <-9
  #Spmod10_GAA_11010_R[[i]]$Modnames <-10
  Spmod11_GAA_11010_R[[i]]$Modnames <-11
  #Spmod12_GAA_11010_R[[i]]$Modnames <-12
  Spmod13_GAA_11010_R[[i]]$Modnames <-13
  #Spmod14_GAA_11010_R[[i]]$Modnames <-14
  #Spmod15_GAA_11010_R[[i]]$Modnames <-15
  #Spmod16_GAA_11010_R[[i]]$Modnames <-16
  #Spmod17_GAA_11010_R[[i]]$Modnames <-17
  #Spmod18_GAA_11010_R[[i]]$Modnames <-18
  #Spmod19_GAA_11010_R[[i]]$Modnames <-19
  #Spmod20_GAA_11010_R[[i]]$Modnames <-20
  #Spmod21_GAA_11010_R[[i]]$Modnames <-21
  Spmod22_GAA_11010_R[[i]]$Modnames <-22
  #Spmod23_GAA_11010_R[[i]]$Modnames <-23
  #Spmod24_GAA_11010_R[[i]]$Modnames <-24
  #Spmod25_GAA_11010_R[[i]]$Modnames <-25
  #Spmod26_GAA_11010_R[[i]]$Modnames <-26
  #Spmod27_GAA_11010_R[[i]]$Modnames <-27
  #Spmod28_GAA_11010_R[[i]]$Modnames <-28
  #Spmod29_GAA_11010_R[[i]]$Modnames <-29
  #Spmod30_GAA_11010_R[[i]]$Modnames <-30
  #Spmod31_GAA_11010_R[[i]]$Modnames <-31
  Spmod32_GAA_11010_R[[i]]$Modnames <-32
  #Spmod33_GAA_11010_R[[i]]$Modnames <-33
  #Spmod34_GAA_11010_R[[i]]$Modnames <-34
  #Spmod35_GAA_11010_R[[i]]$Modnames <-35
  #Spmod36_GAA_11010_R[[i]]$Modnames <-36
  #Spmod37_GAA_11010_R[[i]]$Modnames <-37
  #Spmod38_GAA_11010_R[[i]]$Modnames <-38
  #Spmod39_GAA_11010_R[[i]]$Modnames <-39
  #Spmod40_GAA_11010_R[[i]]$Modnames <-40
  #Spmod41_GAA_11010_R[[i]]$Modnames <-41
  #Spmod42_GAA_11010_R[[i]]$Modnames <-42
  #Spmod43_GAA_11010_R[[i]]$Modnames <-43
  #Spmod44_GAA_11010_R[[i]]$Modnames <-44
  #Spmod45_GAA_11010_R[[i]]$Modnames <-45
  #Spmod46_GAA_11010_R[[i]]$Modnames <-46
  #Spmod47_GAA_11010_R[[i]]$Modnames <-47
  #Spmod48_GAA_11010_R[[i]]$Modnames <-48
  #Spmod49_GAA_11010_R[[i]]$Modnames <-49
  #Spmod50_GAA_11010_R[[i]]$Modnames <-50
  #Spmod51_GAA_11010_R[[i]]$Modnames <-51
  #Spmod52_GAA_11010_R[[i]]$Modnames <-52
  #Spmod53_GAA_11010_R[[i]]$Modnames <-53
  #Spmod54_GAA_11010_R[[i]]$Modnames <-54
  #Spmod55_GAA_11010_R[[i]]$Modnames <-55
  #Spmod56_GAA_11010_R[[i]]$Modnames <-56
  #Spmod57_GAA_11010_R[[i]]$Modnames <-57
  #Spmod58_GAA_11010_R[[i]]$Modnames <-58
  #Spmod59_GAA_11010_R[[i]]$Modnames <-59
  #Spmod60_GAA_11010_R[[i]]$Modnames <-60
  #Spmod61_GAA_11010_R[[i]]$Modnames <-61
  #Spmod62_GAA_11010_R[[i]]$Modnames <-62
  #Spmod63_GAA_11010_R[[i]]$Modnames <-63
  #Spmod64_GAA_11010_R[[i]]$Modnames <-64
  #Spmod65_GAA_11010_R[[i]]$Modnames <-65
  
  modelavg_GAA_11010[[i]] <- model.avg(listall_GAA_11010[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  G_11010_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_GAA_11010_R,
  Spmod2_GAA_11010_R,
  Spmod3_GAA_11010_R,
  #Spmod4_GAA_11010_R,
  #Spmod5_GAA_11010_R,
  Spmod6_GAA_11010_R,
  #Spmod7_GAA_11010_R,
  Spmod8_GAA_11010_R,
  #Spmod9_GAA_11010_R,
  #Spmod10_GAA_11010_R,
  Spmod11_GAA_11010_R,
  #Spmod12_GAA_11010_R,
  Spmod13_GAA_11010_R,
  #Spmod14_GAA_11010_R,
  #Spmod15_GAA_11010_R,
  #Spmod16_GAA_11010_R,
  #Spmod17_GAA_11010_R,
  #Spmod18_GAA_11010_R,
  #Spmod19_GAA_11010_R,
  #Spmod20_GAA_11010_R,
  #Spmod21_GAA_11010_R,
  Spmod22_GAA_11010_R,
  #Spmod23_GAA_11010_R,
  #Spmod24_GAA_11010_R,
  #Spmod25_GAA_11010_R,
  #Spmod26_GAA_11010_R,
  #Spmod27_GAA_11010_R,
  #Spmod28_GAA_11010_R,
  #Spmod29_GAA_11010_R,
  #Spmod30_GAA_11010_R,
  #Spmod31_GAA_11010_R,
  Spmod32_GAA_11010_R)))
  #Spmod33_GAA_11010_R,
  #Spmod34_GAA_11010_R,
  #Spmod35_GAA_11010_R,
  #Spmod36_GAA_11010_R,
  #Spmod37_GAA_11010_R,
  #Spmod38_GAA_11010_R,
  #Spmod39_GAA_11010_R,
  #Spmod40_GAA_11010_R,
  #Spmod41_GAA_11010_R,
  #Spmod42_GAA_11010_R,
  #Spmod43_GAA_11010_R,
  #Spmod44_GAA_11010_R,
  #Spmod45_GAA_11010_R,
  #Spmod46_GAA_11010_R,
  #Spmod47_GAA_11010_R,
  #Spmod48_GAA_11010_R,
  #Spmod49_GAA_11010_R,
  #Spmod50_GAA_11010_R,
  #Spmod51_GAA_11010_R,
  #Spmod52_GAA_11010_R,
  #Spmod53_GAA_11010_R,
  #Spmod54_GAA_11010_R,
  #Spmod55_GAA_11010_R,
  #Spmod56_GAA_11010_R,
  #Spmod57_GAA_11010_R,
  #Spmod58_GAA_11010_R,
  #Spmod59_GAA_11010_R,
  #Spmod60_GAA_11010_R,
  #Spmod61_GAA_11010_R,
  #Spmod62_GAA_11010_R,
  #Spmod63_GAA_11010_R,
  #Spmod64_GAA_11010_R,
  #Spmod65_GAA_11010_R)))
  
  G_11010_R2_N <- G_11010_R2[G_11010_R2$L3 == "N",]
  names(G_11010_R2_N)[1] <- "N"
  G_11010_R2_R2 <- G_11010_R2[G_11010_R2$L3 == "R2", ]
  names(G_11010_R2_R2)[1] <- "R2"
  G_11010_R2_MN <- G_11010_R2[G_11010_R2$L3 == "Modnames", ]
  names(G_11010_R2_MN)[1] <- "Modnames"   
  
  G_11010_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(G_11010_R2_N, G_11010_R2_R2, G_11010_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(G_11010_R2_r)[1] <- "Species"
  
  AIC_11010_G <- melt(SpAIC_GAA_11010, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_11010_G <- subset(AIC_11010_G, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_11010_G)[1] <- "Species"
  
  Results_11010_G <- merge(AIC_11010_G, G_11010_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_11010_G$exclusion <- "11010"
  
}














### Combine AIC and R tables for all model sets



Results_G <-rbind(
Results_111_G,
Results_1000_G,
Results_1001_G,
Results_1011_G,
Results_1101_G,
Results_1111_G,
Results_10111_G,
Results_11010_G,
Results_11011_G,
Results_11100_G,
Results_11110_G,
Results_11111_G,
Results_100101_G,
Results_100111_G,
Results_101011_G,
Results_101100_G,
Results_101101_G,
Results_101110_G,
Results_101111_G,
Results_110011_G,
Results_110100_G,
Results_110101_G,
Results_110110_G,
Results_110111_G,
Results_111001_G,
Results_111010_G,
Results_111011_G,
Results_111100_G,
Results_111101_G,
Results_111110_G,
Results_111111_G

)

write.table(Results_G, "./GCB_v3/Results_G.csv", sep = ",", col.names = NA, qmethod = "double")

Results_G_AIC2 <- Results_G[Results_G$Delta_AIC < 2, ]

Results_G_AIC0 <- Results_G[Results_G$Delta_AIC==0, ]

write.table(Results_G_AIC0, "./GCB_v3/Results_G_topmodels.csv", sep = ",", col.names = NA, qmethod = "double")



### Coefficient tables



coefavg_GAA <- NULL

for(i in 1:33){
  assign(paste("coefavg", i, "GAA", sep = ""), NULL)    
}

for(i in names(Sp_env_GAA[,2:128])){coeflist_GAA[[i]] <- list(
  coefavg1GAA[[i]]<-modelavg_GAA_111[[i]]$coefficients,
coefavg2GAA[[i]]<-modelavg_GAA_1000[[i]]$coefficients,
coefavg3GAA[[i]]<-modelavg_GAA_1001[[i]]$coefficients,
coefavg4GAA[[i]]<-modelavg_GAA_1011[[i]]$coefficients,
coefavg5GAA[[i]]<-modelavg_GAA_1101[[i]]$coefficients,
coefavg6GAA[[i]]<-modelavg_GAA_1111[[i]]$coefficients,
coefavg7GAA[[i]]<-modelavg_GAA_10111[[i]]$coefficients,
coefavg8GAA[[i]]<-modelavg_GAA_11010[[i]]$coefficients,
coefavg9GAA[[i]]<-modelavg_GAA_11011[[i]]$coefficients,
coefavg10GAA[[i]]<-modelavg_GAA_11100[[i]]$coefficients,
coefavg11GAA[[i]]<-modelavg_GAA_11110[[i]]$coefficients,
coefavg12GAA[[i]]<-modelavg_GAA_11111[[i]]$coefficients,
coefavg13GAA[[i]]<-modelavg_GAA_100101[[i]]$coefficients,
coefavg14GAA[[i]]<-modelavg_GAA_100111[[i]]$coefficients,
coefavg15GAA[[i]]<-modelavg_GAA_101011[[i]]$coefficients,
coefavg16GAA[[i]]<-modelavg_GAA_101100[[i]]$coefficients,
coefavg17GAA[[i]]<-modelavg_GAA_101101[[i]]$coefficients,
coefavg18GAA[[i]]<-modelavg_GAA_101110[[i]]$coefficients,
coefavg19GAA[[i]]<-modelavg_GAA_101111[[i]]$coefficients,
coefavg20GAA[[i]]<-modelavg_GAA_110011[[i]]$coefficients,
coefavg21GAA[[i]]<-modelavg_GAA_110100[[i]]$coefficients,
coefavg22GAA[[i]]<-modelavg_GAA_110101[[i]]$coefficients,
coefavg23GAA[[i]]<-modelavg_GAA_110110[[i]]$coefficients,
coefavg24GAA[[i]]<-modelavg_GAA_110111[[i]]$coefficients,
coefavg25GAA[[i]]<-modelavg_GAA_111001[[i]]$coefficients,
coefavg26GAA[[i]]<-modelavg_GAA_111010[[i]]$coefficients,
coefavg27GAA[[i]]<-modelavg_GAA_111011[[i]]$coefficients,
coefavg28GAA[[i]]<-modelavg_GAA_111100[[i]]$coefficients,
coefavg29GAA[[i]]<-modelavg_GAA_111101[[i]]$coefficients,
coefavg30GAA[[i]]<-modelavg_GAA_111110[[i]]$coefficients,
coefavg31GAA[[i]]<-modelavg_GAA_111111[[i]]$coefficients
)}


coefavg1GAA_df<-melt(coefavg1GAA)
coefavg2GAA_df<-melt(coefavg2GAA)
coefavg3GAA_df<-melt(coefavg3GAA)
coefavg4GAA_df<-melt(coefavg4GAA)
coefavg5GAA_df<-melt(coefavg5GAA)
coefavg6GAA_df<-melt(coefavg6GAA)
coefavg7GAA_df<-melt(coefavg7GAA)
coefavg8GAA_df<-melt(coefavg8GAA)
coefavg9GAA_df<-melt(coefavg9GAA)
coefavg10GAA_df<-melt(coefavg10GAA)
coefavg11GAA_df<-melt(coefavg11GAA)
coefavg12GAA_df<-melt(coefavg12GAA)
coefavg13GAA_df<-melt(coefavg13GAA)
coefavg14GAA_df<-melt(coefavg14GAA)
coefavg15GAA_df<-melt(coefavg15GAA)
coefavg16GAA_df<-melt(coefavg16GAA)
coefavg17GAA_df<-melt(coefavg17GAA)
coefavg18GAA_df<-melt(coefavg18GAA)
coefavg19GAA_df<-melt(coefavg19GAA)
coefavg20GAA_df<-melt(coefavg20GAA)
coefavg21GAA_df<-melt(coefavg21GAA)
coefavg22GAA_df<-melt(coefavg22GAA)
coefavg23GAA_df<-melt(coefavg23GAA)
coefavg24GAA_df<-melt(coefavg24GAA)
coefavg25GAA_df<-melt(coefavg25GAA)
coefavg26GAA_df<-melt(coefavg26GAA)
coefavg27GAA_df<-melt(coefavg27GAA)
coefavg28GAA_df<-melt(coefavg28GAA)
coefavg29GAA_df<-melt(coefavg29GAA)
coefavg30GAA_df<-melt(coefavg30GAA)
coefavg31GAA_df<-melt(coefavg31GAA)

coefavg1GAA_df$Modset <- 1
coefavg2GAA_df$Modset <- 2
coefavg3GAA_df$Modset <- 3
coefavg4GAA_df$Modset <- 4
coefavg5GAA_df$Modset <- 5
coefavg6GAA_df$Modset <- 6
coefavg7GAA_df$Modset <- 7
coefavg8GAA_df$Modset <- 8
coefavg9GAA_df$Modset <- 9
coefavg10GAA_df$Modset <- 10
coefavg11GAA_df$Modset <- 11
coefavg12GAA_df$Modset <- 12
coefavg13GAA_df$Modset <- 13
coefavg14GAA_df$Modset <- 14
coefavg15GAA_df$Modset <- 15
coefavg16GAA_df$Modset <- 16
coefavg17GAA_df$Modset <- 17
coefavg18GAA_df$Modset <- 18
coefavg19GAA_df$Modset <- 19
coefavg20GAA_df$Modset <- 20
coefavg21GAA_df$Modset <- 21
coefavg22GAA_df$Modset <- 22
coefavg23GAA_df$Modset <- 23
coefavg24GAA_df$Modset <- 24
coefavg25GAA_df$Modset <- 25
coefavg26GAA_df$Modset <- 26
coefavg27GAA_df$Modset <- 27
coefavg28GAA_df$Modset <- 28
coefavg29GAA_df$Modset <- 29
coefavg30GAA_df$Modset <- 30
coefavg31GAA_df$Modset <- 31



coefavgs_GAA <- Reduce(function(...) rbind(...),
                       list(coefavg1GAA_df,
                            coefavg2GAA_df,
                            coefavg3GAA_df,
                            coefavg4GAA_df,
                            coefavg5GAA_df,
                            coefavg6GAA_df,
                            coefavg7GAA_df,
                            coefavg8GAA_df,
                            coefavg9GAA_df,
                            coefavg10GAA_df,
                            coefavg11GAA_df,
                            coefavg12GAA_df,
                            coefavg13GAA_df,
                            coefavg14GAA_df,
                            coefavg15GAA_df,
                            coefavg16GAA_df,
                            coefavg17GAA_df,
                            coefavg18GAA_df,
                            coefavg19GAA_df,
                            coefavg20GAA_df,
                            coefavg21GAA_df,
                            coefavg22GAA_df,
                            coefavg23GAA_df,
                            coefavg24GAA_df,
                            coefavg25GAA_df,
                            coefavg26GAA_df,
                            coefavg27GAA_df,
                            coefavg28GAA_df,
                            coefavg29GAA_df,
                            coefavg30GAA_df,
                            coefavg31GAA_df))

coefavgs_GAA$Interval <- "Value"

names(coefavgs_GAA)[1] <- "Modavg"
names(coefavgs_GAA)[2] <- "Variable"
names(coefavgs_GAA)[3] <- "Value"
names(coefavgs_GAA)[4] <- "Species"



### Model averaging



coefavgs_GAA_f <- coefavgs_GAA[coefavgs_GAA$Modavg == "subset",]

coefavgs_GAA_f$Valueexp <- exp(coefavgs_GAA_f$Value)

coefavgs_GAA_f$Variable2[coefavgs_GAA_f$Variable == "PercGFWC"] <- "GFWC"
coefavgs_GAA_f$Variable2[coefavgs_GAA_f$Variable == "PercGFWC_20kmd"] <- "GFWCb"
coefavgs_GAA_f$Variable2[coefavgs_GAA_f$Variable == "NPP"] <- "NPP"
coefavgs_GAA_f$Variable2[coefavgs_GAA_f$Variable == "bio11"] <- "mWT"
coefavgs_GAA_f$Variable2[coefavgs_GAA_f$Variable == "bio17"] <- "WP"
coefavgs_GAA_f$Variable2[coefavgs_GAA_f$Variable == "DiffEvent"] <- "SE"
coefavgs_GAA_f$Variable2[coefavgs_GAA_f$Variable == "bio8"] <- "mST"
coefavgs_GAA_f$Variable2[coefavgs_GAA_f$Variable == "(Intercept)"] <- "Intercept"


coefavgs_GAA_f_POS <- coefavgs_GAA_f[coefavgs_GAA_f$Valueexp >1, ]

coefavgs_GAA_f_NEG <- coefavgs_GAA_f[coefavgs_GAA_f$Valueexp <1, ]

coefavgs_GAA_f_outline <- coefavgs_GAA_f[coefavgs_GAA_f$Valueexp > 2, ]
coefavgs_GAA_f_outline2 <- coefavgs_GAA_f[coefavgs_GAA_f$Valueexp < 0, ]

write.table(coefavgs_GAA_f, "./GCB_v3/coefavgs_GAA_f.csv", sep = ",", col.names = NA, qmethod = "double")





#save(list = ls(all = TRUE), file= "GCBv3_GAAmodsaPV.RData")































