
# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_11110", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_LPP_11110 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_LPP_11110 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_LPP_11110 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_11110_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v11110_species_L)){
  Spmod1_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~1,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod3_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod13_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_LPP_11110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_LPP_11110[[i]] <- list(Spmod1_LPP_11110[[i]],
                                  Spmod2_LPP_11110[[i]],
  
  Spmod3_LPP_11110[[i]],
  #Spmod4_LPP_11110[[i]],
  #Spmod5_LPP_11110[[i]],
  #Spmod6_LPP_11110[[i]],
  #Spmod7_LPP_11110[[i]],
  Spmod8_LPP_11110[[i]],
  #Spmod9_LPP_11110[[i]],
  #Spmod10_LPP_11110[[i]],
  #Spmod11_LPP_11110[[i]],
  #Spmod12_LPP_11110[[i]],
  Spmod13_LPP_11110[[i]])
  #Spmod14_LPP_11110[[i]],
  #Spmod15_LPP_11110[[i]],
  #Spmod16_LPP_11110[[i]],
  #Spmod17_LPP_11110[[i]],
  #Spmod18_LPP_11110[[i]],
  #Spmod19_LPP_11110[[i]],
  #Spmod20_LPP_11110[[i]],
  #Spmod21_LPP_11110[[i]],
  #Spmod22_LPP_11110[[i]],
  #Spmod23_LPP_11110[[i]],
  #Spmod24_LPP_11110[[i]],
  #Spmod25_LPP_11110[[i]],
  #Spmod26_LPP_11110[[i]],
  #Spmod27_LPP_11110[[i]],
  #Spmod28_LPP_11110[[i]],
  #Spmod29_LPP_11110[[i]],
  #Spmod30_LPP_11110[[i]],
  #Spmod31_LPP_11110[[i]],
  #Spmod32_LPP_11110[[i]],
  #Spmod33_LPP_11110[[i]],
  #Spmod34_LPP_11110[[i]],
  #Spmod35_LPP_11110[[i]],
  #Spmod36_LPP_11110[[i]],
  #Spmod37_LPP_11110[[i]],
  #Spmod38_LPP_11110[[i]],
  #Spmod39_LPP_11110[[i]],
  #Spmod40_LPP_11110[[i]],
  #Spmod41_LPP_11110[[i]],
  #Spmod42_LPP_11110[[i]],
  #Spmod43_LPP_11110[[i]],
  #Spmod44_LPP_11110[[i]],
  #Spmod45_LPP_11110[[i]],
  #Spmod46_LPP_11110[[i]],
  #Spmod47_LPP_11110[[i]],
  #Spmod48_LPP_11110[[i]],
  #Spmod49_LPP_11110[[i]],
  #Spmod50_LPP_11110[[i]],
  #Spmod51_LPP_11110[[i]],
  #Spmod52_LPP_11110[[i]],
  #Spmod53_LPP_11110[[i]],
  #Spmod54_LPP_11110[[i]],
  #Spmod55_LPP_11110[[i]],
  #Spmod56_LPP_11110[[i]],
  #Spmod57_LPP_11110[[i]],
  #Spmod58_LPP_11110[[i]],
  #Spmod59_LPP_11110[[i]],
  #Spmod60_LPP_11110[[i]],
  #Spmod61_LPP_11110[[i]],
  #Spmod62_LPP_11110[[i]],
  #Spmod63_LPP_11110[[i]],
  #Spmod64_LPP_11110[[i]],
  #Spmod65_LPP_11110[[i]])
  
  Modnames <-c("1",
               "2",
  "3",
  #"4",
  #"5",
  #"6",
  #"7",
  "8",
  #"9",
  #"10",
  #"11",
  #"12",
  "13")
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_LPP_11110[[i]] <- aictab(cand.set= listall_LPP_11110[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod1_LPP_11110[[i]])
  Spmod2_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod2_LPP_11110[[i]])
  Spmod3_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod3_LPP_11110[[i]])
  #Spmod4_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod4_LPP_11110[[i]])
  #Spmod5_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod5_LPP_11110[[i]])
  #Spmod6_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod6_LPP_11110[[i]])
  #Spmod7_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod7_LPP_11110[[i]])
  Spmod8_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod8_LPP_11110[[i]])
  #Spmod9_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod9_LPP_11110[[i]])
  #Spmod10_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod10_LPP_11110[[i]])
  #Spmod11_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod11_LPP_11110[[i]])
  #Spmod12_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod12_LPP_11110[[i]])
  Spmod13_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod13_LPP_11110[[i]])
  #Spmod14_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod14_LPP_11110[[i]])
  #Spmod15_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod15_LPP_11110[[i]])
  #Spmod16_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod16_LPP_11110[[i]])
  #Spmod17_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod17_LPP_11110[[i]])
  #Spmod18_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod18_LPP_11110[[i]])
  #Spmod19_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod19_LPP_11110[[i]])
  #Spmod20_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod20_LPP_11110[[i]])
  #Spmod21_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod21_LPP_11110[[i]])
  #Spmod22_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod22_LPP_11110[[i]])
  #Spmod23_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod23_LPP_11110[[i]])
  #Spmod24_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod24_LPP_11110[[i]])
  #Spmod25_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod25_LPP_11110[[i]])
  #Spmod26_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod26_LPP_11110[[i]])
  #Spmod27_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod27_LPP_11110[[i]])
  #Spmod28_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod28_LPP_11110[[i]])
  #Spmod29_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod29_LPP_11110[[i]])
  #Spmod30_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod30_LPP_11110[[i]])
  #Spmod31_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod31_LPP_11110[[i]])
  #Spmod32_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod32_LPP_11110[[i]])
  #Spmod33_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod33_LPP_11110[[i]])
  #Spmod34_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod34_LPP_11110[[i]])
  #Spmod35_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod35_LPP_11110[[i]])
  #Spmod36_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod36_LPP_11110[[i]])
  #Spmod37_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod37_LPP_11110[[i]])
  #Spmod38_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod38_LPP_11110[[i]])
  #Spmod39_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod39_LPP_11110[[i]])
  #Spmod40_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod40_LPP_11110[[i]])
  #Spmod41_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod41_LPP_11110[[i]])
  #Spmod42_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod42_LPP_11110[[i]])
  #Spmod43_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod43_LPP_11110[[i]])
  #Spmod44_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod44_LPP_11110[[i]])
  #Spmod45_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod45_LPP_11110[[i]])
  #Spmod46_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod46_LPP_11110[[i]])
  #Spmod47_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod47_LPP_11110[[i]])
  #Spmod48_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod48_LPP_11110[[i]])
  #Spmod49_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod49_LPP_11110[[i]])
  #Spmod50_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod50_LPP_11110[[i]])
  #Spmod51_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod51_LPP_11110[[i]])
  #Spmod52_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod52_LPP_11110[[i]])
  #Spmod53_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod53_LPP_11110[[i]])
  #Spmod54_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod54_LPP_11110[[i]])
  #Spmod55_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod55_LPP_11110[[i]])
  #Spmod56_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod56_LPP_11110[[i]])
  #Spmod57_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod57_LPP_11110[[i]])
  #Spmod58_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod58_LPP_11110[[i]])
  #Spmod59_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod59_LPP_11110[[i]])
  #Spmod60_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod60_LPP_11110[[i]])
  #Spmod61_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod61_LPP_11110[[i]])
  #Spmod62_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod62_LPP_11110[[i]])
  #Spmod63_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod63_LPP_11110[[i]])
  #Spmod64_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod64_LPP_11110[[i]])
  #Spmod65_LPP_11110_R[[i]]<-NagelkerkeR2(Spmod65_LPP_11110[[i]])
  
  Spmod1_LPP_11110_R[[i]]$Modnames <-1
  Spmod2_LPP_11110_R[[i]]$Modnames <-2
  Spmod3_LPP_11110_R[[i]]$Modnames <-3
  #Spmod4_LPP_11110_R[[i]]$Modnames <-4
  #Spmod5_LPP_11110_R[[i]]$Modnames <-5
  #Spmod6_LPP_11110_R[[i]]$Modnames <-6
  #Spmod7_LPP_11110_R[[i]]$Modnames <-7
  Spmod8_LPP_11110_R[[i]]$Modnames <-8
  #Spmod9_LPP_11110_R[[i]]$Modnames <-9
  #Spmod10_LPP_11110_R[[i]]$Modnames <-10
  #Spmod11_LPP_11110_R[[i]]$Modnames <-11
  #Spmod12_LPP_11110_R[[i]]$Modnames <-12
  Spmod13_LPP_11110_R[[i]]$Modnames <-13
  #Spmod14_LPP_11110_R[[i]]$Modnames <-14
  #Spmod15_LPP_11110_R[[i]]$Modnames <-15
  #Spmod16_LPP_11110_R[[i]]$Modnames <-16
  #Spmod17_LPP_11110_R[[i]]$Modnames <-17
  #Spmod18_LPP_11110_R[[i]]$Modnames <-18
  #Spmod19_LPP_11110_R[[i]]$Modnames <-19
  #Spmod20_LPP_11110_R[[i]]$Modnames <-20
  #Spmod21_LPP_11110_R[[i]]$Modnames <-21
  #Spmod22_LPP_11110_R[[i]]$Modnames <-22
  #Spmod23_LPP_11110_R[[i]]$Modnames <-23
  #Spmod24_LPP_11110_R[[i]]$Modnames <-24
  #Spmod25_LPP_11110_R[[i]]$Modnames <-25
  #Spmod26_LPP_11110_R[[i]]$Modnames <-26
  #Spmod27_LPP_11110_R[[i]]$Modnames <-27
  #Spmod28_LPP_11110_R[[i]]$Modnames <-28
  #Spmod29_LPP_11110_R[[i]]$Modnames <-29
  #Spmod30_LPP_11110_R[[i]]$Modnames <-30
  #Spmod31_LPP_11110_R[[i]]$Modnames <-31
  #Spmod32_LPP_11110_R[[i]]$Modnames <-32
  #Spmod33_LPP_11110_R[[i]]$Modnames <-33
  #Spmod34_LPP_11110_R[[i]]$Modnames <-34
  #Spmod35_LPP_11110_R[[i]]$Modnames <-35
  #Spmod36_LPP_11110_R[[i]]$Modnames <-36
  #Spmod37_LPP_11110_R[[i]]$Modnames <-37
  #Spmod38_LPP_11110_R[[i]]$Modnames <-38
  #Spmod39_LPP_11110_R[[i]]$Modnames <-39
  #Spmod40_LPP_11110_R[[i]]$Modnames <-40
  #Spmod41_LPP_11110_R[[i]]$Modnames <-41
  #Spmod42_LPP_11110_R[[i]]$Modnames <-42
  #Spmod43_LPP_11110_R[[i]]$Modnames <-43
  #Spmod44_LPP_11110_R[[i]]$Modnames <-44
  #Spmod45_LPP_11110_R[[i]]$Modnames <-45
  #Spmod46_LPP_11110_R[[i]]$Modnames <-46
  #Spmod47_LPP_11110_R[[i]]$Modnames <-47
  #Spmod48_LPP_11110_R[[i]]$Modnames <-48
  #Spmod49_LPP_11110_R[[i]]$Modnames <-49
  #Spmod50_LPP_11110_R[[i]]$Modnames <-50
  #Spmod51_LPP_11110_R[[i]]$Modnames <-51
  #Spmod52_LPP_11110_R[[i]]$Modnames <-52
  #Spmod53_LPP_11110_R[[i]]$Modnames <-53
  #Spmod54_LPP_11110_R[[i]]$Modnames <-54
  #Spmod55_LPP_11110_R[[i]]$Modnames <-55
  #Spmod56_LPP_11110_R[[i]]$Modnames <-56
  #Spmod57_LPP_11110_R[[i]]$Modnames <-57
  #Spmod58_LPP_11110_R[[i]]$Modnames <-58
  #Spmod59_LPP_11110_R[[i]]$Modnames <-59
  #Spmod60_LPP_11110_R[[i]]$Modnames <-60
  #Spmod61_LPP_11110_R[[i]]$Modnames <-61
  #Spmod62_LPP_11110_R[[i]]$Modnames <-62
  #Spmod63_LPP_11110_R[[i]]$Modnames <-63
  #Spmod64_LPP_11110_R[[i]]$Modnames <-64
  #Spmod65_LPP_11110_R[[i]]$Modnames <-65
  
  modelavg_LPP_11110[[i]] <- model.avg(listall_LPP_11110[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  L_11110_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_LPP_11110_R,
  Spmod2_LPP_11110_R,
  Spmod3_LPP_11110_R,
  #Spmod4_LPP_11110_R,
  #Spmod5_LPP_11110_R,
  #Spmod6_LPP_11110_R,
  #Spmod7_LPP_11110_R,
  Spmod8_LPP_11110_R,
  #Spmod9_LPP_11110_R,
  #Spmod10_LPP_11110_R,
  #Spmod11_LPP_11110_R,
  #Spmod12_LPP_11110_R,
  Spmod13_LPP_11110_R)))
  #Spmod14_LPP_11110_R,
  #Spmod15_LPP_11110_R,
  #Spmod16_LPP_11110_R,
  #Spmod17_LPP_11110_R,
  #Spmod18_LPP_11110_R,
  #Spmod19_LPP_11110_R,
  #Spmod20_LPP_11110_R,
  #Spmod21_LPP_11110_R,
  #Spmod22_LPP_11110_R,
  #Spmod23_LPP_11110_R,
  #Spmod24_LPP_11110_R,
  #Spmod25_LPP_11110_R,
  #Spmod26_LPP_11110_R,
  #Spmod27_LPP_11110_R,
  #Spmod28_LPP_11110_R,
  #Spmod29_LPP_11110_R,
  #Spmod30_LPP_11110_R,
  #Spmod31_LPP_11110_R,
  #Spmod32_LPP_11110_R,
  #Spmod33_LPP_11110_R,
  #Spmod34_LPP_11110_R,
  #Spmod35_LPP_11110_R,
  #Spmod36_LPP_11110_R,
  #Spmod37_LPP_11110_R,
  #Spmod38_LPP_11110_R,
  #Spmod39_LPP_11110_R,
  #Spmod40_LPP_11110_R,
  #Spmod41_LPP_11110_R,
  #Spmod42_LPP_11110_R,
  #Spmod43_LPP_11110_R,
  #Spmod44_LPP_11110_R,
  #Spmod45_LPP_11110_R,
  #Spmod46_LPP_11110_R,
  #Spmod47_LPP_11110_R,
  #Spmod48_LPP_11110_R,
  #Spmod49_LPP_11110_R,
  #Spmod50_LPP_11110_R,
  #Spmod51_LPP_11110_R,
  #Spmod52_LPP_11110_R,
  #Spmod53_LPP_11110_R,
  #Spmod54_LPP_11110_R,
  #Spmod55_LPP_11110_R,
  #Spmod56_LPP_11110_R,
  #Spmod57_LPP_11110_R,
  #Spmod58_LPP_11110_R,
  #Spmod59_LPP_11110_R,
  #Spmod60_LPP_11110_R,
  #Spmod61_LPP_11110_R,
  #Spmod62_LPP_11110_R,
  #Spmod63_LPP_11110_R,
  #Spmod64_LPP_11110_R,
  #Spmod65_LPP_11110_R)))
  
  L_11110_R2_N <- L_11110_R2[L_11110_R2$L3 == "N",]
  names(L_11110_R2_N)[1] <- "N"
  L_11110_R2_R2 <- L_11110_R2[L_11110_R2$L3 == "R2", ]
  names(L_11110_R2_R2)[1] <- "R2"
  L_11110_R2_MN <- L_11110_R2[L_11110_R2$L3 == "Modnames", ]
  names(L_11110_R2_MN)[1] <- "Modnames"   
  
  L_11110_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(L_11110_R2_N, L_11110_R2_R2, L_11110_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(L_11110_R2_r)[1] <- "Species"
  
  AIC_11110_L <- melt(SpAIC_LPP_11110, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_11110_L <- subset(AIC_11110_L, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_11110_L)[1] <- "Species"
  
  Results_11110_L <- merge(AIC_11110_L, L_11110_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_11110_L$exclusion <- "11110"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_11111", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_LPP_11111 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_LPP_11111 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_LPP_11111 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_11111_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v11111_species_L)){
  Spmod1_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~1,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod3_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_LPP_11111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_LPP_11111[[i]] <- list(Spmod1_LPP_11111[[i]],
                                  Spmod2_LPP_11111[[i]],
  
  Spmod3_LPP_11111[[i]])
  #Spmod4_LPP_11111[[i]],
  #Spmod5_LPP_11111[[i]],
  #Spmod6_LPP_11111[[i]],
  #Spmod7_LPP_11111[[i]],
  #Spmod8_LPP_11111[[i]],
  #Spmod9_LPP_11111[[i]],
  #Spmod10_LPP_11111[[i]],
  #Spmod11_LPP_11111[[i]],
  #Spmod12_LPP_11111[[i]],
  #Spmod13_LPP_11111[[i]],
  #Spmod14_LPP_11111[[i]],
  #Spmod15_LPP_11111[[i]],
  #Spmod16_LPP_11111[[i]],
  #Spmod17_LPP_11111[[i]],
  #Spmod18_LPP_11111[[i]],
  #Spmod19_LPP_11111[[i]],
  #Spmod20_LPP_11111[[i]],
  #Spmod21_LPP_11111[[i]],
  #Spmod22_LPP_11111[[i]],
  #Spmod23_LPP_11111[[i]],
  #Spmod24_LPP_11111[[i]],
  #Spmod25_LPP_11111[[i]],
  #Spmod26_LPP_11111[[i]],
  #Spmod27_LPP_11111[[i]],
  #Spmod28_LPP_11111[[i]],
  #Spmod29_LPP_11111[[i]],
  #Spmod30_LPP_11111[[i]],
  #Spmod31_LPP_11111[[i]],
  #Spmod32_LPP_11111[[i]],
  #Spmod33_LPP_11111[[i]],
  #Spmod34_LPP_11111[[i]],
  #Spmod35_LPP_11111[[i]],
  #Spmod36_LPP_11111[[i]],
  #Spmod37_LPP_11111[[i]],
  #Spmod38_LPP_11111[[i]],
  #Spmod39_LPP_11111[[i]],
  #Spmod40_LPP_11111[[i]],
  #Spmod41_LPP_11111[[i]],
  #Spmod42_LPP_11111[[i]],
  #Spmod43_LPP_11111[[i]],
  #Spmod44_LPP_11111[[i]],
  #Spmod45_LPP_11111[[i]],
  #Spmod46_LPP_11111[[i]],
  #Spmod47_LPP_11111[[i]],
  #Spmod48_LPP_11111[[i]],
  #Spmod49_LPP_11111[[i]],
  #Spmod50_LPP_11111[[i]],
  #Spmod51_LPP_11111[[i]],
  #Spmod52_LPP_11111[[i]],
  #Spmod53_LPP_11111[[i]],
  #Spmod54_LPP_11111[[i]],
  #Spmod55_LPP_11111[[i]],
  #Spmod56_LPP_11111[[i]],
  #Spmod57_LPP_11111[[i]],
  #Spmod58_LPP_11111[[i]],
  #Spmod59_LPP_11111[[i]],
  #Spmod60_LPP_11111[[i]],
  #Spmod61_LPP_11111[[i]],
  #Spmod62_LPP_11111[[i]],
  #Spmod63_LPP_11111[[i]],
  #Spmod64_LPP_11111[[i]],
  #Spmod65_LPP_11111[[i]])
  
  Modnames <-c("1",
               "2",
  "3")
  #"4",
  #"5",
  #"6",
  #"7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_LPP_11111[[i]] <- aictab(cand.set= listall_LPP_11111[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod1_LPP_11111[[i]])
  Spmod2_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod2_LPP_11111[[i]])
  Spmod3_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod3_LPP_11111[[i]])
  #Spmod4_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod4_LPP_11111[[i]])
  #Spmod5_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod5_LPP_11111[[i]])
  #Spmod6_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod6_LPP_11111[[i]])
  #Spmod7_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod7_LPP_11111[[i]])
  #Spmod8_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod8_LPP_11111[[i]])
  #Spmod9_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod9_LPP_11111[[i]])
  #Spmod10_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod10_LPP_11111[[i]])
  #Spmod11_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod11_LPP_11111[[i]])
  #Spmod12_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod12_LPP_11111[[i]])
  #Spmod13_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod13_LPP_11111[[i]])
  #Spmod14_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod14_LPP_11111[[i]])
  #Spmod15_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod15_LPP_11111[[i]])
  #Spmod16_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod16_LPP_11111[[i]])
  #Spmod17_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod17_LPP_11111[[i]])
  #Spmod18_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod18_LPP_11111[[i]])
  #Spmod19_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod19_LPP_11111[[i]])
  #Spmod20_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod20_LPP_11111[[i]])
  #Spmod21_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod21_LPP_11111[[i]])
  #Spmod22_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod22_LPP_11111[[i]])
  #Spmod23_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod23_LPP_11111[[i]])
  #Spmod24_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod24_LPP_11111[[i]])
  #Spmod25_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod25_LPP_11111[[i]])
  #Spmod26_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod26_LPP_11111[[i]])
  #Spmod27_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod27_LPP_11111[[i]])
  #Spmod28_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod28_LPP_11111[[i]])
  #Spmod29_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod29_LPP_11111[[i]])
  #Spmod30_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod30_LPP_11111[[i]])
  #Spmod31_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod31_LPP_11111[[i]])
  #Spmod32_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod32_LPP_11111[[i]])
  #Spmod33_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod33_LPP_11111[[i]])
  #Spmod34_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod34_LPP_11111[[i]])
  #Spmod35_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod35_LPP_11111[[i]])
  #Spmod36_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod36_LPP_11111[[i]])
  #Spmod37_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod37_LPP_11111[[i]])
  #Spmod38_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod38_LPP_11111[[i]])
  #Spmod39_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod39_LPP_11111[[i]])
  #Spmod40_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod40_LPP_11111[[i]])
  #Spmod41_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod41_LPP_11111[[i]])
  #Spmod42_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod42_LPP_11111[[i]])
  #Spmod43_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod43_LPP_11111[[i]])
  #Spmod44_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod44_LPP_11111[[i]])
  #Spmod45_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod45_LPP_11111[[i]])
  #Spmod46_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod46_LPP_11111[[i]])
  #Spmod47_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod47_LPP_11111[[i]])
  #Spmod48_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod48_LPP_11111[[i]])
  #Spmod49_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod49_LPP_11111[[i]])
  #Spmod50_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod50_LPP_11111[[i]])
  #Spmod51_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod51_LPP_11111[[i]])
  #Spmod52_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod52_LPP_11111[[i]])
  #Spmod53_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod53_LPP_11111[[i]])
  #Spmod54_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod54_LPP_11111[[i]])
  #Spmod55_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod55_LPP_11111[[i]])
  #Spmod56_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod56_LPP_11111[[i]])
  #Spmod57_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod57_LPP_11111[[i]])
  #Spmod58_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod58_LPP_11111[[i]])
  #Spmod59_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod59_LPP_11111[[i]])
  #Spmod60_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod60_LPP_11111[[i]])
  #Spmod61_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod61_LPP_11111[[i]])
  #Spmod62_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod62_LPP_11111[[i]])
  #Spmod63_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod63_LPP_11111[[i]])
  #Spmod64_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod64_LPP_11111[[i]])
  #Spmod65_LPP_11111_R[[i]]<-NagelkerkeR2(Spmod65_LPP_11111[[i]])
  
  Spmod1_LPP_11111_R[[i]]$Modnames <-1
  Spmod2_LPP_11111_R[[i]]$Modnames <-2
  Spmod3_LPP_11111_R[[i]]$Modnames <-3
  #Spmod4_LPP_11111_R[[i]]$Modnames <-4
  #Spmod5_LPP_11111_R[[i]]$Modnames <-5
  #Spmod6_LPP_11111_R[[i]]$Modnames <-6
  #Spmod7_LPP_11111_R[[i]]$Modnames <-7
  #Spmod8_LPP_11111_R[[i]]$Modnames <-8
  #Spmod9_LPP_11111_R[[i]]$Modnames <-9
  #Spmod10_LPP_11111_R[[i]]$Modnames <-10
  #Spmod11_LPP_11111_R[[i]]$Modnames <-11
  #Spmod12_LPP_11111_R[[i]]$Modnames <-12
  #Spmod13_LPP_11111_R[[i]]$Modnames <-13
  #Spmod14_LPP_11111_R[[i]]$Modnames <-14
  #Spmod15_LPP_11111_R[[i]]$Modnames <-15
  #Spmod16_LPP_11111_R[[i]]$Modnames <-16
  #Spmod17_LPP_11111_R[[i]]$Modnames <-17
  #Spmod18_LPP_11111_R[[i]]$Modnames <-18
  #Spmod19_LPP_11111_R[[i]]$Modnames <-19
  #Spmod20_LPP_11111_R[[i]]$Modnames <-20
  #Spmod21_LPP_11111_R[[i]]$Modnames <-21
  #Spmod22_LPP_11111_R[[i]]$Modnames <-22
  #Spmod23_LPP_11111_R[[i]]$Modnames <-23
  #Spmod24_LPP_11111_R[[i]]$Modnames <-24
  #Spmod25_LPP_11111_R[[i]]$Modnames <-25
  #Spmod26_LPP_11111_R[[i]]$Modnames <-26
  #Spmod27_LPP_11111_R[[i]]$Modnames <-27
  #Spmod28_LPP_11111_R[[i]]$Modnames <-28
  #Spmod29_LPP_11111_R[[i]]$Modnames <-29
  #Spmod30_LPP_11111_R[[i]]$Modnames <-30
  #Spmod31_LPP_11111_R[[i]]$Modnames <-31
  #Spmod32_LPP_11111_R[[i]]$Modnames <-32
  #Spmod33_LPP_11111_R[[i]]$Modnames <-33
  #Spmod34_LPP_11111_R[[i]]$Modnames <-34
  #Spmod35_LPP_11111_R[[i]]$Modnames <-35
  #Spmod36_LPP_11111_R[[i]]$Modnames <-36
  #Spmod37_LPP_11111_R[[i]]$Modnames <-37
  #Spmod38_LPP_11111_R[[i]]$Modnames <-38
  #Spmod39_LPP_11111_R[[i]]$Modnames <-39
  #Spmod40_LPP_11111_R[[i]]$Modnames <-40
  #Spmod41_LPP_11111_R[[i]]$Modnames <-41
  #Spmod42_LPP_11111_R[[i]]$Modnames <-42
  #Spmod43_LPP_11111_R[[i]]$Modnames <-43
  #Spmod44_LPP_11111_R[[i]]$Modnames <-44
  #Spmod45_LPP_11111_R[[i]]$Modnames <-45
  #Spmod46_LPP_11111_R[[i]]$Modnames <-46
  #Spmod47_LPP_11111_R[[i]]$Modnames <-47
  #Spmod48_LPP_11111_R[[i]]$Modnames <-48
  #Spmod49_LPP_11111_R[[i]]$Modnames <-49
  #Spmod50_LPP_11111_R[[i]]$Modnames <-50
  #Spmod51_LPP_11111_R[[i]]$Modnames <-51
  #Spmod52_LPP_11111_R[[i]]$Modnames <-52
  #Spmod53_LPP_11111_R[[i]]$Modnames <-53
  #Spmod54_LPP_11111_R[[i]]$Modnames <-54
  #Spmod55_LPP_11111_R[[i]]$Modnames <-55
  #Spmod56_LPP_11111_R[[i]]$Modnames <-56
  #Spmod57_LPP_11111_R[[i]]$Modnames <-57
  #Spmod58_LPP_11111_R[[i]]$Modnames <-58
  #Spmod59_LPP_11111_R[[i]]$Modnames <-59
  #Spmod60_LPP_11111_R[[i]]$Modnames <-60
  #Spmod61_LPP_11111_R[[i]]$Modnames <-61
  #Spmod62_LPP_11111_R[[i]]$Modnames <-62
  #Spmod63_LPP_11111_R[[i]]$Modnames <-63
  #Spmod64_LPP_11111_R[[i]]$Modnames <-64
  #Spmod65_LPP_11111_R[[i]]$Modnames <-65
  
  modelavg_LPP_11111[[i]] <- model.avg(listall_LPP_11111[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  L_11111_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_LPP_11111_R,
  Spmod2_LPP_11111_R,
  Spmod3_LPP_11111_R)))
  #Spmod4_LPP_11111_R,
  #Spmod5_LPP_11111_R,
  #Spmod6_LPP_11111_R,
  #Spmod7_LPP_11111_R,
  #Spmod8_LPP_11111_R,
  #Spmod9_LPP_11111_R,
  #Spmod10_LPP_11111_R,
  #Spmod11_LPP_11111_R,
  #Spmod12_LPP_11111_R,
  #Spmod13_LPP_11111_R,
  #Spmod14_LPP_11111_R,
  #Spmod15_LPP_11111_R,
  #Spmod16_LPP_11111_R,
  #Spmod17_LPP_11111_R,
  #Spmod18_LPP_11111_R,
  #Spmod19_LPP_11111_R,
  #Spmod20_LPP_11111_R,
  #Spmod21_LPP_11111_R,
  #Spmod22_LPP_11111_R,
  #Spmod23_LPP_11111_R,
  #Spmod24_LPP_11111_R,
  #Spmod25_LPP_11111_R,
  #Spmod26_LPP_11111_R,
  #Spmod27_LPP_11111_R,
  #Spmod28_LPP_11111_R,
  #Spmod29_LPP_11111_R,
  #Spmod30_LPP_11111_R,
  #Spmod31_LPP_11111_R,
  #Spmod32_LPP_11111_R,
  #Spmod33_LPP_11111_R,
  #Spmod34_LPP_11111_R,
  #Spmod35_LPP_11111_R,
  #Spmod36_LPP_11111_R,
  #Spmod37_LPP_11111_R,
  #Spmod38_LPP_11111_R,
  #Spmod39_LPP_11111_R,
  #Spmod40_LPP_11111_R,
  #Spmod41_LPP_11111_R,
  #Spmod42_LPP_11111_R,
  #Spmod43_LPP_11111_R,
  #Spmod44_LPP_11111_R,
  #Spmod45_LPP_11111_R,
  #Spmod46_LPP_11111_R,
  #Spmod47_LPP_11111_R,
  #Spmod48_LPP_11111_R,
  #Spmod49_LPP_11111_R,
  #Spmod50_LPP_11111_R,
  #Spmod51_LPP_11111_R,
  #Spmod52_LPP_11111_R,
  #Spmod53_LPP_11111_R,
  #Spmod54_LPP_11111_R,
  #Spmod55_LPP_11111_R,
  #Spmod56_LPP_11111_R,
  #Spmod57_LPP_11111_R,
  #Spmod58_LPP_11111_R,
  #Spmod59_LPP_11111_R,
  #Spmod60_LPP_11111_R,
  #Spmod61_LPP_11111_R,
  #Spmod62_LPP_11111_R,
  #Spmod63_LPP_11111_R,
  #Spmod64_LPP_11111_R,
  #Spmod65_LPP_11111_R)))
  
  L_11111_R2_N <- L_11111_R2[L_11111_R2$L3 == "N",]
  names(L_11111_R2_N)[1] <- "N"
  L_11111_R2_R2 <- L_11111_R2[L_11111_R2$L3 == "R2", ]
  names(L_11111_R2_R2)[1] <- "R2"
  L_11111_R2_MN <- L_11111_R2[L_11111_R2$L3 == "Modnames", ]
  names(L_11111_R2_MN)[1] <- "Modnames"   
  
  L_11111_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(L_11111_R2_N, L_11111_R2_R2, L_11111_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(L_11111_R2_r)[1] <- "Species"
  
  AIC_11111_L <- melt(SpAIC_LPP_11111, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_11111_L <- subset(AIC_11111_L, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_11111_L)[1] <- "Species"
  
  Results_11111_L <- merge(AIC_11111_L, L_11111_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_11111_L$exclusion <- "11111"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_101110", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_LPP_101110 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_LPP_101110 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_LPP_101110 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_101110_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v101110_species_L)){
  Spmod1_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~1,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod17_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_LPP_101110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_LPP_101110[[i]] <- list(Spmod1_LPP_101110[[i]],
                                  Spmod2_LPP_101110[[i]],
  
  #Spmod3_LPP_101110[[i]],
  Spmod4_LPP_101110[[i]],
  #Spmod5_LPP_101110[[i]],
  #Spmod6_LPP_101110[[i]],
  #Spmod7_LPP_101110[[i]],
  Spmod8_LPP_101110[[i]],
  #Spmod9_LPP_101110[[i]],
  #Spmod10_LPP_101110[[i]],
  #Spmod11_LPP_101110[[i]],
  #Spmod12_LPP_101110[[i]],
  #Spmod13_LPP_101110[[i]],
  #Spmod14_LPP_101110[[i]],
  #Spmod15_LPP_101110[[i]],
  #Spmod16_LPP_101110[[i]],
  Spmod17_LPP_101110[[i]])
  #Spmod18_LPP_101110[[i]],
  #Spmod19_LPP_101110[[i]],
  #Spmod20_LPP_101110[[i]],
  #Spmod21_LPP_101110[[i]],
  #Spmod22_LPP_101110[[i]],
  #Spmod23_LPP_101110[[i]],
  #Spmod24_LPP_101110[[i]],
  #Spmod25_LPP_101110[[i]],
  #Spmod26_LPP_101110[[i]],
  #Spmod27_LPP_101110[[i]],
  #Spmod28_LPP_101110[[i]],
  #Spmod29_LPP_101110[[i]],
  #Spmod30_LPP_101110[[i]],
  #Spmod31_LPP_101110[[i]],
  #Spmod32_LPP_101110[[i]],
  #Spmod33_LPP_101110[[i]],
  #Spmod34_LPP_101110[[i]],
  #Spmod35_LPP_101110[[i]],
  #Spmod36_LPP_101110[[i]],
  #Spmod37_LPP_101110[[i]],
  #Spmod38_LPP_101110[[i]],
  #Spmod39_LPP_101110[[i]],
  #Spmod40_LPP_101110[[i]],
  #Spmod41_LPP_101110[[i]],
  #Spmod42_LPP_101110[[i]],
  #Spmod43_LPP_101110[[i]],
  #Spmod44_LPP_101110[[i]],
  #Spmod45_LPP_101110[[i]],
  #Spmod46_LPP_101110[[i]],
  #Spmod47_LPP_101110[[i]],
  #Spmod48_LPP_101110[[i]],
  #Spmod49_LPP_101110[[i]],
  #Spmod50_LPP_101110[[i]],
  #Spmod51_LPP_101110[[i]],
  #Spmod52_LPP_101110[[i]],
  #Spmod53_LPP_101110[[i]],
  #Spmod54_LPP_101110[[i]],
  #Spmod55_LPP_101110[[i]],
  #Spmod56_LPP_101110[[i]],
  #Spmod57_LPP_101110[[i]],
  #Spmod58_LPP_101110[[i]],
  #Spmod59_LPP_101110[[i]],
  #Spmod60_LPP_101110[[i]],
  #Spmod61_LPP_101110[[i]],
  #Spmod62_LPP_101110[[i]],
  #Spmod63_LPP_101110[[i]],
  #Spmod64_LPP_101110[[i]],
  #Spmod65_LPP_101110[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  "4",
  #"5",
  #"6",
  #"7",
  "8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  "17")
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_LPP_101110[[i]] <- aictab(cand.set= listall_LPP_101110[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod1_LPP_101110[[i]])
  Spmod2_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod2_LPP_101110[[i]])
  #Spmod3_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod3_LPP_101110[[i]])
  Spmod4_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod4_LPP_101110[[i]])
  #Spmod5_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod5_LPP_101110[[i]])
  #Spmod6_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod6_LPP_101110[[i]])
  #Spmod7_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod7_LPP_101110[[i]])
  Spmod8_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod8_LPP_101110[[i]])
  #Spmod9_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod9_LPP_101110[[i]])
  #Spmod10_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod10_LPP_101110[[i]])
  #Spmod11_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod11_LPP_101110[[i]])
  #Spmod12_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod12_LPP_101110[[i]])
  #Spmod13_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod13_LPP_101110[[i]])
  #Spmod14_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod14_LPP_101110[[i]])
  #Spmod15_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod15_LPP_101110[[i]])
  #Spmod16_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod16_LPP_101110[[i]])
  Spmod17_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod17_LPP_101110[[i]])
  #Spmod18_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod18_LPP_101110[[i]])
  #Spmod19_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod19_LPP_101110[[i]])
  #Spmod20_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod20_LPP_101110[[i]])
  #Spmod21_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod21_LPP_101110[[i]])
  #Spmod22_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod22_LPP_101110[[i]])
  #Spmod23_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod23_LPP_101110[[i]])
  #Spmod24_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod24_LPP_101110[[i]])
  #Spmod25_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod25_LPP_101110[[i]])
  #Spmod26_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod26_LPP_101110[[i]])
  #Spmod27_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod27_LPP_101110[[i]])
  #Spmod28_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod28_LPP_101110[[i]])
  #Spmod29_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod29_LPP_101110[[i]])
  #Spmod30_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod30_LPP_101110[[i]])
  #Spmod31_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod31_LPP_101110[[i]])
  #Spmod32_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod32_LPP_101110[[i]])
  #Spmod33_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod33_LPP_101110[[i]])
  #Spmod34_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod34_LPP_101110[[i]])
  #Spmod35_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod35_LPP_101110[[i]])
  #Spmod36_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod36_LPP_101110[[i]])
  #Spmod37_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod37_LPP_101110[[i]])
  #Spmod38_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod38_LPP_101110[[i]])
  #Spmod39_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod39_LPP_101110[[i]])
  #Spmod40_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod40_LPP_101110[[i]])
  #Spmod41_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod41_LPP_101110[[i]])
  #Spmod42_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod42_LPP_101110[[i]])
  #Spmod43_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod43_LPP_101110[[i]])
  #Spmod44_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod44_LPP_101110[[i]])
  #Spmod45_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod45_LPP_101110[[i]])
  #Spmod46_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod46_LPP_101110[[i]])
  #Spmod47_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod47_LPP_101110[[i]])
  #Spmod48_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod48_LPP_101110[[i]])
  #Spmod49_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod49_LPP_101110[[i]])
  #Spmod50_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod50_LPP_101110[[i]])
  #Spmod51_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod51_LPP_101110[[i]])
  #Spmod52_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod52_LPP_101110[[i]])
  #Spmod53_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod53_LPP_101110[[i]])
  #Spmod54_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod54_LPP_101110[[i]])
  #Spmod55_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod55_LPP_101110[[i]])
  #Spmod56_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod56_LPP_101110[[i]])
  #Spmod57_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod57_LPP_101110[[i]])
  #Spmod58_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod58_LPP_101110[[i]])
  #Spmod59_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod59_LPP_101110[[i]])
  #Spmod60_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod60_LPP_101110[[i]])
  #Spmod61_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod61_LPP_101110[[i]])
  #Spmod62_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod62_LPP_101110[[i]])
  #Spmod63_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod63_LPP_101110[[i]])
  #Spmod64_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod64_LPP_101110[[i]])
  #Spmod65_LPP_101110_R[[i]]<-NagelkerkeR2(Spmod65_LPP_101110[[i]])
  
  Spmod1_LPP_101110_R[[i]]$Modnames <-1
  Spmod2_LPP_101110_R[[i]]$Modnames <-2
  #Spmod3_LPP_101110_R[[i]]$Modnames <-3
  Spmod4_LPP_101110_R[[i]]$Modnames <-4
  #Spmod5_LPP_101110_R[[i]]$Modnames <-5
  #Spmod6_LPP_101110_R[[i]]$Modnames <-6
  #Spmod7_LPP_101110_R[[i]]$Modnames <-7
  Spmod8_LPP_101110_R[[i]]$Modnames <-8
  #Spmod9_LPP_101110_R[[i]]$Modnames <-9
  #Spmod10_LPP_101110_R[[i]]$Modnames <-10
  #Spmod11_LPP_101110_R[[i]]$Modnames <-11
  #Spmod12_LPP_101110_R[[i]]$Modnames <-12
  #Spmod13_LPP_101110_R[[i]]$Modnames <-13
  #Spmod14_LPP_101110_R[[i]]$Modnames <-14
  #Spmod15_LPP_101110_R[[i]]$Modnames <-15
  #Spmod16_LPP_101110_R[[i]]$Modnames <-16
  Spmod17_LPP_101110_R[[i]]$Modnames <-17
  #Spmod18_LPP_101110_R[[i]]$Modnames <-18
  #Spmod19_LPP_101110_R[[i]]$Modnames <-19
  #Spmod20_LPP_101110_R[[i]]$Modnames <-20
  #Spmod21_LPP_101110_R[[i]]$Modnames <-21
  #Spmod22_LPP_101110_R[[i]]$Modnames <-22
  #Spmod23_LPP_101110_R[[i]]$Modnames <-23
  #Spmod24_LPP_101110_R[[i]]$Modnames <-24
  #Spmod25_LPP_101110_R[[i]]$Modnames <-25
  #Spmod26_LPP_101110_R[[i]]$Modnames <-26
  #Spmod27_LPP_101110_R[[i]]$Modnames <-27
  #Spmod28_LPP_101110_R[[i]]$Modnames <-28
  #Spmod29_LPP_101110_R[[i]]$Modnames <-29
  #Spmod30_LPP_101110_R[[i]]$Modnames <-30
  #Spmod31_LPP_101110_R[[i]]$Modnames <-31
  #Spmod32_LPP_101110_R[[i]]$Modnames <-32
  #Spmod33_LPP_101110_R[[i]]$Modnames <-33
  #Spmod34_LPP_101110_R[[i]]$Modnames <-34
  #Spmod35_LPP_101110_R[[i]]$Modnames <-35
  #Spmod36_LPP_101110_R[[i]]$Modnames <-36
  #Spmod37_LPP_101110_R[[i]]$Modnames <-37
  #Spmod38_LPP_101110_R[[i]]$Modnames <-38
  #Spmod39_LPP_101110_R[[i]]$Modnames <-39
  #Spmod40_LPP_101110_R[[i]]$Modnames <-40
  #Spmod41_LPP_101110_R[[i]]$Modnames <-41
  #Spmod42_LPP_101110_R[[i]]$Modnames <-42
  #Spmod43_LPP_101110_R[[i]]$Modnames <-43
  #Spmod44_LPP_101110_R[[i]]$Modnames <-44
  #Spmod45_LPP_101110_R[[i]]$Modnames <-45
  #Spmod46_LPP_101110_R[[i]]$Modnames <-46
  #Spmod47_LPP_101110_R[[i]]$Modnames <-47
  #Spmod48_LPP_101110_R[[i]]$Modnames <-48
  #Spmod49_LPP_101110_R[[i]]$Modnames <-49
  #Spmod50_LPP_101110_R[[i]]$Modnames <-50
  #Spmod51_LPP_101110_R[[i]]$Modnames <-51
  #Spmod52_LPP_101110_R[[i]]$Modnames <-52
  #Spmod53_LPP_101110_R[[i]]$Modnames <-53
  #Spmod54_LPP_101110_R[[i]]$Modnames <-54
  #Spmod55_LPP_101110_R[[i]]$Modnames <-55
  #Spmod56_LPP_101110_R[[i]]$Modnames <-56
  #Spmod57_LPP_101110_R[[i]]$Modnames <-57
  #Spmod58_LPP_101110_R[[i]]$Modnames <-58
  #Spmod59_LPP_101110_R[[i]]$Modnames <-59
  #Spmod60_LPP_101110_R[[i]]$Modnames <-60
  #Spmod61_LPP_101110_R[[i]]$Modnames <-61
  #Spmod62_LPP_101110_R[[i]]$Modnames <-62
  #Spmod63_LPP_101110_R[[i]]$Modnames <-63
  #Spmod64_LPP_101110_R[[i]]$Modnames <-64
  #Spmod65_LPP_101110_R[[i]]$Modnames <-65
  
  modelavg_LPP_101110[[i]] <- model.avg(listall_LPP_101110[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  L_101110_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_LPP_101110_R,
  Spmod2_LPP_101110_R,
  #Spmod3_LPP_101110_R,
  Spmod4_LPP_101110_R,
  #Spmod5_LPP_101110_R,
  #Spmod6_LPP_101110_R,
  #Spmod7_LPP_101110_R,
  Spmod8_LPP_101110_R,
  #Spmod9_LPP_101110_R,
  #Spmod10_LPP_101110_R,
  #Spmod11_LPP_101110_R,
  #Spmod12_LPP_101110_R,
  #Spmod13_LPP_101110_R,
  #Spmod14_LPP_101110_R,
  #Spmod15_LPP_101110_R,
  #Spmod16_LPP_101110_R,
  Spmod17_LPP_101110_R)))
  #Spmod18_LPP_101110_R,
  #Spmod19_LPP_101110_R,
  #Spmod20_LPP_101110_R,
  #Spmod21_LPP_101110_R,
  #Spmod22_LPP_101110_R,
  #Spmod23_LPP_101110_R,
  #Spmod24_LPP_101110_R,
  #Spmod25_LPP_101110_R,
  #Spmod26_LPP_101110_R,
  #Spmod27_LPP_101110_R,
  #Spmod28_LPP_101110_R,
  #Spmod29_LPP_101110_R,
  #Spmod30_LPP_101110_R,
  #Spmod31_LPP_101110_R,
  #Spmod32_LPP_101110_R,
  #Spmod33_LPP_101110_R,
  #Spmod34_LPP_101110_R,
  #Spmod35_LPP_101110_R,
  #Spmod36_LPP_101110_R,
  #Spmod37_LPP_101110_R,
  #Spmod38_LPP_101110_R,
  #Spmod39_LPP_101110_R,
  #Spmod40_LPP_101110_R,
  #Spmod41_LPP_101110_R,
  #Spmod42_LPP_101110_R,
  #Spmod43_LPP_101110_R,
  #Spmod44_LPP_101110_R,
  #Spmod45_LPP_101110_R,
  #Spmod46_LPP_101110_R,
  #Spmod47_LPP_101110_R,
  #Spmod48_LPP_101110_R,
  #Spmod49_LPP_101110_R,
  #Spmod50_LPP_101110_R,
  #Spmod51_LPP_101110_R,
  #Spmod52_LPP_101110_R,
  #Spmod53_LPP_101110_R,
  #Spmod54_LPP_101110_R,
  #Spmod55_LPP_101110_R,
  #Spmod56_LPP_101110_R,
  #Spmod57_LPP_101110_R,
  #Spmod58_LPP_101110_R,
  #Spmod59_LPP_101110_R,
  #Spmod60_LPP_101110_R,
  #Spmod61_LPP_101110_R,
  #Spmod62_LPP_101110_R,
  #Spmod63_LPP_101110_R,
  #Spmod64_LPP_101110_R,
  #Spmod65_LPP_101110_R)))
  
  L_101110_R2_N <- L_101110_R2[L_101110_R2$L3 == "N",]
  names(L_101110_R2_N)[1] <- "N"
  L_101110_R2_R2 <- L_101110_R2[L_101110_R2$L3 == "R2", ]
  names(L_101110_R2_R2)[1] <- "R2"
  L_101110_R2_MN <- L_101110_R2[L_101110_R2$L3 == "Modnames", ]
  names(L_101110_R2_MN)[1] <- "Modnames"   
  
  L_101110_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(L_101110_R2_N, L_101110_R2_R2, L_101110_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(L_101110_R2_r)[1] <- "Species"
  
  AIC_101110_L <- melt(SpAIC_LPP_101110, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_101110_L <- subset(AIC_101110_L, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_101110_L)[1] <- "Species"
  
  Results_101110_L <- merge(AIC_101110_L, L_101110_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_101110_L$exclusion <- "101110"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_101111", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_LPP_101111 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_LPP_101111 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_LPP_101111 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_101111_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v101111_species_L)){
  Spmod1_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~1,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_LPP_101111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_LPP_101111[[i]] <- list(Spmod1_LPP_101111[[i]],
                                  Spmod2_LPP_101111[[i]],
  
  #Spmod3_LPP_101111[[i]],
  Spmod4_LPP_101111[[i]])
  #Spmod5_LPP_101111[[i]],
  #Spmod6_LPP_101111[[i]],
  #Spmod7_LPP_101111[[i]],
  #Spmod8_LPP_101111[[i]],
  #Spmod9_LPP_101111[[i]],
  #Spmod10_LPP_101111[[i]],
  #Spmod11_LPP_101111[[i]],
  #Spmod12_LPP_101111[[i]],
  #Spmod13_LPP_101111[[i]],
  #Spmod14_LPP_101111[[i]],
  #Spmod15_LPP_101111[[i]],
  #Spmod16_LPP_101111[[i]],
  #Spmod17_LPP_101111[[i]],
  #Spmod18_LPP_101111[[i]],
  #Spmod19_LPP_101111[[i]],
  #Spmod20_LPP_101111[[i]],
  #Spmod21_LPP_101111[[i]],
  #Spmod22_LPP_101111[[i]],
  #Spmod23_LPP_101111[[i]],
  #Spmod24_LPP_101111[[i]],
  #Spmod25_LPP_101111[[i]],
  #Spmod26_LPP_101111[[i]],
  #Spmod27_LPP_101111[[i]],
  #Spmod28_LPP_101111[[i]],
  #Spmod29_LPP_101111[[i]],
  #Spmod30_LPP_101111[[i]],
  #Spmod31_LPP_101111[[i]],
  #Spmod32_LPP_101111[[i]],
  #Spmod33_LPP_101111[[i]],
  #Spmod34_LPP_101111[[i]],
  #Spmod35_LPP_101111[[i]],
  #Spmod36_LPP_101111[[i]],
  #Spmod37_LPP_101111[[i]],
  #Spmod38_LPP_101111[[i]],
  #Spmod39_LPP_101111[[i]],
  #Spmod40_LPP_101111[[i]],
  #Spmod41_LPP_101111[[i]],
  #Spmod42_LPP_101111[[i]],
  #Spmod43_LPP_101111[[i]],
  #Spmod44_LPP_101111[[i]],
  #Spmod45_LPP_101111[[i]],
  #Spmod46_LPP_101111[[i]],
  #Spmod47_LPP_101111[[i]],
  #Spmod48_LPP_101111[[i]],
  #Spmod49_LPP_101111[[i]],
  #Spmod50_LPP_101111[[i]],
  #Spmod51_LPP_101111[[i]],
  #Spmod52_LPP_101111[[i]],
  #Spmod53_LPP_101111[[i]],
  #Spmod54_LPP_101111[[i]],
  #Spmod55_LPP_101111[[i]],
  #Spmod56_LPP_101111[[i]],
  #Spmod57_LPP_101111[[i]],
  #Spmod58_LPP_101111[[i]],
  #Spmod59_LPP_101111[[i]],
  #Spmod60_LPP_101111[[i]],
  #Spmod61_LPP_101111[[i]],
  #Spmod62_LPP_101111[[i]],
  #Spmod63_LPP_101111[[i]],
  #Spmod64_LPP_101111[[i]],
  #Spmod65_LPP_101111[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  "4")
  #"5",
  #"6",
  #"7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_LPP_101111[[i]] <- aictab(cand.set= listall_LPP_101111[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod1_LPP_101111[[i]])
  Spmod2_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod2_LPP_101111[[i]])
  #Spmod3_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod3_LPP_101111[[i]])
  Spmod4_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod4_LPP_101111[[i]])
  #Spmod5_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod5_LPP_101111[[i]])
  #Spmod6_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod6_LPP_101111[[i]])
  #Spmod7_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod7_LPP_101111[[i]])
  #Spmod8_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod8_LPP_101111[[i]])
  #Spmod9_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod9_LPP_101111[[i]])
  #Spmod10_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod10_LPP_101111[[i]])
  #Spmod11_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod11_LPP_101111[[i]])
  #Spmod12_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod12_LPP_101111[[i]])
  #Spmod13_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod13_LPP_101111[[i]])
  #Spmod14_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod14_LPP_101111[[i]])
  #Spmod15_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod15_LPP_101111[[i]])
  #Spmod16_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod16_LPP_101111[[i]])
  #Spmod17_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod17_LPP_101111[[i]])
  #Spmod18_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod18_LPP_101111[[i]])
  #Spmod19_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod19_LPP_101111[[i]])
  #Spmod20_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod20_LPP_101111[[i]])
  #Spmod21_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod21_LPP_101111[[i]])
  #Spmod22_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod22_LPP_101111[[i]])
  #Spmod23_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod23_LPP_101111[[i]])
  #Spmod24_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod24_LPP_101111[[i]])
  #Spmod25_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod25_LPP_101111[[i]])
  #Spmod26_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod26_LPP_101111[[i]])
  #Spmod27_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod27_LPP_101111[[i]])
  #Spmod28_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod28_LPP_101111[[i]])
  #Spmod29_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod29_LPP_101111[[i]])
  #Spmod30_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod30_LPP_101111[[i]])
  #Spmod31_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod31_LPP_101111[[i]])
  #Spmod32_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod32_LPP_101111[[i]])
  #Spmod33_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod33_LPP_101111[[i]])
  #Spmod34_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod34_LPP_101111[[i]])
  #Spmod35_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod35_LPP_101111[[i]])
  #Spmod36_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod36_LPP_101111[[i]])
  #Spmod37_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod37_LPP_101111[[i]])
  #Spmod38_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod38_LPP_101111[[i]])
  #Spmod39_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod39_LPP_101111[[i]])
  #Spmod40_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod40_LPP_101111[[i]])
  #Spmod41_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod41_LPP_101111[[i]])
  #Spmod42_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod42_LPP_101111[[i]])
  #Spmod43_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod43_LPP_101111[[i]])
  #Spmod44_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod44_LPP_101111[[i]])
  #Spmod45_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod45_LPP_101111[[i]])
  #Spmod46_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod46_LPP_101111[[i]])
  #Spmod47_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod47_LPP_101111[[i]])
  #Spmod48_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod48_LPP_101111[[i]])
  #Spmod49_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod49_LPP_101111[[i]])
  #Spmod50_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod50_LPP_101111[[i]])
  #Spmod51_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod51_LPP_101111[[i]])
  #Spmod52_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod52_LPP_101111[[i]])
  #Spmod53_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod53_LPP_101111[[i]])
  #Spmod54_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod54_LPP_101111[[i]])
  #Spmod55_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod55_LPP_101111[[i]])
  #Spmod56_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod56_LPP_101111[[i]])
  #Spmod57_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod57_LPP_101111[[i]])
  #Spmod58_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod58_LPP_101111[[i]])
  #Spmod59_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod59_LPP_101111[[i]])
  #Spmod60_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod60_LPP_101111[[i]])
  #Spmod61_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod61_LPP_101111[[i]])
  #Spmod62_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod62_LPP_101111[[i]])
  #Spmod63_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod63_LPP_101111[[i]])
  #Spmod64_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod64_LPP_101111[[i]])
  #Spmod65_LPP_101111_R[[i]]<-NagelkerkeR2(Spmod65_LPP_101111[[i]])
  
  Spmod1_LPP_101111_R[[i]]$Modnames <-1
  Spmod2_LPP_101111_R[[i]]$Modnames <-2
  #Spmod3_LPP_101111_R[[i]]$Modnames <-3
  Spmod4_LPP_101111_R[[i]]$Modnames <-4
  #Spmod5_LPP_101111_R[[i]]$Modnames <-5
  #Spmod6_LPP_101111_R[[i]]$Modnames <-6
  #Spmod7_LPP_101111_R[[i]]$Modnames <-7
  #Spmod8_LPP_101111_R[[i]]$Modnames <-8
  #Spmod9_LPP_101111_R[[i]]$Modnames <-9
  #Spmod10_LPP_101111_R[[i]]$Modnames <-10
  #Spmod11_LPP_101111_R[[i]]$Modnames <-11
  #Spmod12_LPP_101111_R[[i]]$Modnames <-12
  #Spmod13_LPP_101111_R[[i]]$Modnames <-13
  #Spmod14_LPP_101111_R[[i]]$Modnames <-14
  #Spmod15_LPP_101111_R[[i]]$Modnames <-15
  #Spmod16_LPP_101111_R[[i]]$Modnames <-16
  #Spmod17_LPP_101111_R[[i]]$Modnames <-17
  #Spmod18_LPP_101111_R[[i]]$Modnames <-18
  #Spmod19_LPP_101111_R[[i]]$Modnames <-19
  #Spmod20_LPP_101111_R[[i]]$Modnames <-20
  #Spmod21_LPP_101111_R[[i]]$Modnames <-21
  #Spmod22_LPP_101111_R[[i]]$Modnames <-22
  #Spmod23_LPP_101111_R[[i]]$Modnames <-23
  #Spmod24_LPP_101111_R[[i]]$Modnames <-24
  #Spmod25_LPP_101111_R[[i]]$Modnames <-25
  #Spmod26_LPP_101111_R[[i]]$Modnames <-26
  #Spmod27_LPP_101111_R[[i]]$Modnames <-27
  #Spmod28_LPP_101111_R[[i]]$Modnames <-28
  #Spmod29_LPP_101111_R[[i]]$Modnames <-29
  #Spmod30_LPP_101111_R[[i]]$Modnames <-30
  #Spmod31_LPP_101111_R[[i]]$Modnames <-31
  #Spmod32_LPP_101111_R[[i]]$Modnames <-32
  #Spmod33_LPP_101111_R[[i]]$Modnames <-33
  #Spmod34_LPP_101111_R[[i]]$Modnames <-34
  #Spmod35_LPP_101111_R[[i]]$Modnames <-35
  #Spmod36_LPP_101111_R[[i]]$Modnames <-36
  #Spmod37_LPP_101111_R[[i]]$Modnames <-37
  #Spmod38_LPP_101111_R[[i]]$Modnames <-38
  #Spmod39_LPP_101111_R[[i]]$Modnames <-39
  #Spmod40_LPP_101111_R[[i]]$Modnames <-40
  #Spmod41_LPP_101111_R[[i]]$Modnames <-41
  #Spmod42_LPP_101111_R[[i]]$Modnames <-42
  #Spmod43_LPP_101111_R[[i]]$Modnames <-43
  #Spmod44_LPP_101111_R[[i]]$Modnames <-44
  #Spmod45_LPP_101111_R[[i]]$Modnames <-45
  #Spmod46_LPP_101111_R[[i]]$Modnames <-46
  #Spmod47_LPP_101111_R[[i]]$Modnames <-47
  #Spmod48_LPP_101111_R[[i]]$Modnames <-48
  #Spmod49_LPP_101111_R[[i]]$Modnames <-49
  #Spmod50_LPP_101111_R[[i]]$Modnames <-50
  #Spmod51_LPP_101111_R[[i]]$Modnames <-51
  #Spmod52_LPP_101111_R[[i]]$Modnames <-52
  #Spmod53_LPP_101111_R[[i]]$Modnames <-53
  #Spmod54_LPP_101111_R[[i]]$Modnames <-54
  #Spmod55_LPP_101111_R[[i]]$Modnames <-55
  #Spmod56_LPP_101111_R[[i]]$Modnames <-56
  #Spmod57_LPP_101111_R[[i]]$Modnames <-57
  #Spmod58_LPP_101111_R[[i]]$Modnames <-58
  #Spmod59_LPP_101111_R[[i]]$Modnames <-59
  #Spmod60_LPP_101111_R[[i]]$Modnames <-60
  #Spmod61_LPP_101111_R[[i]]$Modnames <-61
  #Spmod62_LPP_101111_R[[i]]$Modnames <-62
  #Spmod63_LPP_101111_R[[i]]$Modnames <-63
  #Spmod64_LPP_101111_R[[i]]$Modnames <-64
  #Spmod65_LPP_101111_R[[i]]$Modnames <-65
  
  modelavg_LPP_101111[[i]] <- model.avg(listall_LPP_101111[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  L_101111_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_LPP_101111_R,
  Spmod2_LPP_101111_R,
  #Spmod3_LPP_101111_R,
  Spmod4_LPP_101111_R)))
  #Spmod5_LPP_101111_R,
  #Spmod6_LPP_101111_R,
  #Spmod7_LPP_101111_R,
  #Spmod8_LPP_101111_R,
  #Spmod9_LPP_101111_R,
  #Spmod10_LPP_101111_R,
  #Spmod11_LPP_101111_R,
  #Spmod12_LPP_101111_R,
  #Spmod13_LPP_101111_R,
  #Spmod14_LPP_101111_R,
  #Spmod15_LPP_101111_R,
  #Spmod16_LPP_101111_R,
  #Spmod17_LPP_101111_R,
  #Spmod18_LPP_101111_R,
  #Spmod19_LPP_101111_R,
  #Spmod20_LPP_101111_R,
  #Spmod21_LPP_101111_R,
  #Spmod22_LPP_101111_R,
  #Spmod23_LPP_101111_R,
  #Spmod24_LPP_101111_R,
  #Spmod25_LPP_101111_R,
  #Spmod26_LPP_101111_R,
  #Spmod27_LPP_101111_R,
  #Spmod28_LPP_101111_R,
  #Spmod29_LPP_101111_R,
  #Spmod30_LPP_101111_R,
  #Spmod31_LPP_101111_R,
  #Spmod32_LPP_101111_R,
  #Spmod33_LPP_101111_R,
  #Spmod34_LPP_101111_R,
  #Spmod35_LPP_101111_R,
  #Spmod36_LPP_101111_R,
  #Spmod37_LPP_101111_R,
  #Spmod38_LPP_101111_R,
  #Spmod39_LPP_101111_R,
  #Spmod40_LPP_101111_R,
  #Spmod41_LPP_101111_R,
  #Spmod42_LPP_101111_R,
  #Spmod43_LPP_101111_R,
  #Spmod44_LPP_101111_R,
  #Spmod45_LPP_101111_R,
  #Spmod46_LPP_101111_R,
  #Spmod47_LPP_101111_R,
  #Spmod48_LPP_101111_R,
  #Spmod49_LPP_101111_R,
  #Spmod50_LPP_101111_R,
  #Spmod51_LPP_101111_R,
  #Spmod52_LPP_101111_R,
  #Spmod53_LPP_101111_R,
  #Spmod54_LPP_101111_R,
  #Spmod55_LPP_101111_R,
  #Spmod56_LPP_101111_R,
  #Spmod57_LPP_101111_R,
  #Spmod58_LPP_101111_R,
  #Spmod59_LPP_101111_R,
  #Spmod60_LPP_101111_R,
  #Spmod61_LPP_101111_R,
  #Spmod62_LPP_101111_R,
  #Spmod63_LPP_101111_R,
  #Spmod64_LPP_101111_R,
  #Spmod65_LPP_101111_R)))
  
  L_101111_R2_N <- L_101111_R2[L_101111_R2$L3 == "N",]
  names(L_101111_R2_N)[1] <- "N"
  L_101111_R2_R2 <- L_101111_R2[L_101111_R2$L3 == "R2", ]
  names(L_101111_R2_R2)[1] <- "R2"
  L_101111_R2_MN <- L_101111_R2[L_101111_R2$L3 == "Modnames", ]
  names(L_101111_R2_MN)[1] <- "Modnames"   
  
  L_101111_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(L_101111_R2_N, L_101111_R2_R2, L_101111_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(L_101111_R2_r)[1] <- "Species"
  
  AIC_101111_L <- melt(SpAIC_LPP_101111, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_101111_L <- subset(AIC_101111_L, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_101111_L)[1] <- "Species"
  
  Results_101111_L <- merge(AIC_101111_L, L_101111_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_101111_L$exclusion <- "101111"
  
}




# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_110110", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_LPP_110110 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_LPP_110110 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_LPP_110110 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_110110_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v110110_species_L)){
  Spmod1_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~1,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod5_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod20_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_LPP_110110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_LPP_110110[[i]] <- list(Spmod1_LPP_110110[[i]],
                                  Spmod2_LPP_110110[[i]],
  
  #Spmod3_LPP_110110[[i]],
  #Spmod4_LPP_110110[[i]],
  Spmod5_LPP_110110[[i]],
  #Spmod6_LPP_110110[[i]],
  #Spmod7_LPP_110110[[i]],
  Spmod8_LPP_110110[[i]],
  #Spmod9_LPP_110110[[i]],
  #Spmod10_LPP_110110[[i]],
  #Spmod11_LPP_110110[[i]],
  #Spmod12_LPP_110110[[i]],
  #Spmod13_LPP_110110[[i]]
  #Spmod14_LPP_110110[[i]],
  #Spmod15_LPP_110110[[i]],
  #Spmod16_LPP_110110[[i]],
  #Spmod17_LPP_110110[[i]],
  #Spmod18_LPP_110110[[i]],
  #Spmod19_LPP_110110[[i]],
  Spmod20_LPP_110110[[i]])
  #Spmod21_LPP_110110[[i]],
  #Spmod22_LPP_110110[[i]],
  #Spmod23_LPP_110110[[i]],
  #Spmod24_LPP_110110[[i]],
  #Spmod25_LPP_110110[[i]],
  #Spmod26_LPP_110110[[i]],
  #Spmod27_LPP_110110[[i]],
  #Spmod28_LPP_110110[[i]],
  #Spmod29_LPP_110110[[i]],
  #Spmod30_LPP_110110[[i]],
  #Spmod31_LPP_110110[[i]],
  #Spmod32_LPP_110110[[i]],
  #Spmod33_LPP_110110[[i]],
  #Spmod34_LPP_110110[[i]],
  #Spmod35_LPP_110110[[i]],
  #Spmod36_LPP_110110[[i]],
  #Spmod37_LPP_110110[[i]],
  #Spmod38_LPP_110110[[i]],
  #Spmod39_LPP_110110[[i]],
  #Spmod40_LPP_110110[[i]],
  #Spmod41_LPP_110110[[i]],
  #Spmod42_LPP_110110[[i]],
  #Spmod43_LPP_110110[[i]],
  #Spmod44_LPP_110110[[i]],
  #Spmod45_LPP_110110[[i]],
  #Spmod46_LPP_110110[[i]],
  #Spmod47_LPP_110110[[i]],
  #Spmod48_LPP_110110[[i]],
  #Spmod49_LPP_110110[[i]],
  #Spmod50_LPP_110110[[i]],
  #Spmod51_LPP_110110[[i]],
  #Spmod52_LPP_110110[[i]],
  #Spmod53_LPP_110110[[i]],
  #Spmod54_LPP_110110[[i]],
  #Spmod55_LPP_110110[[i]],
  #Spmod56_LPP_110110[[i]],
  #Spmod57_LPP_110110[[i]],
  #Spmod58_LPP_110110[[i]],
  #Spmod59_LPP_110110[[i]],
  #Spmod60_LPP_110110[[i]],
  #Spmod61_LPP_110110[[i]],
  #Spmod62_LPP_110110[[i]],
  #Spmod63_LPP_110110[[i]],
  #Spmod64_LPP_110110[[i]],
  #Spmod65_LPP_110110[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  #"4",
  "5",
  #"6",
  #"7",
  "8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13")
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  "20")
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_LPP_110110[[i]] <- aictab(cand.set= listall_LPP_110110[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod1_LPP_110110[[i]])
  Spmod2_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod2_LPP_110110[[i]])
  #Spmod3_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod3_LPP_110110[[i]])
  #Spmod4_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod4_LPP_110110[[i]])
  Spmod5_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod5_LPP_110110[[i]])
  #Spmod6_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod6_LPP_110110[[i]])
  #Spmod7_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod7_LPP_110110[[i]])
  Spmod8_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod8_LPP_110110[[i]])
  #Spmod9_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod9_LPP_110110[[i]])
  #Spmod10_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod10_LPP_110110[[i]])
  #Spmod11_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod11_LPP_110110[[i]])
  #Spmod12_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod12_LPP_110110[[i]])
  #Spmod13_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod13_LPP_110110[[i]])
  #Spmod14_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod14_LPP_110110[[i]])
  #Spmod15_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod15_LPP_110110[[i]])
  #Spmod16_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod16_LPP_110110[[i]])
  #Spmod17_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod17_LPP_110110[[i]])
  #Spmod18_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod18_LPP_110110[[i]])
  #Spmod19_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod19_LPP_110110[[i]])
  Spmod20_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod20_LPP_110110[[i]])
  #Spmod21_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod21_LPP_110110[[i]])
  #Spmod22_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod22_LPP_110110[[i]])
  #Spmod23_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod23_LPP_110110[[i]])
  #Spmod24_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod24_LPP_110110[[i]])
  #Spmod25_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod25_LPP_110110[[i]])
  #Spmod26_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod26_LPP_110110[[i]])
  #Spmod27_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod27_LPP_110110[[i]])
  #Spmod28_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod28_LPP_110110[[i]])
  #Spmod29_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod29_LPP_110110[[i]])
  #Spmod30_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod30_LPP_110110[[i]])
  #Spmod31_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod31_LPP_110110[[i]])
  #Spmod32_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod32_LPP_110110[[i]])
  #Spmod33_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod33_LPP_110110[[i]])
  #Spmod34_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod34_LPP_110110[[i]])
  #Spmod35_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod35_LPP_110110[[i]])
  #Spmod36_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod36_LPP_110110[[i]])
  #Spmod37_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod37_LPP_110110[[i]])
  #Spmod38_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod38_LPP_110110[[i]])
  #Spmod39_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod39_LPP_110110[[i]])
  #Spmod40_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod40_LPP_110110[[i]])
  #Spmod41_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod41_LPP_110110[[i]])
  #Spmod42_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod42_LPP_110110[[i]])
  #Spmod43_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod43_LPP_110110[[i]])
  #Spmod44_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod44_LPP_110110[[i]])
  #Spmod45_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod45_LPP_110110[[i]])
  #Spmod46_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod46_LPP_110110[[i]])
  #Spmod47_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod47_LPP_110110[[i]])
  #Spmod48_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod48_LPP_110110[[i]])
  #Spmod49_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod49_LPP_110110[[i]])
  #Spmod50_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod50_LPP_110110[[i]])
  #Spmod51_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod51_LPP_110110[[i]])
  #Spmod52_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod52_LPP_110110[[i]])
  #Spmod53_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod53_LPP_110110[[i]])
  #Spmod54_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod54_LPP_110110[[i]])
  #Spmod55_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod55_LPP_110110[[i]])
  #Spmod56_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod56_LPP_110110[[i]])
  #Spmod57_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod57_LPP_110110[[i]])
  #Spmod58_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod58_LPP_110110[[i]])
  #Spmod59_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod59_LPP_110110[[i]])
  #Spmod60_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod60_LPP_110110[[i]])
  #Spmod61_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod61_LPP_110110[[i]])
  #Spmod62_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod62_LPP_110110[[i]])
  #Spmod63_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod63_LPP_110110[[i]])
  #Spmod64_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod64_LPP_110110[[i]])
  #Spmod65_LPP_110110_R[[i]]<-NagelkerkeR2(Spmod65_LPP_110110[[i]])
  
  Spmod1_LPP_110110_R[[i]]$Modnames <-1
  Spmod2_LPP_110110_R[[i]]$Modnames <-2
  #Spmod3_LPP_110110_R[[i]]$Modnames <-3
  #Spmod4_LPP_110110_R[[i]]$Modnames <-4
  Spmod5_LPP_110110_R[[i]]$Modnames <-5
  #Spmod6_LPP_110110_R[[i]]$Modnames <-6
  #Spmod7_LPP_110110_R[[i]]$Modnames <-7
  Spmod8_LPP_110110_R[[i]]$Modnames <-8
  #Spmod9_LPP_110110_R[[i]]$Modnames <-9
  #Spmod10_LPP_110110_R[[i]]$Modnames <-10
  #Spmod11_LPP_110110_R[[i]]$Modnames <-11
  #Spmod12_LPP_110110_R[[i]]$Modnames <-12
  #Spmod13_LPP_110110_R[[i]]$Modnames <-13
  #Spmod14_LPP_110110_R[[i]]$Modnames <-14
  #Spmod15_LPP_110110_R[[i]]$Modnames <-15
  #Spmod16_LPP_110110_R[[i]]$Modnames <-16
  #Spmod17_LPP_110110_R[[i]]$Modnames <-17
  #Spmod18_LPP_110110_R[[i]]$Modnames <-18
  #Spmod19_LPP_110110_R[[i]]$Modnames <-19
  Spmod20_LPP_110110_R[[i]]$Modnames <-20
  #Spmod21_LPP_110110_R[[i]]$Modnames <-21
  #Spmod22_LPP_110110_R[[i]]$Modnames <-22
  #Spmod23_LPP_110110_R[[i]]$Modnames <-23
  #Spmod24_LPP_110110_R[[i]]$Modnames <-24
  #Spmod25_LPP_110110_R[[i]]$Modnames <-25
  #Spmod26_LPP_110110_R[[i]]$Modnames <-26
  #Spmod27_LPP_110110_R[[i]]$Modnames <-27
  #Spmod28_LPP_110110_R[[i]]$Modnames <-28
  #Spmod29_LPP_110110_R[[i]]$Modnames <-29
  #Spmod30_LPP_110110_R[[i]]$Modnames <-30
  #Spmod31_LPP_110110_R[[i]]$Modnames <-31
  #Spmod32_LPP_110110_R[[i]]$Modnames <-32
  #Spmod33_LPP_110110_R[[i]]$Modnames <-33
  #Spmod34_LPP_110110_R[[i]]$Modnames <-34
  #Spmod35_LPP_110110_R[[i]]$Modnames <-35
  #Spmod36_LPP_110110_R[[i]]$Modnames <-36
  #Spmod37_LPP_110110_R[[i]]$Modnames <-37
  #Spmod38_LPP_110110_R[[i]]$Modnames <-38
  #Spmod39_LPP_110110_R[[i]]$Modnames <-39
  #Spmod40_LPP_110110_R[[i]]$Modnames <-40
  #Spmod41_LPP_110110_R[[i]]$Modnames <-41
  #Spmod42_LPP_110110_R[[i]]$Modnames <-42
  #Spmod43_LPP_110110_R[[i]]$Modnames <-43
  #Spmod44_LPP_110110_R[[i]]$Modnames <-44
  #Spmod45_LPP_110110_R[[i]]$Modnames <-45
  #Spmod46_LPP_110110_R[[i]]$Modnames <-46
  #Spmod47_LPP_110110_R[[i]]$Modnames <-47
  #Spmod48_LPP_110110_R[[i]]$Modnames <-48
  #Spmod49_LPP_110110_R[[i]]$Modnames <-49
  #Spmod50_LPP_110110_R[[i]]$Modnames <-50
  #Spmod51_LPP_110110_R[[i]]$Modnames <-51
  #Spmod52_LPP_110110_R[[i]]$Modnames <-52
  #Spmod53_LPP_110110_R[[i]]$Modnames <-53
  #Spmod54_LPP_110110_R[[i]]$Modnames <-54
  #Spmod55_LPP_110110_R[[i]]$Modnames <-55
  #Spmod56_LPP_110110_R[[i]]$Modnames <-56
  #Spmod57_LPP_110110_R[[i]]$Modnames <-57
  #Spmod58_LPP_110110_R[[i]]$Modnames <-58
  #Spmod59_LPP_110110_R[[i]]$Modnames <-59
  #Spmod60_LPP_110110_R[[i]]$Modnames <-60
  #Spmod61_LPP_110110_R[[i]]$Modnames <-61
  #Spmod62_LPP_110110_R[[i]]$Modnames <-62
  #Spmod63_LPP_110110_R[[i]]$Modnames <-63
  #Spmod64_LPP_110110_R[[i]]$Modnames <-64
  #Spmod65_LPP_110110_R[[i]]$Modnames <-65
  
  modelavg_LPP_110110[[i]] <- model.avg(listall_LPP_110110[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  L_110110_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_LPP_110110_R,
  Spmod2_LPP_110110_R,
  #Spmod3_LPP_110110_R,
  #Spmod4_LPP_110110_R,
  Spmod5_LPP_110110_R,
  #Spmod6_LPP_110110_R,
  #Spmod7_LPP_110110_R,
  Spmod8_LPP_110110_R,
  #Spmod9_LPP_110110_R,
  #Spmod10_LPP_110110_R,
  #Spmod11_LPP_110110_R,
  #Spmod12_LPP_110110_R,
  #Spmod13_LPP_110110_R,
  #Spmod14_LPP_110110_R,
  #Spmod15_LPP_110110_R,
  #Spmod16_LPP_110110_R,
  #Spmod17_LPP_110110_R,
  #Spmod18_LPP_110110_R,
  #Spmod19_LPP_110110_R,
  Spmod20_LPP_110110_R)))
  #Spmod21_LPP_110110_R,
  #Spmod22_LPP_110110_R,
  #Spmod23_LPP_110110_R,
  #Spmod24_LPP_110110_R,
  #Spmod25_LPP_110110_R,
  #Spmod26_LPP_110110_R,
  #Spmod27_LPP_110110_R,
  #Spmod28_LPP_110110_R,
  #Spmod29_LPP_110110_R,
  #Spmod30_LPP_110110_R,
  #Spmod31_LPP_110110_R,
  #Spmod32_LPP_110110_R,
  #Spmod33_LPP_110110_R,
  #Spmod34_LPP_110110_R,
  #Spmod35_LPP_110110_R,
  #Spmod36_LPP_110110_R,
  #Spmod37_LPP_110110_R,
  #Spmod38_LPP_110110_R,
  #Spmod39_LPP_110110_R,
  #Spmod40_LPP_110110_R,
  #Spmod41_LPP_110110_R,
  #Spmod42_LPP_110110_R,
  #Spmod43_LPP_110110_R,
  #Spmod44_LPP_110110_R,
  #Spmod45_LPP_110110_R,
  #Spmod46_LPP_110110_R,
  #Spmod47_LPP_110110_R,
  #Spmod48_LPP_110110_R,
  #Spmod49_LPP_110110_R,
  #Spmod50_LPP_110110_R,
  #Spmod51_LPP_110110_R,
  #Spmod52_LPP_110110_R,
  #Spmod53_LPP_110110_R,
  #Spmod54_LPP_110110_R,
  #Spmod55_LPP_110110_R,
  #Spmod56_LPP_110110_R,
  #Spmod57_LPP_110110_R,
  #Spmod58_LPP_110110_R,
  #Spmod59_LPP_110110_R,
  #Spmod60_LPP_110110_R,
  #Spmod61_LPP_110110_R,
  #Spmod62_LPP_110110_R,
  #Spmod63_LPP_110110_R,
  #Spmod64_LPP_110110_R,
  #Spmod65_LPP_110110_R)))
  
  L_110110_R2_N <- L_110110_R2[L_110110_R2$L3 == "N",]
  names(L_110110_R2_N)[1] <- "N"
  L_110110_R2_R2 <- L_110110_R2[L_110110_R2$L3 == "R2", ]
  names(L_110110_R2_R2)[1] <- "R2"
  L_110110_R2_MN <- L_110110_R2[L_110110_R2$L3 == "Modnames", ]
  names(L_110110_R2_MN)[1] <- "Modnames"   
  
  L_110110_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(L_110110_R2_N, L_110110_R2_R2, L_110110_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(L_110110_R2_r)[1] <- "Species"
  
  AIC_110110_L <- melt(SpAIC_LPP_110110, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_110110_L <- subset(AIC_110110_L, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_110110_L)[1] <- "Species"
  
  Results_110110_L <- merge(AIC_110110_L, L_110110_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_110110_L$exclusion <- "110110"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_110111", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_LPP_110111 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_LPP_110111 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_LPP_110111 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_110111_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v110111_species_L)){
  Spmod1_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~1,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod5_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_LPP_110111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_LPP_110111[[i]] <- list(Spmod1_LPP_110111[[i]],
                                  Spmod2_LPP_110111[[i]],
  
  #Spmod3_LPP_110111[[i]],
  #Spmod4_LPP_110111[[i]],
  Spmod5_LPP_110111[[i]])
  #Spmod6_LPP_110111[[i]],
  #Spmod7_LPP_110111[[i]],
  #Spmod8_LPP_110111[[i]],
  #Spmod9_LPP_110111[[i]],
  #Spmod10_LPP_110111[[i]],
  #Spmod11_LPP_110111[[i]],
  #Spmod12_LPP_110111[[i]],
  #Spmod13_LPP_110111[[i]],
  #Spmod14_LPP_110111[[i]],
  #Spmod15_LPP_110111[[i]],
  #Spmod16_LPP_110111[[i]],
  #Spmod17_LPP_110111[[i]],
  #Spmod18_LPP_110111[[i]],
  #Spmod19_LPP_110111[[i]],
  #Spmod20_LPP_110111[[i]],
  #Spmod21_LPP_110111[[i]],
  #Spmod22_LPP_110111[[i]],
  #Spmod23_LPP_110111[[i]],
  #Spmod24_LPP_110111[[i]],
  #Spmod25_LPP_110111[[i]],
  #Spmod26_LPP_110111[[i]],
  #Spmod27_LPP_110111[[i]],
  #Spmod28_LPP_110111[[i]],
  #Spmod29_LPP_110111[[i]],
  #Spmod30_LPP_110111[[i]],
  #Spmod31_LPP_110111[[i]],
  #Spmod32_LPP_110111[[i]],
  #Spmod33_LPP_110111[[i]],
  #Spmod34_LPP_110111[[i]],
  #Spmod35_LPP_110111[[i]],
  #Spmod36_LPP_110111[[i]],
  #Spmod37_LPP_110111[[i]],
  #Spmod38_LPP_110111[[i]],
  #Spmod39_LPP_110111[[i]],
  #Spmod40_LPP_110111[[i]],
  #Spmod41_LPP_110111[[i]],
  #Spmod42_LPP_110111[[i]],
  #Spmod43_LPP_110111[[i]],
  #Spmod44_LPP_110111[[i]],
  #Spmod45_LPP_110111[[i]],
  #Spmod46_LPP_110111[[i]],
  #Spmod47_LPP_110111[[i]],
  #Spmod48_LPP_110111[[i]],
  #Spmod49_LPP_110111[[i]],
  #Spmod50_LPP_110111[[i]],
  #Spmod51_LPP_110111[[i]],
  #Spmod52_LPP_110111[[i]],
  #Spmod53_LPP_110111[[i]],
  #Spmod54_LPP_110111[[i]],
  #Spmod55_LPP_110111[[i]],
  #Spmod56_LPP_110111[[i]],
  #Spmod57_LPP_110111[[i]],
  #Spmod58_LPP_110111[[i]],
  #Spmod59_LPP_110111[[i]],
  #Spmod60_LPP_110111[[i]],
  #Spmod61_LPP_110111[[i]],
  #Spmod62_LPP_110111[[i]],
  #Spmod63_LPP_110111[[i]],
  #Spmod64_LPP_110111[[i]],
  #Spmod65_LPP_110111[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  #"4",
  "5")
  #"6",
  #"7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_LPP_110111[[i]] <- aictab(cand.set= listall_LPP_110111[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod1_LPP_110111[[i]])
  Spmod2_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod2_LPP_110111[[i]])
  #Spmod3_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod3_LPP_110111[[i]])
  #Spmod4_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod4_LPP_110111[[i]])
  Spmod5_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod5_LPP_110111[[i]])
  #Spmod6_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod6_LPP_110111[[i]])
  #Spmod7_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod7_LPP_110111[[i]])
  #Spmod8_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod8_LPP_110111[[i]])
  #Spmod9_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod9_LPP_110111[[i]])
  #Spmod10_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod10_LPP_110111[[i]])
  #Spmod11_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod11_LPP_110111[[i]])
  #Spmod12_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod12_LPP_110111[[i]])
  #Spmod13_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod13_LPP_110111[[i]])
  #Spmod14_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod14_LPP_110111[[i]])
  #Spmod15_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod15_LPP_110111[[i]])
  #Spmod16_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod16_LPP_110111[[i]])
  #Spmod17_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod17_LPP_110111[[i]])
  #Spmod18_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod18_LPP_110111[[i]])
  #Spmod19_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod19_LPP_110111[[i]])
  #Spmod20_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod20_LPP_110111[[i]])
  #Spmod21_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod21_LPP_110111[[i]])
  #Spmod22_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod22_LPP_110111[[i]])
  #Spmod23_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod23_LPP_110111[[i]])
  #Spmod24_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod24_LPP_110111[[i]])
  #Spmod25_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod25_LPP_110111[[i]])
  #Spmod26_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod26_LPP_110111[[i]])
  #Spmod27_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod27_LPP_110111[[i]])
  #Spmod28_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod28_LPP_110111[[i]])
  #Spmod29_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod29_LPP_110111[[i]])
  #Spmod30_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod30_LPP_110111[[i]])
  #Spmod31_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod31_LPP_110111[[i]])
  #Spmod32_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod32_LPP_110111[[i]])
  #Spmod33_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod33_LPP_110111[[i]])
  #Spmod34_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod34_LPP_110111[[i]])
  #Spmod35_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod35_LPP_110111[[i]])
  #Spmod36_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod36_LPP_110111[[i]])
  #Spmod37_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod37_LPP_110111[[i]])
  #Spmod38_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod38_LPP_110111[[i]])
  #Spmod39_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod39_LPP_110111[[i]])
  #Spmod40_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod40_LPP_110111[[i]])
  #Spmod41_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod41_LPP_110111[[i]])
  #Spmod42_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod42_LPP_110111[[i]])
  #Spmod43_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod43_LPP_110111[[i]])
  #Spmod44_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod44_LPP_110111[[i]])
  #Spmod45_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod45_LPP_110111[[i]])
  #Spmod46_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod46_LPP_110111[[i]])
  #Spmod47_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod47_LPP_110111[[i]])
  #Spmod48_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod48_LPP_110111[[i]])
  #Spmod49_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod49_LPP_110111[[i]])
  #Spmod50_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod50_LPP_110111[[i]])
  #Spmod51_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod51_LPP_110111[[i]])
  #Spmod52_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod52_LPP_110111[[i]])
  #Spmod53_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod53_LPP_110111[[i]])
  #Spmod54_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod54_LPP_110111[[i]])
  #Spmod55_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod55_LPP_110111[[i]])
  #Spmod56_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod56_LPP_110111[[i]])
  #Spmod57_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod57_LPP_110111[[i]])
  #Spmod58_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod58_LPP_110111[[i]])
  #Spmod59_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod59_LPP_110111[[i]])
  #Spmod60_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod60_LPP_110111[[i]])
  #Spmod61_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod61_LPP_110111[[i]])
  #Spmod62_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod62_LPP_110111[[i]])
  #Spmod63_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod63_LPP_110111[[i]])
  #Spmod64_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod64_LPP_110111[[i]])
  #Spmod65_LPP_110111_R[[i]]<-NagelkerkeR2(Spmod65_LPP_110111[[i]])
  
  Spmod1_LPP_110111_R[[i]]$Modnames <-1
  Spmod2_LPP_110111_R[[i]]$Modnames <-2
  #Spmod3_LPP_110111_R[[i]]$Modnames <-3
  #Spmod4_LPP_110111_R[[i]]$Modnames <-4
  Spmod5_LPP_110111_R[[i]]$Modnames <-5
  #Spmod6_LPP_110111_R[[i]]$Modnames <-6
  #Spmod7_LPP_110111_R[[i]]$Modnames <-7
  #Spmod8_LPP_110111_R[[i]]$Modnames <-8
  #Spmod9_LPP_110111_R[[i]]$Modnames <-9
  #Spmod10_LPP_110111_R[[i]]$Modnames <-10
  #Spmod11_LPP_110111_R[[i]]$Modnames <-11
  #Spmod12_LPP_110111_R[[i]]$Modnames <-12
  #Spmod13_LPP_110111_R[[i]]$Modnames <-13
  #Spmod14_LPP_110111_R[[i]]$Modnames <-14
  #Spmod15_LPP_110111_R[[i]]$Modnames <-15
  #Spmod16_LPP_110111_R[[i]]$Modnames <-16
  #Spmod17_LPP_110111_R[[i]]$Modnames <-17
  #Spmod18_LPP_110111_R[[i]]$Modnames <-18
  #Spmod19_LPP_110111_R[[i]]$Modnames <-19
  #Spmod20_LPP_110111_R[[i]]$Modnames <-20
  #Spmod21_LPP_110111_R[[i]]$Modnames <-21
  #Spmod22_LPP_110111_R[[i]]$Modnames <-22
  #Spmod23_LPP_110111_R[[i]]$Modnames <-23
  #Spmod24_LPP_110111_R[[i]]$Modnames <-24
  #Spmod25_LPP_110111_R[[i]]$Modnames <-25
  #Spmod26_LPP_110111_R[[i]]$Modnames <-26
  #Spmod27_LPP_110111_R[[i]]$Modnames <-27
  #Spmod28_LPP_110111_R[[i]]$Modnames <-28
  #Spmod29_LPP_110111_R[[i]]$Modnames <-29
  #Spmod30_LPP_110111_R[[i]]$Modnames <-30
  #Spmod31_LPP_110111_R[[i]]$Modnames <-31
  #Spmod32_LPP_110111_R[[i]]$Modnames <-32
  #Spmod33_LPP_110111_R[[i]]$Modnames <-33
  #Spmod34_LPP_110111_R[[i]]$Modnames <-34
  #Spmod35_LPP_110111_R[[i]]$Modnames <-35
  #Spmod36_LPP_110111_R[[i]]$Modnames <-36
  #Spmod37_LPP_110111_R[[i]]$Modnames <-37
  #Spmod38_LPP_110111_R[[i]]$Modnames <-38
  #Spmod39_LPP_110111_R[[i]]$Modnames <-39
  #Spmod40_LPP_110111_R[[i]]$Modnames <-40
  #Spmod41_LPP_110111_R[[i]]$Modnames <-41
  #Spmod42_LPP_110111_R[[i]]$Modnames <-42
  #Spmod43_LPP_110111_R[[i]]$Modnames <-43
  #Spmod44_LPP_110111_R[[i]]$Modnames <-44
  #Spmod45_LPP_110111_R[[i]]$Modnames <-45
  #Spmod46_LPP_110111_R[[i]]$Modnames <-46
  #Spmod47_LPP_110111_R[[i]]$Modnames <-47
  #Spmod48_LPP_110111_R[[i]]$Modnames <-48
  #Spmod49_LPP_110111_R[[i]]$Modnames <-49
  #Spmod50_LPP_110111_R[[i]]$Modnames <-50
  #Spmod51_LPP_110111_R[[i]]$Modnames <-51
  #Spmod52_LPP_110111_R[[i]]$Modnames <-52
  #Spmod53_LPP_110111_R[[i]]$Modnames <-53
  #Spmod54_LPP_110111_R[[i]]$Modnames <-54
  #Spmod55_LPP_110111_R[[i]]$Modnames <-55
  #Spmod56_LPP_110111_R[[i]]$Modnames <-56
  #Spmod57_LPP_110111_R[[i]]$Modnames <-57
  #Spmod58_LPP_110111_R[[i]]$Modnames <-58
  #Spmod59_LPP_110111_R[[i]]$Modnames <-59
  #Spmod60_LPP_110111_R[[i]]$Modnames <-60
  #Spmod61_LPP_110111_R[[i]]$Modnames <-61
  #Spmod62_LPP_110111_R[[i]]$Modnames <-62
  #Spmod63_LPP_110111_R[[i]]$Modnames <-63
  #Spmod64_LPP_110111_R[[i]]$Modnames <-64
  #Spmod65_LPP_110111_R[[i]]$Modnames <-65
  
  modelavg_LPP_110111[[i]] <- model.avg(listall_LPP_110111[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  L_110111_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_LPP_110111_R,
  Spmod2_LPP_110111_R,
  #Spmod3_LPP_110111_R,
  #Spmod4_LPP_110111_R,
  Spmod5_LPP_110111_R)))
  #Spmod6_LPP_110111_R,
  #Spmod7_LPP_110111_R,
  #Spmod8_LPP_110111_R,
  #Spmod9_LPP_110111_R,
  #Spmod10_LPP_110111_R,
  #Spmod11_LPP_110111_R,
  #Spmod12_LPP_110111_R,
  #Spmod13_LPP_110111_R,
  #Spmod14_LPP_110111_R,
  #Spmod15_LPP_110111_R,
  #Spmod16_LPP_110111_R,
  #Spmod17_LPP_110111_R,
  #Spmod18_LPP_110111_R,
  #Spmod19_LPP_110111_R,
  #Spmod20_LPP_110111_R,
  #Spmod21_LPP_110111_R,
  #Spmod22_LPP_110111_R,
  #Spmod23_LPP_110111_R,
  #Spmod24_LPP_110111_R,
  #Spmod25_LPP_110111_R,
  #Spmod26_LPP_110111_R,
  #Spmod27_LPP_110111_R,
  #Spmod28_LPP_110111_R,
  #Spmod29_LPP_110111_R,
  #Spmod30_LPP_110111_R,
  #Spmod31_LPP_110111_R,
  #Spmod32_LPP_110111_R,
  #Spmod33_LPP_110111_R,
  #Spmod34_LPP_110111_R,
  #Spmod35_LPP_110111_R,
  #Spmod36_LPP_110111_R,
  #Spmod37_LPP_110111_R,
  #Spmod38_LPP_110111_R,
  #Spmod39_LPP_110111_R,
  #Spmod40_LPP_110111_R,
  #Spmod41_LPP_110111_R,
  #Spmod42_LPP_110111_R,
  #Spmod43_LPP_110111_R,
  #Spmod44_LPP_110111_R,
  #Spmod45_LPP_110111_R,
  #Spmod46_LPP_110111_R,
  #Spmod47_LPP_110111_R,
  #Spmod48_LPP_110111_R,
  #Spmod49_LPP_110111_R,
  #Spmod50_LPP_110111_R,
  #Spmod51_LPP_110111_R,
  #Spmod52_LPP_110111_R,
  #Spmod53_LPP_110111_R,
  #Spmod54_LPP_110111_R,
  #Spmod55_LPP_110111_R,
  #Spmod56_LPP_110111_R,
  #Spmod57_LPP_110111_R,
  #Spmod58_LPP_110111_R,
  #Spmod59_LPP_110111_R,
  #Spmod60_LPP_110111_R,
  #Spmod61_LPP_110111_R,
  #Spmod62_LPP_110111_R,
  #Spmod63_LPP_110111_R,
  #Spmod64_LPP_110111_R,
  #Spmod65_LPP_110111_R)))
  
  L_110111_R2_N <- L_110111_R2[L_110111_R2$L3 == "N",]
  names(L_110111_R2_N)[1] <- "N"
  L_110111_R2_R2 <- L_110111_R2[L_110111_R2$L3 == "R2", ]
  names(L_110111_R2_R2)[1] <- "R2"
  L_110111_R2_MN <- L_110111_R2[L_110111_R2$L3 == "Modnames", ]
  names(L_110111_R2_MN)[1] <- "Modnames"   
  
  L_110111_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(L_110111_R2_N, L_110111_R2_R2, L_110111_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(L_110111_R2_r)[1] <- "Species"
  
  AIC_110111_L <- melt(SpAIC_LPP_110111, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_110111_L <- subset(AIC_110111_L, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_110111_L)[1] <- "Species"
  
  Results_110111_L <- merge(AIC_110111_L, L_110111_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_110111_L$exclusion <- "110111"
  
}



# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_111010", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_LPP_111010 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_LPP_111010 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_LPP_111010 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_111010_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v111010_species_L)){
  Spmod1_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~1,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod6_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod22_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_LPP_111010[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_LPP_111010[[i]] <- list(Spmod1_LPP_111010[[i]],
                                  Spmod2_LPP_111010[[i]],
  
  #Spmod3_LPP_111010[[i]],
  #Spmod4_LPP_111010[[i]],
  #Spmod5_LPP_111010[[i]],
  Spmod6_LPP_111010[[i]],
  #Spmod7_LPP_111010[[i]],
  Spmod8_LPP_111010[[i]],
  #Spmod9_LPP_111010[[i]],
  #Spmod10_LPP_111010[[i]],
  #Spmod11_LPP_111010[[i]],
  #Spmod12_LPP_111010[[i]],
  #Spmod13_LPP_111010[[i]],
  #Spmod14_LPP_111010[[i]],
  #Spmod15_LPP_111010[[i]],
  #Spmod16_LPP_111010[[i]],
  #Spmod17_LPP_111010[[i]],
  #Spmod18_LPP_111010[[i]],
  #Spmod19_LPP_111010[[i]],
  #Spmod20_LPP_111010[[i]],
  #Spmod21_LPP_111010[[i]],
  Spmod22_LPP_111010[[i]])
  #Spmod23_LPP_111010[[i]],
  #Spmod24_LPP_111010[[i]],
  #Spmod25_LPP_111010[[i]],
  #Spmod26_LPP_111010[[i]],
  #Spmod27_LPP_111010[[i]],
  #Spmod28_LPP_111010[[i]],
  #Spmod29_LPP_111010[[i]],
  #Spmod30_LPP_111010[[i]],
  #Spmod31_LPP_111010[[i]],
  #Spmod32_LPP_111010[[i]],
  #Spmod33_LPP_111010[[i]],
  #Spmod34_LPP_111010[[i]],
  #Spmod35_LPP_111010[[i]],
  #Spmod36_LPP_111010[[i]],
  #Spmod37_LPP_111010[[i]],
  #Spmod38_LPP_111010[[i]],
  #Spmod39_LPP_111010[[i]],
  #Spmod40_LPP_111010[[i]],
  #Spmod41_LPP_111010[[i]],
  #Spmod42_LPP_111010[[i]],
  #Spmod43_LPP_111010[[i]],
  #Spmod44_LPP_111010[[i]],
  #Spmod45_LPP_111010[[i]],
  #Spmod46_LPP_111010[[i]],
  #Spmod47_LPP_111010[[i]],
  #Spmod48_LPP_111010[[i]],
  #Spmod49_LPP_111010[[i]],
  #Spmod50_LPP_111010[[i]],
  #Spmod51_LPP_111010[[i]],
  #Spmod52_LPP_111010[[i]],
  #Spmod53_LPP_111010[[i]],
  #Spmod54_LPP_111010[[i]],
  #Spmod55_LPP_111010[[i]],
  #Spmod56_LPP_111010[[i]],
  #Spmod57_LPP_111010[[i]],
  #Spmod58_LPP_111010[[i]],
  #Spmod59_LPP_111010[[i]],
  #Spmod60_LPP_111010[[i]],
  #Spmod61_LPP_111010[[i]],
  #Spmod62_LPP_111010[[i]],
  #Spmod63_LPP_111010[[i]],
  #Spmod64_LPP_111010[[i]],
  #Spmod65_LPP_111010[[i]])
  
  Modnames <-c("1",
               "2",
  #"3",
  #"4",
  #"5",
  "6",
  #"7",
  "8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  "22")
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_LPP_111010[[i]] <- aictab(cand.set= listall_LPP_111010[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod1_LPP_111010[[i]])
  Spmod2_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod2_LPP_111010[[i]])
  #Spmod3_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod3_LPP_111010[[i]])
  #Spmod4_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod4_LPP_111010[[i]])
  #Spmod5_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod5_LPP_111010[[i]])
  Spmod6_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod6_LPP_111010[[i]])
  #Spmod7_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod7_LPP_111010[[i]])
  Spmod8_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod8_LPP_111010[[i]])
  #Spmod9_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod9_LPP_111010[[i]])
  #Spmod10_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod10_LPP_111010[[i]])
  #Spmod11_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod11_LPP_111010[[i]])
  #Spmod12_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod12_LPP_111010[[i]])
  #Spmod13_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod13_LPP_111010[[i]])
  #Spmod14_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod14_LPP_111010[[i]])
  #Spmod15_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod15_LPP_111010[[i]])
  #Spmod16_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod16_LPP_111010[[i]])
  #Spmod17_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod17_LPP_111010[[i]])
  #Spmod18_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod18_LPP_111010[[i]])
  #Spmod19_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod19_LPP_111010[[i]])
  #Spmod20_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod20_LPP_111010[[i]])
  #Spmod21_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod21_LPP_111010[[i]])
  Spmod22_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod22_LPP_111010[[i]])
  #Spmod23_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod23_LPP_111010[[i]])
  #Spmod24_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod24_LPP_111010[[i]])
  #Spmod25_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod25_LPP_111010[[i]])
  #Spmod26_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod26_LPP_111010[[i]])
  #Spmod27_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod27_LPP_111010[[i]])
  #Spmod28_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod28_LPP_111010[[i]])
  #Spmod29_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod29_LPP_111010[[i]])
  #Spmod30_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod30_LPP_111010[[i]])
  #Spmod31_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod31_LPP_111010[[i]])
  #Spmod32_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod32_LPP_111010[[i]])
  #Spmod33_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod33_LPP_111010[[i]])
  #Spmod34_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod34_LPP_111010[[i]])
  #Spmod35_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod35_LPP_111010[[i]])
  #Spmod36_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod36_LPP_111010[[i]])
  #Spmod37_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod37_LPP_111010[[i]])
  #Spmod38_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod38_LPP_111010[[i]])
  #Spmod39_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod39_LPP_111010[[i]])
  #Spmod40_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod40_LPP_111010[[i]])
  #Spmod41_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod41_LPP_111010[[i]])
  #Spmod42_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod42_LPP_111010[[i]])
  #Spmod43_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod43_LPP_111010[[i]])
  #Spmod44_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod44_LPP_111010[[i]])
  #Spmod45_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod45_LPP_111010[[i]])
  #Spmod46_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod46_LPP_111010[[i]])
  #Spmod47_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod47_LPP_111010[[i]])
  #Spmod48_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod48_LPP_111010[[i]])
  #Spmod49_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod49_LPP_111010[[i]])
  #Spmod50_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod50_LPP_111010[[i]])
  #Spmod51_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod51_LPP_111010[[i]])
  #Spmod52_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod52_LPP_111010[[i]])
  #Spmod53_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod53_LPP_111010[[i]])
  #Spmod54_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod54_LPP_111010[[i]])
  #Spmod55_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod55_LPP_111010[[i]])
  #Spmod56_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod56_LPP_111010[[i]])
  #Spmod57_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod57_LPP_111010[[i]])
  #Spmod58_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod58_LPP_111010[[i]])
  #Spmod59_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod59_LPP_111010[[i]])
  #Spmod60_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod60_LPP_111010[[i]])
  #Spmod61_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod61_LPP_111010[[i]])
  #Spmod62_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod62_LPP_111010[[i]])
  #Spmod63_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod63_LPP_111010[[i]])
  #Spmod64_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod64_LPP_111010[[i]])
  #Spmod65_LPP_111010_R[[i]]<-NagelkerkeR2(Spmod65_LPP_111010[[i]])
  
  Spmod1_LPP_111010_R[[i]]$Modnames <-1
  Spmod2_LPP_111010_R[[i]]$Modnames <-2
  #Spmod3_LPP_111010_R[[i]]$Modnames <-3
  #Spmod4_LPP_111010_R[[i]]$Modnames <-4
  #Spmod5_LPP_111010_R[[i]]$Modnames <-5
  Spmod6_LPP_111010_R[[i]]$Modnames <-6
  #Spmod7_LPP_111010_R[[i]]$Modnames <-7
  Spmod8_LPP_111010_R[[i]]$Modnames <-8
  #Spmod9_LPP_111010_R[[i]]$Modnames <-9
  #Spmod10_LPP_111010_R[[i]]$Modnames <-10
  #Spmod11_LPP_111010_R[[i]]$Modnames <-11
  #Spmod12_LPP_111010_R[[i]]$Modnames <-12
  #Spmod13_LPP_111010_R[[i]]$Modnames <-13
  #Spmod14_LPP_111010_R[[i]]$Modnames <-14
  #Spmod15_LPP_111010_R[[i]]$Modnames <-15
  #Spmod16_LPP_111010_R[[i]]$Modnames <-16
  #Spmod17_LPP_111010_R[[i]]$Modnames <-17
  #Spmod18_LPP_111010_R[[i]]$Modnames <-18
  #Spmod19_LPP_111010_R[[i]]$Modnames <-19
  #Spmod20_LPP_111010_R[[i]]$Modnames <-20
  #Spmod21_LPP_111010_R[[i]]$Modnames <-21
  Spmod22_LPP_111010_R[[i]]$Modnames <-22
  #Spmod23_LPP_111010_R[[i]]$Modnames <-23
  #Spmod24_LPP_111010_R[[i]]$Modnames <-24
  #Spmod25_LPP_111010_R[[i]]$Modnames <-25
  #Spmod26_LPP_111010_R[[i]]$Modnames <-26
  #Spmod27_LPP_111010_R[[i]]$Modnames <-27
  #Spmod28_LPP_111010_R[[i]]$Modnames <-28
  #Spmod29_LPP_111010_R[[i]]$Modnames <-29
  #Spmod30_LPP_111010_R[[i]]$Modnames <-30
  #Spmod31_LPP_111010_R[[i]]$Modnames <-31
  #Spmod32_LPP_111010_R[[i]]$Modnames <-32
  #Spmod33_LPP_111010_R[[i]]$Modnames <-33
  #Spmod34_LPP_111010_R[[i]]$Modnames <-34
  #Spmod35_LPP_111010_R[[i]]$Modnames <-35
  #Spmod36_LPP_111010_R[[i]]$Modnames <-36
  #Spmod37_LPP_111010_R[[i]]$Modnames <-37
  #Spmod38_LPP_111010_R[[i]]$Modnames <-38
  #Spmod39_LPP_111010_R[[i]]$Modnames <-39
  #Spmod40_LPP_111010_R[[i]]$Modnames <-40
  #Spmod41_LPP_111010_R[[i]]$Modnames <-41
  #Spmod42_LPP_111010_R[[i]]$Modnames <-42
  #Spmod43_LPP_111010_R[[i]]$Modnames <-43
  #Spmod44_LPP_111010_R[[i]]$Modnames <-44
  #Spmod45_LPP_111010_R[[i]]$Modnames <-45
  #Spmod46_LPP_111010_R[[i]]$Modnames <-46
  #Spmod47_LPP_111010_R[[i]]$Modnames <-47
  #Spmod48_LPP_111010_R[[i]]$Modnames <-48
  #Spmod49_LPP_111010_R[[i]]$Modnames <-49
  #Spmod50_LPP_111010_R[[i]]$Modnames <-50
  #Spmod51_LPP_111010_R[[i]]$Modnames <-51
  #Spmod52_LPP_111010_R[[i]]$Modnames <-52
  #Spmod53_LPP_111010_R[[i]]$Modnames <-53
  #Spmod54_LPP_111010_R[[i]]$Modnames <-54
  #Spmod55_LPP_111010_R[[i]]$Modnames <-55
  #Spmod56_LPP_111010_R[[i]]$Modnames <-56
  #Spmod57_LPP_111010_R[[i]]$Modnames <-57
  #Spmod58_LPP_111010_R[[i]]$Modnames <-58
  #Spmod59_LPP_111010_R[[i]]$Modnames <-59
  #Spmod60_LPP_111010_R[[i]]$Modnames <-60
  #Spmod61_LPP_111010_R[[i]]$Modnames <-61
  #Spmod62_LPP_111010_R[[i]]$Modnames <-62
  #Spmod63_LPP_111010_R[[i]]$Modnames <-63
  #Spmod64_LPP_111010_R[[i]]$Modnames <-64
  #Spmod65_LPP_111010_R[[i]]$Modnames <-65
  
  modelavg_LPP_111010[[i]] <- model.avg(listall_LPP_111010[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  L_111010_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_LPP_111010_R,
  Spmod2_LPP_111010_R,
  #Spmod3_LPP_111010_R,
  #Spmod4_LPP_111010_R,
  #Spmod5_LPP_111010_R,
  Spmod6_LPP_111010_R,
  #Spmod7_LPP_111010_R,
  Spmod8_LPP_111010_R,
  #Spmod9_LPP_111010_R,
  #Spmod10_LPP_111010_R,
  #Spmod11_LPP_111010_R,
  #Spmod12_LPP_111010_R,
  #Spmod13_LPP_111010_R,
  #Spmod14_LPP_111010_R,
  #Spmod15_LPP_111010_R,
  #Spmod16_LPP_111010_R,
  #Spmod17_LPP_111010_R,
  #Spmod18_LPP_111010_R,
  #Spmod19_LPP_111010_R,
  #Spmod20_LPP_111010_R,
  #Spmod21_LPP_111010_R,
  Spmod22_LPP_111010_R)))
  #Spmod23_LPP_111010_R,
  #Spmod24_LPP_111010_R,
  #Spmod25_LPP_111010_R,
  #Spmod26_LPP_111010_R,
  #Spmod27_LPP_111010_R,
  #Spmod28_LPP_111010_R,
  #Spmod29_LPP_111010_R,
  #Spmod30_LPP_111010_R,
  #Spmod31_LPP_111010_R,
  #Spmod32_LPP_111010_R,
  #Spmod33_LPP_111010_R,
  #Spmod34_LPP_111010_R,
  #Spmod35_LPP_111010_R,
  #Spmod36_LPP_111010_R,
  #Spmod37_LPP_111010_R,
  #Spmod38_LPP_111010_R,
  #Spmod39_LPP_111010_R,
  #Spmod40_LPP_111010_R,
  #Spmod41_LPP_111010_R,
  #Spmod42_LPP_111010_R,
  #Spmod43_LPP_111010_R,
  #Spmod44_LPP_111010_R,
  #Spmod45_LPP_111010_R,
  #Spmod46_LPP_111010_R,
  #Spmod47_LPP_111010_R,
  #Spmod48_LPP_111010_R,
  #Spmod49_LPP_111010_R,
  #Spmod50_LPP_111010_R,
  #Spmod51_LPP_111010_R,
  #Spmod52_LPP_111010_R,
  #Spmod53_LPP_111010_R,
  #Spmod54_LPP_111010_R,
  #Spmod55_LPP_111010_R,
  #Spmod56_LPP_111010_R,
  #Spmod57_LPP_111010_R,
  #Spmod58_LPP_111010_R,
  #Spmod59_LPP_111010_R,
  #Spmod60_LPP_111010_R,
  #Spmod61_LPP_111010_R,
  #Spmod62_LPP_111010_R,
  #Spmod63_LPP_111010_R,
  #Spmod64_LPP_111010_R,
  #Spmod65_LPP_111010_R)))
  
  L_111010_R2_N <- L_111010_R2[L_111010_R2$L3 == "N",]
  names(L_111010_R2_N)[1] <- "N"
  L_111010_R2_R2 <- L_111010_R2[L_111010_R2$L3 == "R2", ]
  names(L_111010_R2_R2)[1] <- "R2"
  L_111010_R2_MN <- L_111010_R2[L_111010_R2$L3 == "Modnames", ]
  names(L_111010_R2_MN)[1] <- "Modnames"   
  
  L_111010_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(L_111010_R2_N, L_111010_R2_R2, L_111010_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(L_111010_R2_r)[1] <- "Species"
  
  AIC_111010_L <- melt(SpAIC_LPP_111010, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_111010_L <- subset(AIC_111010_L, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_111010_L)[1] <- "Species"
  
  Results_111010_L <- merge(AIC_111010_L, L_111010_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_111010_L$exclusion <- "111010"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_111011", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_LPP_111011 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_LPP_111011 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_LPP_111011 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_111011_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v111011_species_L)){
  Spmod1_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~1,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod6_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_LPP_111011[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_LPP_111011[[i]] <- list(Spmod1_LPP_111011[[i]],
                                  Spmod2_LPP_111011[[i]],
                                  
                                  #Spmod3_LPP_111011[[i]],
                                  #Spmod4_LPP_111011[[i]],
                                  #Spmod5_LPP_111011[[i]],
                                  Spmod6_LPP_111011[[i]])
  #Spmod7_LPP_111011[[i]],
  #Spmod8_LPP_111011[[i]],
  #Spmod9_LPP_111011[[i]],
  #Spmod10_LPP_111011[[i]],
  #Spmod11_LPP_111011[[i]],
  #Spmod12_LPP_111011[[i]],
  #Spmod13_LPP_111011[[i]],
  #Spmod14_LPP_111011[[i]],
  #Spmod15_LPP_111011[[i]],
  #Spmod16_LPP_111011[[i]],
  #Spmod17_LPP_111011[[i]],
  #Spmod18_LPP_111011[[i]],
  #Spmod19_LPP_111011[[i]],
  #Spmod20_LPP_111011[[i]],
  #Spmod21_LPP_111011[[i]],
  #Spmod22_LPP_111011[[i]],
  #Spmod23_LPP_111011[[i]],
  #Spmod24_LPP_111011[[i]],
  #Spmod25_LPP_111011[[i]],
  #Spmod26_LPP_111011[[i]],
  #Spmod27_LPP_111011[[i]],
  #Spmod28_LPP_111011[[i]],
  #Spmod29_LPP_111011[[i]],
  #Spmod30_LPP_111011[[i]],
  #Spmod31_LPP_111011[[i]],
  #Spmod32_LPP_111011[[i]],
  #Spmod33_LPP_111011[[i]],
  #Spmod34_LPP_111011[[i]],
  #Spmod35_LPP_111011[[i]],
  #Spmod36_LPP_111011[[i]],
  #Spmod37_LPP_111011[[i]],
  #Spmod38_LPP_111011[[i]],
  #Spmod39_LPP_111011[[i]],
  #Spmod40_LPP_111011[[i]],
  #Spmod41_LPP_111011[[i]],
  #Spmod42_LPP_111011[[i]],
  #Spmod43_LPP_111011[[i]],
  #Spmod44_LPP_111011[[i]],
  #Spmod45_LPP_111011[[i]],
  #Spmod46_LPP_111011[[i]],
  #Spmod47_LPP_111011[[i]],
  #Spmod48_LPP_111011[[i]],
  #Spmod49_LPP_111011[[i]],
  #Spmod50_LPP_111011[[i]],
  #Spmod51_LPP_111011[[i]],
  #Spmod52_LPP_111011[[i]],
  #Spmod53_LPP_111011[[i]],
  #Spmod54_LPP_111011[[i]],
  #Spmod55_LPP_111011[[i]],
  #Spmod56_LPP_111011[[i]],
  #Spmod57_LPP_111011[[i]],
  #Spmod58_LPP_111011[[i]],
  #Spmod59_LPP_111011[[i]],
  #Spmod60_LPP_111011[[i]],
  #Spmod61_LPP_111011[[i]],
  #Spmod62_LPP_111011[[i]],
  #Spmod63_LPP_111011[[i]],
  #Spmod64_LPP_111011[[i]],
  #Spmod65_LPP_111011[[i]])
  
  Modnames <-c("1",
               "2",
               #"3",
               #"4",
               #"5",
               "6")
  #"7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
  SpAIC_LPP_111011[[i]] <- aictab(cand.set= listall_LPP_111011[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod1_LPP_111011[[i]])
  Spmod2_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod2_LPP_111011[[i]])
  #Spmod3_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod3_LPP_111011[[i]])
  #Spmod4_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod4_LPP_111011[[i]])
  #Spmod5_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod5_LPP_111011[[i]])
  Spmod6_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod6_LPP_111011[[i]])
  #Spmod7_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod7_LPP_111011[[i]])
  #Spmod8_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod8_LPP_111011[[i]])
  #Spmod9_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod9_LPP_111011[[i]])
  #Spmod10_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod10_LPP_111011[[i]])
  #Spmod11_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod11_LPP_111011[[i]])
  #Spmod12_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod12_LPP_111011[[i]])
  #Spmod13_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod13_LPP_111011[[i]])
  #Spmod14_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod14_LPP_111011[[i]])
  #Spmod15_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod15_LPP_111011[[i]])
  #Spmod16_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod16_LPP_111011[[i]])
  #Spmod17_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod17_LPP_111011[[i]])
  #Spmod18_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod18_LPP_111011[[i]])
  #Spmod19_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod19_LPP_111011[[i]])
  #Spmod20_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod20_LPP_111011[[i]])
  #Spmod21_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod21_LPP_111011[[i]])
  #Spmod22_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod22_LPP_111011[[i]])
  #Spmod23_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod23_LPP_111011[[i]])
  #Spmod24_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod24_LPP_111011[[i]])
  #Spmod25_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod25_LPP_111011[[i]])
  #Spmod26_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod26_LPP_111011[[i]])
  #Spmod27_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod27_LPP_111011[[i]])
  #Spmod28_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod28_LPP_111011[[i]])
  #Spmod29_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod29_LPP_111011[[i]])
  #Spmod30_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod30_LPP_111011[[i]])
  #Spmod31_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod31_LPP_111011[[i]])
  #Spmod32_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod32_LPP_111011[[i]])
  #Spmod33_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod33_LPP_111011[[i]])
  #Spmod34_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod34_LPP_111011[[i]])
  #Spmod35_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod35_LPP_111011[[i]])
  #Spmod36_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod36_LPP_111011[[i]])
  #Spmod37_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod37_LPP_111011[[i]])
  #Spmod38_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod38_LPP_111011[[i]])
  #Spmod39_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod39_LPP_111011[[i]])
  #Spmod40_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod40_LPP_111011[[i]])
  #Spmod41_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod41_LPP_111011[[i]])
  #Spmod42_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod42_LPP_111011[[i]])
  #Spmod43_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod43_LPP_111011[[i]])
  #Spmod44_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod44_LPP_111011[[i]])
  #Spmod45_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod45_LPP_111011[[i]])
  #Spmod46_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod46_LPP_111011[[i]])
  #Spmod47_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod47_LPP_111011[[i]])
  #Spmod48_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod48_LPP_111011[[i]])
  #Spmod49_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod49_LPP_111011[[i]])
  #Spmod50_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod50_LPP_111011[[i]])
  #Spmod51_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod51_LPP_111011[[i]])
  #Spmod52_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod52_LPP_111011[[i]])
  #Spmod53_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod53_LPP_111011[[i]])
  #Spmod54_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod54_LPP_111011[[i]])
  #Spmod55_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod55_LPP_111011[[i]])
  #Spmod56_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod56_LPP_111011[[i]])
  #Spmod57_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod57_LPP_111011[[i]])
  #Spmod58_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod58_LPP_111011[[i]])
  #Spmod59_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod59_LPP_111011[[i]])
  #Spmod60_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod60_LPP_111011[[i]])
  #Spmod61_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod61_LPP_111011[[i]])
  #Spmod62_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod62_LPP_111011[[i]])
  #Spmod63_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod63_LPP_111011[[i]])
  #Spmod64_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod64_LPP_111011[[i]])
  #Spmod65_LPP_111011_R[[i]]<-NagelkerkeR2(Spmod65_LPP_111011[[i]])
  
  Spmod1_LPP_111011_R[[i]]$Modnames <-1
  Spmod2_LPP_111011_R[[i]]$Modnames <-2
  #Spmod3_LPP_111011_R[[i]]$Modnames <-3
  #Spmod4_LPP_111011_R[[i]]$Modnames <-4
  #Spmod5_LPP_111011_R[[i]]$Modnames <-5
  Spmod6_LPP_111011_R[[i]]$Modnames <-6
  #Spmod7_LPP_111011_R[[i]]$Modnames <-7
  #Spmod8_LPP_111011_R[[i]]$Modnames <-8
  #Spmod9_LPP_111011_R[[i]]$Modnames <-9
  #Spmod10_LPP_111011_R[[i]]$Modnames <-10
  #Spmod11_LPP_111011_R[[i]]$Modnames <-11
  #Spmod12_LPP_111011_R[[i]]$Modnames <-12
  #Spmod13_LPP_111011_R[[i]]$Modnames <-13
  #Spmod14_LPP_111011_R[[i]]$Modnames <-14
  #Spmod15_LPP_111011_R[[i]]$Modnames <-15
  #Spmod16_LPP_111011_R[[i]]$Modnames <-16
  #Spmod17_LPP_111011_R[[i]]$Modnames <-17
  #Spmod18_LPP_111011_R[[i]]$Modnames <-18
  #Spmod19_LPP_111011_R[[i]]$Modnames <-19
  #Spmod20_LPP_111011_R[[i]]$Modnames <-20
  #Spmod21_LPP_111011_R[[i]]$Modnames <-21
  #Spmod22_LPP_111011_R[[i]]$Modnames <-22
  #Spmod23_LPP_111011_R[[i]]$Modnames <-23
  #Spmod24_LPP_111011_R[[i]]$Modnames <-24
  #Spmod25_LPP_111011_R[[i]]$Modnames <-25
  #Spmod26_LPP_111011_R[[i]]$Modnames <-26
  #Spmod27_LPP_111011_R[[i]]$Modnames <-27
  #Spmod28_LPP_111011_R[[i]]$Modnames <-28
  #Spmod29_LPP_111011_R[[i]]$Modnames <-29
  #Spmod30_LPP_111011_R[[i]]$Modnames <-30
  #Spmod31_LPP_111011_R[[i]]$Modnames <-31
  #Spmod32_LPP_111011_R[[i]]$Modnames <-32
  #Spmod33_LPP_111011_R[[i]]$Modnames <-33
  #Spmod34_LPP_111011_R[[i]]$Modnames <-34
  #Spmod35_LPP_111011_R[[i]]$Modnames <-35
  #Spmod36_LPP_111011_R[[i]]$Modnames <-36
  #Spmod37_LPP_111011_R[[i]]$Modnames <-37
  #Spmod38_LPP_111011_R[[i]]$Modnames <-38
  #Spmod39_LPP_111011_R[[i]]$Modnames <-39
  #Spmod40_LPP_111011_R[[i]]$Modnames <-40
  #Spmod41_LPP_111011_R[[i]]$Modnames <-41
  #Spmod42_LPP_111011_R[[i]]$Modnames <-42
  #Spmod43_LPP_111011_R[[i]]$Modnames <-43
  #Spmod44_LPP_111011_R[[i]]$Modnames <-44
  #Spmod45_LPP_111011_R[[i]]$Modnames <-45
  #Spmod46_LPP_111011_R[[i]]$Modnames <-46
  #Spmod47_LPP_111011_R[[i]]$Modnames <-47
  #Spmod48_LPP_111011_R[[i]]$Modnames <-48
  #Spmod49_LPP_111011_R[[i]]$Modnames <-49
  #Spmod50_LPP_111011_R[[i]]$Modnames <-50
  #Spmod51_LPP_111011_R[[i]]$Modnames <-51
  #Spmod52_LPP_111011_R[[i]]$Modnames <-52
  #Spmod53_LPP_111011_R[[i]]$Modnames <-53
  #Spmod54_LPP_111011_R[[i]]$Modnames <-54
  #Spmod55_LPP_111011_R[[i]]$Modnames <-55
  #Spmod56_LPP_111011_R[[i]]$Modnames <-56
  #Spmod57_LPP_111011_R[[i]]$Modnames <-57
  #Spmod58_LPP_111011_R[[i]]$Modnames <-58
  #Spmod59_LPP_111011_R[[i]]$Modnames <-59
  #Spmod60_LPP_111011_R[[i]]$Modnames <-60
  #Spmod61_LPP_111011_R[[i]]$Modnames <-61
  #Spmod62_LPP_111011_R[[i]]$Modnames <-62
  #Spmod63_LPP_111011_R[[i]]$Modnames <-63
  #Spmod64_LPP_111011_R[[i]]$Modnames <-64
  #Spmod65_LPP_111011_R[[i]]$Modnames <-65
  
  modelavg_LPP_111011[[i]] <- model.avg(listall_LPP_111011[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  L_111011_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
    Spmod1_LPP_111011_R,
    Spmod2_LPP_111011_R,
    #Spmod3_LPP_111011_R,
    #Spmod4_LPP_111011_R,
    #Spmod5_LPP_111011_R,
    Spmod6_LPP_111011_R)))
  #Spmod7_LPP_111011_R,
  #Spmod8_LPP_111011_R,
  #Spmod9_LPP_111011_R,
  #Spmod10_LPP_111011_R,
  #Spmod11_LPP_111011_R,
  #Spmod12_LPP_111011_R,
  #Spmod13_LPP_111011_R,
  #Spmod14_LPP_111011_R,
  #Spmod15_LPP_111011_R,
  #Spmod16_LPP_111011_R,
  #Spmod17_LPP_111011_R,
  #Spmod18_LPP_111011_R,
  #Spmod19_LPP_111011_R,
  #Spmod20_LPP_111011_R,
  #Spmod21_LPP_111011_R,
  #Spmod22_LPP_111011_R,
  #Spmod23_LPP_111011_R,
  #Spmod24_LPP_111011_R,
  #Spmod25_LPP_111011_R,
  #Spmod26_LPP_111011_R,
  #Spmod27_LPP_111011_R,
  #Spmod28_LPP_111011_R,
  #Spmod29_LPP_111011_R,
  #Spmod30_LPP_111011_R,
  #Spmod31_LPP_111011_R,
  #Spmod32_LPP_111011_R,
  #Spmod33_LPP_111011_R,
  #Spmod34_LPP_111011_R,
  #Spmod35_LPP_111011_R,
  #Spmod36_LPP_111011_R,
  #Spmod37_LPP_111011_R,
  #Spmod38_LPP_111011_R,
  #Spmod39_LPP_111011_R,
  #Spmod40_LPP_111011_R,
  #Spmod41_LPP_111011_R,
  #Spmod42_LPP_111011_R,
  #Spmod43_LPP_111011_R,
  #Spmod44_LPP_111011_R,
  #Spmod45_LPP_111011_R,
  #Spmod46_LPP_111011_R,
  #Spmod47_LPP_111011_R,
  #Spmod48_LPP_111011_R,
  #Spmod49_LPP_111011_R,
  #Spmod50_LPP_111011_R,
  #Spmod51_LPP_111011_R,
  #Spmod52_LPP_111011_R,
  #Spmod53_LPP_111011_R,
  #Spmod54_LPP_111011_R,
  #Spmod55_LPP_111011_R,
  #Spmod56_LPP_111011_R,
  #Spmod57_LPP_111011_R,
  #Spmod58_LPP_111011_R,
  #Spmod59_LPP_111011_R,
  #Spmod60_LPP_111011_R,
  #Spmod61_LPP_111011_R,
  #Spmod62_LPP_111011_R,
  #Spmod63_LPP_111011_R,
  #Spmod64_LPP_111011_R,
  #Spmod65_LPP_111011_R)))
  
  L_111011_R2_N <- L_111011_R2[L_111011_R2$L3 == "N",]
  names(L_111011_R2_N)[1] <- "N"
  L_111011_R2_R2 <- L_111011_R2[L_111011_R2$L3 == "R2", ]
  names(L_111011_R2_R2)[1] <- "R2"
  L_111011_R2_MN <- L_111011_R2[L_111011_R2$L3 == "Modnames", ]
  names(L_111011_R2_MN)[1] <- "Modnames"   
  
  L_111011_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(L_111011_R2_N, L_111011_R2_R2, L_111011_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(L_111011_R2_r)[1] <- "Species"
  
  AIC_111011_L <- melt(SpAIC_LPP_111011, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_111011_L <- subset(AIC_111011_L, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_111011_L)[1] <- "Species"
  
  Results_111011_L <- merge(AIC_111011_L, L_111011_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_111011_L$exclusion <- "111011"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_111101", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_LPP_111101 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_LPP_111101 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_LPP_111101 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_111101_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v111101_species_L)){
  Spmod1_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~1,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_LPP_111101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_LPP_111101[[i]] <- list(Spmod1_LPP_111101[[i]],
                                  Spmod2_LPP_111101[[i]],
                                  
                                  #Spmod3_LPP_111101[[i]],
                                  #Spmod4_LPP_111101[[i]],
                                  #Spmod5_LPP_111101[[i]],
                                  #Spmod6_LPP_111101[[i]],
                                  Spmod7_LPP_111101[[i]])
  #Spmod8_LPP_111101[[i]])
  #Spmod9_LPP_111101[[i]],
  #Spmod10_LPP_111101[[i]],
  #Spmod11_LPP_111101[[i]],
  #Spmod12_LPP_111101[[i]],
  #Spmod13_LPP_111101[[i]],
  #Spmod14_LPP_111101[[i]],
  #Spmod15_LPP_111101[[i]],
  #Spmod16_LPP_111101[[i]],
  #Spmod17_LPP_111101[[i]],
  #Spmod18_LPP_111101[[i]],
  #Spmod19_LPP_111101[[i]],
  #Spmod20_LPP_111101[[i]],
  #Spmod21_LPP_111101[[i]],
  #Spmod22_LPP_111101[[i]],
  #Spmod23_LPP_111101[[i]],
  #Spmod24_LPP_111101[[i]],
  #Spmod25_LPP_111101[[i]],
  #Spmod26_LPP_111101[[i]],
  #Spmod27_LPP_111101[[i]],
  #Spmod28_LPP_111101[[i]],
  #Spmod29_LPP_111101[[i]],
  #Spmod30_LPP_111101[[i]],
  #Spmod31_LPP_111101[[i]],
  #Spmod32_LPP_111101[[i]],
  #Spmod33_LPP_111101[[i]],
  #Spmod34_LPP_111101[[i]],
  #Spmod35_LPP_111101[[i]],
  #Spmod36_LPP_111101[[i]],
  #Spmod37_LPP_111101[[i]],
  #Spmod38_LPP_111101[[i]],
  #Spmod39_LPP_111101[[i]],
  #Spmod40_LPP_111101[[i]],
  #Spmod41_LPP_111101[[i]],
  #Spmod42_LPP_111101[[i]],
  #Spmod43_LPP_111101[[i]],
  #Spmod44_LPP_111101[[i]],
  #Spmod45_LPP_111101[[i]],
  #Spmod46_LPP_111101[[i]],
  #Spmod47_LPP_111101[[i]],
  #Spmod48_LPP_111101[[i]],
  #Spmod49_LPP_111101[[i]],
  #Spmod50_LPP_111101[[i]],
  #Spmod51_LPP_111101[[i]],
  #Spmod52_LPP_111101[[i]],
  #Spmod53_LPP_111101[[i]],
  #Spmod54_LPP_111101[[i]],
  #Spmod55_LPP_111101[[i]],
  #Spmod56_LPP_111101[[i]],
  #Spmod57_LPP_111101[[i]],
  #Spmod58_LPP_111101[[i]],
  #Spmod59_LPP_111101[[i]],
  #Spmod60_LPP_111101[[i]],
  #Spmod61_LPP_111101[[i]],
  #Spmod62_LPP_111101[[i]],
  #Spmod63_LPP_111101[[i]],
  #Spmod64_LPP_111101[[i]],
  #Spmod65_LPP_111101[[i]])
  
  Modnames <-c("1",
               "2",
               #"3",
               #"4",
               #"5",
               #"6",
               "7")
  #"8")
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
  SpAIC_LPP_111101[[i]] <- aictab(cand.set= listall_LPP_111101[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod1_LPP_111101[[i]])
  Spmod2_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod2_LPP_111101[[i]])
  #Spmod3_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod3_LPP_111101[[i]])
  #Spmod4_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod4_LPP_111101[[i]])
  #Spmod5_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod5_LPP_111101[[i]])
  #Spmod6_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod6_LPP_111101[[i]])
  Spmod7_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod7_LPP_111101[[i]])
  #Spmod8_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod8_LPP_111101[[i]])
  #Spmod9_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod9_LPP_111101[[i]])
  #Spmod10_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod10_LPP_111101[[i]])
  #Spmod11_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod11_LPP_111101[[i]])
  #Spmod12_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod12_LPP_111101[[i]])
  #Spmod13_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod13_LPP_111101[[i]])
  #Spmod14_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod14_LPP_111101[[i]])
  #Spmod15_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod15_LPP_111101[[i]])
  #Spmod16_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod16_LPP_111101[[i]])
  #Spmod17_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod17_LPP_111101[[i]])
  #Spmod18_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod18_LPP_111101[[i]])
  #Spmod19_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod19_LPP_111101[[i]])
  #Spmod20_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod20_LPP_111101[[i]])
  #Spmod21_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod21_LPP_111101[[i]])
  #Spmod22_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod22_LPP_111101[[i]])
  #Spmod23_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod23_LPP_111101[[i]])
  #Spmod24_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod24_LPP_111101[[i]])
  #Spmod25_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod25_LPP_111101[[i]])
  #Spmod26_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod26_LPP_111101[[i]])
  #Spmod27_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod27_LPP_111101[[i]])
  #Spmod28_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod28_LPP_111101[[i]])
  #Spmod29_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod29_LPP_111101[[i]])
  #Spmod30_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod30_LPP_111101[[i]])
  #Spmod31_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod31_LPP_111101[[i]])
  #Spmod32_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod32_LPP_111101[[i]])
  #Spmod33_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod33_LPP_111101[[i]])
  #Spmod34_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod34_LPP_111101[[i]])
  #Spmod35_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod35_LPP_111101[[i]])
  #Spmod36_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod36_LPP_111101[[i]])
  #Spmod37_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod37_LPP_111101[[i]])
  #Spmod38_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod38_LPP_111101[[i]])
  #Spmod39_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod39_LPP_111101[[i]])
  #Spmod40_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod40_LPP_111101[[i]])
  #Spmod41_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod41_LPP_111101[[i]])
  #Spmod42_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod42_LPP_111101[[i]])
  #Spmod43_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod43_LPP_111101[[i]])
  #Spmod44_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod44_LPP_111101[[i]])
  #Spmod45_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod45_LPP_111101[[i]])
  #Spmod46_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod46_LPP_111101[[i]])
  #Spmod47_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod47_LPP_111101[[i]])
  #Spmod48_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod48_LPP_111101[[i]])
  #Spmod49_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod49_LPP_111101[[i]])
  #Spmod50_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod50_LPP_111101[[i]])
  #Spmod51_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod51_LPP_111101[[i]])
  #Spmod52_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod52_LPP_111101[[i]])
  #Spmod53_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod53_LPP_111101[[i]])
  #Spmod54_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod54_LPP_111101[[i]])
  #Spmod55_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod55_LPP_111101[[i]])
  #Spmod56_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod56_LPP_111101[[i]])
  #Spmod57_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod57_LPP_111101[[i]])
  #Spmod58_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod58_LPP_111101[[i]])
  #Spmod59_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod59_LPP_111101[[i]])
  #Spmod60_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod60_LPP_111101[[i]])
  #Spmod61_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod61_LPP_111101[[i]])
  #Spmod62_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod62_LPP_111101[[i]])
  #Spmod63_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod63_LPP_111101[[i]])
  #Spmod64_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod64_LPP_111101[[i]])
  #Spmod65_LPP_111101_R[[i]]<-NagelkerkeR2(Spmod65_LPP_111101[[i]])
  
  Spmod1_LPP_111101_R[[i]]$Modnames <-1
  Spmod2_LPP_111101_R[[i]]$Modnames <-2
  #Spmod3_LPP_111101_R[[i]]$Modnames <-3
  #Spmod4_LPP_111101_R[[i]]$Modnames <-4
  #Spmod5_LPP_111101_R[[i]]$Modnames <-5
  #Spmod6_LPP_111101_R[[i]]$Modnames <-6
  Spmod7_LPP_111101_R[[i]]$Modnames <-7
  #Spmod8_LPP_111101_R[[i]]$Modnames <-8
  #Spmod9_LPP_111101_R[[i]]$Modnames <-9
  #Spmod10_LPP_111101_R[[i]]$Modnames <-10
  #Spmod11_LPP_111101_R[[i]]$Modnames <-11
  #Spmod12_LPP_111101_R[[i]]$Modnames <-12
  #Spmod13_LPP_111101_R[[i]]$Modnames <-13
  #Spmod14_LPP_111101_R[[i]]$Modnames <-14
  #Spmod15_LPP_111101_R[[i]]$Modnames <-15
  #Spmod16_LPP_111101_R[[i]]$Modnames <-16
  #Spmod17_LPP_111101_R[[i]]$Modnames <-17
  #Spmod18_LPP_111101_R[[i]]$Modnames <-18
  #Spmod19_LPP_111101_R[[i]]$Modnames <-19
  #Spmod20_LPP_111101_R[[i]]$Modnames <-20
  #Spmod21_LPP_111101_R[[i]]$Modnames <-21
  #Spmod22_LPP_111101_R[[i]]$Modnames <-22
  #Spmod23_LPP_111101_R[[i]]$Modnames <-23
  #Spmod24_LPP_111101_R[[i]]$Modnames <-24
  #Spmod25_LPP_111101_R[[i]]$Modnames <-25
  #Spmod26_LPP_111101_R[[i]]$Modnames <-26
  #Spmod27_LPP_111101_R[[i]]$Modnames <-27
  #Spmod28_LPP_111101_R[[i]]$Modnames <-28
  #Spmod29_LPP_111101_R[[i]]$Modnames <-29
  #Spmod30_LPP_111101_R[[i]]$Modnames <-30
  #Spmod31_LPP_111101_R[[i]]$Modnames <-31
  #Spmod32_LPP_111101_R[[i]]$Modnames <-32
  #Spmod33_LPP_111101_R[[i]]$Modnames <-33
  #Spmod34_LPP_111101_R[[i]]$Modnames <-34
  #Spmod35_LPP_111101_R[[i]]$Modnames <-35
  #Spmod36_LPP_111101_R[[i]]$Modnames <-36
  #Spmod37_LPP_111101_R[[i]]$Modnames <-37
  #Spmod38_LPP_111101_R[[i]]$Modnames <-38
  #Spmod39_LPP_111101_R[[i]]$Modnames <-39
  #Spmod40_LPP_111101_R[[i]]$Modnames <-40
  #Spmod41_LPP_111101_R[[i]]$Modnames <-41
  #Spmod42_LPP_111101_R[[i]]$Modnames <-42
  #Spmod43_LPP_111101_R[[i]]$Modnames <-43
  #Spmod44_LPP_111101_R[[i]]$Modnames <-44
  #Spmod45_LPP_111101_R[[i]]$Modnames <-45
  #Spmod46_LPP_111101_R[[i]]$Modnames <-46
  #Spmod47_LPP_111101_R[[i]]$Modnames <-47
  #Spmod48_LPP_111101_R[[i]]$Modnames <-48
  #Spmod49_LPP_111101_R[[i]]$Modnames <-49
  #Spmod50_LPP_111101_R[[i]]$Modnames <-50
  #Spmod51_LPP_111101_R[[i]]$Modnames <-51
  #Spmod52_LPP_111101_R[[i]]$Modnames <-52
  #Spmod53_LPP_111101_R[[i]]$Modnames <-53
  #Spmod54_LPP_111101_R[[i]]$Modnames <-54
  #Spmod55_LPP_111101_R[[i]]$Modnames <-55
  #Spmod56_LPP_111101_R[[i]]$Modnames <-56
  #Spmod57_LPP_111101_R[[i]]$Modnames <-57
  #Spmod58_LPP_111101_R[[i]]$Modnames <-58
  #Spmod59_LPP_111101_R[[i]]$Modnames <-59
  #Spmod60_LPP_111101_R[[i]]$Modnames <-60
  #Spmod61_LPP_111101_R[[i]]$Modnames <-61
  #Spmod62_LPP_111101_R[[i]]$Modnames <-62
  #Spmod63_LPP_111101_R[[i]]$Modnames <-63
  #Spmod64_LPP_111101_R[[i]]$Modnames <-64
  #Spmod65_LPP_111101_R[[i]]$Modnames <-65
  
  modelavg_LPP_111101[[i]] <- model.avg(listall_LPP_111101[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  L_111101_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
    Spmod1_LPP_111101_R,
    Spmod2_LPP_111101_R,
    #Spmod3_LPP_111101_R,
    #Spmod4_LPP_111101_R,
    #Spmod5_LPP_111101_R,
    #Spmod6_LPP_111101_R,
    Spmod7_LPP_111101_R)))
    #Spmod8_LPP_111101_R)))
    #Spmod9_LPP_111101_R,
    #Spmod10_LPP_111101_R,
    #Spmod11_LPP_111101_R,
    #Spmod12_LPP_111101_R,
    #Spmod13_LPP_111101_R,
    #Spmod14_LPP_111101_R,
    #Spmod15_LPP_111101_R,
    #Spmod16_LPP_111101_R,
    #Spmod17_LPP_111101_R,
    #Spmod18_LPP_111101_R,
    #Spmod19_LPP_111101_R,
    #Spmod20_LPP_111101_R,
    #Spmod21_LPP_111101_R,
    #Spmod22_LPP_111101_R,
    #Spmod23_LPP_111101_R,
    #Spmod24_LPP_111101_R,
    #Spmod25_LPP_111101_R,
    #Spmod26_LPP_111101_R,
    #Spmod27_LPP_111101_R,
    #Spmod28_LPP_111101_R,
    #Spmod29_LPP_111101_R,
    #Spmod30_LPP_111101_R,
    #Spmod31_LPP_111101_R,
    #Spmod32_LPP_111101_R,
    #Spmod33_LPP_111101_R,
    #Spmod34_LPP_111101_R,
    #Spmod35_LPP_111101_R,
    #Spmod36_LPP_111101_R,
    #Spmod37_LPP_111101_R,
    #Spmod38_LPP_111101_R,
    #Spmod39_LPP_111101_R,
    #Spmod40_LPP_111101_R,
    #Spmod41_LPP_111101_R,
    #Spmod42_LPP_111101_R,
    #Spmod43_LPP_111101_R,
    #Spmod44_LPP_111101_R,
    #Spmod45_LPP_111101_R,
    #Spmod46_LPP_111101_R,
    #Spmod47_LPP_111101_R,
    #Spmod48_LPP_111101_R,
    #Spmod49_LPP_111101_R,
    #Spmod50_LPP_111101_R,
    #Spmod51_LPP_111101_R,
    #Spmod52_LPP_111101_R,
    #Spmod53_LPP_111101_R,
    #Spmod54_LPP_111101_R,
    #Spmod55_LPP_111101_R,
    #Spmod56_LPP_111101_R,
    #Spmod57_LPP_111101_R,
    #Spmod58_LPP_111101_R,
    #Spmod59_LPP_111101_R,
    #Spmod60_LPP_111101_R,
    #Spmod61_LPP_111101_R,
    #Spmod62_LPP_111101_R,
    #Spmod63_LPP_111101_R,
    #Spmod64_LPP_111101_R,
    #Spmod65_LPP_111101_R)))
    
    L_111101_R2_N <- L_111101_R2[L_111101_R2$L3 == "N",]
    names(L_111101_R2_N)[1] <- "N"
    L_111101_R2_R2 <- L_111101_R2[L_111101_R2$L3 == "R2", ]
    names(L_111101_R2_R2)[1] <- "R2"
    L_111101_R2_MN <- L_111101_R2[L_111101_R2$L3 == "Modnames", ]
    names(L_111101_R2_MN)[1] <- "Modnames"   
    
    L_111101_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(L_111101_R2_N, L_111101_R2_R2, L_111101_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
    names(L_111101_R2_r)[1] <- "Species"
    
    AIC_111101_L <- melt(SpAIC_LPP_111101, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
    AIC_111101_L <- subset(AIC_111101_L, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
    names(AIC_111101_L)[1] <- "Species"
    
    Results_111101_L <- merge(AIC_111101_L, L_111101_R2_r, by=c("Species", "Modnames"), sort=FALSE)
    Results_111101_L$exclusion <- "111101"
    
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_111110", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_LPP_111110 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_LPP_111110 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_LPP_111110 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_111110_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v111110_species_L)){
  Spmod1_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~1,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_LPP_111110[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_LPP_111110[[i]] <- list(Spmod1_LPP_111110[[i]],
                                  Spmod2_LPP_111110[[i]],
                                  
                                  #Spmod3_LPP_111110[[i]],
                                  #Spmod4_LPP_111110[[i]],
                                  #Spmod5_LPP_111110[[i]],
                                  #Spmod6_LPP_111110[[i]],
                                  #Spmod7_LPP_111110[[i]],
                                  Spmod8_LPP_111110[[i]])
  #Spmod9_LPP_111110[[i]],
  #Spmod10_LPP_111110[[i]],
  #Spmod11_LPP_111110[[i]],
  #Spmod12_LPP_111110[[i]],
  #Spmod13_LPP_111110[[i]],
  #Spmod14_LPP_111110[[i]],
  #Spmod15_LPP_111110[[i]],
  #Spmod16_LPP_111110[[i]],
  #Spmod17_LPP_111110[[i]],
  #Spmod18_LPP_111110[[i]],
  #Spmod19_LPP_111110[[i]],
  #Spmod20_LPP_111110[[i]],
  #Spmod21_LPP_111110[[i]],
  #Spmod22_LPP_111110[[i]],
  #Spmod23_LPP_111110[[i]],
  #Spmod24_LPP_111110[[i]],
  #Spmod25_LPP_111110[[i]],
  #Spmod26_LPP_111110[[i]],
  #Spmod27_LPP_111110[[i]],
  #Spmod28_LPP_111110[[i]],
  #Spmod29_LPP_111110[[i]],
  #Spmod30_LPP_111110[[i]],
  #Spmod31_LPP_111110[[i]],
  #Spmod32_LPP_111110[[i]],
  #Spmod33_LPP_111110[[i]],
  #Spmod34_LPP_111110[[i]],
  #Spmod35_LPP_111110[[i]],
  #Spmod36_LPP_111110[[i]],
  #Spmod37_LPP_111110[[i]],
  #Spmod38_LPP_111110[[i]],
  #Spmod39_LPP_111110[[i]],
  #Spmod40_LPP_111110[[i]],
  #Spmod41_LPP_111110[[i]],
  #Spmod42_LPP_111110[[i]],
  #Spmod43_LPP_111110[[i]],
  #Spmod44_LPP_111110[[i]],
  #Spmod45_LPP_111110[[i]],
  #Spmod46_LPP_111110[[i]],
  #Spmod47_LPP_111110[[i]],
  #Spmod48_LPP_111110[[i]],
  #Spmod49_LPP_111110[[i]],
  #Spmod50_LPP_111110[[i]],
  #Spmod51_LPP_111110[[i]],
  #Spmod52_LPP_111110[[i]],
  #Spmod53_LPP_111110[[i]],
  #Spmod54_LPP_111110[[i]],
  #Spmod55_LPP_111110[[i]],
  #Spmod56_LPP_111110[[i]],
  #Spmod57_LPP_111110[[i]],
  #Spmod58_LPP_111110[[i]],
  #Spmod59_LPP_111110[[i]],
  #Spmod60_LPP_111110[[i]],
  #Spmod61_LPP_111110[[i]],
  #Spmod62_LPP_111110[[i]],
  #Spmod63_LPP_111110[[i]],
  #Spmod64_LPP_111110[[i]],
  #Spmod65_LPP_111110[[i]])
  
  Modnames <-c("1",
               "2",
               #"3",
               #"4",
               #"5",
               #"6",
               #"7",
               "8")
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
  SpAIC_LPP_111110[[i]] <- aictab(cand.set= listall_LPP_111110[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod1_LPP_111110[[i]])
  Spmod2_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod2_LPP_111110[[i]])
  #Spmod3_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod3_LPP_111110[[i]])
  #Spmod4_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod4_LPP_111110[[i]])
  #Spmod5_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod5_LPP_111110[[i]])
  #Spmod6_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod6_LPP_111110[[i]])
  #Spmod7_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod7_LPP_111110[[i]])
  Spmod8_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod8_LPP_111110[[i]])
  #Spmod9_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod9_LPP_111110[[i]])
  #Spmod10_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod10_LPP_111110[[i]])
  #Spmod11_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod11_LPP_111110[[i]])
  #Spmod12_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod12_LPP_111110[[i]])
  #Spmod13_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod13_LPP_111110[[i]])
  #Spmod14_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod14_LPP_111110[[i]])
  #Spmod15_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod15_LPP_111110[[i]])
  #Spmod16_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod16_LPP_111110[[i]])
  #Spmod17_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod17_LPP_111110[[i]])
  #Spmod18_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod18_LPP_111110[[i]])
  #Spmod19_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod19_LPP_111110[[i]])
  #Spmod20_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod20_LPP_111110[[i]])
  #Spmod21_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod21_LPP_111110[[i]])
  #Spmod22_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod22_LPP_111110[[i]])
  #Spmod23_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod23_LPP_111110[[i]])
  #Spmod24_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod24_LPP_111110[[i]])
  #Spmod25_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod25_LPP_111110[[i]])
  #Spmod26_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod26_LPP_111110[[i]])
  #Spmod27_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod27_LPP_111110[[i]])
  #Spmod28_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod28_LPP_111110[[i]])
  #Spmod29_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod29_LPP_111110[[i]])
  #Spmod30_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod30_LPP_111110[[i]])
  #Spmod31_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod31_LPP_111110[[i]])
  #Spmod32_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod32_LPP_111110[[i]])
  #Spmod33_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod33_LPP_111110[[i]])
  #Spmod34_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod34_LPP_111110[[i]])
  #Spmod35_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod35_LPP_111110[[i]])
  #Spmod36_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod36_LPP_111110[[i]])
  #Spmod37_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod37_LPP_111110[[i]])
  #Spmod38_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod38_LPP_111110[[i]])
  #Spmod39_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod39_LPP_111110[[i]])
  #Spmod40_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod40_LPP_111110[[i]])
  #Spmod41_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod41_LPP_111110[[i]])
  #Spmod42_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod42_LPP_111110[[i]])
  #Spmod43_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod43_LPP_111110[[i]])
  #Spmod44_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod44_LPP_111110[[i]])
  #Spmod45_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod45_LPP_111110[[i]])
  #Spmod46_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod46_LPP_111110[[i]])
  #Spmod47_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod47_LPP_111110[[i]])
  #Spmod48_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod48_LPP_111110[[i]])
  #Spmod49_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod49_LPP_111110[[i]])
  #Spmod50_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod50_LPP_111110[[i]])
  #Spmod51_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod51_LPP_111110[[i]])
  #Spmod52_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod52_LPP_111110[[i]])
  #Spmod53_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod53_LPP_111110[[i]])
  #Spmod54_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod54_LPP_111110[[i]])
  #Spmod55_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod55_LPP_111110[[i]])
  #Spmod56_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod56_LPP_111110[[i]])
  #Spmod57_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod57_LPP_111110[[i]])
  #Spmod58_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod58_LPP_111110[[i]])
  #Spmod59_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod59_LPP_111110[[i]])
  #Spmod60_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod60_LPP_111110[[i]])
  #Spmod61_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod61_LPP_111110[[i]])
  #Spmod62_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod62_LPP_111110[[i]])
  #Spmod63_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod63_LPP_111110[[i]])
  #Spmod64_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod64_LPP_111110[[i]])
  #Spmod65_LPP_111110_R[[i]]<-NagelkerkeR2(Spmod65_LPP_111110[[i]])
  
  Spmod1_LPP_111110_R[[i]]$Modnames <-1
  Spmod2_LPP_111110_R[[i]]$Modnames <-2
  #Spmod3_LPP_111110_R[[i]]$Modnames <-3
  #Spmod4_LPP_111110_R[[i]]$Modnames <-4
  #Spmod5_LPP_111110_R[[i]]$Modnames <-5
  #Spmod6_LPP_111110_R[[i]]$Modnames <-6
  #Spmod7_LPP_111110_R[[i]]$Modnames <-7
  Spmod8_LPP_111110_R[[i]]$Modnames <-8
  #Spmod9_LPP_111110_R[[i]]$Modnames <-9
  #Spmod10_LPP_111110_R[[i]]$Modnames <-10
  #Spmod11_LPP_111110_R[[i]]$Modnames <-11
  #Spmod12_LPP_111110_R[[i]]$Modnames <-12
  #Spmod13_LPP_111110_R[[i]]$Modnames <-13
  #Spmod14_LPP_111110_R[[i]]$Modnames <-14
  #Spmod15_LPP_111110_R[[i]]$Modnames <-15
  #Spmod16_LPP_111110_R[[i]]$Modnames <-16
  #Spmod17_LPP_111110_R[[i]]$Modnames <-17
  #Spmod18_LPP_111110_R[[i]]$Modnames <-18
  #Spmod19_LPP_111110_R[[i]]$Modnames <-19
  #Spmod20_LPP_111110_R[[i]]$Modnames <-20
  #Spmod21_LPP_111110_R[[i]]$Modnames <-21
  #Spmod22_LPP_111110_R[[i]]$Modnames <-22
  #Spmod23_LPP_111110_R[[i]]$Modnames <-23
  #Spmod24_LPP_111110_R[[i]]$Modnames <-24
  #Spmod25_LPP_111110_R[[i]]$Modnames <-25
  #Spmod26_LPP_111110_R[[i]]$Modnames <-26
  #Spmod27_LPP_111110_R[[i]]$Modnames <-27
  #Spmod28_LPP_111110_R[[i]]$Modnames <-28
  #Spmod29_LPP_111110_R[[i]]$Modnames <-29
  #Spmod30_LPP_111110_R[[i]]$Modnames <-30
  #Spmod31_LPP_111110_R[[i]]$Modnames <-31
  #Spmod32_LPP_111110_R[[i]]$Modnames <-32
  #Spmod33_LPP_111110_R[[i]]$Modnames <-33
  #Spmod34_LPP_111110_R[[i]]$Modnames <-34
  #Spmod35_LPP_111110_R[[i]]$Modnames <-35
  #Spmod36_LPP_111110_R[[i]]$Modnames <-36
  #Spmod37_LPP_111110_R[[i]]$Modnames <-37
  #Spmod38_LPP_111110_R[[i]]$Modnames <-38
  #Spmod39_LPP_111110_R[[i]]$Modnames <-39
  #Spmod40_LPP_111110_R[[i]]$Modnames <-40
  #Spmod41_LPP_111110_R[[i]]$Modnames <-41
  #Spmod42_LPP_111110_R[[i]]$Modnames <-42
  #Spmod43_LPP_111110_R[[i]]$Modnames <-43
  #Spmod44_LPP_111110_R[[i]]$Modnames <-44
  #Spmod45_LPP_111110_R[[i]]$Modnames <-45
  #Spmod46_LPP_111110_R[[i]]$Modnames <-46
  #Spmod47_LPP_111110_R[[i]]$Modnames <-47
  #Spmod48_LPP_111110_R[[i]]$Modnames <-48
  #Spmod49_LPP_111110_R[[i]]$Modnames <-49
  #Spmod50_LPP_111110_R[[i]]$Modnames <-50
  #Spmod51_LPP_111110_R[[i]]$Modnames <-51
  #Spmod52_LPP_111110_R[[i]]$Modnames <-52
  #Spmod53_LPP_111110_R[[i]]$Modnames <-53
  #Spmod54_LPP_111110_R[[i]]$Modnames <-54
  #Spmod55_LPP_111110_R[[i]]$Modnames <-55
  #Spmod56_LPP_111110_R[[i]]$Modnames <-56
  #Spmod57_LPP_111110_R[[i]]$Modnames <-57
  #Spmod58_LPP_111110_R[[i]]$Modnames <-58
  #Spmod59_LPP_111110_R[[i]]$Modnames <-59
  #Spmod60_LPP_111110_R[[i]]$Modnames <-60
  #Spmod61_LPP_111110_R[[i]]$Modnames <-61
  #Spmod62_LPP_111110_R[[i]]$Modnames <-62
  #Spmod63_LPP_111110_R[[i]]$Modnames <-63
  #Spmod64_LPP_111110_R[[i]]$Modnames <-64
  #Spmod65_LPP_111110_R[[i]]$Modnames <-65
  
  modelavg_LPP_111110[[i]] <- model.avg(listall_LPP_111110[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  L_111110_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
    Spmod1_LPP_111110_R,
    Spmod2_LPP_111110_R,
    #Spmod3_LPP_111110_R,
    #Spmod4_LPP_111110_R,
    #Spmod5_LPP_111110_R,
    #Spmod6_LPP_111110_R,
    #Spmod7_LPP_111110_R,
    Spmod8_LPP_111110_R)))
  #Spmod9_LPP_111110_R,
  #Spmod10_LPP_111110_R,
  #Spmod11_LPP_111110_R,
  #Spmod12_LPP_111110_R,
  #Spmod13_LPP_111110_R,
  #Spmod14_LPP_111110_R,
  #Spmod15_LPP_111110_R,
  #Spmod16_LPP_111110_R,
  #Spmod17_LPP_111110_R,
  #Spmod18_LPP_111110_R,
  #Spmod19_LPP_111110_R,
  #Spmod20_LPP_111110_R,
  #Spmod21_LPP_111110_R,
  #Spmod22_LPP_111110_R,
  #Spmod23_LPP_111110_R,
  #Spmod24_LPP_111110_R,
  #Spmod25_LPP_111110_R,
  #Spmod26_LPP_111110_R,
  #Spmod27_LPP_111110_R,
  #Spmod28_LPP_111110_R,
  #Spmod29_LPP_111110_R,
  #Spmod30_LPP_111110_R,
  #Spmod31_LPP_111110_R,
  #Spmod32_LPP_111110_R,
  #Spmod33_LPP_111110_R,
  #Spmod34_LPP_111110_R,
  #Spmod35_LPP_111110_R,
  #Spmod36_LPP_111110_R,
  #Spmod37_LPP_111110_R,
  #Spmod38_LPP_111110_R,
  #Spmod39_LPP_111110_R,
  #Spmod40_LPP_111110_R,
  #Spmod41_LPP_111110_R,
  #Spmod42_LPP_111110_R,
  #Spmod43_LPP_111110_R,
  #Spmod44_LPP_111110_R,
  #Spmod45_LPP_111110_R,
  #Spmod46_LPP_111110_R,
  #Spmod47_LPP_111110_R,
  #Spmod48_LPP_111110_R,
  #Spmod49_LPP_111110_R,
  #Spmod50_LPP_111110_R,
  #Spmod51_LPP_111110_R,
  #Spmod52_LPP_111110_R,
  #Spmod53_LPP_111110_R,
  #Spmod54_LPP_111110_R,
  #Spmod55_LPP_111110_R,
  #Spmod56_LPP_111110_R,
  #Spmod57_LPP_111110_R,
  #Spmod58_LPP_111110_R,
  #Spmod59_LPP_111110_R,
  #Spmod60_LPP_111110_R,
  #Spmod61_LPP_111110_R,
  #Spmod62_LPP_111110_R,
  #Spmod63_LPP_111110_R,
  #Spmod64_LPP_111110_R,
  #Spmod65_LPP_111110_R)))
  
  L_111110_R2_N <- L_111110_R2[L_111110_R2$L3 == "N",]
  names(L_111110_R2_N)[1] <- "N"
  L_111110_R2_R2 <- L_111110_R2[L_111110_R2$L3 == "R2", ]
  names(L_111110_R2_R2)[1] <- "R2"
  L_111110_R2_MN <- L_111110_R2[L_111110_R2$L3 == "Modnames", ]
  names(L_111110_R2_MN)[1] <- "Modnames"   
  
  L_111110_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(L_111110_R2_N, L_111110_R2_R2, L_111110_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(L_111110_R2_r)[1] <- "Species"
  
  AIC_111110_L <- melt(SpAIC_LPP_111110, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_111110_L <- subset(AIC_111110_L, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_111110_L)[1] <- "Species"
  
  Results_111110_L <- merge(AIC_111110_L, L_111110_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_111110_L$exclusion <- "111110"
  
}


# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_111111", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_LPP_111111 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_LPP_111111 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_LPP_111111 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_111111_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v111111_species_L)){
  Spmod1_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~1,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod7_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_LPP_111111[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_LPP_111111[[i]] <- list(Spmod1_LPP_111111[[i]],
                                  Spmod2_LPP_111111[[i]])
  
  #Spmod3_LPP_111111[[i]],
  #Spmod4_LPP_111111[[i]],
  #Spmod5_LPP_111111[[i]],
  #Spmod6_LPP_111111[[i]],
  #Spmod7_LPP_111111[[i]],
  #Spmod8_LPP_111111[[i]],
  #Spmod9_LPP_111111[[i]],
  #Spmod10_LPP_111111[[i]],
  #Spmod11_LPP_111111[[i]],
  #Spmod12_LPP_111111[[i]],
  #Spmod13_LPP_111111[[i]],
  #Spmod14_LPP_111111[[i]],
  #Spmod15_LPP_111111[[i]],
  #Spmod16_LPP_111111[[i]],
  #Spmod17_LPP_111111[[i]],
  #Spmod18_LPP_111111[[i]],
  #Spmod19_LPP_111111[[i]],
  #Spmod20_LPP_111111[[i]],
  #Spmod21_LPP_111111[[i]],
  #Spmod22_LPP_111111[[i]],
  #Spmod23_LPP_111111[[i]],
  #Spmod24_LPP_111111[[i]],
  #Spmod25_LPP_111111[[i]],
  #Spmod26_LPP_111111[[i]],
  #Spmod27_LPP_111111[[i]],
  #Spmod28_LPP_111111[[i]],
  #Spmod29_LPP_111111[[i]],
  #Spmod30_LPP_111111[[i]],
  #Spmod31_LPP_111111[[i]],
  #Spmod32_LPP_111111[[i]],
  #Spmod33_LPP_111111[[i]],
  #Spmod34_LPP_111111[[i]],
  #Spmod35_LPP_111111[[i]],
  #Spmod36_LPP_111111[[i]],
  #Spmod37_LPP_111111[[i]],
  #Spmod38_LPP_111111[[i]],
  #Spmod39_LPP_111111[[i]],
  #Spmod40_LPP_111111[[i]],
  #Spmod41_LPP_111111[[i]],
  #Spmod42_LPP_111111[[i]],
  #Spmod43_LPP_111111[[i]],
  #Spmod44_LPP_111111[[i]],
  #Spmod45_LPP_111111[[i]],
  #Spmod46_LPP_111111[[i]],
  #Spmod47_LPP_111111[[i]],
  #Spmod48_LPP_111111[[i]],
  #Spmod49_LPP_111111[[i]],
  #Spmod50_LPP_111111[[i]],
  #Spmod51_LPP_111111[[i]],
  #Spmod52_LPP_111111[[i]],
  #Spmod53_LPP_111111[[i]],
  #Spmod54_LPP_111111[[i]],
  #Spmod55_LPP_111111[[i]],
  #Spmod56_LPP_111111[[i]],
  #Spmod57_LPP_111111[[i]],
  #Spmod58_LPP_111111[[i]],
  #Spmod59_LPP_111111[[i]],
  #Spmod60_LPP_111111[[i]],
  #Spmod61_LPP_111111[[i]],
  #Spmod62_LPP_111111[[i]],
  #Spmod63_LPP_111111[[i]],
  #Spmod64_LPP_111111[[i]],
  #Spmod65_LPP_111111[[i]])
  
  Modnames <-c("1",
               "2")
  #"3",
  #"4",
  #"5",
  #"6",
  #"7",
  #"8",
  #"9",
  #"10",
  #"11",
  #"12",
  #"13",
  #"14",
  #"15",
  #"16",
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
SpAIC_LPP_111111[[i]] <- aictab(cand.set= listall_LPP_111111[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod1_LPP_111111[[i]])
  Spmod2_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod2_LPP_111111[[i]])
  #Spmod3_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod3_LPP_111111[[i]])
  #Spmod4_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod4_LPP_111111[[i]])
  #Spmod5_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod5_LPP_111111[[i]])
  #Spmod6_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod6_LPP_111111[[i]])
  #Spmod7_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod7_LPP_111111[[i]])
  #Spmod8_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod8_LPP_111111[[i]])
  #Spmod9_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod9_LPP_111111[[i]])
  #Spmod10_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod10_LPP_111111[[i]])
  #Spmod11_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod11_LPP_111111[[i]])
  #Spmod12_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod12_LPP_111111[[i]])
  #Spmod13_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod13_LPP_111111[[i]])
  #Spmod14_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod14_LPP_111111[[i]])
  #Spmod15_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod15_LPP_111111[[i]])
  #Spmod16_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod16_LPP_111111[[i]])
  #Spmod17_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod17_LPP_111111[[i]])
  #Spmod18_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod18_LPP_111111[[i]])
  #Spmod19_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod19_LPP_111111[[i]])
  #Spmod20_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod20_LPP_111111[[i]])
  #Spmod21_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod21_LPP_111111[[i]])
  #Spmod22_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod22_LPP_111111[[i]])
  #Spmod23_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod23_LPP_111111[[i]])
  #Spmod24_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod24_LPP_111111[[i]])
  #Spmod25_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod25_LPP_111111[[i]])
  #Spmod26_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod26_LPP_111111[[i]])
  #Spmod27_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod27_LPP_111111[[i]])
  #Spmod28_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod28_LPP_111111[[i]])
  #Spmod29_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod29_LPP_111111[[i]])
  #Spmod30_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod30_LPP_111111[[i]])
  #Spmod31_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod31_LPP_111111[[i]])
  #Spmod32_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod32_LPP_111111[[i]])
  #Spmod33_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod33_LPP_111111[[i]])
  #Spmod34_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod34_LPP_111111[[i]])
  #Spmod35_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod35_LPP_111111[[i]])
  #Spmod36_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod36_LPP_111111[[i]])
  #Spmod37_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod37_LPP_111111[[i]])
  #Spmod38_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod38_LPP_111111[[i]])
  #Spmod39_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod39_LPP_111111[[i]])
  #Spmod40_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod40_LPP_111111[[i]])
  #Spmod41_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod41_LPP_111111[[i]])
  #Spmod42_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod42_LPP_111111[[i]])
  #Spmod43_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod43_LPP_111111[[i]])
  #Spmod44_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod44_LPP_111111[[i]])
  #Spmod45_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod45_LPP_111111[[i]])
  #Spmod46_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod46_LPP_111111[[i]])
  #Spmod47_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod47_LPP_111111[[i]])
  #Spmod48_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod48_LPP_111111[[i]])
  #Spmod49_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod49_LPP_111111[[i]])
  #Spmod50_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod50_LPP_111111[[i]])
  #Spmod51_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod51_LPP_111111[[i]])
  #Spmod52_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod52_LPP_111111[[i]])
  #Spmod53_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod53_LPP_111111[[i]])
  #Spmod54_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod54_LPP_111111[[i]])
  #Spmod55_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod55_LPP_111111[[i]])
  #Spmod56_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod56_LPP_111111[[i]])
  #Spmod57_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod57_LPP_111111[[i]])
  #Spmod58_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod58_LPP_111111[[i]])
  #Spmod59_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod59_LPP_111111[[i]])
  #Spmod60_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod60_LPP_111111[[i]])
  #Spmod61_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod61_LPP_111111[[i]])
  #Spmod62_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod62_LPP_111111[[i]])
  #Spmod63_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod63_LPP_111111[[i]])
  #Spmod64_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod64_LPP_111111[[i]])
  #Spmod65_LPP_111111_R[[i]]<-NagelkerkeR2(Spmod65_LPP_111111[[i]])
  
  Spmod1_LPP_111111_R[[i]]$Modnames <-1
  Spmod2_LPP_111111_R[[i]]$Modnames <-2
  #Spmod3_LPP_111111_R[[i]]$Modnames <-3
  #Spmod4_LPP_111111_R[[i]]$Modnames <-4
  #Spmod5_LPP_111111_R[[i]]$Modnames <-5
  #Spmod6_LPP_111111_R[[i]]$Modnames <-6
  #Spmod7_LPP_111111_R[[i]]$Modnames <-7
  #Spmod8_LPP_111111_R[[i]]$Modnames <-8
  #Spmod9_LPP_111111_R[[i]]$Modnames <-9
  #Spmod10_LPP_111111_R[[i]]$Modnames <-10
  #Spmod11_LPP_111111_R[[i]]$Modnames <-11
  #Spmod12_LPP_111111_R[[i]]$Modnames <-12
  #Spmod13_LPP_111111_R[[i]]$Modnames <-13
  #Spmod14_LPP_111111_R[[i]]$Modnames <-14
  #Spmod15_LPP_111111_R[[i]]$Modnames <-15
  #Spmod16_LPP_111111_R[[i]]$Modnames <-16
  #Spmod17_LPP_111111_R[[i]]$Modnames <-17
  #Spmod18_LPP_111111_R[[i]]$Modnames <-18
  #Spmod19_LPP_111111_R[[i]]$Modnames <-19
  #Spmod20_LPP_111111_R[[i]]$Modnames <-20
  #Spmod21_LPP_111111_R[[i]]$Modnames <-21
  #Spmod22_LPP_111111_R[[i]]$Modnames <-22
  #Spmod23_LPP_111111_R[[i]]$Modnames <-23
  #Spmod24_LPP_111111_R[[i]]$Modnames <-24
  #Spmod25_LPP_111111_R[[i]]$Modnames <-25
  #Spmod26_LPP_111111_R[[i]]$Modnames <-26
  #Spmod27_LPP_111111_R[[i]]$Modnames <-27
  #Spmod28_LPP_111111_R[[i]]$Modnames <-28
  #Spmod29_LPP_111111_R[[i]]$Modnames <-29
  #Spmod30_LPP_111111_R[[i]]$Modnames <-30
  #Spmod31_LPP_111111_R[[i]]$Modnames <-31
  #Spmod32_LPP_111111_R[[i]]$Modnames <-32
  #Spmod33_LPP_111111_R[[i]]$Modnames <-33
  #Spmod34_LPP_111111_R[[i]]$Modnames <-34
  #Spmod35_LPP_111111_R[[i]]$Modnames <-35
  #Spmod36_LPP_111111_R[[i]]$Modnames <-36
  #Spmod37_LPP_111111_R[[i]]$Modnames <-37
  #Spmod38_LPP_111111_R[[i]]$Modnames <-38
  #Spmod39_LPP_111111_R[[i]]$Modnames <-39
  #Spmod40_LPP_111111_R[[i]]$Modnames <-40
  #Spmod41_LPP_111111_R[[i]]$Modnames <-41
  #Spmod42_LPP_111111_R[[i]]$Modnames <-42
  #Spmod43_LPP_111111_R[[i]]$Modnames <-43
  #Spmod44_LPP_111111_R[[i]]$Modnames <-44
  #Spmod45_LPP_111111_R[[i]]$Modnames <-45
  #Spmod46_LPP_111111_R[[i]]$Modnames <-46
  #Spmod47_LPP_111111_R[[i]]$Modnames <-47
  #Spmod48_LPP_111111_R[[i]]$Modnames <-48
  #Spmod49_LPP_111111_R[[i]]$Modnames <-49
  #Spmod50_LPP_111111_R[[i]]$Modnames <-50
  #Spmod51_LPP_111111_R[[i]]$Modnames <-51
  #Spmod52_LPP_111111_R[[i]]$Modnames <-52
  #Spmod53_LPP_111111_R[[i]]$Modnames <-53
  #Spmod54_LPP_111111_R[[i]]$Modnames <-54
  #Spmod55_LPP_111111_R[[i]]$Modnames <-55
  #Spmod56_LPP_111111_R[[i]]$Modnames <-56
  #Spmod57_LPP_111111_R[[i]]$Modnames <-57
  #Spmod58_LPP_111111_R[[i]]$Modnames <-58
  #Spmod59_LPP_111111_R[[i]]$Modnames <-59
  #Spmod60_LPP_111111_R[[i]]$Modnames <-60
  #Spmod61_LPP_111111_R[[i]]$Modnames <-61
  #Spmod62_LPP_111111_R[[i]]$Modnames <-62
  #Spmod63_LPP_111111_R[[i]]$Modnames <-63
  #Spmod64_LPP_111111_R[[i]]$Modnames <-64
  #Spmod65_LPP_111111_R[[i]]$Modnames <-65
  
  modelavg_LPP_111111[[i]] <- model.avg(listall_LPP_111111[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  L_111111_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
  Spmod1_LPP_111111_R,
  Spmod2_LPP_111111_R)))
  #Spmod3_LPP_111111_R,
  #Spmod4_LPP_111111_R,
  #Spmod5_LPP_111111_R,
  #Spmod6_LPP_111111_R,
  #Spmod7_LPP_111111_R,
  #Spmod8_LPP_111111_R,
  #Spmod9_LPP_111111_R,
  #Spmod10_LPP_111111_R,
  #Spmod11_LPP_111111_R,
  #Spmod12_LPP_111111_R,
  #Spmod13_LPP_111111_R,
  #Spmod14_LPP_111111_R,
  #Spmod15_LPP_111111_R,
  #Spmod16_LPP_111111_R,
  #Spmod17_LPP_111111_R,
  #Spmod18_LPP_111111_R,
  #Spmod19_LPP_111111_R,
  #Spmod20_LPP_111111_R,
  #Spmod21_LPP_111111_R,
  #Spmod22_LPP_111111_R,
  #Spmod23_LPP_111111_R,
  #Spmod24_LPP_111111_R,
  #Spmod25_LPP_111111_R,
  #Spmod26_LPP_111111_R,
  #Spmod27_LPP_111111_R,
  #Spmod28_LPP_111111_R,
  #Spmod29_LPP_111111_R,
  #Spmod30_LPP_111111_R,
  #Spmod31_LPP_111111_R,
  #Spmod32_LPP_111111_R,
  #Spmod33_LPP_111111_R,
  #Spmod34_LPP_111111_R,
  #Spmod35_LPP_111111_R,
  #Spmod36_LPP_111111_R,
  #Spmod37_LPP_111111_R,
  #Spmod38_LPP_111111_R,
  #Spmod39_LPP_111111_R,
  #Spmod40_LPP_111111_R,
  #Spmod41_LPP_111111_R,
  #Spmod42_LPP_111111_R,
  #Spmod43_LPP_111111_R,
  #Spmod44_LPP_111111_R,
  #Spmod45_LPP_111111_R,
  #Spmod46_LPP_111111_R,
  #Spmod47_LPP_111111_R,
  #Spmod48_LPP_111111_R,
  #Spmod49_LPP_111111_R,
  #Spmod50_LPP_111111_R,
  #Spmod51_LPP_111111_R,
  #Spmod52_LPP_111111_R,
  #Spmod53_LPP_111111_R,
  #Spmod54_LPP_111111_R,
  #Spmod55_LPP_111111_R,
  #Spmod56_LPP_111111_R,
  #Spmod57_LPP_111111_R,
  #Spmod58_LPP_111111_R,
  #Spmod59_LPP_111111_R,
  #Spmod60_LPP_111111_R,
  #Spmod61_LPP_111111_R,
  #Spmod62_LPP_111111_R,
  #Spmod63_LPP_111111_R,
  #Spmod64_LPP_111111_R,
  #Spmod65_LPP_111111_R)))
  
  L_111111_R2_N <- L_111111_R2[L_111111_R2$L3 == "N",]
  names(L_111111_R2_N)[1] <- "N"
  L_111111_R2_R2 <- L_111111_R2[L_111111_R2$L3 == "R2", ]
  names(L_111111_R2_R2)[1] <- "R2"
  L_111111_R2_MN <- L_111111_R2[L_111111_R2$L3 == "Modnames", ]
  names(L_111111_R2_MN)[1] <- "Modnames"   
  
  L_111111_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(L_111111_R2_N, L_111111_R2_R2, L_111111_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(L_111111_R2_r)[1] <- "Species"
  
  AIC_111111_L <- melt(SpAIC_LPP_111111, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_111111_L <- subset(AIC_111111_L, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_111111_L)[1] <- "Species"
  
  Results_111111_L <- merge(AIC_111111_L, L_111111_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_111111_L$exclusion <- "111111"
  
}





# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_101101", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_LPP_101101 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_LPP_101101 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_LPP_101101 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_101101_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v101101_species_L)){
  Spmod1_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~1,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod4_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod8_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod16_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod23_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_LPP_101101[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_LPP_101101[[i]] <- list(Spmod1_LPP_101101[[i]],
                                  Spmod2_LPP_101101[[i]],
                                  
                                  #Spmod3_LPP_101101[[i]],
                                  Spmod4_LPP_101101[[i]],
                                  #Spmod5_LPP_101101[[i]],
                                  #Spmod6_LPP_101101[[i]],
                                  Spmod7_LPP_101101[[i]],
                                  #Spmod8_LPP_101101[[i]],
                                  #Spmod9_LPP_101101[[i]],
                                  #Spmod10_LPP_101101[[i]],
                                  #Spmod11_LPP_101101[[i]],
                                  #Spmod12_LPP_101101[[i]],
                                  #Spmod13_LPP_101101[[i]],
                                  #Spmod14_LPP_101101[[i]],
                                  #Spmod15_LPP_101101[[i]],
                                  Spmod16_LPP_101101[[i]])
  #Spmod17_LPP_101101[[i]],
  #Spmod18_LPP_101101[[i]],
  #Spmod19_LPP_101101[[i]],
  #Spmod20_LPP_101101[[i]],
  #Spmod21_LPP_101101[[i]],
  #Spmod22_LPP_101101[[i]],
  #Spmod23_LPP_101101[[i]],
  #Spmod24_LPP_101101[[i]],
  #Spmod25_LPP_101101[[i]],
  #Spmod26_LPP_101101[[i]],
  #Spmod27_LPP_101101[[i]],
  #Spmod28_LPP_101101[[i]],
  #Spmod29_LPP_101101[[i]],
  #Spmod30_LPP_101101[[i]],
  #Spmod31_LPP_101101[[i]],
  #Spmod32_LPP_101101[[i]],
  #Spmod33_LPP_101101[[i]],
  #Spmod34_LPP_101101[[i]],
  #Spmod35_LPP_101101[[i]],
  #Spmod36_LPP_101101[[i]],
  #Spmod37_LPP_101101[[i]],
  #Spmod38_LPP_101101[[i]],
  #Spmod39_LPP_101101[[i]],
  #Spmod40_LPP_101101[[i]],
  #Spmod41_LPP_101101[[i]],
  #Spmod42_LPP_101101[[i]],
  #Spmod43_LPP_101101[[i]],
  #Spmod44_LPP_101101[[i]],
  #Spmod45_LPP_101101[[i]],
  #Spmod46_LPP_101101[[i]],
  #Spmod47_LPP_101101[[i]],
  #Spmod48_LPP_101101[[i]],
  #Spmod49_LPP_101101[[i]],
  #Spmod50_LPP_101101[[i]],
  #Spmod51_LPP_101101[[i]],
  #Spmod52_LPP_101101[[i]],
  #Spmod53_LPP_101101[[i]],
  #Spmod54_LPP_101101[[i]],
  #Spmod55_LPP_101101[[i]],
  #Spmod56_LPP_101101[[i]],
  #Spmod57_LPP_101101[[i]],
  #Spmod58_LPP_101101[[i]],
  #Spmod59_LPP_101101[[i]],
  #Spmod60_LPP_101101[[i]],
  #Spmod61_LPP_101101[[i]],
  #Spmod62_LPP_101101[[i]],
  #Spmod63_LPP_101101[[i]],
  #Spmod64_LPP_101101[[i]],
  #Spmod65_LPP_101101[[i]])
  
  Modnames <-c("1",
               "2",
               #"3",
               "4",
               #"5",
               #"6",
               "7",
               #"8",
               #"9",
               #"10",
               #"11",
               #"12",
               #"13",
               #"14",
               #"15",
               "16")
  #"17",
  #"18",
  #"19",
  #"20",
  #"21",
  #"22",
  #"23",
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
  SpAIC_LPP_101101[[i]] <- aictab(cand.set= listall_LPP_101101[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod1_LPP_101101[[i]])
  Spmod2_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod2_LPP_101101[[i]])
  #Spmod3_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod3_LPP_101101[[i]])
  Spmod4_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod4_LPP_101101[[i]])
  #Spmod5_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod5_LPP_101101[[i]])
  #Spmod6_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod6_LPP_101101[[i]])
  Spmod7_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod7_LPP_101101[[i]])
  #Spmod8_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod8_LPP_101101[[i]])
  #Spmod9_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod9_LPP_101101[[i]])
  #Spmod10_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod10_LPP_101101[[i]])
  #Spmod11_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod11_LPP_101101[[i]])
  #Spmod12_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod12_LPP_101101[[i]])
  #Spmod13_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod13_LPP_101101[[i]])
  #Spmod14_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod14_LPP_101101[[i]])
  #Spmod15_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod15_LPP_101101[[i]])
  Spmod16_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod16_LPP_101101[[i]])
  #Spmod17_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod17_LPP_101101[[i]])
  #Spmod18_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod18_LPP_101101[[i]])
  #Spmod19_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod19_LPP_101101[[i]])
  #Spmod20_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod20_LPP_101101[[i]])
  #Spmod21_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod21_LPP_101101[[i]])
  #Spmod22_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod22_LPP_101101[[i]])
  #Spmod23_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod23_LPP_101101[[i]])
  #Spmod24_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod24_LPP_101101[[i]])
  #Spmod25_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod25_LPP_101101[[i]])
  #Spmod26_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod26_LPP_101101[[i]])
  #Spmod27_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod27_LPP_101101[[i]])
  #Spmod28_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod28_LPP_101101[[i]])
  #Spmod29_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod29_LPP_101101[[i]])
  #Spmod30_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod30_LPP_101101[[i]])
  #Spmod31_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod31_LPP_101101[[i]])
  #Spmod32_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod32_LPP_101101[[i]])
  #Spmod33_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod33_LPP_101101[[i]])
  #Spmod34_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod34_LPP_101101[[i]])
  #Spmod35_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod35_LPP_101101[[i]])
  #Spmod36_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod36_LPP_101101[[i]])
  #Spmod37_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod37_LPP_101101[[i]])
  #Spmod38_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod38_LPP_101101[[i]])
  #Spmod39_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod39_LPP_101101[[i]])
  #Spmod40_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod40_LPP_101101[[i]])
  #Spmod41_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod41_LPP_101101[[i]])
  #Spmod42_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod42_LPP_101101[[i]])
  #Spmod43_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod43_LPP_101101[[i]])
  #Spmod44_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod44_LPP_101101[[i]])
  #Spmod45_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod45_LPP_101101[[i]])
  #Spmod46_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod46_LPP_101101[[i]])
  #Spmod47_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod47_LPP_101101[[i]])
  #Spmod48_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod48_LPP_101101[[i]])
  #Spmod49_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod49_LPP_101101[[i]])
  #Spmod50_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod50_LPP_101101[[i]])
  #Spmod51_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod51_LPP_101101[[i]])
  #Spmod52_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod52_LPP_101101[[i]])
  #Spmod53_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod53_LPP_101101[[i]])
  #Spmod54_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod54_LPP_101101[[i]])
  #Spmod55_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod55_LPP_101101[[i]])
  #Spmod56_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod56_LPP_101101[[i]])
  #Spmod57_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod57_LPP_101101[[i]])
  #Spmod58_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod58_LPP_101101[[i]])
  #Spmod59_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod59_LPP_101101[[i]])
  #Spmod60_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod60_LPP_101101[[i]])
  #Spmod61_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod61_LPP_101101[[i]])
  #Spmod62_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod62_LPP_101101[[i]])
  #Spmod63_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod63_LPP_101101[[i]])
  #Spmod64_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod64_LPP_101101[[i]])
  #Spmod65_LPP_101101_R[[i]]<-NagelkerkeR2(Spmod65_LPP_101101[[i]])
  
  Spmod1_LPP_101101_R[[i]]$Modnames <-1
  Spmod2_LPP_101101_R[[i]]$Modnames <-2
  #Spmod3_LPP_101101_R[[i]]$Modnames <-3
  Spmod4_LPP_101101_R[[i]]$Modnames <-4
  #Spmod5_LPP_101101_R[[i]]$Modnames <-5
  #Spmod6_LPP_101101_R[[i]]$Modnames <-6
  Spmod7_LPP_101101_R[[i]]$Modnames <-7
  #Spmod8_LPP_101101_R[[i]]$Modnames <-8
  #Spmod9_LPP_101101_R[[i]]$Modnames <-9
  #Spmod10_LPP_101101_R[[i]]$Modnames <-10
  #Spmod11_LPP_101101_R[[i]]$Modnames <-11
  #Spmod12_LPP_101101_R[[i]]$Modnames <-12
  #Spmod13_LPP_101101_R[[i]]$Modnames <-13
  #Spmod14_LPP_101101_R[[i]]$Modnames <-14
  #Spmod15_LPP_101101_R[[i]]$Modnames <-15
  Spmod16_LPP_101101_R[[i]]$Modnames <-16
  #Spmod17_LPP_101101_R[[i]]$Modnames <-17
  #Spmod18_LPP_101101_R[[i]]$Modnames <-18
  #Spmod19_LPP_101101_R[[i]]$Modnames <-19
  #Spmod20_LPP_101101_R[[i]]$Modnames <-20
  #Spmod21_LPP_101101_R[[i]]$Modnames <-21
  #Spmod22_LPP_101101_R[[i]]$Modnames <-22
  #Spmod23_LPP_101101_R[[i]]$Modnames <-23
  #Spmod24_LPP_101101_R[[i]]$Modnames <-24
  #Spmod25_LPP_101101_R[[i]]$Modnames <-25
  #Spmod26_LPP_101101_R[[i]]$Modnames <-26
  #Spmod27_LPP_101101_R[[i]]$Modnames <-27
  #Spmod28_LPP_101101_R[[i]]$Modnames <-28
  #Spmod29_LPP_101101_R[[i]]$Modnames <-29
  #Spmod30_LPP_101101_R[[i]]$Modnames <-30
  #Spmod31_LPP_101101_R[[i]]$Modnames <-31
  #Spmod32_LPP_101101_R[[i]]$Modnames <-32
  #Spmod33_LPP_101101_R[[i]]$Modnames <-33
  #Spmod34_LPP_101101_R[[i]]$Modnames <-34
  #Spmod35_LPP_101101_R[[i]]$Modnames <-35
  #Spmod36_LPP_101101_R[[i]]$Modnames <-36
  #Spmod37_LPP_101101_R[[i]]$Modnames <-37
  #Spmod38_LPP_101101_R[[i]]$Modnames <-38
  #Spmod39_LPP_101101_R[[i]]$Modnames <-39
  #Spmod40_LPP_101101_R[[i]]$Modnames <-40
  #Spmod41_LPP_101101_R[[i]]$Modnames <-41
  #Spmod42_LPP_101101_R[[i]]$Modnames <-42
  #Spmod43_LPP_101101_R[[i]]$Modnames <-43
  #Spmod44_LPP_101101_R[[i]]$Modnames <-44
  #Spmod45_LPP_101101_R[[i]]$Modnames <-45
  #Spmod46_LPP_101101_R[[i]]$Modnames <-46
  #Spmod47_LPP_101101_R[[i]]$Modnames <-47
  #Spmod48_LPP_101101_R[[i]]$Modnames <-48
  #Spmod49_LPP_101101_R[[i]]$Modnames <-49
  #Spmod50_LPP_101101_R[[i]]$Modnames <-50
  #Spmod51_LPP_101101_R[[i]]$Modnames <-51
  #Spmod52_LPP_101101_R[[i]]$Modnames <-52
  #Spmod53_LPP_101101_R[[i]]$Modnames <-53
  #Spmod54_LPP_101101_R[[i]]$Modnames <-54
  #Spmod55_LPP_101101_R[[i]]$Modnames <-55
  #Spmod56_LPP_101101_R[[i]]$Modnames <-56
  #Spmod57_LPP_101101_R[[i]]$Modnames <-57
  #Spmod58_LPP_101101_R[[i]]$Modnames <-58
  #Spmod59_LPP_101101_R[[i]]$Modnames <-59
  #Spmod60_LPP_101101_R[[i]]$Modnames <-60
  #Spmod61_LPP_101101_R[[i]]$Modnames <-61
  #Spmod62_LPP_101101_R[[i]]$Modnames <-62
  #Spmod63_LPP_101101_R[[i]]$Modnames <-63
  #Spmod64_LPP_101101_R[[i]]$Modnames <-64
  #Spmod65_LPP_101101_R[[i]]$Modnames <-65
  
  modelavg_LPP_101101[[i]] <- model.avg(listall_LPP_101101[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  L_101101_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
    Spmod1_LPP_101101_R,
    Spmod2_LPP_101101_R,
    #Spmod3_LPP_101101_R,
    Spmod4_LPP_101101_R,
    #Spmod5_LPP_101101_R,
    #Spmod6_LPP_101101_R,
    Spmod7_LPP_101101_R,
    #Spmod8_LPP_101101_R,
    #Spmod9_LPP_101101_R,
    #Spmod10_LPP_101101_R,
    #Spmod11_LPP_101101_R,
    #Spmod12_LPP_101101_R,
    #Spmod13_LPP_101101_R,
    #Spmod14_LPP_101101_R,
    #Spmod15_LPP_101101_R,
    Spmod16_LPP_101101_R)))
  #Spmod17_LPP_101101_R,
  #Spmod18_LPP_101101_R,
  #Spmod19_LPP_101101_R,
  #Spmod20_LPP_101101_R,
  #Spmod21_LPP_101101_R,
  #Spmod22_LPP_101101_R,
  #Spmod23_LPP_101101_R,
  #Spmod24_LPP_101101_R,
  #Spmod25_LPP_101101_R,
  #Spmod26_LPP_101101_R,
  #Spmod27_LPP_101101_R,
  #Spmod28_LPP_101101_R,
  #Spmod29_LPP_101101_R,
  #Spmod30_LPP_101101_R,
  #Spmod31_LPP_101101_R,
  #Spmod32_LPP_101101_R,
  #Spmod33_LPP_101101_R,
  #Spmod34_LPP_101101_R,
  #Spmod35_LPP_101101_R,
  #Spmod36_LPP_101101_R,
  #Spmod37_LPP_101101_R,
  #Spmod38_LPP_101101_R,
  #Spmod39_LPP_101101_R,
  #Spmod40_LPP_101101_R,
  #Spmod41_LPP_101101_R,
  #Spmod42_LPP_101101_R,
  #Spmod43_LPP_101101_R,
  #Spmod44_LPP_101101_R,
  #Spmod45_LPP_101101_R,
  #Spmod46_LPP_101101_R,
  #Spmod47_LPP_101101_R,
  #Spmod48_LPP_101101_R,
  #Spmod49_LPP_101101_R,
  #Spmod50_LPP_101101_R,
  #Spmod51_LPP_101101_R,
  #Spmod52_LPP_101101_R,
  #Spmod53_LPP_101101_R,
  #Spmod54_LPP_101101_R,
  #Spmod55_LPP_101101_R,
  #Spmod56_LPP_101101_R,
  #Spmod57_LPP_101101_R,
  #Spmod58_LPP_101101_R,
  #Spmod59_LPP_101101_R,
  #Spmod60_LPP_101101_R,
  #Spmod61_LPP_101101_R,
  #Spmod62_LPP_101101_R,
  #Spmod63_LPP_101101_R,
  #Spmod64_LPP_101101_R,
  #Spmod65_LPP_101101_R)))
  
  L_101101_R2_N <- L_101101_R2[L_101101_R2$L3 == "N",]
  names(L_101101_R2_N)[1] <- "N"
  L_101101_R2_R2 <- L_101101_R2[L_101101_R2$L3 == "R2", ]
  names(L_101101_R2_R2)[1] <- "R2"
  L_101101_R2_MN <- L_101101_R2[L_101101_R2$L3 == "Modnames", ]
  names(L_101101_R2_MN)[1] <- "Modnames"   
  
  L_101101_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(L_101101_R2_N, L_101101_R2_R2, L_101101_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(L_101101_R2_r)[1] <- "Species"
  
  AIC_101101_L <- melt(SpAIC_LPP_101101, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_101101_L <- subset(AIC_101101_L, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_101101_L)[1] <- "Species"
  
  Results_101101_L <- merge(AIC_101101_L, L_101101_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_101101_L$exclusion <- "101101"
  
}



# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_111000", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_LPP_111000 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_LPP_111000 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_LPP_111000 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_111000_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v111000_species_L)){
  Spmod1_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~1,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod6_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod21_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod22_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod23_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod43_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_LPP_111000[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_LPP_111000[[i]] <- list(Spmod1_LPP_111000[[i]],
                                  Spmod2_LPP_111000[[i]],
                                  
                                  #Spmod3_LPP_111000[[i]],
                                  #Spmod4_LPP_111000[[i]],
                                  #Spmod5_LPP_111000[[i]],
                                  Spmod6_LPP_111000[[i]],
                                  Spmod7_LPP_111000[[i]],
                                  Spmod8_LPP_111000[[i]],
                                  #Spmod9_LPP_111000[[i]],
                                  #Spmod10_LPP_111000[[i]],
                                  #Spmod11_LPP_111000[[i]],
                                  #Spmod12_LPP_111000[[i]],
                                  #Spmod13_LPP_111000[[i]],
                                  #Spmod14_LPP_111000[[i]],
                                  #Spmod15_LPP_111000[[i]],
                                  #Spmod16_LPP_111000[[i]],
                                  #Spmod17_LPP_111000[[i]],
                                  #Spmod18_LPP_111000[[i]],
                                  #Spmod19_LPP_111000[[i]],
                                  #Spmod20_LPP_111000[[i]],
                                  Spmod21_LPP_111000[[i]],
                                  Spmod22_LPP_111000[[i]],
                                  Spmod23_LPP_111000[[i]],
                                  #Spmod24_LPP_111000[[i]],
                                  #Spmod25_LPP_111000[[i]],
                                  #Spmod26_LPP_111000[[i]],
                                  #Spmod27_LPP_111000[[i]],
                                  #Spmod28_LPP_111000[[i]],
                                  #Spmod29_LPP_111000[[i]],
                                  #Spmod30_LPP_111000[[i]],
                                  #Spmod31_LPP_111000[[i]],
                                  #Spmod32_LPP_111000[[i]],
                                  #Spmod33_LPP_111000[[i]],
                                  #Spmod34_LPP_111000[[i]],
                                  #Spmod35_LPP_111000[[i]],
                                  #Spmod36_LPP_111000[[i]],
                                  #Spmod37_LPP_111000[[i]],
                                  #Spmod38_LPP_111000[[i]],
                                  #Spmod39_LPP_111000[[i]],
                                  #Spmod40_LPP_111000[[i]],
                                  #Spmod41_LPP_111000[[i]],
                                  #Spmod42_LPP_111000[[i]],
                                  Spmod43_LPP_111000[[i]])
  #Spmod44_LPP_111000[[i]],
  #Spmod45_LPP_111000[[i]],
  #Spmod46_LPP_111000[[i]],
  #Spmod47_LPP_111000[[i]],
  #Spmod48_LPP_111000[[i]],
  #Spmod49_LPP_111000[[i]],
  #Spmod50_LPP_111000[[i]],
  #Spmod51_LPP_111000[[i]],
  #Spmod52_LPP_111000[[i]],
  #Spmod53_LPP_111000[[i]],
  #Spmod54_LPP_111000[[i]],
  #Spmod55_LPP_111000[[i]],
  #Spmod56_LPP_111000[[i]],
  #Spmod57_LPP_111000[[i]],
  #Spmod58_LPP_111000[[i]],
  #Spmod59_LPP_111000[[i]],
  #Spmod60_LPP_111000[[i]],
  #Spmod61_LPP_111000[[i]],
  #Spmod62_LPP_111000[[i]],
  #Spmod63_LPP_111000[[i]],
  #Spmod64_LPP_111000[[i]],
  #Spmod65_LPP_111000[[i]])
  
  Modnames <-c("1",
               "2",
               #"3",
               #"4",
               #"5",
               "6",
               "7",
               "8",
               #"9",
               #"10",
               #"11",
               #"12",
               #"13",
               #"14",
               #"15",
               #"16",
               #"17",
               #"18",
               #"19",
               #"20",
               "21",
               "22",
               "23",
               #"24",
               #"25",
               #"26",
               #"27",
               #"28",
               #"29",
               #"30",
               #"31",
               #"32",
               #"33",
               #"34",
               #"35",
               #"36",
               #"37",
               #"38",
               #"39",
               #"40",
               #"41",
               #"42",
               "43")
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
  SpAIC_LPP_111000[[i]] <- aictab(cand.set= listall_LPP_111000[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod1_LPP_111000[[i]])
  Spmod2_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod2_LPP_111000[[i]])
  #Spmod3_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod3_LPP_111000[[i]])
  #Spmod4_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod4_LPP_111000[[i]])
  #Spmod5_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod5_LPP_111000[[i]])
  Spmod6_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod6_LPP_111000[[i]])
  Spmod7_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod7_LPP_111000[[i]])
  Spmod8_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod8_LPP_111000[[i]])
  #Spmod9_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod9_LPP_111000[[i]])
  #Spmod10_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod10_LPP_111000[[i]])
  #Spmod11_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod11_LPP_111000[[i]])
  #Spmod12_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod12_LPP_111000[[i]])
  #Spmod13_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod13_LPP_111000[[i]])
  #Spmod14_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod14_LPP_111000[[i]])
  #Spmod15_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod15_LPP_111000[[i]])
  #Spmod16_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod16_LPP_111000[[i]])
  #Spmod17_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod17_LPP_111000[[i]])
  #Spmod18_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod18_LPP_111000[[i]])
  #Spmod19_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod19_LPP_111000[[i]])
  #Spmod20_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod20_LPP_111000[[i]])
  Spmod21_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod21_LPP_111000[[i]])
  Spmod22_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod22_LPP_111000[[i]])
  Spmod23_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod23_LPP_111000[[i]])
  #Spmod24_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod24_LPP_111000[[i]])
  #Spmod25_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod25_LPP_111000[[i]])
  #Spmod26_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod26_LPP_111000[[i]])
  #Spmod27_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod27_LPP_111000[[i]])
  #Spmod28_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod28_LPP_111000[[i]])
  #Spmod29_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod29_LPP_111000[[i]])
  #Spmod30_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod30_LPP_111000[[i]])
  #Spmod31_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod31_LPP_111000[[i]])
  #Spmod32_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod32_LPP_111000[[i]])
  #Spmod33_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod33_LPP_111000[[i]])
  #Spmod34_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod34_LPP_111000[[i]])
  #Spmod35_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod35_LPP_111000[[i]])
  #Spmod36_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod36_LPP_111000[[i]])
  #Spmod37_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod37_LPP_111000[[i]])
  #Spmod38_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod38_LPP_111000[[i]])
  #Spmod39_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod39_LPP_111000[[i]])
  #Spmod40_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod40_LPP_111000[[i]])
  #Spmod41_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod41_LPP_111000[[i]])
  #Spmod42_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod42_LPP_111000[[i]])
  Spmod43_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod43_LPP_111000[[i]])
  #Spmod44_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod44_LPP_111000[[i]])
  #Spmod45_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod45_LPP_111000[[i]])
  #Spmod46_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod46_LPP_111000[[i]])
  #Spmod47_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod47_LPP_111000[[i]])
  #Spmod48_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod48_LPP_111000[[i]])
  #Spmod49_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod49_LPP_111000[[i]])
  #Spmod50_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod50_LPP_111000[[i]])
  #Spmod51_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod51_LPP_111000[[i]])
  #Spmod52_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod52_LPP_111000[[i]])
  #Spmod53_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod53_LPP_111000[[i]])
  #Spmod54_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod54_LPP_111000[[i]])
  #Spmod55_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod55_LPP_111000[[i]])
  #Spmod56_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod56_LPP_111000[[i]])
  #Spmod57_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod57_LPP_111000[[i]])
  #Spmod58_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod58_LPP_111000[[i]])
  #Spmod59_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod59_LPP_111000[[i]])
  #Spmod60_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod60_LPP_111000[[i]])
  #Spmod61_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod61_LPP_111000[[i]])
  #Spmod62_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod62_LPP_111000[[i]])
  #Spmod63_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod63_LPP_111000[[i]])
  #Spmod64_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod64_LPP_111000[[i]])
  #Spmod65_LPP_111000_R[[i]]<-NagelkerkeR2(Spmod65_LPP_111000[[i]])
  
  Spmod1_LPP_111000_R[[i]]$Modnames <-1
  Spmod2_LPP_111000_R[[i]]$Modnames <-2
  #Spmod3_LPP_111000_R[[i]]$Modnames <-3
  #Spmod4_LPP_111000_R[[i]]$Modnames <-4
  #Spmod5_LPP_111000_R[[i]]$Modnames <-5
  Spmod6_LPP_111000_R[[i]]$Modnames <-6
  Spmod7_LPP_111000_R[[i]]$Modnames <-7
  Spmod8_LPP_111000_R[[i]]$Modnames <-8
  #Spmod9_LPP_111000_R[[i]]$Modnames <-9
  #Spmod10_LPP_111000_R[[i]]$Modnames <-10
  #Spmod11_LPP_111000_R[[i]]$Modnames <-11
  #Spmod12_LPP_111000_R[[i]]$Modnames <-12
  #Spmod13_LPP_111000_R[[i]]$Modnames <-13
  #Spmod14_LPP_111000_R[[i]]$Modnames <-14
  #Spmod15_LPP_111000_R[[i]]$Modnames <-15
  #Spmod16_LPP_111000_R[[i]]$Modnames <-16
  #Spmod17_LPP_111000_R[[i]]$Modnames <-17
  #Spmod18_LPP_111000_R[[i]]$Modnames <-18
  #Spmod19_LPP_111000_R[[i]]$Modnames <-19
  #Spmod20_LPP_111000_R[[i]]$Modnames <-20
  Spmod21_LPP_111000_R[[i]]$Modnames <-21
  Spmod22_LPP_111000_R[[i]]$Modnames <-22
  Spmod23_LPP_111000_R[[i]]$Modnames <-23
  #Spmod24_LPP_111000_R[[i]]$Modnames <-24
  #Spmod25_LPP_111000_R[[i]]$Modnames <-25
  #Spmod26_LPP_111000_R[[i]]$Modnames <-26
  #Spmod27_LPP_111000_R[[i]]$Modnames <-27
  #Spmod28_LPP_111000_R[[i]]$Modnames <-28
  #Spmod29_LPP_111000_R[[i]]$Modnames <-29
  #Spmod30_LPP_111000_R[[i]]$Modnames <-30
  #Spmod31_LPP_111000_R[[i]]$Modnames <-31
  #Spmod32_LPP_111000_R[[i]]$Modnames <-32
  #Spmod33_LPP_111000_R[[i]]$Modnames <-33
  #Spmod34_LPP_111000_R[[i]]$Modnames <-34
  #Spmod35_LPP_111000_R[[i]]$Modnames <-35
  #Spmod36_LPP_111000_R[[i]]$Modnames <-36
  #Spmod37_LPP_111000_R[[i]]$Modnames <-37
  #Spmod38_LPP_111000_R[[i]]$Modnames <-38
  #Spmod39_LPP_111000_R[[i]]$Modnames <-39
  #Spmod40_LPP_111000_R[[i]]$Modnames <-40
  #Spmod41_LPP_111000_R[[i]]$Modnames <-41
  #Spmod42_LPP_111000_R[[i]]$Modnames <-42
  Spmod43_LPP_111000_R[[i]]$Modnames <-43
  #Spmod44_LPP_111000_R[[i]]$Modnames <-44
  #Spmod45_LPP_111000_R[[i]]$Modnames <-45
  #Spmod46_LPP_111000_R[[i]]$Modnames <-46
  #Spmod47_LPP_111000_R[[i]]$Modnames <-47
  #Spmod48_LPP_111000_R[[i]]$Modnames <-48
  #Spmod49_LPP_111000_R[[i]]$Modnames <-49
  #Spmod50_LPP_111000_R[[i]]$Modnames <-50
  #Spmod51_LPP_111000_R[[i]]$Modnames <-51
  #Spmod52_LPP_111000_R[[i]]$Modnames <-52
  #Spmod53_LPP_111000_R[[i]]$Modnames <-53
  #Spmod54_LPP_111000_R[[i]]$Modnames <-54
  #Spmod55_LPP_111000_R[[i]]$Modnames <-55
  #Spmod56_LPP_111000_R[[i]]$Modnames <-56
  #Spmod57_LPP_111000_R[[i]]$Modnames <-57
  #Spmod58_LPP_111000_R[[i]]$Modnames <-58
  #Spmod59_LPP_111000_R[[i]]$Modnames <-59
  #Spmod60_LPP_111000_R[[i]]$Modnames <-60
  #Spmod61_LPP_111000_R[[i]]$Modnames <-61
  #Spmod62_LPP_111000_R[[i]]$Modnames <-62
  #Spmod63_LPP_111000_R[[i]]$Modnames <-63
  #Spmod64_LPP_111000_R[[i]]$Modnames <-64
  #Spmod65_LPP_111000_R[[i]]$Modnames <-65
  
  modelavg_LPP_111000[[i]] <- model.avg(listall_LPP_111000[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  L_111000_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
    Spmod1_LPP_111000_R,
    Spmod2_LPP_111000_R,
    #Spmod3_LPP_111000_R,
    #Spmod4_LPP_111000_R,
    #Spmod5_LPP_111000_R,
    Spmod6_LPP_111000_R,
    Spmod7_LPP_111000_R,
    Spmod8_LPP_111000_R,
    #Spmod9_LPP_111000_R,
    #Spmod10_LPP_111000_R,
    #Spmod11_LPP_111000_R,
    #Spmod12_LPP_111000_R,
    #Spmod13_LPP_111000_R,
    #Spmod14_LPP_111000_R,
    #Spmod15_LPP_111000_R,
    #Spmod16_LPP_111000_R,
    #Spmod17_LPP_111000_R,
    #Spmod18_LPP_111000_R,
    #Spmod19_LPP_111000_R,
    #Spmod20_LPP_111000_R,
    Spmod21_LPP_111000_R,
    Spmod22_LPP_111000_R,
    Spmod23_LPP_111000_R,
    #Spmod24_LPP_111000_R,
    #Spmod25_LPP_111000_R,
    #Spmod26_LPP_111000_R,
    #Spmod27_LPP_111000_R,
    #Spmod28_LPP_111000_R,
    #Spmod29_LPP_111000_R,
    #Spmod30_LPP_111000_R,
    #Spmod31_LPP_111000_R,
    #Spmod32_LPP_111000_R,
    #Spmod33_LPP_111000_R,
    #Spmod34_LPP_111000_R,
    #Spmod35_LPP_111000_R,
    #Spmod36_LPP_111000_R,
    #Spmod37_LPP_111000_R,
    #Spmod38_LPP_111000_R,
    #Spmod39_LPP_111000_R,
    #Spmod40_LPP_111000_R,
    #Spmod41_LPP_111000_R,
    #Spmod42_LPP_111000_R,
    Spmod43_LPP_111000_R)))
  #Spmod44_LPP_111000_R,
  #Spmod45_LPP_111000_R,
  #Spmod46_LPP_111000_R,
  #Spmod47_LPP_111000_R,
  #Spmod48_LPP_111000_R,
  #Spmod49_LPP_111000_R,
  #Spmod50_LPP_111000_R,
  #Spmod51_LPP_111000_R,
  #Spmod52_LPP_111000_R,
  #Spmod53_LPP_111000_R,
  #Spmod54_LPP_111000_R,
  #Spmod55_LPP_111000_R,
  #Spmod56_LPP_111000_R,
  #Spmod57_LPP_111000_R,
  #Spmod58_LPP_111000_R,
  #Spmod59_LPP_111000_R,
  #Spmod60_LPP_111000_R,
  #Spmod61_LPP_111000_R,
  #Spmod62_LPP_111000_R,
  #Spmod63_LPP_111000_R,
  #Spmod64_LPP_111000_R,
  #Spmod65_LPP_111000_R)))
  
  L_111000_R2_N <- L_111000_R2[L_111000_R2$L3 == "N",]
  names(L_111000_R2_N)[1] <- "N"
  L_111000_R2_R2 <- L_111000_R2[L_111000_R2$L3 == "R2", ]
  names(L_111000_R2_R2)[1] <- "R2"
  L_111000_R2_MN <- L_111000_R2[L_111000_R2$L3 == "Modnames", ]
  names(L_111000_R2_MN)[1] <- "Modnames"   
  
  L_111000_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(L_111000_R2_N, L_111000_R2_R2, L_111000_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(L_111000_R2_r)[1] <- "Species"
  
  AIC_111000_L <- melt(SpAIC_LPP_111000, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_111000_L <- subset(AIC_111000_L, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_111000_L)[1] <- "Species"
  
  Results_111000_L <- merge(AIC_111000_L, L_111000_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_111000_L$exclusion <- "111000"
  
}



# Create an empty object for the models
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_111100", sep = ""), NULL)    
}

# Create an empty object for the results of each model 
listall_LPP_111100 <- NULL

# Create an empty object for the results of AIC calculations
SpAIC_LPP_111100 <- NULL

# Create an empty object fpr the results of model averaging
modelavg_LPP_111100 <- NULL

# Create empty objects of R-squared results
for(i in 1:65){
  assign(paste("Spmod", i, "_LPP_111100_R", sep = ""), NULL)    
}

# Load R packages
library(nnet)
library(AICcmodavg)
library(mice)
library(MuMIn)
library(fmsb)

# START running the models
for(i in names(v111100_species_L)){
  Spmod1_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~1,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod2_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod3_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod4_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod5_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod6_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod7_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod8_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod9_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod10_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod11_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod12_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod13_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod14_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod15_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod16_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod17_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod18_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod19_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod20_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod21_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod22_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  Spmod23_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod24_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod25_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod26_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod27_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod28_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod29_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod30_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod31_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod32_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod33_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod34_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod35_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod36_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod37_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod38_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod39_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod40_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod41_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod42_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod43_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod44_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod45_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod46_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod47_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod48_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod49_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod50_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod51_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod52_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod53_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod54_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod55_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod56_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod57_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod58_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod59_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod60_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod61_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod62_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod63_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod64_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  #Spmod65_LPP_111100[[i]]<-glm(cc(Sp_env_LPP[,i])~DiffEvent+PercGFWC+NPP+PercGFWC_20kmd+bio11+bio17+bio8,data=Sp_env_LPP[complete.cases(Sp_env_LPP[[i]]),],family=binomial(link='logit'),na.action=na.omit)
  
  
  listall_LPP_111100[[i]] <- list(Spmod1_LPP_111100[[i]],
                                  Spmod2_LPP_111100[[i]],
                                  
                                  #Spmod3_LPP_111100[[i]],
                                  #Spmod4_LPP_111100[[i]],
                                  #Spmod5_LPP_111100[[i]],
                                  #Spmod6_LPP_111100[[i]],
                                  Spmod7_LPP_111100[[i]],
                                  Spmod8_LPP_111100[[i]],
                                  #Spmod9_LPP_111100[[i]],
                                  #Spmod10_LPP_111100[[i]],
                                  #Spmod11_LPP_111100[[i]],
                                  #Spmod12_LPP_111100[[i]],
                                  #Spmod13_LPP_111100[[i]],
                                  #Spmod14_LPP_111100[[i]],
                                  #Spmod15_LPP_111100[[i]],
                                  #Spmod16_LPP_111100[[i]],
                                  #Spmod17_LPP_111100[[i]],
                                  #Spmod18_LPP_111100[[i]],
                                  #Spmod19_LPP_111100[[i]],
                                  #Spmod20_LPP_111100[[i]],
                                  #Spmod21_LPP_111100[[i]],
                                  #Spmod22_LPP_111100[[i]],
                                  Spmod23_LPP_111100[[i]])
  #Spmod24_LPP_111100[[i]],
  #Spmod25_LPP_111100[[i]],
  #Spmod26_LPP_111100[[i]],
  #Spmod27_LPP_111100[[i]],
  #Spmod28_LPP_111100[[i]],
  #Spmod29_LPP_111100[[i]],
  #Spmod30_LPP_111100[[i]],
  #Spmod31_LPP_111100[[i]],
  #Spmod32_LPP_111100[[i]],
  #Spmod33_LPP_111100[[i]],
  #Spmod34_LPP_111100[[i]],
  #Spmod35_LPP_111100[[i]],
  #Spmod36_LPP_111100[[i]],
  #Spmod37_LPP_111100[[i]],
  #Spmod38_LPP_111100[[i]],
  #Spmod39_LPP_111100[[i]],
  #Spmod40_LPP_111100[[i]],
  #Spmod41_LPP_111100[[i]],
  #Spmod42_LPP_111100[[i]],
  #Spmod43_LPP_111100[[i]],
  #Spmod44_LPP_111100[[i]],
  #Spmod45_LPP_111100[[i]],
  #Spmod46_LPP_111100[[i]],
  #Spmod47_LPP_111100[[i]],
  #Spmod48_LPP_111100[[i]],
  #Spmod49_LPP_111100[[i]],
  #Spmod50_LPP_111100[[i]],
  #Spmod51_LPP_111100[[i]],
  #Spmod52_LPP_111100[[i]],
  #Spmod53_LPP_111100[[i]],
  #Spmod54_LPP_111100[[i]],
  #Spmod55_LPP_111100[[i]],
  #Spmod56_LPP_111100[[i]],
  #Spmod57_LPP_111100[[i]],
  #Spmod58_LPP_111100[[i]],
  #Spmod59_LPP_111100[[i]],
  #Spmod60_LPP_111100[[i]],
  #Spmod61_LPP_111100[[i]],
  #Spmod62_LPP_111100[[i]],
  #Spmod63_LPP_111100[[i]],
  #Spmod64_LPP_111100[[i]],
  #Spmod65_LPP_111100[[i]])
  
  Modnames <-c("1",
               "2",
               #"3",
               #"4",
               #"5",
               #"6",
               "7",
               "8",
               #"9",
               #"10",
               #"11",
               #"12",
               #"13",
               #"14",
               #"15",
               #"16",
               #"17",
               #"18",
               #"19",
               #"20",
               #"21",
               #"22",
               "23")
  #"24",
  #"25",
  #"26",
  #"27",
  #"28",
  #"29",
  #"30",
  #"31",
  #"32",
  #"33",
  #"34",
  #"35",
  #"36",
  #"37",
  #"38",
  #"39",
  #"40",
  #"41",
  #"42",
  #"43",
  #"44",
  #"45",
  #"46",
  #"47",
  #"48",
  #"49",
  #"50",
  #"51",
  #"52",
  #"53",
  #"54",
  #"55",
  #"56",
  #"57",
  #"58",
  #"59",
  #"60",
  #"61",
  #"62",
  #"63",
  #"64",
  #"65")
  
  SpAIC_LPP_111100[[i]] <- aictab(cand.set= listall_LPP_111100[[i]], modnames = Modnames, second.ord = FALSE, sort = TRUE)
  
  
  # R2 calculation
  
  
  Spmod1_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod1_LPP_111100[[i]])
  Spmod2_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod2_LPP_111100[[i]])
  #Spmod3_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod3_LPP_111100[[i]])
  #Spmod4_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod4_LPP_111100[[i]])
  #Spmod5_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod5_LPP_111100[[i]])
  #Spmod6_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod6_LPP_111100[[i]])
  Spmod7_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod7_LPP_111100[[i]])
  Spmod8_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod8_LPP_111100[[i]])
  #Spmod9_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod9_LPP_111100[[i]])
  #Spmod10_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod10_LPP_111100[[i]])
  #Spmod11_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod11_LPP_111100[[i]])
  #Spmod12_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod12_LPP_111100[[i]])
  #Spmod13_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod13_LPP_111100[[i]])
  #Spmod14_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod14_LPP_111100[[i]])
  #Spmod15_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod15_LPP_111100[[i]])
  #Spmod16_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod16_LPP_111100[[i]])
  #Spmod17_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod17_LPP_111100[[i]])
  #Spmod18_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod18_LPP_111100[[i]])
  #Spmod19_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod19_LPP_111100[[i]])
  #Spmod20_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod20_LPP_111100[[i]])
  #Spmod21_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod21_LPP_111100[[i]])
  #Spmod22_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod22_LPP_111100[[i]])
  Spmod23_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod23_LPP_111100[[i]])
  #Spmod24_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod24_LPP_111100[[i]])
  #Spmod25_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod25_LPP_111100[[i]])
  #Spmod26_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod26_LPP_111100[[i]])
  #Spmod27_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod27_LPP_111100[[i]])
  #Spmod28_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod28_LPP_111100[[i]])
  #Spmod29_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod29_LPP_111100[[i]])
  #Spmod30_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod30_LPP_111100[[i]])
  #Spmod31_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod31_LPP_111100[[i]])
  #Spmod32_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod32_LPP_111100[[i]])
  #Spmod33_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod33_LPP_111100[[i]])
  #Spmod34_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod34_LPP_111100[[i]])
  #Spmod35_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod35_LPP_111100[[i]])
  #Spmod36_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod36_LPP_111100[[i]])
  #Spmod37_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod37_LPP_111100[[i]])
  #Spmod38_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod38_LPP_111100[[i]])
  #Spmod39_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod39_LPP_111100[[i]])
  #Spmod40_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod40_LPP_111100[[i]])
  #Spmod41_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod41_LPP_111100[[i]])
  #Spmod42_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod42_LPP_111100[[i]])
  #Spmod43_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod43_LPP_111100[[i]])
  #Spmod44_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod44_LPP_111100[[i]])
  #Spmod45_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod45_LPP_111100[[i]])
  #Spmod46_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod46_LPP_111100[[i]])
  #Spmod47_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod47_LPP_111100[[i]])
  #Spmod48_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod48_LPP_111100[[i]])
  #Spmod49_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod49_LPP_111100[[i]])
  #Spmod50_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod50_LPP_111100[[i]])
  #Spmod51_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod51_LPP_111100[[i]])
  #Spmod52_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod52_LPP_111100[[i]])
  #Spmod53_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod53_LPP_111100[[i]])
  #Spmod54_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod54_LPP_111100[[i]])
  #Spmod55_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod55_LPP_111100[[i]])
  #Spmod56_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod56_LPP_111100[[i]])
  #Spmod57_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod57_LPP_111100[[i]])
  #Spmod58_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod58_LPP_111100[[i]])
  #Spmod59_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod59_LPP_111100[[i]])
  #Spmod60_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod60_LPP_111100[[i]])
  #Spmod61_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod61_LPP_111100[[i]])
  #Spmod62_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod62_LPP_111100[[i]])
  #Spmod63_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod63_LPP_111100[[i]])
  #Spmod64_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod64_LPP_111100[[i]])
  #Spmod65_LPP_111100_R[[i]]<-NagelkerkeR2(Spmod65_LPP_111100[[i]])
  
  Spmod1_LPP_111100_R[[i]]$Modnames <-1
  Spmod2_LPP_111100_R[[i]]$Modnames <-2
  #Spmod3_LPP_111100_R[[i]]$Modnames <-3
  #Spmod4_LPP_111100_R[[i]]$Modnames <-4
  #Spmod5_LPP_111100_R[[i]]$Modnames <-5
  #Spmod6_LPP_111100_R[[i]]$Modnames <-6
  Spmod7_LPP_111100_R[[i]]$Modnames <-7
  Spmod8_LPP_111100_R[[i]]$Modnames <-8
  #Spmod9_LPP_111100_R[[i]]$Modnames <-9
  #Spmod10_LPP_111100_R[[i]]$Modnames <-10
  #Spmod11_LPP_111100_R[[i]]$Modnames <-11
  #Spmod12_LPP_111100_R[[i]]$Modnames <-12
  #Spmod13_LPP_111100_R[[i]]$Modnames <-13
  #Spmod14_LPP_111100_R[[i]]$Modnames <-14
  #Spmod15_LPP_111100_R[[i]]$Modnames <-15
  #Spmod16_LPP_111100_R[[i]]$Modnames <-16
  #Spmod17_LPP_111100_R[[i]]$Modnames <-17
  #Spmod18_LPP_111100_R[[i]]$Modnames <-18
  #Spmod19_LPP_111100_R[[i]]$Modnames <-19
  #Spmod20_LPP_111100_R[[i]]$Modnames <-20
  #Spmod21_LPP_111100_R[[i]]$Modnames <-21
  #Spmod22_LPP_111100_R[[i]]$Modnames <-22
  Spmod23_LPP_111100_R[[i]]$Modnames <-23
  #Spmod24_LPP_111100_R[[i]]$Modnames <-24
  #Spmod25_LPP_111100_R[[i]]$Modnames <-25
  #Spmod26_LPP_111100_R[[i]]$Modnames <-26
  #Spmod27_LPP_111100_R[[i]]$Modnames <-27
  #Spmod28_LPP_111100_R[[i]]$Modnames <-28
  #Spmod29_LPP_111100_R[[i]]$Modnames <-29
  #Spmod30_LPP_111100_R[[i]]$Modnames <-30
  #Spmod31_LPP_111100_R[[i]]$Modnames <-31
  #Spmod32_LPP_111100_R[[i]]$Modnames <-32
  #Spmod33_LPP_111100_R[[i]]$Modnames <-33
  #Spmod34_LPP_111100_R[[i]]$Modnames <-34
  #Spmod35_LPP_111100_R[[i]]$Modnames <-35
  #Spmod36_LPP_111100_R[[i]]$Modnames <-36
  #Spmod37_LPP_111100_R[[i]]$Modnames <-37
  #Spmod38_LPP_111100_R[[i]]$Modnames <-38
  #Spmod39_LPP_111100_R[[i]]$Modnames <-39
  #Spmod40_LPP_111100_R[[i]]$Modnames <-40
  #Spmod41_LPP_111100_R[[i]]$Modnames <-41
  #Spmod42_LPP_111100_R[[i]]$Modnames <-42
  #Spmod43_LPP_111100_R[[i]]$Modnames <-43
  #Spmod44_LPP_111100_R[[i]]$Modnames <-44
  #Spmod45_LPP_111100_R[[i]]$Modnames <-45
  #Spmod46_LPP_111100_R[[i]]$Modnames <-46
  #Spmod47_LPP_111100_R[[i]]$Modnames <-47
  #Spmod48_LPP_111100_R[[i]]$Modnames <-48
  #Spmod49_LPP_111100_R[[i]]$Modnames <-49
  #Spmod50_LPP_111100_R[[i]]$Modnames <-50
  #Spmod51_LPP_111100_R[[i]]$Modnames <-51
  #Spmod52_LPP_111100_R[[i]]$Modnames <-52
  #Spmod53_LPP_111100_R[[i]]$Modnames <-53
  #Spmod54_LPP_111100_R[[i]]$Modnames <-54
  #Spmod55_LPP_111100_R[[i]]$Modnames <-55
  #Spmod56_LPP_111100_R[[i]]$Modnames <-56
  #Spmod57_LPP_111100_R[[i]]$Modnames <-57
  #Spmod58_LPP_111100_R[[i]]$Modnames <-58
  #Spmod59_LPP_111100_R[[i]]$Modnames <-59
  #Spmod60_LPP_111100_R[[i]]$Modnames <-60
  #Spmod61_LPP_111100_R[[i]]$Modnames <-61
  #Spmod62_LPP_111100_R[[i]]$Modnames <-62
  #Spmod63_LPP_111100_R[[i]]$Modnames <-63
  #Spmod64_LPP_111100_R[[i]]$Modnames <-64
  #Spmod65_LPP_111100_R[[i]]$Modnames <-65
  
  modelavg_LPP_111100[[i]] <- model.avg(listall_LPP_111100[[i]], rank=AIC, revised.var = TRUE, fit=TRUE, subset=delta < 4)
  
  
  L_111100_R2 <- melt(mapply(c, SIMPLIFY=FALSE, list(
    Spmod1_LPP_111100_R,
    Spmod2_LPP_111100_R,
    #Spmod3_LPP_111100_R,
    #Spmod4_LPP_111100_R,
    #Spmod5_LPP_111100_R,
    #Spmod6_LPP_111100_R,
    Spmod7_LPP_111100_R,
    Spmod8_LPP_111100_R,
    #Spmod9_LPP_111100_R,
    #Spmod10_LPP_111100_R,
    #Spmod11_LPP_111100_R,
    #Spmod12_LPP_111100_R,
    #Spmod13_LPP_111100_R,
    #Spmod14_LPP_111100_R,
    #Spmod15_LPP_111100_R,
    #Spmod16_LPP_111100_R,
    #Spmod17_LPP_111100_R,
    #Spmod18_LPP_111100_R,
    #Spmod19_LPP_111100_R,
    #Spmod20_LPP_111100_R,
    #Spmod21_LPP_111100_R,
    #Spmod22_LPP_111100_R,
    Spmod23_LPP_111100_R)))
  #Spmod24_LPP_111100_R,
  #Spmod25_LPP_111100_R,
  #Spmod26_LPP_111100_R,
  #Spmod27_LPP_111100_R,
  #Spmod28_LPP_111100_R,
  #Spmod29_LPP_111100_R,
  #Spmod30_LPP_111100_R,
  #Spmod31_LPP_111100_R,
  #Spmod32_LPP_111100_R,
  #Spmod33_LPP_111100_R,
  #Spmod34_LPP_111100_R,
  #Spmod35_LPP_111100_R,
  #Spmod36_LPP_111100_R,
  #Spmod37_LPP_111100_R,
  #Spmod38_LPP_111100_R,
  #Spmod39_LPP_111100_R,
  #Spmod40_LPP_111100_R,
  #Spmod41_LPP_111100_R,
  #Spmod42_LPP_111100_R,
  #Spmod43_LPP_111100_R,
  #Spmod44_LPP_111100_R,
  #Spmod45_LPP_111100_R,
  #Spmod46_LPP_111100_R,
  #Spmod47_LPP_111100_R,
  #Spmod48_LPP_111100_R,
  #Spmod49_LPP_111100_R,
  #Spmod50_LPP_111100_R,
  #Spmod51_LPP_111100_R,
  #Spmod52_LPP_111100_R,
  #Spmod53_LPP_111100_R,
  #Spmod54_LPP_111100_R,
  #Spmod55_LPP_111100_R,
  #Spmod56_LPP_111100_R,
  #Spmod57_LPP_111100_R,
  #Spmod58_LPP_111100_R,
  #Spmod59_LPP_111100_R,
  #Spmod60_LPP_111100_R,
  #Spmod61_LPP_111100_R,
  #Spmod62_LPP_111100_R,
  #Spmod63_LPP_111100_R,
  #Spmod64_LPP_111100_R,
  #Spmod65_LPP_111100_R)))
  
  L_111100_R2_N <- L_111100_R2[L_111100_R2$L3 == "N",]
  names(L_111100_R2_N)[1] <- "N"
  L_111100_R2_R2 <- L_111100_R2[L_111100_R2$L3 == "R2", ]
  names(L_111100_R2_R2)[1] <- "R2"
  L_111100_R2_MN <- L_111100_R2[L_111100_R2$L3 == "Modnames", ]
  names(L_111100_R2_MN)[1] <- "Modnames"   
  
  L_111100_R2_r <- subset(Reduce(function(...) merge(..., by=c("L2", "L1"), all=TRUE), list(L_111100_R2_N, L_111100_R2_R2, L_111100_R2_MN)),select=c("L2", "L1", "N", "R2", "Modnames"))
  names(L_111100_R2_r)[1] <- "Species"
  
  AIC_111100_L <- melt(SpAIC_LPP_111100, id = c( "Modnames", "K","AIC", "Delta_AIC", "AICWt", "Cum.Wt","LL"))
  AIC_111100_L <- subset(AIC_111100_L, select=c(L1, Modnames, K, AIC, Delta_AIC, LL, AICWt)) 
  names(AIC_111100_L)[1] <- "Species"
  
  Results_111100_L <- merge(AIC_111100_L, L_111100_R2_r, by=c("Species", "Modnames"), sort=FALSE)
  Results_111100_L$exclusion <- "111100"
  
}



#######################################################################################################################################################################################################################################################################################################################################




### Combine AIC and R tables for all model sets


Results_L <-rbind(Results_101101_L,
                  Results_101110_L,
                  Results_101111_L,
                  Results_111000_L,
                  Results_11110_L,
                  Results_111010_L,
                  Results_11111_L,
                  Results_110111_L,
                  Results_111011_L,
                  Results_111100_L,
                  Results_111101_L,
                  Results_110110_L,
                  Results_111111_L,
                  Results_111110_L)

write.table(Results_L, "./GCB_v3/Results_L.csv", sep = ",", col.names = NA, qmethod = "double")

Results_L_AIC2 <- Results_L[Results_L$Delta_AIC < 2, ]

Results_L_AIC0 <- Results_L[Results_L$Delta_AIC==0, ]

write.table(Results_L_AIC0, "./GCB_v3/Results_L_topmodels.csv", sep = ",", col.names = NA, qmethod = "double")



### Coefficient tables



coefavg_LPP <- NULL

for(i in 1:33){
  assign(paste("coefavg", i, "LPP", sep = ""), NULL)    
}

for(i in names(Sp_env_LPP[,2:128])){coeflist_LPP[[i]] <- list(
  coefavg1LPP[[i]]<-modelavg_LPP_101101[[i]]$coefficients,
  coefavg2LPP[[i]]<-modelavg_LPP_101110[[i]]$coefficients,
  coefavg3LPP[[i]]<-modelavg_LPP_101111[[i]]$coefficients,
  coefavg4LPP[[i]]<-modelavg_LPP_111000[[i]]$coefficients,
  coefavg5LPP[[i]]<-modelavg_LPP_11110[[i]]$coefficients,
  coefavg6LPP[[i]]<-modelavg_LPP_111010[[i]]$coefficients,
  coefavg7LPP[[i]]<-modelavg_LPP_11111[[i]]$coefficients,
  coefavg8LPP[[i]]<-modelavg_LPP_110111[[i]]$coefficients,
  coefavg9LPP[[i]]<-modelavg_LPP_111011[[i]]$coefficients,
  coefavg10LPP[[i]]<-modelavg_LPP_111100[[i]]$coefficients,
  coefavg11LPP[[i]]<-modelavg_LPP_111101[[i]]$coefficients,
  coefavg12LPP[[i]]<-modelavg_LPP_110110[[i]]$coefficients,
  coefavg13LPP[[i]]<-modelavg_LPP_111111[[i]]$coefficients,
  coefavg14LPP[[i]]<-modelavg_LPP_111110[[i]]$coefficients)}


coefavg1LPP_df<-melt(coefavg1LPP)
coefavg2LPP_df<-melt(coefavg2LPP)
coefavg3LPP_df<-melt(coefavg3LPP)
coefavg4LPP_df<-melt(coefavg4LPP)
coefavg5LPP_df<-melt(coefavg5LPP)
coefavg6LPP_df<-melt(coefavg6LPP)
coefavg7LPP_df<-melt(coefavg7LPP)
coefavg8LPP_df<-melt(coefavg8LPP)
coefavg9LPP_df<-melt(coefavg9LPP)
coefavg10LPP_df<-melt(coefavg10LPP)
coefavg11LPP_df<-melt(coefavg11LPP)
coefavg12LPP_df<-melt(coefavg12LPP)
coefavg13LPP_df<-melt(coefavg13LPP)
coefavg14LPP_df<-melt(coefavg14LPP)



coefavg1LPP_df$Modset <- 1
coefavg2LPP_df$Modset <- 2
coefavg3LPP_df$Modset <- 3
coefavg4LPP_df$Modset <- 4
coefavg5LPP_df$Modset <- 5
coefavg6LPP_df$Modset <- 6
coefavg7LPP_df$Modset <- 7
coefavg8LPP_df$Modset <- 8
coefavg9LPP_df$Modset <- 9
coefavg10LPP_df$Modset <- 10
coefavg11LPP_df$Modset <- 11
coefavg12LPP_df$Modset <- 12
coefavg13LPP_df$Modset <- 13
coefavg14LPP_df$Modset <- 14



coefavgs_LPP <- Reduce(function(...) rbind(...),
                       list(coefavg1LPP_df,
                            coefavg2LPP_df,
                            coefavg3LPP_df,
                            coefavg4LPP_df,
                            coefavg5LPP_df,
                            coefavg6LPP_df,
                            coefavg7LPP_df,
                            coefavg8LPP_df,
                            coefavg9LPP_df,
                            coefavg10LPP_df,
                            coefavg11LPP_df,
                            coefavg12LPP_df,
                            coefavg13LPP_df,
                            coefavg14LPP_df))

coefavgs_LPP$Interval <- "Value"

names(coefavgs_LPP)[1] <- "Modavg"
names(coefavgs_LPP)[2] <- "Variable"
names(coefavgs_LPP)[3] <- "Value"
names(coefavgs_LPP)[4] <- "Species"


### Model averaging



coefavgs_LPP_f <- coefavgs_LPP[coefavgs_LPP$Modavg == "subset",]

coefavgs_LPP_f$Valueexp <- exp(coefavgs_LPP_f$Value)

coefavgs_LPP_f$Variable2[coefavgs_LPP_f$Variable == "PercGFWC"] <- "GFWC"
coefavgs_LPP_f$Variable2[coefavgs_LPP_f$Variable == "PercGFWC_20kmd"] <- "GFWCb"
coefavgs_LPP_f$Variable2[coefavgs_LPP_f$Variable == "NPP"] <- "NPP"
coefavgs_LPP_f$Variable2[coefavgs_LPP_f$Variable == "bio11"] <- "mWT"
coefavgs_LPP_f$Variable2[coefavgs_LPP_f$Variable == "bio17"] <- "WP"
coefavgs_LPP_f$Variable2[coefavgs_LPP_f$Variable == "DiffEvent"] <- "SE"
coefavgs_LPP_f$Variable2[coefavgs_LPP_f$Variable == "bio8"] <- "mST"
coefavgs_LPP_f$Variable2[coefavgs_LPP_f$Variable == "(Intercept)"] <- "Intercept"


coefavgs_LPP_f_POS <- coefavgs_LPP_f[coefavgs_LPP_f$Valueexp >1, ]

coefavgs_LPP_f_NEG <- coefavgs_LPP_f[coefavgs_LPP_f$Valueexp <1, ]

coefavgs_LPP_f_outline <- coefavgs_LPP_f[coefavgs_LPP_f$Valueexp > 2, ]
coefavgs_LPP_f_outline2 <- coefavgs_LPP_f[coefavgs_LPP_f$Valueexp < 0, ]

write.table(coefavgs_LPP_f, "./GCB_v3/coefavgs_LPP_f.csv", sep = ",", col.names = NA, qmethod = "double")


#save(list = ls(all = TRUE), file= "GCBv3_LPPmodsaPV.RData")

































